;
(function($) {

    "use strict";

    /* ===================
     Page reload 
     ===================== */
    var scroll_top;
    var last_scroll_top = 0;
    var $imgLogo = $('#cms-header .site-logo img');
    var srcLogo = $imgLogo.attr('src'),
        srcLogoMobile = $imgLogo.data('mobile'),
        logo_tablet_mobile_size = 1025;
    var dataSticky = $imgLogo.data('sticky');
    var dataStickyMobile = $imgLogo.data('sticky-mobile');
    var $header = $('#cms-header');
    var header_height = $header.outerHeight();
    var header_btn1 = $header.find('.h-btn1'),
        header_btn1_classes = header_btn1.data('classes'),
        header_btn2 = $header.find('.h-btn2'),
        header_btn2_classes = header_btn2.data('classes'),
        header_btn_phone = $header.find('.site-header-phone .btn'),
        header_btn_phone_classes = header_btn_phone.data('classes');

    $(window).on('load', function() {
        $(".cms-loader").fadeOut("slow");
        scroll_top = $(this).scrollTop();
        if (scroll_top > header_height) {
            $header.addClass('header-sticky-hidden');
        }
        if ($(window).outerWidth() < logo_tablet_mobile_size && srcLogoMobile != null) {
            $($imgLogo).attr('src', srcLogoMobile);
        }
        // change class for header button
        if ($header.hasClass('header-transparent')) {
            if (header_btn1.length > 0) {
                header_btn1.removeClass(header_btn1_classes['default']).addClass(header_btn1_classes['transparent']);
            }
            if (header_btn2.length > 0) {
                header_btn2.removeClass(header_btn2_classes['default']).addClass(header_btn2_classes['transparent']);
            }
            if (header_btn_phone.length > 0) {
                //header_btn_phone.removeClass(header_btn_phone_classes['default']).addClass(header_btn_phone_classes['transparent']);
            }
        } else {
            if (header_btn1.length > 0) {
                header_btn1.removeClass(header_btn1_classes['transparent']).addClass(header_btn1_classes['default']);
            }
            if (header_btn2.length > 0) {
                header_btn2.removeClass(header_btn2_classes['transparent']).addClass(header_btn2_classes['default']);
            }
            if (header_btn_phone.length > 0) {
                header_btn_phone.removeClass(header_btn_phone_classes['transparent']).addClass(header_btn_phone_classes['default']);
            }
        }
        //
        wiseguard_dropdown_touched_side();
        //wiseguard_header_cart_dropdown();
    });

    $(window).on('resize', function() {
        if ($header.hasClass('header-sticky-show')) {
            $header.addClass('header-sticky-hidden').removeClass('header-sticky-show');
        }

        if ($(window).outerWidth() < logo_tablet_mobile_size && srcLogoMobile != null) {
            $($imgLogo).attr('src', srcLogoMobile);
        } else {
            $($imgLogo).attr('src', srcLogo);
        }
        $('.cms-primary-menu-dropdown .sub-menu').removeClass('submenu-open').attr('style','');

        //wiseguard_header_cart_dropdown();
        wiseguard_dropdown_touched_side();
    });

    // load more
    $(document).on('click', '.cms-load-more', function() {
        var loadmore = $(this).data('loadmore');
        var _this = $(this).parents(".cms-grid");
        var layout_type = _this.data('layout');
        var loading_text = $(this).data('loading-text');
        var no_text = $(this).data('no-text');

        loadmore.maxPages = parseInt(_this.data('max-pages'));
        loadmore.paged = parseInt(_this.data('start-page')) + 1;

        _this.find('.cms-grid-overlay').addClass('loader');
        $(this).addClass('loading');
        $(this).find('.cms-btn-icon').addClass('loading');
        $(this).find('.cms-btn-text').text(loading_text);
        $.ajax({
                url: main_data.ajax_url,
                type: 'POST',
                beforeSend: function() {

                },
                data: {
                    action: 'wiseguard_load_more_post_grid',
                    settings: loadmore
                }
            })
            .done(function(res) {
                if (res.status == true) {
                    _this.find('.cms-grid-content').append(res.data.html);
                    _this.data('start-page', res.data.paged);
                    _this.find('.cms-grid-overlay').removeClass('loader');
                    _this.find('.cms-load-more').removeClass('loading');
                    _this.find('.cms-btn-icon').removeClass('loading');
                    _this.find('.cms-btn-text').text('Load More');
                    if (res.data.paged == loadmore.maxPages) {
                        _this.find('.cms-load-more').addClass('no-more');
                        _this.find('.cms-btn-text').text(no_text);
                    }
                    _this.find('.cms-grid-content .cms-lazy').each(function() {
                        var $src = $(this).data('src'),
                            $background_image = $(this).data('background-image');
                        $(this).attr('src', $src);
                        if(typeof $background_image != 'undefined'){
                            $(this).css('background-image', 'url('+$background_image+')');
                        }
                        $(this).removeClass('lazy-loading');
                    });
                    if (layout_type == 'masonry') {
                        $.sep_grid_refresh();
                    }
                } else if (res.status == false) {
                    _this.find('.cms-load-more').addClass('no-more');
                }
            })
            .fail(function(res) {
                _this.find('.cms-load-more').addClass('no-more');
                return false;
            })
            .always(function() {
                return false;
            });
    });

    // pagination
    $(document).on('click', '.cms-grid-pagination .ajax a.page-numbers', function() {
        var _this = $(this).parents(".cms-grid");
        var loadmore = _this.find(".cms-grid-pagination").data('loadmore');
        var query_vars = _this.find(".cms-grid-pagination").data('query');
        var layout_type = _this.data('layout');
        var paged = $(this).attr('href');
        paged = paged.replace('#', '');
        loadmore.paged = parseInt(paged);
        query_vars.paged = parseInt(paged);
        _this.find('.cms-grid-overlay').addClass('loader');
        $('html,body').animate({ scrollTop: _this.offset().top - 100 }, 750);
        // reload pagination
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function() {

            },
            data: {
                action: 'wiseguard_get_pagination_html',
                query_vars: query_vars
            }
        }).done(function(res) {
            if (res.status == true) {
                _this.find(".cms-grid-pagination").html(res.data.html);
                _this.find('.cms-grid-overlay').removeClass('loader');
            } else if (res.status == false) {}
        }).fail(function(res) {
            return false;
        }).always(function() {
            return false;
        });
        // load post
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function() {

            },
            data: {
                action: 'wiseguard_load_more_post_grid',
                settings: loadmore
            }
        }).done(function(res) {
            if (res.status == true) {
                _this.find('.cms-grid-content .cms-item').remove();
                _this.find('.cms-grid-content').append(res.data.html);
                _this.data('start-page', res.data.paged);
                _this.find('.cms-grid-content .cms-lazy').each(function() {
                    var $src = $(this).data('src'),
                        $background_image = $(this).data('background-image');
                    $(this).attr('src', $src);
                    if(typeof $background_image != 'undefined'){
                        $(this).css('background-image', 'url('+$background_image+')');
                    }
                    $(this).removeClass('lazy-loading');
                });
                if (layout_type == 'masonry') {
                    $.sep_grid_refresh();
                }
            } else if (res.status == false) {}
        }).fail(function(res) {
            return false;
        }).always(function() {
            return false;
        });
        return false;
    });

    // post filter
    $(document).on('click', '.cms-grid .grid-filter-wrap .filter-item', function() {
        if ($(this).hasClass('active')) {
            return false;
        }
        let gridEl = $(this).parents('.cms-grid');
        gridEl.find('.grid-filter-wrap .filter-item').removeClass('active');
        $(this).addClass('active');

        let loadmore = gridEl.find(".cms-grid-pagination").data('loadmore');
        loadmore = $.extend({}, loadmore);
        let query_vars = gridEl.find(".cms-grid-pagination").data('query');
        let layout_type = gridEl.data('layout');
        let filter = $(this).data('filter');
        if (typeof filter == 'undefined' || filter == "*" || filter == '') {
            filter = '';
        } else {
            loadmore.source = [filter];
        }

        loadmore.paged = 1;
        query_vars.paged = 1;
        gridEl.find('.cms-grid-overlay').addClass('loader');
        // reload pagination
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function() {

            },
            data: {
                action: 'wiseguard_get_pagination_html',
                query_vars: query_vars,
                filter: filter,
            }
        }).done(function(res) {
            if (res.status == true) {
                gridEl.find(".cms-grid-pagination").html(res.data.html);
                gridEl.find('.cms-grid-overlay').removeClass('loader');
                gridEl.find('.cms-grid-content .cms-lazy').each(function() {
                    var $src = $(this).data('src'),
                        $background_image = $(this).data('background-image');
                    $(this).attr('src', $src);
                    if(typeof $background_image != 'undefined'){
                        $(this).css('background-image', 'url('+$background_image+')');
                    }
                    $(this).removeClass('lazy-loading');
                });
            } else if (res.status == false) {}
        }).fail(function(res) {
            return false;
        }).always(function() {
            return false;
        });
        // load post
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function() {

            },
            data: {
                action: 'wiseguard_load_more_post_grid',
                settings: loadmore
            }
        }).done(function(res) {
            if (res.status == true) {
                gridEl.find('.cms-grid-content .cms-item').remove();
                gridEl.find('.cms-grid-content').append(res.data.html);
                gridEl.data('start-page', res.data.paged);
                gridEl.find('.cms-grid-content .cms-lazy').each(function() {
                    var $src = $(this).data('src'),
                        $background_image = $(this).data('background-image');
                    $(this).attr('src', $src);
                    if(typeof $background_image != 'undefined'){
                        $(this).css('background-image', 'url('+$background_image+')');
                    }
                    $(this).removeClass('lazy-loading');
                });
            } else if (res.status == false) {}
        }).fail(function(res) {
            return false;
        }).always(function() {
            return false;
        });
        return false;
    });

    /* ====================
        Scroll To Top
    ====================== */
    $(window).on('scroll', function() {
        scroll_top = $(this).scrollTop();
        wiseguard_header_sticky();
        wiseguard_scroll_to_top();
        last_scroll_top = scroll_top;
    });

    function wiseguard_scroll_to_top() {
        if (scroll_top > last_scroll_top && scroll_top > header_height + 300) {
            $('.scroll-top').removeClass('to-top-show').addClass('to-top-hidden');
        } else {
            $('.scroll-top').removeClass('to-top-hidden').addClass('to-top-show');
            if (scroll_top < header_height + 300) {
                $('.scroll-top').removeClass('to-top-hidden').removeClass('to-top-show');
            }
        }
    }
    /* ====================
        Header Sticky
    ====================== */
    function wiseguard_header_sticky() {
        //if($header.hasClass('sticky-on')){
        if (scroll_top > 2 && scroll_top < header_height && $header.hasClass('transparent-on')) {
            $header.addClass('header-sticky-show');
            $imgLogo.attr('src', dataSticky);
            if ($(window).outerWidth() < logo_tablet_mobile_size && dataStickyMobile != null) {
                $($imgLogo).attr('src', dataStickyMobile);
            }
            // change class for header button
            if (header_btn1.length > 0) {
                header_btn1.removeClass(header_btn1_classes['transparent']).addClass(header_btn1_classes['default']);
            }
            if (header_btn2.length > 0) {
                header_btn2.removeClass(header_btn2_classes['transparent']).addClass(header_btn2_classes['default']);
            }
            if (header_btn_phone.length > 0) {
                header_btn_phone.removeClass(header_btn_phone_classes['transparent']).addClass(header_btn_phone_classes['default']);
            }
        }

        if (scroll_top > last_scroll_top && scroll_top > header_height) {
            if (!$header.hasClass('header-sticky-hidden')) {
                $header.removeClass('header-sticky-show').addClass('header-sticky-hidden');
                $($imgLogo).attr('src', srcLogo);
                if ($(window).outerWidth() < logo_tablet_mobile_size) {
                    $($imgLogo).attr('src', srcLogoMobile);
                }
                // change class for header button
                if (header_btn1.length > 0) {
                    header_btn1.removeClass(header_btn1_classes['default']).addClass(header_btn1_classes['transparent']);
                }
                if (header_btn2.length > 0) {
                    header_btn2.removeClass(header_btn2_classes['default']).addClass(header_btn2_classes['transparent']);
                }
                if (header_btn_phone.length > 0) {
                    header_btn_phone.removeClass(header_btn_phone_classes['default']).addClass(header_btn_phone_classes['transparent']);
                }
            }
            if ($header.hasClass('header-mobile-open')) {
                $imgLogo.attr('src', dataSticky);
                if ($(window).outerWidth() < logo_tablet_mobile_size) {
                    $($imgLogo).attr('src', dataStickyMobile);
                }
            }
        } else {
            if ($header.hasClass('header-sticky-hidden') && $header.hasClass('sticky-on')) {
                $header.removeClass('header-sticky-hidden').addClass('header-sticky-show');
                $imgLogo.attr('src', dataSticky);
                if ($(window).outerWidth() < logo_tablet_mobile_size) {
                    $($imgLogo).attr('src', dataStickyMobile);
                }
                if (!$header.hasClass('transparent-on')) {
                    $('#cms-header-wrap').height(header_height);
                }
                // change class for header button
                if (header_btn1.length > 0) {
                    header_btn1.removeClass(header_btn1_classes['transparent']).addClass(header_btn1_classes['default']);
                }
                if (header_btn2.length > 0) {
                    header_btn2.removeClass(header_btn2_classes['transparent']).addClass(header_btn2_classes['default']);
                }

                if (header_btn_phone.length > 0) {
                    header_btn_phone.removeClass(header_btn_phone_classes['transparent']).addClass(header_btn_phone_classes['default']);
                }
            }
            if (scroll_top < header_height) {
                $header.removeClass('header-sticky-hidden').removeClass('header-sticky-show');
                if (!$header.hasClass('transparent-on')) {
                    $('#cms-header-wrap').height('auto');
                }

                // change class for header button
                if (header_btn1.length > 0) {
                    header_btn1.removeClass(header_btn1_classes['default']).addClass(header_btn1_classes['transparent']);
                }
                if (header_btn2.length > 0) {
                    header_btn2.removeClass(header_btn2_classes['default']).addClass(header_btn2_classes['transparent']);
                }
                if (header_btn_phone.length > 0 && $header.hasClass('transparent-on')) {
                    header_btn_phone.removeClass(header_btn_phone_classes['default']).addClass(header_btn_phone_classes['transparent']);
                }

                $imgLogo.attr('src', srcLogo);
                if ($(window).outerWidth() < logo_tablet_mobile_size) {
                    $($imgLogo).attr('src', srcLogoMobile);
                }
                if ($header.hasClass('transparent-on') && $header.hasClass('header-mobile-open')) {
                    $($imgLogo).attr('src', dataSticky);
                } else {
                    $($imgLogo).attr('src', srcLogo);
                }
                if ($(window).outerWidth() < logo_tablet_mobile_size) {
                    if ($header.hasClass('transparent-on') && $header.hasClass('header-mobile-open')) {
                        $($imgLogo).attr('src', dataStickyMobile);
                    } else {
                        $($imgLogo).attr('src', srcLogoMobile);
                    }
                }
            }
            if ($header.hasClass('header-mobile-open')) {
                $header.removeClass('header-sticky-hidden').addClass('header-sticky-show');
            }
        }
        //} 
    }

    $(document).ready(function() {
        /* =================
         Menu Dropdown
         =================== */
        var $menu = $('.site-navigation-dropdown');
        $menu.find('.cms-primary-menu-dropdown li').each(function() {
            var $submenu = $(this).find('> ul.sub-menu');
            if ($submenu.length == 1) {
                $(this).hover(function() {
                    if ($submenu.offset().left + $submenu.width() > $(window).width()) {
                        $submenu.addClass('back');
                    } else if ($submenu.offset().left < 0) {
                        $submenu.addClass('back');
                    }
                }, function() {
                    $submenu.removeClass('back');
                });
            }
        });

        $('.sub-menu .current-menu-item').parents('.menu-item-has-children').addClass('current-menu-ancestor');
        $('.mega-auto-width').parents('.megamenu').addClass('remove-pos');
        // add current ancestor for mega parent 
        $('.cms-emenu-6 > .cms-title').each(function(){
           var mega_url  = $(this).attr("href"); 
           var mega_root = window.location.href;
            if(mega_url == mega_root){
                $('.cms-emenu-6 > .cms-title').addClass('current');
                $('.cms-emenu-6 > .cms-title').parents('.menu-item-has-children').addClass('current-menu-ancestor');
            }
        });
        /* =================
         Menu Mobile
         =================== */
        $("#main-menu-mobile").on('click', function(e) {
            e.preventDefault();
            $('#cms-header').toggleClass('header-mobile-open');
            $(this).find('.open-menu').toggleClass('opened');
            $('.site-navigation').toggleClass('navigation-open');
            if (scroll_top < header_height) {
                $header.removeClass('header-sticky-hidden').removeClass('header-sticky-show');
            }
            if (scroll_top < header_height) {
                if ($header.hasClass('transparent-on') && $header.hasClass('header-mobile-open')) {
                    //$($imgLogo).attr('src', dataSticky);
                } else {
                    //$($imgLogo).attr('src', srcLogo);
                }
            }
            if ($(window).outerWidth() < logo_tablet_mobile_size) {
                if (scroll_top < header_height) {
                    if ($header.hasClass('transparent-on') && $header.hasClass('header-mobile-open')) {
                        $($imgLogo).attr('src', dataStickyMobile);
                    } else {
                        $($imgLogo).attr('src', srcLogoMobile);
                    }
                }
            }
        });
        $("#main-menu-mobile-close").on('click', function() {
            $('#cms-header').removeClass('header-mobile-open');
            $('.site-navigation').removeClass('navigation-open');
            $('.open-menu').removeClass('opened');
        });
        /* Mobile Sub Menu */
        $('.main-menu-toggle').on('click', function(e) {
            e.preventDefault();
            $(this).toggleClass('open');
            $(this).parents('.menu-item').find('> .sub-menu').toggleClass('submenu-open');
            $(this).parents('.menu-item').find('> .sub-menu').slideToggle();
        });

        /* ===================
         Modal
         ===================== */
        $('.cms-modal').each(function() {
            var modal_open = $(this).data('modal'),
                modal_mode = $(this).data('modal-mode'),
                modal_slide = $(this).data('modal-slide'),
                modal_class = $(this).data('modal-class'),
                modal_placeholder = $(this).data('modal-placeholder');
            $(modal_open).addClass('cms-modal-'+ modal_mode);
            $(modal_open).addClass('cms-modal-'+ modal_slide);
            $(modal_open).addClass(modal_class);
            if(typeof modal_placeholder != 'undefined'){
                $(modal_open).find('.search-popup .cms-search-popup-input').attr('placeholder',modal_placeholder);
            }
        });
        $('.cms-modal').click(function(e) {
            e.preventDefault();
            var modal_open = $(this).data('modal'),
                focus = $(this).data('focus'),
                modal_slide = $(this).data('modal-slide');
            $(this).toggleClass('open');
            $(modal_open).toggleClass('open');
            //$(modal_open).addClass('cms-modal-'+ modal_slide);
            if (typeof focus != 'undefined') {
                setTimeout(function() {
                    $(focus).focus();
                }, 300);
            }
        });
        $('.cms-close').click(function(e) {
            e.preventDefault();
            $(this).parent().removeClass('open');
            $(this).parents('body').find('.cms-modal.open').removeClass('open');
        });
        
        // Dropdown touched side
        wiseguard_dropdown_touched_side();
        // Lazy image
        //wiseguard_lazy_images();
        // Woo
        wiseguard_quantity_plus_minus_action();
        wiseguard_header_cart_dropdown();
        // WPCF7
        wiseguard_wpcf7();
    });
    // Ajax Complete
    $(document).ajaxComplete(function(event, xhr, settings){
        "use strict";
        // WPCF7
        wiseguard_wpcf7();
    });
    /**
     * Dropdown Touched Side
     * */
    function wiseguard_dropdown_touched_side(){
        setTimeout(function() {
            $('.cms-touchedside').each(function(){
                var content = $(this).find('.cms--touchedside'),
                    content_w = content.outerWidth(),
                    window_width = $(window).width(),
                    offsetLeft = $(this).offset().left,
                    offsetRight = window_width - offsetLeft - $(this).outerWidth();
                    content.removeClass('back');
                    $(this).attr('data-offset',offsetLeft);
                    $(this).attr('data-w',content_w);
                    $(this).attr('data-ww',window_width);
                if(content.length == 1){
                    if(wiseguard_is_rtl()){
                        if(offsetRight + content_w > window_width){
                            var position = offsetRight + content_w - window_width;
                            content.css({'right': position*-1, 'left':'auto'});
                            content.addClass('back');
                        } else {
                            content.css({'left':'', 'right':''});
                            content.removeClass('back');
                        }
                    } else {
                        if(offsetLeft + content_w > window_width){
                            var position = offsetLeft + content_w - window_width;
                            content.css({'left': position*-1, 'right':'auto'});
                            content.addClass('back');
                        } else {
                            content.css({'left':'', 'right':''});
                            content.removeClass('back');
                        }
                    }
                }
            });
        }, 1000);
    }
    /*
     * Lazy Images
     */
    function wiseguard_lazy_images() {
        'use strict';
        setTimeout(function() {
            $('.cms-lazy').each(function() {
                var $src = $(this).data('src'),
                    $background_image = $(this).data('background-image');
                $(this).attr('src', $src);
                if(typeof $background_image != 'undefined'){
                    $(this).css('background-image', 'url(' + $background_image + ')' );
                }
                $(this).removeClass('lazy-loading');
            });
        }, 100);
    }
    /**
     * Check right to left
    */
    function wiseguard_is_rtl(){
        "use strict"; 
        var rtl = $('html[dir="rtl"]'),
            is_rtl = rtl.length ? true : false;
        return is_rtl;
    }
    /**
     * Header WooCommerce Cart Dropdown
     * */
    function wiseguard_header_cart_dropdown(){
        "use strict";
        var header_cart = $('.site-header-cart'),
            header_cart_content = $('.cms-header-cart-dropdown');

        if(header_cart_content.length == 1){
            $(window).on( 'scroll', function() {
                header_cart_content.removeClass('open');
            });
            header_cart.on('click touch', function() {
                //$(this).toggleClass('active');
                //header_cart_content.toggleClass('open');
            });
            header_cart.click(function(e){
                //e.preventDefault();
                $(this).toggleClass('open');
                header_cart_content.toggleClass("open");
            });
            $('body').on('click', function(){
                //header_cart.removeClass('open');
                //header_cart_content.removeClass('open');
            });
        }
    }
    /*
     * WooCommerce Quantity action
     */
    function wiseguard_quantity_plus_minus_action() {
        "use strict";
        $(document).on('click', '.quantity .cms-qty-act', function() {
            var $this = $(this),
                spinner = $this.parents('.quantity'),
                input = spinner.find('input.qty'),
                step = input.attr('step'),
                min = input.attr('min'),
                max = input.attr('max'),
                value = parseInt(input.val());
            if (!value) value = 0;
            if (!step) step = 1;
            step = parseInt(step);
            if (!min) min = 0;
            var type = $this.hasClass('cms-qty-up') ? 'up' : 'down';
            switch (type) {
                case 'up':
                    if (!(max && value >= max))
                        input.val(value + step).change();
                    break;
                case 'down':
                    if (value > min)
                        input.val(value - step).change();
                    break;
            }
            if (max && (parseInt(input.val()) > max))
                input.val(max).change();
            if (parseInt(input.val()) < min)
                input.val(min).change();
        });
    }
    // Contact form 7
    function wiseguard_wpcf7(){
        'use strict';
        // add radio class active for default item
        $('.wpcf7-radio').each(function(){
            $('input[checked="checked"]').parents('.wpcf7-list-item').addClass('active');
        });
        // add radio class active on click
        $('.wpcf7-radio .wpcf7-list-item').on('click', function(){
            $(this).parent().find('.wpcf7-list-item').removeClass('active');
            $(this).toggleClass('active');
        });
        // add checkbox class active
        $('.wpcf7-checkbox .wpcf7-list-item').on('click', function(){
            $(this).toggleClass('active');
        });
        // date time
        $('.wpcf7-form-control-wrap.cms-date-time').on('click', function() {
            $(this).addClass('active');
        });
    }
    // ELementor
    $( window ).on( 'elementor/frontend/init', function() {
        // Hover add/remove class active
        var WidgetCMSHoverAddRemoveClasses = function( $scope, $ ) {
            $scope.find(".cms-hover-active").hover(function(e){
                e.preventDefault();
                var parent = $(this).parents(".elementor-widget-container");
                // hide all
                parent.find(".cms-hover-active").removeClass('active');
                // Show current
                $(this).addClass("active");
            });
        };
        elementorFrontend.hooks.addAction( 'frontend/element_ready/global', WidgetCMSHoverAddRemoveClasses);
    } );
})(jQuery);

// Animate on Scroll
(function( $ ) {
    "use strict";
    window.wiseguard_requestAnimFrame = function() {
        return (
            window.requestAnimationFrame       ||
            window.webkitRequestAnimationFrame ||
            window.mozRequestAnimationFrame    ||
            window.oRequestAnimationFrame      ||
            window.msRequestAnimationFrame     ||
            function( callback ) {
                window.setTimeout( callback, 1000 / 60 );
            }
        );
    }();

    window.wiseguard_floating_image_loop = function() {
        var win_w = window.innerWidth;
        var win_h = window.innerHeight;
        $( '.cms_floating_image_image' ).each(function() {
            //var elem = $(this).find('.cms_floating_image_image');
            var bounds = this.getBoundingClientRect();
            if ( bounds.top < win_h && bounds.bottom > 0 ) {
                var speed = $(this).attr( 'data-speed' ) / 10;
                //var speed = elem.attr( 'data-speed' ) / 10;
                var ypos = ( bounds.top - win_h/5 ) * speed;
               // elem.css( 'transform', 'translateY(' + ypos + 'px)' );
                $(this).css( 'transform', 'translateY(' + ypos + 'px)' );
            }

        });
        window.wiseguard_floating_image_lock = false;
    }
    
    window.wiseguard_floating_image_lock = false;
    
    $( window ).on( 'scroll', function() {
        if ( ! window.wiseguard_floating_image_lock ) {
            window.wiseguard_floating_image_lock = true;
            wiseguard_requestAnimFrame( wiseguard_floating_image_loop );
        }
    });
    
    wiseguard_requestAnimFrame( wiseguard_floating_image_loop );

    $( window ).on( "load", function() {  
        wiseguard_requestAnimFrame( wiseguard_floating_image_loop );
    });


    
})( jQuery );