<?php
use Elementor\Controls_Manager;
use \Elementor\Icons_Manager;
// Register Elementor Widgets through plugin core
if (!function_exists('wiseguard_elementor_register_widgets')) {
    add_filter('etc_register_widgets', 'wiseguard_elementor_register_widgets');
    function wiseguard_elementor_register_widgets($widgets)
    {
        $widgets = [
            [ // Cms Accordion
                'name'       => 'cms_accordion',
                'title'      => esc_html__('CMS Accordion', 'wiseguard'),
                'icon'       => 'eicon-accordion',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => array(
                    'cms-accordion-widget-js',
                ),
                'keywords' => [
                    'wiseguard', 'cms accordion', 'accordion'
                ]
            ],
            [ // Cms Anchor Link
                'name'       => 'cms_anchor',
                'title'      => esc_html__('CMS Anchor', 'wiseguard'),
                'icon'       => 'eicon-anchor',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms anchor', 'anchor'
                ]
            ],
            [ // Cms Banner
                'name'       => 'cms_banner',
                'title'      => esc_html__('CMS Banner', 'wiseguard'),
                'icon'       => 'eicon-banner',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'banner', 'image'
                ]
            ],
            [ // Cms Blog
                'name'       => 'cms_blog',
                'title'      => esc_html__('CMS Blog', 'wiseguard'),
                'icon'       => 'eicon-posts-grid',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'imagesloaded',
                    'isotope',
                    'cms-post-grid-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'blog', 'post', 'grid'
                ]
            ],
            [ // Cms Blog Grid
                'name'       => 'cms_blog_grid',
                'title'      => esc_html__('CMS Blog Grid', 'wiseguard'),
                'icon'       => 'eicon-posts-grid',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'imagesloaded',
                    'isotope',
                    'cms-post-grid-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'blog', 'post', 'grid'
                ]
            ],
            [ // Cms Blog Carousel
                'name'       => 'cms_blog_carousel',
                'title'      => esc_html__('CMS Blog Carousel', 'wiseguard'),
                'icon'       => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'blog', 'post', 'carousel'
                ]
            ],
            [ // Cms Breadcrumb
                'name'       => 'cms_breadcrumb',
                'title'      => esc_html__('CMS Breadcrumb', 'wiseguard'),
                'icon'       => 'eicon-ellipsis-h',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'breadcrumb'
                ]
            ],
            [ // Cms Button
                'name'       => 'cms_button',
                'title'      => esc_html__('CMS Button', 'wiseguard'),
                'icon'       => 'eicon-button',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'wiseguard', 'cms button', 'button'
                ]
            ],
            [ // CMS Chart
                'name'       => 'cms_chart',
                'title'      => esc_html__('CMS Chart', 'wiseguard'),
                'icon'       => 'eicon-circle-o',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms chart', 'chart', 'chartjs'
                ],
                'scripts'    => array(
                    'chartjs',
                    'cms-chartjs'
                )
            ],
            [ // Cms Clients Carousel
                'name'       => 'cms_clients',
                'title'      => esc_html__('CMS Clients', 'wiseguard'),
                'icon'       => 'eicon-person',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'cms', 'wiseguard', 'client', 'clients', 'carousel'
                ]
            ],
            [ // Cms Copyright
                'name'       => 'cms_copyright',
                'title'      => esc_html__('CMS Copyright', 'wiseguard'),
                'icon'       => 'eicon-menu-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms copyright', 'copyright'
                ]
            ],
            [ // Cms Countdown
                'name'       => 'cms_countdown',
                'title'      => esc_html__('CMS Countdown', 'wiseguard'),
                'icon'       => 'eicon-countdown',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-countdown-config'
                ],
                'keywords'   => [
                    'wiseguard', 'cms countdown', 'countdown'
                ]
            ],
            [ // Cms Counter
                'name'       => 'cms_counter',
                'title'      => esc_html__('CMS Counter', 'wiseguard'),
                'icon'       => 'eicon-counter-circle',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => array(
                    'jquery-numerator',
                    'cms-counter-widget-js',
                    'cms-post-carousel-widget-js'
                ),
                'keywords' => [
                    'wiseguard', 'cms counter', 'counter'
                ]
            ],
            [ // Cms Counter Sticky
                'name'       => 'cms_counter_sticky',
                'title'      => esc_html__('CMS Counter Sticky', 'wiseguard'),
                'icon'       => 'eicon-counter-circle',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => array(
                    'jquery-numerator',
                    'cms-counter-sticky-widget-js',
                    'cms-counter-widget-js'
                ),
                'keywords' => [
                    'wiseguard', 'cms counter', 'counter', 'sticky'
                ]
            ],
            [ // Cms Call to Action
                'name'       => 'cms_cta',
                'title'      => esc_html__('CMS Call To Action', 'wiseguard'),
                'icon'       => 'eicon-image-rollover',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms', 'call action', 'call', 'button'
                ]
            ],
            [ // CMS Download
                'name'       => 'cms_download',
                'title'      => esc_html__('CMS Download', 'wiseguard'),
                'icon'       => 'eicon-anchor',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms download', 'download', 'document'
                ]
            ],
            [ // Cms Fancy Box
                'name'       => 'cms_fancy_box',
                'title'      => esc_html__('CMS Fancy Box', 'wiseguard'),
                'icon'       => 'eicon-icon-box',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [],
                'styles'     => [],
                'keywords'   => [
                    'wiseguard', 'fancy-box', 'fancy', 'box'
                ]
            ],
            [ // CMS Find Location
                'name'       => 'cms_find_location',
                'title'      => esc_html__('CMS Find Location', 'wiseguard'),
                'icon'       => 'eicon-search-results', // eicon-map-pin / eicon-site-search
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms location', 'location', 'find','map',
                ]
            ],
            [ // CMS Gallery
                'name'       => 'cms_gallery',
                'title'      => esc_html__('CMS Gallery', 'wiseguard'),
                'icon'       => 'eicon-gallery-grid',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms gallery', 'gallery', 'image',
                ],
                'scripts' => [
                    'cms-galleries'
                ]
            ],
            [ // CMS Gallery Carousel
                'name'       => 'cms_gallery_carousel',
                'title'      => esc_html__('CMS Gallery Carousel', 'wiseguard'),
                'icon'       => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms gallery', 'gallery', 'image', 'carousel'
                ],
                'scripts' => [
                    'cms-post-carousel-widget-js'
                ]
            ],
            [ // CMS Google Map
                'name'       => 'cms_google_map',
                'title'      => esc_html__('CMS Google Map', 'wiseguard'),
                'icon'       => 'eicon-google-maps',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms map', 'cms', 'map'
                ]
            ],
            [ // Cms Heading
                'name'       => 'cms_heading',
                'title'      => esc_html__('CMS Heading', 'wiseguard'),
                'icon'       => 'eicon-heading',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'heading', 'custom heading'
                ],
                'scripts'    => [
                    'jquery-numerator'
                ]
            ],
            [ // Cms How it Work
                'name'       => 'cms_howitwork',
                'title'      => esc_html__('CMS How It Work', 'wiseguard'),
                'icon'       => 'eicon-info-box',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts' => [
                    'cms-howitwork'
                ],
                'keywords'   => [
                    'wiseguard', 'how', 'how it work'
                ]
            ],
            [ // Cms Icon
                'name'       => 'cms_icon',
                'title'      => esc_html__('CMS Icon', 'wiseguard'),
                'icon'       => 'eicon-alert',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms icon', 'icon'
                ]
            ],
            [ // Cms List
                'name'       => 'cms_list',
                'title'      => esc_html__('CMS List', 'wiseguard'),
                'icon'       => 'eicon-editor-list-ul',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                   'wiseguard', 'cms list', 'list'
                ]
            ],
            [ // Cms Maps Pointers
                'name'       => 'cms_maps_pointers',
                'title'      => esc_html__('CMS Maps Pointers', 'wiseguard'),
                'icon'       => 'eicon-map-pin', //eicon-google-maps
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                   'wiseguard', 'cms map pointer', 'map', 'pointer'
                ]
            ],
            [ // Cms Navigation Menu
                'name'       => 'cms_navigation_menu',
                'title'      => esc_html__('CMS Menu', 'wiseguard'),
                'icon'       => 'eicon-menu-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms navigation menu', 'menu'
                ]
            ],
            [ // Cms Page Title
                'name'       => 'cms_page_title',
                'title'      => esc_html__('CMS Page Title', 'wiseguard'),
                'icon'       => 'eicon-archive-title',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms page title', 'page title', 'title'
                ]
            ],
            [ // Cms Post Title
                'name'       => 'cms_post_title',
                'title'      => esc_html__('CMS Post Title', 'wiseguard'),
                'icon'       => 'eicon-archive-title',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms post title', 'post title', 'title'
                ]
            ],
            [ // Cms Pricing
                'name'       => 'cms_pricing',
                'title'      => esc_html__('CMS Pricing', 'wiseguard'),
                'icon'       => 'eicon-price-table',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'cms pricing', 'pricing', 'price'
                ]
            ],
            [ // Cms Process
                'name'       => 'cms_process',
                'title'      => esc_html__('CMS Process', 'wiseguard'),
                'icon'       => 'eicon-counter-circle',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'cms process', 'process'
                ]
            ],
           [ // Cms Progress Bar
                'name'       => 'cms_progressbar',
                'title'      => esc_html__('CMS Progress Bar', 'wiseguard'),
                'icon'       => 'eicon-skill-bar',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'jquery-numerator',
                    //'cms-progressbar-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'cms progressbar', 'progress bar'
                ]
            ],
            [ // CMS Quick Contact
                'name'       => 'cms_quickcontact',
                'title'      => esc_html__('CMS Quick Contact', 'wiseguard'),
                'icon'       => 'eicon-mail',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms quick contact', 'quick', 'contact',
                ]
            ],
            [ // CMS Reviews
                'name'       => 'cms_reviews',
                'title'      => esc_html__('CMS Reviews', 'wiseguard'),
                'icon'       => 'eicon-rating',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms reviews', 'cms', 'reviews',
                ]
            ],
            [ // Cms Slider
                'name'       => 'cms_slider',
                'title'      => esc_html__('CMS Slider', 'wiseguard'),
                'icon'       => 'eicon-slides',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'cms slider', 'slider'
                ]
            ],
            [ // CMS Socials Icons
                'name'       => 'cms_social_icons',
                'title'      => esc_html__('CMS Socials Icon', 'wiseguard'),
                'icon'       => 'eicon-social-icons',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms social', 'icon', 'social icon',
                ]
            ],
            [ // CMS Star Rating
                'name'       => 'cms_star_rating',
                'title'      => esc_html__('CMS Star Ratings', 'wiseguard'),
                'icon'       => 'eicon-rating',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms rating', 'rating', 'star',
                ]
            ],
            [ // CMS Support
                'name'       => 'cms_support',
                'title'      => esc_html__('CMS Support', 'wiseguard'),
                'icon'       => 'eicon-person',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms support', 'support', 'hel', 'call center'
                ]
            ],
            [ // Cms Tabs
                'name'       => 'cms_tabs',
                'title'      => esc_html__('CMS Tabs', 'wiseguard'),
                'icon'       => 'eicon-tabs',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-tabs-widget-js',
                ],
                'keywords' => [
                    'cms', 'wiseguard', 'tab'
                ]
            ],
            [ // Cms Teams (Grid + Carousel)
                'name'       => 'cms_teams',
                'title'      => esc_html__('CMS Teams', 'wiseguard'),
                'icon'       => 'eicon-user-circle-o',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'cms', 'wiseguard', 'team', 'teams', 'grid', 'carousel'
                ]
            ],
            [ // Cms Testimonial Carousel
                'name'       => 'cms_testimonials',
                'title'      => esc_html__('CMS Testimonials', 'wiseguard'),
                'icon'       => 'eicon-testimonial',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'cms', 'wiseguard', 'testimonial', 'testimonials', 'carousel'
                ]
            ],
            [ // Cms Text Scroll
                'name'       => 'cms_text_scroll',
                'title'      => esc_html__('CMS Text Scroll', 'wiseguard'),
                'icon'       => 'eicon-scroll',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [],
                'keywords'   => [
                    'cms', 'wiseguard', 'text scroll', 'scroll'
                ]
            ],
            [ // Cms Video
                'name'       => 'cms_video_player',
                'title'      => esc_html__('CMS Video Player', 'wiseguard'),
                'icon'       => 'eicon-play',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords'   => [
                    'wiseguard', 'cms video player', 'video'
                ]
            ]
        ];
        if(apply_filters('wiseguard_enable_service', true)){
            $widgets[] = [ // Cms Service Grid
                'name'       => 'cms_service_grid',
                'title'      => esc_html__('CMS Service Grid', 'wiseguard'),
                'icon'       => 'eicon-posts-grid',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'imagesloaded',
                    'isotope',
                    'cms-post-grid-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'service', 'grid'
                ]
            ];
            $widgets[] = [ // Cms Service Carousel
                'name'       => 'cms_service_carousel',
                'title'      => esc_html__('CMS Service Carousel', 'wiseguard'),
                'icon'       => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'service', 'carousel'
                ]
            ];
        }
        if(apply_filters('wiseguard_enable_industry', true)){
            $widgets[] = [ // Cms Industry Grid
                'name'       => 'cms_industry_grid',
                'title'      => esc_html__('CMS Industry Grid', 'wiseguard'),
                'icon'       => 'eicon-posts-grid',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'imagesloaded',
                    'isotope',
                    'cms-post-grid-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'industry', 'grid'
                ]
            ];
            $widgets[] = [ // Cms Industry Carousel
                'name'       => 'cms_industry_carousel',
                'title'      => esc_html__('CMS Industry Carousel', 'wiseguard'),
                'icon'       => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'industry', 'carousel'
                ]
            ];
        }
        if(apply_filters('wiseguard_enable_case', true)){
            $widgets[] = [ // Cms Case
                'name'       => 'cms_case',
                'title'      => esc_html__('CMS Case', 'wiseguard'),
                'icon'       => 'eicon-posts-masonry',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'keywords' => [
                    'wiseguard', 'case', 'grid'
                ]
            ];
            $widgets[] = [ // Cms Case Grid
                'name'       => 'cms_case_grid',
                'title'      => esc_html__('CMS Case Grid', 'wiseguard'),
                'icon'       => 'eicon-posts-grid',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'imagesloaded',
                    'isotope',
                    'cms-post-grid-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'case', 'grid'
                ]
            ];
            $widgets[] = [ // Cms Case Carousel
                'name'       => 'cms_case_carousel',
                'title'      => esc_html__('CMS Case Carousel', 'wiseguard'),
                'icon'       => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'case', 'carousel'
                ]
            ];
        }
        if(apply_filters('wiseguard_enable_career', true)){
            $widgets[] = [ // Cms Career Grid
                'name'       => 'cms_career_grid',
                'title'      => esc_html__('CMS Career Grid', 'wiseguard'),
                'icon'       => 'eicon-posts-grid',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'imagesloaded',
                    'isotope',
                    'cms-post-grid-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'career', 'grid'
                ]
            ];
            $widgets[] = [ // Cms Career Carousel
                'name'       => 'cms_career_carousel',
                'title'      => esc_html__('CMS Career Carousel', 'wiseguard'),
                'icon'       => 'eicon-posts-carousel',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [
                    'cms-post-carousel-widget-js',
                ],
                'keywords' => [
                    'wiseguard', 'career', 'carousel'
                ]
            ];
        }
        // Contact Form 7
        if (class_exists('WPCF7')) {
            $widgets[] = [
                'name'       => 'cms_contact_form',
                'title'      => esc_html__('CMS Contact Form 7', 'wiseguard'),
                'icon'       => 'eicon-form-horizontal',
                'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
                'scripts'    => [],
                'styles'     => [],
                'keywords'   => [
                    'cms', 'wiseguard', 'contact-form', 'form', 'contact'
                ]
            ];
        }
        // Newsletter
        if(class_exists('Newsletter')){
            $widgets[] = [
                'name'       => 'cms_newsletter',
                'title'      => esc_html__( 'CMS Newsletter', 'wiseguard' ),
                'icon'       => 'eicon-mail',
                'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
                'keywords'   => [
                    'cms', 'wiseguard', 'newsletter'
                ]
            ];
        }
        // Language Swicther
        if(class_exists('TRP_Translate_Press')){
            $widgets[] = [
                'name'       => 'cms_language_switcher',
                'title'      => esc_html__( 'CMS Language Switcher', 'wiseguard' ),
                'icon'       => 'eicon-exchange',
                'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
                'keywords'   => [
                    'cms', 'wiseguard', 'language', 'language switcher'
                ]
            ];
        }
        // WooCommerce
        if(class_exists('WooCommerce')){
            $widgets[] = [
                'name'       => 'cms_product_tabs',
                'title'      => esc_html__( 'CMS Products Tab', 'wiseguard' ),
                'icon'       => 'eicon-product-tabs',
                'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
                'keywords'   => [
                    'cms', 'wiseguard','tab', 'product', 'product tab'
                ],
                'scripts' => [
                    'cms-tabs-widget-js'
                ]
            ];
        }
        return $widgets;
    }
}
if(!function_exists('wiseguard_add_hidden_device_controls')){
    function wiseguard_add_hidden_device_controls($widget = [], $args = []) {
        $args = wp_parse_args($args, [
            'prefix'    => 'cms_',
            'condition' => []
        ]);
        // The 'Hide On X' controls are displayed from largest to smallest, while the method returns smallest to largest.
        $active_devices = \Elementor\Plugin::$instance->breakpoints->get_active_devices_list( [ 'reverse' => true ] );
        $active_breakpoints = \Elementor\Plugin::$instance->breakpoints->get_active_breakpoints();

        foreach ( $active_devices as $breakpoint_key ) {
            $label = 'desktop' === $breakpoint_key ? esc_html__( 'Desktop', 'wiseguard' ) : $active_breakpoints[ $breakpoint_key ]->get_label();

            $widget->add_control(
                $args['prefix'].'hide_' . $breakpoint_key,
                [
                    /* translators: %s: Device name. */
                    'label'        => sprintf( __( 'Hide On %s', 'wiseguard' ), $label ),
                    'type'         => \Elementor\Controls_Manager::SWITCHER,
                    'default'      => '',
                    //'prefix_class' => 'elementor-',
                    'label_on'     => esc_html__( 'Hide', 'wiseguard' ),
                    'label_off'    => esc_html__( 'Show', 'wiseguard' ),
                    //'return_value' => 'hidden-' . $breakpoint_key,
                    'condition' => $args['condition']
                ]
            );
        }
    }
}
if(!function_exists('wiseguard_add_hidden_device_controls_render')){
    function wiseguard_add_hidden_device_controls_render($settings = [], $prefix = ''){
        $active_devices     = \Elementor\Plugin::$instance->breakpoints->get_active_devices_list( [ 'reverse' => true ] );
        $active_breakpoints = \Elementor\Plugin::$instance->breakpoints->get_active_breakpoints();
        $hidden             = [];
        foreach ($active_devices as $device) {
            $hidden[] = ($settings[$prefix.'hide_'.$device] === 'yes') ? 'cms-hidden-'.$device : '';
        }
        return implode(' ',array_filter($hidden));
    }
}
// Display Alignment
if(!function_exists('wiseguard_elementor_reponsive_flex_alignment')){
    function wiseguard_elementor_responsive_flex_alignment($widget = [], $args = []){
        $args = wp_parse_args($args, [
            'name'      => 'align',
            'condition' => [],
            'label'     => esc_html__( 'Alignment', 'wiseguard' )
        ]);
        return $widget->add_responsive_control(
            $args['name'],
            [
                'label'        => $args['label'],
                'type'         => Controls_Manager::CHOOSE,
                'options'      => [
                    'start'    => [
                        'title' => esc_html__( 'Left', 'wiseguard' ),
                        'icon'  => 'eicon-text-align-left',
                    ],
                    'center'  => [
                        'title' => esc_html__( 'Center', 'wiseguard' ),
                        'icon'  => 'eicon-text-align-center',
                    ],
                    'end'   => [
                        'title' => esc_html__( 'Right', 'wiseguard' ),
                        'icon'  => 'eicon-text-align-right',
                    ],
                    'between' => [
                        'title' => esc_html__( 'Between', 'wiseguard' ),
                        'icon'  => 'eicon-text-align-justify',
                    ],
                ],
                'condition' => $args['condition']
            ]
        );
    }
}
// Alignment Class
if(!function_exists('wiseguard_elementor_get_alignment_class')){
    function wiseguard_elementor_get_alignment_class($widget = [], $settings = [], $args = []){
        $args = wp_parse_args($args, [
            'name'         => '',
            'default'      => '',
            'prefix_class' => 'text-',
            'desktop'      => '',
            'laptop'       => '',
            'tablet_extra' => '',
            'tablet'       => '',
            'mobile_extra' => '',
            'mobile'       => '' 
        ]);
        
        $active_devices = \Elementor\Plugin::$instance->breakpoints->get_active_devices_list( [ 'reverse' => true ] );
        $align_class = [];
        if(!empty($settings[$args['name']]) || !empty($args['default'])){
            $align_class[] = $args['prefix_class'].$widget->get_setting($args['name'], $args['default']);
        }
        // Align Class
        foreach ( $active_devices as $key => $breakpoint_key ) {
            $breakpoint_key_class =  str_replace('_','-',$breakpoint_key);

            $setting_breakpoint_key = $widget->get_setting($args['name'].'_' . $breakpoint_key, $args[$breakpoint_key]);

            if($breakpoint_key !== 'desktop' && !empty($setting_breakpoint_key) ){
                //$align_class[] = $args['prefix_class'].$breakpoint_key_class.'-'.$settings[$args['name'].'_' . $breakpoint_key];
                $align_class[] = $args['prefix_class'].$breakpoint_key_class.'-'.$setting_breakpoint_key;
            }
        }
        // remove duplicate value
        $align_class = array_values(array_unique($align_class));
        
        // return
        return wiseguard_nice_class($align_class);
    }
}

// Grid Columns
if(!function_exists('wiseguard_elementor_get_grid_columns')){
    function wiseguard_elementor_get_grid_columns($widget = [], $settings = [], $args = []){
        $args = wp_parse_args($args, [
            'name'         => 'col',
            'prefix_class' => 'flex-col-',
            'default'      => '',
            'desktop'      => '',
            'laptop'       => '',
            'tablet_extra' => '',
            'tablet'       => '',
            'mobile_extra' => '',
            'mobile'       => '' 
        ]);
        
        $active_devices = \Elementor\Plugin::$instance->breakpoints->get_active_devices_list( [ 'reverse' => true ] );
        $align_class = [];
        if(!empty($settings[$args['name']]) || !empty($args['default']) ){
            $align_class[] = $args['prefix_class'].$widget->get_setting($args['name'], $args['default']);
        }
        // Align Class
        foreach ( $active_devices as $key => $breakpoint_key ) {
            $breakpoint_key_class =  str_replace('_','-',$breakpoint_key);
            $setting_breakpoint_key = $widget->get_setting($args['name'].'_' . $breakpoint_key, $args[$breakpoint_key]);

            if($breakpoint_key !== 'desktop' && !empty($setting_breakpoint_key) ){
                //$align_class[] = $args['prefix_class'].$breakpoint_key_class.'-'.$settings[$args['name'].'_' . $breakpoint_key];
                $align_class[] = $args['prefix_class'].$breakpoint_key_class.'-'.$setting_breakpoint_key;
            }
        }
        // remove duplicate value
        $align_class = array_values(array_unique($align_class));
        
        // return
        return wiseguard_nice_class($align_class);
    }
}

if(!function_exists('wiseguard_elementor_colors_opts')){
    function wiseguard_elementor_colors_opts($widget=[],$args = []){
        $args = wp_parse_args($args, [
            'name'      => '',
            'selector'  => [],
            'label'     => esc_html__('Color', 'wiseguard'),
            'separator' => '',
            'condition' => [],
            'custom'    => true    
        ]);
        $widget->add_control(
            $args['name'],
            [
                'label'     => $args['label'],
                'type'      => Controls_Manager::SELECT,
                'options'   => wiseguard_theme_colors(['custom' => $args['custom']]),
                'default'   => '',
                'separator' => $args['separator'],
                'condition' => $args['condition']
            ]
        );
        if($args['custom']){
            $widget->add_control(
                $args['name'].'_custom',
                [
                    'label'     => $args['label'].' '.esc_html__( 'Custom', 'wiseguard' ),
                    'type'      => Controls_Manager::COLOR,
                    'selectors' => $args['selector'],
                    'condition' => array_merge(
                        $args['condition'],
                        [
                            $args['name'] => 'custom'
                        ]
                    )
                ]
            );
        }
    }
}
// Render circle text 
if(!function_exists('wiseguard_circle_text')){
    function wiseguard_circle_text($args = []){
        $args = wp_parse_args($args, [
            'class'      => '',
            'dimensions' => 140,
            'background' => 'transparent',
            'color'      => 'accent',
            'text'       => '',
            'echo'       => true,
            'before'     => '',
            'after'      => '',
            // 
            'svg_class'  => 'cms-spin'
        ]);

        $text       = $args['text'];
        $background = $args['background'];
        $color      = $args['color'];
        $dimensions = $args['dimensions'];

        $classes = ['cms-circle-text relative', $args['class']];
        ob_start();
    ?>
    <div class="<?php echo wiseguard_nice_class($classes); ?>" style="width:<?php echo esc_attr($dimensions);?>px; height: <?php echo esc_attr($dimensions);?>px;">
        <?php printf('%s', $args['before']); ?>
        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 300 300" enable-background="new 0 0 300 300" xml:space="preserve" class="<?php echo esc_attr($args['svg_class']) ?>">
            <defs>
                <path id="cms-criclePath" d=" M 150, 150 m -120, 0 a 120,120 0 0,1 240,0 a 120,120 0 0,1 -240,0 "/>
            </defs>
            <circle cx="150" cy="150" r="150" fill="<?php echo esc_attr($background);?>"/>
            <g>
                <use xlink:href="#cms-criclePath" fill="none"/>
                <text fill="<?php echo esc_attr($color);?>">
                    <textPath xlink:href="#cms-criclePath"><?php echo esc_html($text); ?></textPath>
                </text>
            </g>
        </svg>
        <?php printf('%s', $args['after']); ?>
    </div>
    <?php
        if($args['echo']){
            echo ob_get_clean();
        } else {
            return ob_get_clean();
        }
    }
}
// Elementor default Icon
if(!function_exists('wiseguard_elementor_icon_default')){
    function wiseguard_elementor_icon_default($icon = ['value' => '', 'library' => ''], $default = ['value' => '', 'library']){
        if(empty($icon['value'])) $icon = $default;
        return $icon;
    }
}
if(!function_exists('wiseguard_elementor_icon_render')){
    function wiseguard_elementor_icon_render($icon=[], $default=[], $attrs=[]){
        Icons_Manager::render_icon( wiseguard_elementor_icon_default($icon, $default), $attrs ); 
    }
}
// Scan files to register controls for each new custom widget
$files = scandir(get_template_directory() . '/elementor/core/widgets');
foreach ($files as $file) {
    $pos = strrpos($file, ".php");
    if ($pos !== false) {
        require_once get_template_directory() . '/elementor/core/widgets/' . $file;
    }
}
/**
 * Extra Elementor Icons
 */
if (!function_exists('wiseguard_register_custom_icon_library')) {
    add_filter('elementor/icons_manager/native', 'wiseguard_register_custom_icon_library');
    function wiseguard_register_custom_icon_library($tabs)
    {
        $custom_tabs = [
            'cmsi_icon' => [
                'name'          => 'cmsi-icon',
                'label'         => esc_html__('CMS Icons', 'wiseguard'),
                'url'           => get_template_directory_uri() . '/assets/fonts/font-cmsi/style.css',
                'enqueue'       => [],
                'prefix'        => 'cmsi-',
                'displayPrefix' => '',
                'labelIcon'     => 'cmsi-arrow-circle-right',
                'ver'           => '1.0.0',
                'fetchJson'     => get_template_directory_uri() . '/assets/fonts/font-cmsi.js',
                'native'        => true,
            ],
            'cmsi_wiseguard' => [
                'name'          => 'cmsi-wiseguard',
                'label'         => esc_html__('CMS WiseGuard', 'wiseguard'),
                'url'           => get_template_directory_uri() . '/assets/fonts/font-theme/style.css',
                'enqueue'       => [],
                'prefix'        => 'wiseguard-icon-',
                'displayPrefix' => '',
                'labelIcon'     => 'wiseguard-icon-default',
                'ver'           => '1.0.0',
                'fetchJson'     => get_template_directory_uri() . '/assets/fonts/font-theme.js',
                'native'        => true,
            ]
        ];
        $tabs = array_merge($custom_tabs, $tabs);
        return $tabs;
    }
}