<?php

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

if (!function_exists('wiseguard_widget_cms_anchor_register_controls')) {
    add_action('etc_widget_cms_anchor_register_controls', 'wiseguard_widget_cms_anchor_register_controls', 10, 1);
    function wiseguard_widget_cms_anchor_register_controls($widget)
    {
        // Layout Tab Start
        $widget->start_controls_section(
            'layout_section',
            [
                'label' => esc_html__('Layout', 'wiseguard'),
                'tab' => Controls_Manager::TAB_LAYOUT,
            ]
        );

        $widget->add_control(
            'layout',
            [
                'label'   => esc_html__( 'Templates', 'wiseguard' ),
                'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                'options' => [
                    '1' => [
                        'label' => esc_html__( 'Layout 1', 'wiseguard' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_anchor/layout/1.jpg'
                    ],
                    '2' => [
                        'label' => esc_html__( 'Layout 2', 'wiseguard' ),
                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_anchor/layout/2.jpg'
                    ]
                ],
                'default'      => '1'
            ]
        );

        $widget->end_controls_section();
        // Layout Tab End

        // Content Tab Start

        // anchor Section Start
        $widget->start_controls_section(
            'section_anchor',
            [
                'label' => esc_html__('Anchor', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );
        $widget->add_control(
            'title',
            [
                'label'   => esc_html__('Title', 'wiseguard'),
                'type'    => Controls_Manager::TEXT,
                'default' => esc_html__('Back To Top', 'wiseguard'),
            ]
        );
        $widget->add_control(
            'anchor_id',
            [
                'label'       => esc_html__( 'ID', 'wiseguard' ),
                'type'        => \Elementor\Controls_Manager::TEXT,
                'placeholder' => 'cms-header-wrap',
                'description' => __('This ID will be the CSS ID you will have to use in your own page, Without #.', 'wiseguard').' '.sprintf( __( 'Note: The ID link ONLY accepts these chars: %s', 'wiseguard' ), '`A-Z, a-z, 0-9, _ , -`' ),
            ]
        );
        $widget->add_control(
            'selected_icon',
            [
                'label'            => esc_html__( 'Icon', 'wiseguard' ),
                'type'             => \Elementor\Controls_Manager::ICONS,
                'default'          => [
                    'library' => 'cmsi',
                    'value'   => 'cmsi-long-arrow-up'
                ]
            ]
        );
        $widget->end_controls_section();
    }
}
