<?php
use Elementor\Controls_Manager;
use Elementor\Base_Data_Control;

if(!function_exists('wiseguard_widget_cms_copyright_register_controls')){
	add_action('etc_widget_cms_copyright_register_controls', 'wiseguard_widget_cms_copyright_register_controls', 10, 1);
	function wiseguard_widget_cms_copyright_register_controls($widget){
		// Layout Settings
		$widget->start_controls_section(
			'layout_section',
			[
				'label' => esc_html__( 'Copyright', 'wiseguard' ),
				'tab' => Controls_Manager::TAB_LAYOUT,
			]
		);
			$widget->add_control(
				'layout',
	            [
	            	'label'   => esc_html__( 'Templates', 'wiseguard' ),
		            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
		            'default' => '1',
		            'options' => [
		                '1' => [
		                    'label' => esc_html__( 'Layout 1', 'wiseguard' ),
		                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_copyright/layout/1.jpg'
		                ]
		            ]
		        ]
			);
		$widget->end_controls_section();
		// Content Settings
		$widget->start_controls_section(
			'setting_section',
            [
            	'label'    => esc_html__('Settings', 'wiseguard'),
            	'tab'      => \Elementor\Controls_Manager::TAB_CONTENT
            ]
		);
		$widget->add_control(
			'copyright_text',
			[
				'label'       => esc_html__('Copyright Text', 'wiseguard'),
				'type'        => \Elementor\Controls_Manager::WYSIWYG,
				'description' => esc_html__('Use [[year]] variable to insert current year.', 'wiseguard'),
				'label_block' => true,
				'default' => '&copy;[[year]] Theme, All Rights Reserved. With Love by <a href="https://cmssuperheroes.com/" target="_blank" rel="nofollow">CMSSuperHeroes</a>',
			]
		);
        
		$widget->end_controls_section();
		// Style
        $widget->start_controls_section(
            'section_style_title',
            [
                'label' => esc_html__('Style', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE
            ]
        );
        	$widget->add_responsive_control(
	            'align',
	            [
	                'label'        => esc_html__( 'Alignment', 'wiseguard' ),
	                'type'         => Controls_Manager::CHOOSE,
	                'responsive'   => true,
	                'options'      => [
	                    'start'    => [
	                        'title' => esc_html__( 'Left', 'wiseguard' ),
	                        'icon'  => 'eicon-text-align-left',
	                    ],
	                    'center'  => [
	                        'title' => esc_html__( 'Center', 'wiseguard' ),
	                        'icon'  => 'eicon-text-align-center',
	                    ],
	                    'end'   => [
	                        'title' => esc_html__( 'Right', 'wiseguard' ),
	                        'icon'  => 'eicon-text-align-right',
	                    ],
	                    'justify' => [
	                        'title' => esc_html__( 'Justified', 'wiseguard' ),
	                        'icon' => 'eicon-text-align-justify',
	                    ]
	                ],
	                'prefix_class' => 'text%s-'
	            ]
	        );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'text_color',
                'label'     => esc_html__( 'Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-title' => 'color: {{VALUE}};',
                ]
            ]);
            $widget->add_control(
	            'link_color',
	            [
	                'label'     => esc_html__( 'Link Color', 'wiseguard' ),
	                'type'      => \Elementor\Controls_Manager::COLOR,
	                'selectors' => [
	                    '{{WRAPPER}} a' => 'color: {{VALUE}};',
	                ],
	            ]
	        );
	        $widget->add_control(
	            'link_color_hover',
	            [
	                'label'     => esc_html__( 'Link Color Hover & Active', 'wiseguard' ),
	                'type'      => \Elementor\Controls_Manager::COLOR,
	                'selectors' => [
	                    '{{WRAPPER}} a:hover' => 'color: {{VALUE}};',
	                ],
	            ]
	        );
        $widget->end_controls_section();
	}
}
?>