<?php
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Utils;
use Elementor\Group_Control_Image_Size;

if (!function_exists('wiseguard_widget_cms_cta_register_controls')) {
    add_action('etc_widget_cms_cta_register_controls', 'wiseguard_widget_cms_cta_register_controls', 10, 1);
    function wiseguard_widget_cms_cta_register_controls($widget)
    {
        // Layout
        $widget->start_controls_section(
            'layout_section',
            [
                'label' => esc_html__('Layout', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_LAYOUT,
            ]
        );
            $widget->add_control(
                'layout',
                [
                    'label'   => esc_html__( 'Templates', 'wiseguard' ),
                    'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                    'default' => '1',
                    'options' => [
                        '1' => [
                            'label' => esc_html__( 'Layout 1', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout/1.jpg'
                        ],
                        '2' => [
                            'label' => esc_html__( 'Layout 2', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout/2.jpg'
                        ],
                        '3' => [
                            'label' => esc_html__( 'Layout 3', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout/3.jpg'
                        ],
                        '4' => [
                            'label' => esc_html__( 'Layout 4', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout/4.jpg'
                        ],
                        '5' => [
                            'label' => esc_html__( 'Layout 5', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout/5.jpg'
                        ],
                        '6' => [
                            'label' => esc_html__( 'Layout 6', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout/6.jpg'
                        ],
                        '7' => [
                            'label' => esc_html__( 'Layout 7', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout/7.jpg'
                        ],
                        '8' => [
                            'label' => esc_html__( 'Layout 8', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout/8.jpg'
                        ],
                        '9' => [
                            'label' => esc_html__( 'Layout 9', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout/9.jpg'
                        ],
                        '10' => [
                            'label' => esc_html__( 'Layout 10', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout/10.jpg'
                        ],
                        '11' => [
                            'label' => esc_html__( 'Layout 11', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout/11.jpg'
                        ]
                    ]
                ]
            );
        $widget->end_controls_section();
        // Banner 
        $widget->start_controls_section(
            'banner_section',
            [
                'label' => esc_html__('Banner', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
                'condition' => [
                    'layout' => ['8']
                ]
            ]
        );  
            $widget->add_control(
                'banner',
                [
                    'label' => esc_html__('Banner','wiseguard'),
                    'type'  => Controls_Manager::MEDIA,
                    'default' => [
                        'url' => Utils::get_placeholder_image_src()
                    ]
                ]
            );
            $widget->add_group_control(
                Group_Control_Image_Size::get_type(),
                [
                    'name'    => 'banner',
                    'label'   => esc_html__('Image Size','wiseguard'),
                    'default' => 'custom',
                    'condition' => [
                        'banner[url]!' => ''
                    ]
                ]
            );
        $widget->end_controls_section();
        // Content Section Start
        $widget->start_controls_section(
            'content_section',
            [
                'label' => esc_html__('Content', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );  
            $widget->add_control(
                'title',
                [
                    'label'       => esc_html__( 'Title', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'We Have Official Expert Level Of Knowledge And Certification Equipments.',
                    'placeholder' => esc_html__( 'Enter your title', 'wiseguard' ),
                    'condition'   => [
                        'layout'  => ['all', '8', '9']
                    ]
                ]
            );      
            $widget->add_control(
                'text',
                [
                    'label'       => esc_html__( 'Description', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'We have established corporate mandate to maintain strong core values that truly reflect the philosophy.',
                    'placeholder' => esc_html__( 'Enter your text', 'wiseguard' )
                ]
            );
            $widget->add_control(
                'link_text',
                [
                    'label'       => esc_html__( 'Link Settings', 'wiseguard' ),
                    'description' => esc_html__('Link Text', 'wiseguard'),
                    'type'        => Controls_Manager::TEXT,
                    'default'     => esc_html__( 'Click here', 'wiseguard' ),
                    'placeholder' => esc_html__( 'Click here', 'wiseguard' ),
                    'label_block' => true,
                    'condition'   => [
                        'layout!'  => ['8']
                    ]
                ]
            );
            $widget->add_control(
                'link_type',
                [
                    'label'   => esc_html__('Link Type', 'wiseguard'),
                    'type'    => Controls_Manager::SELECT,
                    'options' => [
                        'custom' => esc_html__('Custom', 'wiseguard'),
                        'page'   => esc_html__('Page', 'wiseguard'),
                    ],
                    'default' => 'custom',
                    'condition' => [
                        'layout!'  => ['8'],
                        'link_text!' => ''
                    ]
                ]
            );
            $widget->add_control(
                'page_link',
                [
                    'label'   => esc_html__('Select Page', 'wiseguard'),
                    'type'    => Elementor_Theme_Core::POSTS_CONTROL,
                    'post_type' => [
                        'page'
                    ],
                    'multiple'  => false,
                    'condition' => [
                        'layout!'  => ['8'],
                        'link_text!' => '',
                        'link_type' => 'page'
                    ]
                ]
            );
            $widget->add_control(
                'custom_link',
                [
                    'label'       => esc_html__( 'Link', 'wiseguard' ),
                    'type'        => Controls_Manager::URL,
                    'placeholder' => esc_html__( 'https://your-link.com', 'wiseguard' ),
                    'default'     => [
                        'url' => '#',
                    ],
                    'condition' => [
                        'layout!'  => ['8'],
                        'link_text!' => '',
                        'link_type' => 'custom'
                    ]
                ]
            );
        $widget->end_controls_section();
        // Avatar
        $widget->start_controls_section(
            'avatar_section',
            [
                'label' => esc_html__('Avatar Settings','wiseguard'),
                'tab'   =>  Controls_Manager::TAB_CONTENT
            ]
        );
            $widget->add_control(
                'avatar',
                [
                    'label'   => esc_html__( 'Avatar', 'wiseguard' ),
                    'type'    => \Elementor\Controls_Manager::MEDIA,
                    'default' => [
                        'url' => get_template_directory_uri().'/assets/images/placeholder-square.png'
                    ],
                    'condition' => [
                        'layout' => ['2','5','9']
                    ]
                ]
            );
        $widget->end_controls_section();
        // Phone settings
        $widget->start_controls_section(
            'phone_section',
            [
                'label' => esc_html__('Phone Settings','wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT 
            ]
        );
            $widget->add_control(
                'phone_text',
                [
                    'label'   => esc_html__( 'Phone Text', 'wiseguard' ),
                    'type'    => \Elementor\Controls_Manager::TEXT,
                    'default' => 'Sales Representative',
                    'condition' => [
                        'layout' => ['4','8','9']
                    ]
                ]
            );
            $widget->add_control(
                'phone',
                [
                    'label'   => esc_html__( 'Phone Number', 'wiseguard' ),
                    'type'    => \Elementor\Controls_Manager::TEXT,
                    'default' => '+2 01161145741',
                    'condition' => [
                        'layout' => ['2','4','5', '8','9']
                    ]
                ]
            );
        $widget->end_controls_section();
        // Button Section Start
        $widget->start_controls_section(
            'button_section',
            [
                'label' => esc_html__('Button Settings', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
                'condition' => [
                    'layout' => ['4', '6', '8','9','10']
                ]
            ]
        );         
            $widget->add_control(
                'btn_text',
                [
                    'label'       => esc_html__( 'Text', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXT,
                    'default'     => esc_html__( 'Button here', 'wiseguard' ),
                    'placeholder' => esc_html__( 'Button here', 'wiseguard' )
                ]
            );
            $widget->add_control(
                'btn_link_type',
                [
                    'label'   => esc_html__('Link Type', 'wiseguard'),
                    'type'    => Controls_Manager::SELECT,
                    'options' => [
                        'custom' => esc_html__('Custom', 'wiseguard'),
                        'page'   => esc_html__('Page', 'wiseguard'),
                    ],
                    'default' => 'custom'
                ]
            );
            $widget->add_control(
                'btn_page_link',
                [
                    'label'   => esc_html__('Select Page', 'wiseguard'),
                    'type'    => Elementor_Theme_Core::POSTS_CONTROL,
                    'post_type' => [
                        'page'
                    ],
                    'multiple'  => false,
                    'condition' => [
                        'btn_link_type' => 'page'
                    ]
                ]
            );
            $widget->add_control(
                'btn_link',
                [
                    'label'       => esc_html__( 'Link', 'wiseguard' ),
                    'type'        => Controls_Manager::URL,
                    'placeholder' => esc_html__( 'https://your-link.com', 'wiseguard' ),
                    'default'     => [
                        'url' => '#',
                    ],
                    'condition' => [
                        'btn_link_type' => 'custom'
                    ]
                ]
            );
        $widget->end_controls_section();
        // Style
        $widget->start_controls_section(
            'style_section',
            [
                'label' => esc_html__('Style Settings','wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE
            ]
        );
            $widget->add_responsive_control(
                'align',
                [
                    'label'        => esc_html__( 'Alignment', 'wiseguard' ),
                    'type'         => Controls_Manager::CHOOSE,
                    'responsive'   => true,
                    'options'      => [
                        'start'    => [
                            'title' => esc_html__( 'Left', 'wiseguard' ),
                            'icon'  => 'eicon-text-align-left',
                        ],
                        'center'  => [
                            'title' => esc_html__( 'Center', 'wiseguard' ),
                            'icon'  => 'eicon-text-align-center',
                        ],
                        'end'   => [
                            'title' => esc_html__( 'Right', 'wiseguard' ),
                            'icon'  => 'eicon-text-align-right',
                        ],
                        'justify' => [
                            'title' => esc_html__( 'Justified', 'wiseguard' ),
                            'icon' => 'eicon-text-align-justify',
                        ]
                    ]
                ]
            );
            // Text
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'title_color',
                'label'     => esc_html__( 'Title Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-title' => 'color: {{VALUE}};',
                ],
                'separator' => 'before'
            ]);
            // Text
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'text_color',
                'label'     => esc_html__( 'Text Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-desc' => 'color: {{VALUE}};',
                ],
                'separator' => 'before'
            ]);
            // Link
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'link_color',
                'label'     => esc_html__( 'Link Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-link' => 'color: {{VALUE}};',
                ],
                'separator' => 'before'
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'link_color_hover',
                'label'     => esc_html__( 'Link Color Hover', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-link:hover' => 'color: {{VALUE}};',
                ]
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'link_border_color',
                'label'    => esc_html__( 'Link Border Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-link' => 'border-bottom-color: {{VALUE}};',
                ]
            ]);
            // Button
            wiseguard_elementor_colors_opts($widget,[
                'name'      => 'btn_color',
                'label'     => esc_html__( 'Button Color', 'wiseguard' ),
                'custom'    => false,
                'separator' => 'before'
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'   => 'btn_color_hover',
                'label'  => esc_html__( 'Button Color Hover', 'wiseguard' ),
                'custom' => false
            ]);
            // Content Container
            $widget->add_control(
                'content_container',
                [
                    'label' =>  esc_html__('Content Container','wiseguard'),
                    'type'  =>  Controls_Manager::SELECT,
                    'options' => [
                        ''  => esc_html__('Default','wiseguard'),
                        'container' => esc_html__('Container Grid','wiseguard')
                    ],
                    'condition' => [
                        'layout' => ['3']
                    ]
                ]
            );
            $widget->add_control(
                'content_width',
                [
                    'label' =>  esc_html__('Content Width','wiseguard'),
                    'type'  =>  Controls_Manager::SLIDER,
                    'range' => [
                        'px' => [
                            'min' => 200,
                            'max' => 1600,
                        ],
                    ],
                    'selectors' => [
                        '{{WRAPPER}} .cms-cta' => 'max-width: {{SIZE}}{{UNIT}};',
                    ],
                    'condition' => [
                        'layout'            => ['3'],
                        'content_container' => 'container'
                    ]
                ]
            );
        $widget->end_controls_section();
    }
}
