<?php
use Elementor\Controls_Manager;
use Elementor\Utils;
use Elementor\Group_Control_Image_Size;

if (!function_exists('wiseguard_widget_cms_gallery_register_controls')) {
    add_action('etc_widget_cms_gallery_register_controls', 'wiseguard_widget_cms_gallery_register_controls', 10, 1);
    function wiseguard_widget_cms_gallery_register_controls($widget)
    {
        // Layout
        $widget->start_controls_section(
            'layout_section',
            [
                'label' => esc_html__('Layout', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_LAYOUT,
            ]
        );
            $widget->add_control(
                'layout',
                [
                    'label'   => esc_html__( 'Templates', 'wiseguard' ),
                    'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                    'default' => '1',
                    'options' => [
                        '1' => [
                            'label' => esc_html__( 'Layout 1', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_gallery/layout/1.jpg'
                        ]
                    ]
                ]
            );
        $widget->end_controls_section();
        // Gallery
        $widget->start_controls_section(
            'section_gallery',
            [
                'label' => esc_html__('Gallery Image', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );
            $widget->add_control(
                'gallery',
                [
                    'label'   => esc_html__( 'Add Images', 'wiseguard' ),
                    'type'    => \Elementor\Controls_Manager::GALLERY
                ]
            );
            $widget->add_group_control(
                Group_Control_Image_Size::get_type(),
                [
                    'name'    => 'gallery',
                    'label'   => esc_html__('Image Size','wiseguard'),
                    'default' => 'custom'
                ]
            );
        $widget->end_controls_section();
        // Settings
        $widget->start_controls_section(
            'section_settings',
            [
                'label' => esc_html__('Settings','wiseguard'),
                'tab'   => Controls_Manager::TAB_SETTINGS
            ]
        );
            $widget->add_control(
                'gallery_col',
                [
                    'label'        => esc_html__('Columns', 'wiseguard' ),
                    'type'         => \Elementor\Controls_Manager::SELECT,
                    'control_type' => 'responsive',
                    'options'      => [
                        ''     => esc_html__('Default','wiseguard'), 
                        '1'    => esc_html__('1', 'wiseguard' ),
                        '2'    => esc_html__('2', 'wiseguard' ),
                        '3'    => esc_html__('3', 'wiseguard' ),
                        '4'    => esc_html__('4', 'wiseguard' ),
                        '6'    => esc_html__('6', 'wiseguard' ),
                        'auto' => esc_html__('Auto', 'wiseguard' ),
                    ]
                ]
            );
            $widget->add_control(
                'gallery_rand',
                [
                    'label'   => esc_html__( 'Order By', 'wiseguard' ),
                    'type'    => \Elementor\Controls_Manager::SELECT,
                    'options' => [
                        ''     => esc_html__( 'Default', 'wiseguard' ),
                        'rand' => esc_html__( 'Random', 'wiseguard' ),
                    ],
                    'default' => '',
                ]
            );
            $widget->add_control(
                'gallery_show',
                [
                    'label'   => esc_html__( 'Number of item to show', 'wiseguard' ),
                    'type'    => \Elementor\Controls_Manager::NUMBER,
                    'default' => ''
                ]
            );
            $widget->add_control(
                'gallery_loadmore_show',
                [
                    'label'   => esc_html__( 'Number of item to show on load more', 'wiseguard' ),
                    'type'    => \Elementor\Controls_Manager::NUMBER,
                    'default' => ''
                ]
            );
            $widget->add_control(
                'load_more_text',
                [
                    'label'   => esc_html__( 'Load More Text', 'wiseguard' ),
                    'type'    => \Elementor\Controls_Manager::TEXT
                ]
            );
        $widget->end_controls_section();
    }
}
