<?php
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Repeater;
use Elementor\Utils;
use Elementor\Group_Control_Image_Size;

if (!function_exists('wiseguard_widget_cms_heading_register_controls')) {
    add_action('etc_widget_cms_heading_register_controls', 'wiseguard_widget_cms_heading_register_controls', 10, 1);
    function wiseguard_widget_cms_heading_register_controls($widget)
    {
        // Layout
        $widget->start_controls_section(
            'layout_section',
            [
                'label' => esc_html__('Layout', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_LAYOUT,
            ]
        );
            $widget->add_control(
                'layout',
                [
                    'label'   => esc_html__( 'Templates', 'wiseguard' ),
                    'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                    'default' => '1',
                    'options' => [
                        '1' => [
                            'label' => esc_html__( 'Layout 1', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/1.jpg'
                        ],
                        '2' => [
                            'label' => esc_html__( 'Layout 2', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/2.jpg'
                        ],
                        '3' => [
                            'label' => esc_html__( 'Layout 3', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/3.jpg'
                        ],
                        '4' => [
                            'label' => esc_html__( 'Layout 4', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/4.jpg'
                        ],
                        '5' => [
                            'label' => esc_html__( 'Layout 5', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/5.jpg'
                        ],
                        '6' => [
                            'label' => esc_html__( 'Layout 6', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/6.jpg'
                        ],
                        '7' => [
                            'label' => esc_html__( 'Layout 7', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/7.jpg'
                        ],
                        '8' => [
                            'label' => esc_html__( 'Layout 8', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/8.jpg'
                        ],
                        '9' => [
                            'label' => esc_html__( 'Layout 9', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/9.jpg'
                        ],
                        '10' => [
                            'label' => esc_html__( 'Layout 10', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/10.jpg'
                        ],
                        '11' => [
                            'label' => esc_html__( 'Layout 11', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/11.jpg'
                        ],
                        '12' => [
                            'label' => esc_html__( 'Layout 12', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/12.jpg'
                        ],
                        '13' => [
                            'label' => esc_html__( 'Layout 13', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/13.jpg'
                        ],
                        '14' => [
                            'label' => esc_html__( 'Layout 14', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/14.jpg'
                        ],
                        '15' => [
                            'label' => esc_html__( 'Layout 15', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/15.jpg'
                        ],
                        '16' => [
                            'label' => esc_html__( 'Layout 16', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/16.jpg'
                        ],
                        '17' => [
                            'label' => esc_html__( 'Layout 17', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/17.jpg'
                        ],
                        '18' => [
                            'label' => esc_html__( 'Layout 18', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/18.jpg'
                        ],
                        '19' => [
                            'label' => esc_html__( 'Layout 19', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/19.jpg'
                        ],
                        '20' => [
                            'label' => esc_html__( 'Layout 20', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/20.jpg'
                        ],
                        'all' => [
                            'label' => esc_html__( 'Layout all', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout/all.jpg'
                        ]
                    ]
                ]
            );
        $widget->end_controls_section();
        // Content Tab Start

        // Heading Section Start
        $widget->start_controls_section(
            'section_heading',
            [
                'label' => esc_html__('Heading Content', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );
            $widget->add_control(
                'heading_icon',
                [
                    'label'       => esc_html__( 'Heading Icon', 'wiseguard' ),
                    'type'        => Controls_Manager::ICONS,
                    'default'     => [
                        'library' => 'wiseguard-icon',
                        'value'   => 'wiseguard-icon-default'
                    ],
                    'skin'        => 'inline',  
                    'condition'   => [
                        'layout'  => ['10','18','19']  
                    ]
                ]
            );
            $widget->add_control(
                'smallheading_text',
                [
                    'label'       => esc_html__( 'Small Heading', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'This is small heading',
                    'placeholder' => esc_html__( 'Enter your text', 'wiseguard' ),
                    'label_block' => true,
                    'separator'   => 'after',
                    'condition'   => [
                        'layout'  => ['all','1','4','5','6','7','8','9','10','11','12','14','15','18','19']  
                    ]
                ]
            );
            $widget->add_control(
                'heading_text',
                [
                    'label'       => esc_html__( 'Heading', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'This is the heading',
                    'placeholder' => esc_html__( 'Enter your text', 'wiseguard' ),
                    'label_block' => true,
                    'condition'   => [
                        'layout!'  => ['13']  
                    ]
                ]
            );
            $widget->add_control(
                'description_bold_text',
                [
                    'label'       => esc_html__( 'Description (Bold)', 'wiseguard' ),
                    'type'        => \Elementor\Controls_Manager::TEXTAREA,
                    'default'     => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since', 
                    'placeholder' => esc_html__( 'Enter your text', 'wiseguard' ),
                    'rows'        => 10,
                    'show_label'  => true,
                    'separator' => 'before',
                    'condition' => [
                        'layout' => ['all','4','5','6','9','11','12','17','20']
                    ]
                ]
            );
            $widget->add_control(
                'description_text',
                [
                    'label'       => esc_html__( 'Description', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour', 
                    'placeholder' => esc_html__( 'Enter your text', 'wiseguard' ),
                    'rows'        => 10,
                    'show_label'  => true,
                    'separator' => 'before',
                    'condition' => [
                        'layout' => ['all','2','3','4','5','6','7','8','9','10','11','12','13','15','16','17','18','19','20']
                    ]
                ]
            );
        $widget->end_controls_section();
        // Link 1
        $widget->start_controls_section('link1_section',[
            'label' => esc_html__('Link #1', 'wiseguard'),
            'tab'   => Controls_Manager::TAB_CONTENT,
            'condition' => [
                'layout' => ['all','4','5','7','10','11','12','13','15','17','18','19','20']
            ]
        ]);
            $widget->add_control(
                'link1_text',
                [
                    'label'       => esc_html__( 'Link #1 Text', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXT,
                    'default'     => 'Discover More',
                    'placeholder' => esc_html__( 'Enter your text', 'wiseguard' ),
                    'separator' => 'before'
                ]
            );
            $widget->add_control(
                'link1_type',
                [
                    'label'   => esc_html__('Link #1 Type', 'wiseguard'),
                    'type'    => Controls_Manager::SELECT,
                    'options' => [
                        'custom' => esc_html__('Custom', 'wiseguard'),
                        'page'   => esc_html__('Page', 'wiseguard'),
                    ],
                    'default' => 'custom',
                    'condition' => [
                        'link1_text!' => ''
                    ]
                ]
            );
            $widget->add_control(
                'link1_page',
                [
                    'label'   => esc_html__('Select Page', 'wiseguard'),
                    'type'    => Elementor_Theme_Core::POSTS_CONTROL,
                    'post_type' => [
                        'page'
                    ],
                    'multiple'  => false,
                    'condition' => [
                        'link1_text!' => '',
                        'link1_type' => 'page'
                    ]
                ]
            );
            $widget->add_control(
                'link1_custom',
                [
                    'label'       => esc_html__( 'Link Custom', 'wiseguard' ),
                    'type'        => Controls_Manager::URL,
                    'placeholder' => esc_html__( 'https://your-link.com', 'wiseguard' ),
                    'default'     => [
                        'url' => '#',
                    ],
                    'condition' => [
                        'link1_text!' => '',
                        'link1_type' => 'custom'
                    ]
                ]
            );
        $widget->end_controls_section();
        // Link 2
        $widget->start_controls_section('link2_section',[
            'label' => esc_html__('Link #2', 'wiseguard'),
            'tab'   => Controls_Manager::TAB_CONTENT,
            'condition' => [
                'layout' => ['all','4','5','12','13','15']
            ]
        ]);
            $widget->add_control(
                'link2_text',
                [
                    'label'       => esc_html__( 'Link Text', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXT,
                    'default'     => 'Contact Us',
                    'placeholder' => esc_html__( 'Enter your text', 'wiseguard' ),
                    'separator'   => 'before'
                ]
            );
            $widget->add_control(
                'link2_type',
                [
                    'label'   => esc_html__('Link Type', 'wiseguard'),
                    'type'    => Controls_Manager::SELECT,
                    'options' => [
                        'custom' => esc_html__('Custom', 'wiseguard'),
                        'page'   => esc_html__('Page', 'wiseguard'),
                    ],
                    'default' => 'custom',
                    'condition' => [
                        'link2_text!' => ''
                    ]
                ]
            );
            $widget->add_control(
                'link2_page',
                [
                    'label'   => esc_html__('Select Page', 'wiseguard'),
                    'type'    => Elementor_Theme_Core::POSTS_CONTROL,
                    'post_type' => [
                        'page'
                    ],
                    'multiple'  => false,
                    'condition' => [
                        'link2_text!' => '',
                        'link2_type' => 'page'
                    ]
                ]
            );
            $widget->add_control(
                'link2_custom',
                [
                    'label'       => esc_html__( 'Link Custom', 'wiseguard' ),
                    'type'        => Controls_Manager::URL,
                    'placeholder' => esc_html__( 'https://your-link.com', 'wiseguard' ),
                    'default'     => [
                        'url' => '#',
                    ],
                    'condition' => [
                        'link2_text!' => '',
                        'link2_type' => 'custom'
                    ]
                ]
            );
        $widget->end_controls_section();
        // Signature
        $widget->start_controls_section('signature_section',[
            'label' => esc_html__('Signature', 'wiseguard'),
            'tab'   => Controls_Manager::TAB_CONTENT,
            'condition' => [
                'layout' => ['4','11']
            ]
        ]);
            $widget->add_control(
                'savatar',
                [
                    'label'   => esc_html__( 'Avatar', 'wiseguard' ),
                    'type'    => Controls_Manager::MEDIA,
                    'default' => [
                        'url' => Utils::get_placeholder_image_src()
                    ]
                ]
            );
            $widget->add_control(
                'simage',
                [
                    'label'   => esc_html__( 'Signature Image', 'wiseguard' ),
                    'type'    => Controls_Manager::MEDIA,
                    'default' => [
                        'url' => get_template_directory_uri() . '/assets/images/signature.png'
                    ]
                ]
            );
            $widget->add_control(
                'sname',
                [
                    'label'       => esc_html__( 'Name', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'Michael Brian',
                    'label_block' => false
                ]
            );
            $widget->add_control(
                'sposition',
                [
                    'label'       => esc_html__( 'Position', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'The Founder',
                    'label_block' => false
                ]
            );
        $widget->end_controls_section();
        // Progressbar Section Start
        $widget->start_controls_section(
                'section_progressbar',
                [
                    'label' => esc_html__('Progressbar Content', 'wiseguard'),
                    'tab'   => Controls_Manager::TAB_CONTENT,
                    'condition' => [
                        'layout' => ['19']
                    ]
                ]
            );

            $progressbar = new Repeater();

            $progressbar->add_control(
                'title',
                [
                    'label'       => esc_html__( 'Title', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXT,
                    'placeholder' => esc_html__( 'Enter your title', 'wiseguard' ),
                    'default'     => esc_html__( 'My Skill', 'wiseguard' ),
                    'label_block' => true,
                ]
            );
            $progressbar->add_control(
                'percent',
                [
                    'label'       => esc_html__( 'Percentage', 'wiseguard' ),
                    'type'        => \Elementor\Controls_Manager::SLIDER,
                    'default'     => [
                        'size' => 80,
                        'unit' => '%',
                    ],
                    'label_block' => true,
                ]
            );

            $widget->add_control(
                'progressbar_list',
                [
                    'label'   => esc_html__('List', 'wiseguard'),
                    'type'    => Controls_Manager::REPEATER,
                    'fields'  => $progressbar->get_controls(),
                    'default' => [
                        [
                            'title' => esc_html__('Fire Detection', 'wiseguard'),
                            'percent' => [
                                'size' => 95,
                                'unit' => '%',
                            ],
                        ],
                        [
                            'title' => esc_html__('Alarm Systems', 'wiseguard'),
                            'percent' => [
                                'size' => 88,
                                'unit' => '%',
                            ],
                        ],
                        [
                            'title' => esc_html__('CCTV & Video', 'wiseguard'),
                            'percent' => [
                                'size' => 99,
                                'unit' => '%',
                            ],
                        ],
                        [
                            'title' => esc_html__('Access control', 'wiseguard'),
                            'percent' => [
                                'size' => 85,
                                'unit' => '%',
                            ],
                        ]
                    ],
                    'title_field' => '{{{ title }}}',
                ]
            );
        $widget->end_controls_section();
        // Features
        $widget->start_controls_section('features_section',[
            'label' => esc_html__('Features Settings', 'wiseguard'),
            'tab'   => Controls_Manager::TAB_CONTENT
        ]);
            $widget->add_responsive_control(
                'col',
                [
                    'label'        => esc_html__('Features Columns', 'wiseguard'),
                    'type'         => Controls_Manager::SELECT,
                    'default'      => '',
                    'default_args' => [
                        'tablet' => '',
                        'mobile' => ''
                    ],
                    'options' => [
                        '' => esc_html__('Default', 'wiseguard'),
                        '1' => '1',
                        '2' => '2',
                        '3' => '3',
                        '4' => '4',
                        '6' => '6',
                    ],
                    'condition' => [
                        'layout' => ['16']
                    ]
                ]
            );
            //
            $repeater = new Repeater();
            $repeater->add_control(
                'title',
                [
                    'label'       => esc_html__( 'Title', 'wiseguard' ),
                    'default'     => esc_html__( 'Title', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXT,
                    'label_block' => true,
                ]
            );
            // layout 8
            $repeater8 = new Repeater();
            $repeater8->add_control(
                'icon',
                [
                    'label'       => esc_html__( 'Icon', 'wiseguard' ),
                    'default'     => [
                        'library'   => 'wiseguard-icon',
                        'value'     => 'wiseguard-icon-default'
                    ],
                    'type'        => Controls_Manager::ICONS,
                    'skin'        => 'inline',
                    'label_block' => true,
                ]
            );
            $repeater8->add_control(
                'title',
                [
                    'label'       => esc_html__( 'Title', 'wiseguard' ),
                    'default'     => 'Your Title',
                    'type'        => Controls_Manager::TEXT,
                    'label_block' => true,
                ]
            );
            $repeater8->add_control(
                'description',
                [
                    'label'       => esc_html__( 'Description', 'wiseguard' ),
                    'default'     => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry.',
                    'type'        => Controls_Manager::TEXTAREA,
                    'label_block' => true,
                ]
            );
            $widget->add_control(
                'show_feature',
                [
                    'label'   => esc_html__('Show Feature', 'wiseguard'),
                    'type'    => Controls_Manager::SWITCHER,
                    'default' => 'yes',
                    'condition' => [
                        'layout' => ['all','4','8','12','13','17','18','20']
                    ]
                ]
            );
            $widget->add_control(
                'cms_feature',
                [
                    'label'   => esc_html__('Features List', 'wiseguard'),
                    'type'    => Controls_Manager::REPEATER,
                    'fields'  => $repeater->get_controls(),
                    'default' => [
                        [
                            'title' => 'Quality Control System, Highly Professional Staff',
                        ],
                        [
                            'title' => 'Satisfaction Guarantee, and Accurate Testing',
                        ]
                    ],
                    'title_field' => '{{{ title }}}',
                    'condition' => [
                        'layout' => ['all','4','8','12','13','17','18','20']
                    ]
                ]
            );
            $widget->add_control(
                'cms_feature8',
                [
                    'label'   => esc_html__('Features List', 'wiseguard'),
                    'type'    => Controls_Manager::REPEATER,
                    'fields'  => $repeater8->get_controls(),
                    'default' => [
                        [
                            'icon'  => [
                                'library'   => 'wiseguard-icon',
                                'value'     => 'wiseguard-icon-trash-bin-1'
                            ],
                            'title'       => 'Great Service & Low Cost',
                            'description' => 'If your business is looking for a reliable, cost effective general waste collection then you should cgoose us now! '
                        ],
                        [
                            'icon'  => [
                                'library'   => 'wiseguard-icon',
                                'value'     => 'wiseguard-icon-trash-7'
                            ],
                            'title'       => 'Carbon Trust Certified ',
                            'description' => 'We will work with you to treat your trash in the best possible way for environment and to save our beloved planet.'
                        ]
                    ],
                    'title_field' => '{{{ title }}}',
                    'condition' => [
                        'layout' => ['6','16']
                    ]
                ]
            );
        $widget->end_controls_section();
        // Banner
        $widget->start_controls_section('banner_section',[
            'label' => esc_html__('Banner Settings', 'wiseguard'),
            'tab'   => Controls_Manager::TAB_CONTENT,
            /*'condition' => [
                'layout' => ['all','4', '8']
            ]*/
        ]);
            $widget->add_control(
                'banner_icon',
                [
                    'label'   => esc_html__( 'Icon', 'wiseguard' ),
                    'type'    => Controls_Manager::ICONS,
                    'skin'    => 'inline',  
                    'default' => [
                        'library' => 'cmsi',
                        'value'   => 'cmsi-star'
                    ],
                    'label_block' => false,
                    'condition' => [
                        'layout'       => ['all','4','14'],
                        'banner[url]!' => '',
                    ]
                ]
            );
            $widget->add_control(
                'banner_title',
                [
                    'label'       => esc_html__( 'Title', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'Your Banner Title',
                    'label_block' => true,
                    'condition' => [
                        'layout'       => ['all','4','14'],
                        'banner[url]!' => ''
                    ]
                ]
            );
            $widget->add_control(
                'banner_small',
                [
                    'label'   => esc_html__( 'Small Banner', 'wiseguard' ),
                    'type'    => Controls_Manager::MEDIA,
                    'default' => [
                        'url' => Utils::get_placeholder_image_src()
                    ],
                    'condition' => [
                        'layout'       => ['17']
                    ]
                ]
            );
            $widget->add_control(
                'banner',
                [
                    'label'   => esc_html__( 'Banner', 'wiseguard' ),
                    'type'    => Controls_Manager::MEDIA,
                    'default' => [
                        'url' => Utils::get_placeholder_image_src()
                    ],
                    'condition' => [
                        'layout'       => ['all','4','14','17','20']
                    ]
                ]
            );
            $widget->add_group_control(
                Group_Control_Image_Size::get_type(),
                [
                    'name'    => 'banner',
                    'label'   => esc_html__('Banner Size','wiseguard'),
                    'default' => 'custom',
                    'condition' => [
                        'banner[url]!' => '',
                        'layout'       => ['all','4','14','17','20']
                    ]
                ]
            );
            $widget->add_control(
                'banner_bg',
                [
                    'label'     => esc_html__( 'Banner Background', 'wiseguard' ),
                    'type'      => \Elementor\Controls_Manager::MEDIA,
                    'default'   => [],
                    'condition' => [
                        'layout'       => ['all','4','17'],
                        'banner[url]!' => ''
                    ],
                    'selectors' => [
                        '{{WRAPPER}} .cms-heading-banner' => 'background-image: url("{{URL}}");'
                    ]
                ]
            );
        $widget->end_controls_section();
        // video_player Section Start
        $widget->start_controls_section(
            'section_video_player',
            [
                'label' => esc_html__('Video Settings', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
                'condition' => [
                    'layout' => ['17','20']
                ]
            ]
        );
            $widget->add_control(
                'video_link',
                [
                    'label'    => esc_html__( 'Video URL', 'wiseguard' ),
                    'subtitle' => esc_html__('Video url from  YouTube/Vimeo/Dailymotion','wiseguard'),
                    'type'     => Controls_Manager::TEXT,
                    'default'  => 'https://youtu.be/xeQvXU2gaHU',
                    'dynamic' => [
                        'active' => true
                    ]
                ]
            );
            $widget->add_control(
                'video_icon',
                [
                    'label'   => esc_html__( 'Video Icon', 'wiseguard' ),
                    'type'    => Controls_Manager::ICONS,
                    'skin'    => 'inline',
                    'default' => [
                        'library' => 'cmsi',
                        'value'   => 'cmsi-play'
                    ],
                    'condition' => [
                        'video_link!' => ''
                    ],
                    'label_block' => false
                ]
            );
            $widget->add_control(
                'video_text',
                [
                    'label'    => esc_html__( 'Video Text', 'wiseguard' ),
                    'type'     => Controls_Manager::TEXTAREA,
                    'default'  => 'Watch Video!',
                    'condition' => [
                        'video_link!' => ''
                    ],
                    'label_block' => false
                ]
            );
        $widget->end_controls_section();
        // Rating
        $widget->start_controls_section(
            'rate_section',
            [
                'label' => esc_html__('Rate Settings', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
                'condition' => [
                    'layout' => ['14']
                ]
            ]
        );  
            $widget->add_control(
                'star_rated',
                [
                    'label'       => esc_html__( 'Star', 'wiseguard' ),
                    'type'        => Controls_Manager::SELECT,
                    'options'     => [
                        '0'   => '0',
                        '20'  => '1',
                        '40'  => '2',
                        '60'  => '3',
                        '80'  => '4',
                        '100' => '5',
                    ],
                    'default' => '100'
                ]
            );    
            $widget->add_control(
                'percent',
                [
                    'label'       => esc_html__( 'Percentage', 'wiseguard' ),
                    'type'        => Controls_Manager::TEXT,
                    'default'     => '99.9%',
                    'placeholder' => '99.9%'
                ]
            );
            $widget->add_control(
                'percent_text',
                [
                    'label'       => esc_html__('Percentage Text', 'wiseguard'),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'Customer Satisfaction',
                    'placeholder' => 'Customer Satisfaction'
                ]
            );
            $widget->add_control(
                'percent_text2',
                [
                    'label'   => esc_html__('Other Text', 'wiseguard'),
                    'type'    => Controls_Manager::TEXTAREA,
                    'default' => 'based on 750+ reviews of 6,154 Completed Projects, and 2,194 Happy Customers trust us.'
                ]
            );
        $widget->end_controls_section();
        // Testimonial
        // List Section Start
        $widget->start_controls_section(
            'ttmn_section',
            [
                'label'     => esc_html__('Testimonials', 'wiseguard'),
                'tab'       => Controls_Manager::TAB_CONTENT,
                'condition' => [
                    'layout' => ['20']
                ]
            ]
        );
            $repeater = new Repeater();
                $repeater->add_control(
                    'name',
                    [
                        'label' => esc_html__('Name', 'wiseguard'),
                        'type' => Controls_Manager::TEXT,
                        'default' => esc_html__('Testimonial Name', 'wiseguard'),
                    ]
                );
                $repeater->add_control(
                    'position',
                    [
                        'label' => esc_html__('Position', 'wiseguard'),
                        'type' => Controls_Manager::TEXT,
                        'default' => esc_html__('Testimonial Position', 'wiseguard'),
                    ]
                );
                $repeater->add_control(
                    'star_rated',
                    [
                        'label'       => esc_html__( 'Star', 'wiseguard' ),
                        'type'        => Controls_Manager::SELECT,
                        'options'     => [
                            '0'   => '0',
                            '20'  => '1',
                            '40'  => '2',
                            '60'  => '3',
                            '80'  => '4',
                            '100' => '5',
                        ],
                        'default' => '100'
                    ]
                );
                $repeater->add_control(
                    'description',
                    [
                        'label'   => esc_html__('Testimonial Text', 'wiseguard'),
                        'type'    => Controls_Manager::TEXTAREA,
                        'default' => esc_html__('Testimonial Text', 'wiseguard'),
                    ]
                );

            $widget->add_control(
                'testimonials',
                [
                    'label' => esc_html__('Testimonials', 'wiseguard'),
                    'type' => \Elementor\Controls_Manager::REPEATER,
                    'fields' => $repeater->get_controls(),
                    'default' => [
                        [
                            'name'        => esc_html__('Sami Wade', 'wiseguard'),
                            'position'    => esc_html__('Promina Inc', 'wiseguard'),
                            'star_rated'  => '100',
                            'description' => 'I thank the technician who showed me a new view of what you can see with new cameras and I like it!',
                        ]
                    ],
                    'title_field' => '{{{ name }}}',
                ]
            );
        $widget->end_controls_section();
        // Style Content Alignment Start
        $widget->start_controls_section(
            'section_style_content',
            [
                'label' => esc_html__('Content Alignment', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE,
            ]
        );
            $widget->add_control(
                'align',
                [
                    'label'        => esc_html__( 'Alignment', 'wiseguard' ),
                    'type'         => Controls_Manager::CHOOSE,
                    'options'      => [
                        'start'    => [
                            'title' => esc_html__( 'Left', 'wiseguard' ),
                            'icon'  => 'eicon-text-align-left',
                        ],
                        'center'  => [
                            'title' => esc_html__( 'Center', 'wiseguard' ),
                            'icon'  => 'eicon-text-align-center',
                        ],
                        'end'   => [
                            'title' => esc_html__( 'Right', 'wiseguard' ),
                            'icon'  => 'eicon-text-align-right',
                        ],
                        'justify' => [
                            'title' => esc_html__( 'Justified', 'wiseguard' ),
                            'icon' => 'eicon-text-align-justify',
                        ]
                    ]
                ]
            );
        $widget->end_controls_section(); // Style Content Alignment End
        // Small Heading Style
        $widget->start_controls_section(
            'section_style_smallheading',
            [
                'label' => esc_html__('Small Heading', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE,
            ]
        );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'smallheading_color',
                'label'     => esc_html__( 'Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-smallheading' => 'color: {{VALUE}};',
                ]
            ]);
            $widget->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name'     => 'smallheading_typography',
                    'selector' => '{{{WRAPPER}} .cms-smallheading',
                ]
            );
        $widget->end_controls_section(); // Style Sub Heading Style End
        // Style Heading Style Start
        $widget->start_controls_section(
            'section_style_heading',
            [
                'label' => esc_html__('Heading', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE,
            ]
        );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'heading_color',
                'label'    => esc_html__( 'Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-heading, {{WRAPPER}} .cms-heading a' => 'color: {{VALUE}};',
                ]
            ]);
            $widget->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name'     => 'heading_typography',
                    'selector' => '{{WRAPPER}} .cms-heading, {{WRAPPER}} .cms-heading a',
                ]
            );
        $widget->end_controls_section(); // Style Heading Style End

        
        // Style Description Style Start
        $widget->start_controls_section(
            'section_style_description_bold',
            [
                'label' => esc_html__('Description Bold Style', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE,
            ]
        );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'description_bold_color',
                'label'     => esc_html__( 'Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-desc-bold' => 'color: {{VALUE}};',
                ]
            ]);
            $widget->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name'     => 'description_bold_typography',
                    'selector' => '{{WRAPPER}} .cms-desc-bold',
                ]
            );
        $widget->end_controls_section(); // Style Description Style End

        // Style Description Style Start
        $widget->start_controls_section(
            'section_style_description',
            [
                'label' => esc_html__('Description Style', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE,
            ]
        );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'description_color',
                'label'     => esc_html__( 'Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-desc' => 'color: {{VALUE}};',
                ]
            ]);
            $widget->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name'     => 'description_typography',
                    'selector' => '{{WRAPPER}} .cms-desc',
                    ]
            );
        $widget->end_controls_section(); // Style Description Style End
        // Style Link Start
        $widget->start_controls_section(
            'section_style_link',
            [
                'label' => esc_html__('Link Style', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE,
            ]
        );
            // Link #1
            wiseguard_elementor_colors_opts($widget,[
                'name'      => 'link1_color',
                'label'     => esc_html__( 'Link #1 Color', 'wiseguard' ),
                'custom'    => false,
                'separator' => 'before'
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'   => 'link1_color_hover',
                'label'  => esc_html__( 'Link #1 Color Hover', 'wiseguard' ),
                'custom' => false
            ]);
            // Link #2
            wiseguard_elementor_colors_opts($widget,[
                'name'      => 'link2_color',
                'label'     => esc_html__( 'Link#2 Color', 'wiseguard' ),
                'custom'    => false,
                'separator' => 'before'
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'   => 'link2_color_hover',
                'label'  => esc_html__( 'Link#2 Color Hover', 'wiseguard' ),
                'custom' => false
            ]);
            $widget->add_control(
                'link2_style',
                [
                    'label'   => esc_html__('Link Style', 'wiseguard'),
                    'type'    => Controls_Manager::SELECT,
                    'options' => [
                        ''  => esc_html__('Default', 'wiseguard'),
                        '1' => '1',
                        '2' => '2'
                    ],
                    'condition' => ['all','4','5']
                ]
            );
        $widget->end_controls_section(); 
        // Style Features Style Start
        $widget->start_controls_section(
            'section_style_feature',
            [
                'label' => esc_html__('Features Style', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE,
            ]
        );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'feature_color',
                'label'    => esc_html__( 'Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-heading-features' => 'color: {{VALUE}};',
                    '{{WRAPPER}} .cms-heading-features .cms-icon' => 'color: {{VALUE}};',
                ]
            ]);
            $widget->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name'     => 'feature_typography',
                    'selector' => '{{WRAPPER}} .cms-heading-features',
                ]
            );
        $widget->end_controls_section(); // Style Description Style End
        // Rate Style
        $widget->start_controls_section(
            'section_style_rate',
            [
                'label' => esc_html__('Rate Style', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE,
            ]
        );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'star_color',
                'label'    => esc_html__( 'Star Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-star-rate' => 'color: {{VALUE}};',
                ]
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'star_rated_color',
                'label'    => esc_html__( 'Star Rated Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-star-rated' => 'color: {{VALUE}};',
                ]
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'rate_text_color',
                'label'    => esc_html__( 'Text Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-text' => 'color: {{VALUE}};',
                ]
            ]);
        $widget->end_controls_section();
        // Background
        $widget->start_controls_section(
            'section_style_bg',
            [
                'label' => esc_html__('Background Settings', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE,
            ]
        );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'bg_color',
                'label'    => esc_html__( 'Background Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-eheading' => 'background-color: {{VALUE}};',
                ]
            ]);
        $widget->end_controls_section();
        // Content Tab End
    }
}
