<?php
use Elementor\Controls_Manager;

if(!function_exists('wiseguard_widget_cms_language_switcher_register_controls')){
	add_action('etc_widget_cms_language_switcher_register_controls', 'wiseguard_widget_cms_language_switcher_register_controls', 10, 1);
	function wiseguard_widget_cms_language_switcher_register_controls($widget){
		// Layout Settings
		$widget->start_controls_section(
			'layout_section',
			[
				'label' => esc_html__('Layout', 'wiseguard' ),
                'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
			]
		);

			$widget->add_control(
				'layout',
                [
                	'label' => esc_html__('Templates', 'wiseguard' ),
	                'type' => Elementor_Theme_Core::LAYOUT_CONTROL,
	                'default' => '1',
	                'options' => [
                        '1' => [
                            'label' => esc_html__( 'Layout 1', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_language_switcher/layout/1.jpg'
                        ]
                    ]
	            ]
			);
		$widget->end_controls_section();
		// Settings
		$widget->start_controls_section(
			'setting_section',
            [
            	'label'    => esc_html__('Settings', 'wiseguard'),
                'tab'      => \Elementor\Controls_Manager::TAB_CONTENT
            ]
		);
			$widget->add_control(
				'show_flag',
                [
                 	'label'   => esc_html__('Show Flag','wiseguard'),
                    'type'    => \Elementor\Controls_Manager::SELECT,
                    'options' => [
                        ''    => esc_html__('Default','wiseguard'),
                        'yes' => esc_html__('Yes', 'wiseguard'),
                        'no'  => esc_html__('No', 'wiseguard')
                    ]
                ]
			);
			$widget->add_control(
				'show_name',
                [
                	'label'   => esc_html__('Show Name','wiseguard'),
                    'type'    => \Elementor\Controls_Manager::SELECT,
                    'options' => [
                        ''    => esc_html__('Default','wiseguard'),
                        'yes' => esc_html__('Yes', 'wiseguard'),
                        'no'  => esc_html__('No', 'wiseguard')
                    ]
                ]
			);
			$widget->add_control(
				'name_as',
                [
                	'label'   => esc_html__('Name As','wiseguard'),
                    'type'    => \Elementor\Controls_Manager::SELECT,
                    'options' => [
                        ''      => esc_html__('Default','wiseguard'),
                        'full'  => esc_html__('Full', 'wiseguard'),
                        'short' => esc_html__('Short', 'wiseguard')
                    ],
                    'condition' => [
                        'show_name' => ['yes']
                    ] 
                ]
			);
            $widget->add_control(
            	'dropdown_pos',
                [
                	'label'   => esc_html__('Dropdown Position','wiseguard'),
                    'type'    => \Elementor\Controls_Manager::SELECT,
                    'options' => [
                        ''       => esc_html__('Default','wiseguard'),
                        'top'    => esc_html__('Top', 'wiseguard'),
                        'bottom' => esc_html__('Bottom', 'wiseguard')
                    ]
                ]                
            );
		$widget->end_controls_section();
        // Style
        $widget->start_controls_section(
            'style_section',
            [
                'label' => esc_html__('Style Settings','wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE
            ]
        );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'color',
                'label'    => esc_html__( 'Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .current-language' => 'color: {{VALUE}};',
                ]
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'color_hover',
                'label'    => esc_html__( 'Color Hover & Active', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .current-language:hover' => 'color: {{VALUE}};',
                ]
            ]);
        $widget->end_controls_section();
	}
}
?>