<?php
if(!class_exists('Newsletter')) return;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

if(!function_exists('wiseguard_widget_cms_newsletter_register_controls')){
	add_action('etc_widget_cms_newsletter_register_controls', 'wiseguard_widget_cms_newsletter_register_controls', 10, 1);
	function wiseguard_widget_cms_newsletter_register_controls($widget){
		// Layout Settings
		$widget->start_controls_section(
			'layout_section',
			[
				'label' => esc_html__('Layout', 'wiseguard' ),
                'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
			]
		);
			$widget->add_control(
				'layout',
                [
					'label'   => esc_html__('Templates', 'wiseguard' ),
					'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
					'default' => '1',
					'options' => [
                        '1' => [
                            'label' => esc_html__( 'Layout 1', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_newsletter/layout/1.jpg'
                        ],
                        '2' => [
                            'label' => esc_html__( 'Layout 2', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_newsletter/layout/2.jpg'
                        ],
                        '3' => [
                            'label' => esc_html__( 'Layout 3', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_newsletter/layout/3.jpg'
                        ],
                        '4' => [
                            'label' => esc_html__( 'Layout 4', 'wiseguard' ),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_newsletter/layout/4.jpg'
                        ]
                    ]
	            ]
			);
		$widget->end_controls_section();
        // Heading Setting
        $widget->start_controls_section(
            'title_section',
            [
                'label' => esc_html__('Heading', 'wiseguard' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );
            $widget->add_control(
                'small_title',
                [
                    'label'       => esc_html__('Small Title', 'wiseguard'),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'Small Heading',
                    'placeholder' => esc_html__('Enter your text', 'wiseguard'),
                    'label_block' => true,
                    'condition'   => [
                        'layout' => ['3']
                    ]
                ]
            );
            $widget->add_control(
                'title',
                [
                    'label'       => esc_html__('Title', 'wiseguard'),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'Newsletter',
                    'placeholder' => esc_html__('Enter your text', 'wiseguard'),
                    'label_block' => true
                ]
            );
            $widget->add_control(
                'description',
                [
                    'label'       => esc_html__( 'Description', 'wiseguard' ),
                    'type'        => \Elementor\Controls_Manager::TEXTAREA,
                    'placeholder' => esc_html__( 'Description', 'wiseguard' ),
                    'label_block' => true,
                    'default'     => 'Sign up for industry alerts, deals, news and insights from us.'
                ]
            );
        $widget->end_controls_section();
        // Form Settings
        $widget->start_controls_section(
        	'form_section',
            [
            	'label'    => esc_html__( 'Form Settings', 'wiseguard' ),
                'tab'      => \Elementor\Controls_Manager::TAB_CONTENT
            ]
        );
        	$widget->add_control(
        		'show_name',
                [
                	'label'       => esc_html__( 'Show Field Name', 'wiseguard' ),
                    'type'        => \Elementor\Controls_Manager::SELECT,
                    'options'     => [
                        ''    =>  esc_html__('Default','wiseguard'),
                        'yes' =>  esc_html__('Yes','wiseguard'),
                        'no'  =>  esc_html__('No','wiseguard'),
                    ]
                ]
        	);
        	$widget->add_control(
        		'name_text',
                [
                	'label'       => esc_html__( 'Name Text', 'wiseguard' ),
                    'type'        => \Elementor\Controls_Manager::TEXT,
                    'placeholder' => esc_html__( 'Enter placeholder text', 'wiseguard' ),
                    'label_block' => true,
                    'condition'   => [
                        'show_name' => ['','yes']
                    ]
                ]
        	);
        	$widget->add_control(
        		'email_text',
                [
                	'label'       => esc_html__( 'Email Text', 'wiseguard' ),
                    'type'        => \Elementor\Controls_Manager::TEXT,
                    'placeholder' => esc_html__( 'Enter placeholder text', 'wiseguard' ),
                    'label_block' => true
                ]
        	);
        	$widget->add_control(
        		'button_text',
                [
                	'label'       => esc_html__( 'Button Text', 'wiseguard' ),
                    'type'        => \Elementor\Controls_Manager::TEXT,
                    'placeholder' => esc_html__( 'Enter button text', 'wiseguard' ),
                    'label_block' => true
                ]
        	);
            // By subscribing, you accept the Privacy Policy
            $widget->add_control(
                'privacy_policy_page',
                [
                    'label'   => esc_html__('Privacy Policy Page', 'wiseguard'),
                    'type'    => Elementor_Theme_Core::POSTS_CONTROL,
                    'post_type' => [
                        'page'
                    ],
                    'multiple'  => false,
                    'condition' => [
                        'layout' => ['2','3']
                    ],
                    'label_block' => true,
                    'separator' => 'before'
                ]
            );
            $widget->add_control(
                'privacy_policy_text',
                [
                    'label'       => esc_html__( 'Privacy Policy Text', 'wiseguard' ),
                    'type'        => \Elementor\Controls_Manager::TEXTAREA,
                    'placeholder' => esc_html__('By subscribing, you accept the', 'wiseguard' ),
                    'default'     => 'By subscribing, you accept the',
                    'condition' => [
                        'layout' => ['2','3']
                    ]
                ]
            );
            $widget->add_control(
                'privacy_policy_link_text',
                [
                    'label'       => esc_html__( 'Privacy Policy Text', 'wiseguard' ),
                    'type'        => \Elementor\Controls_Manager::TEXTAREA,
                    'description' => esc_html__('Default is title of page', 'wiseguard' ),
                    'placeholder' => esc_html__('Privacy Policy', 'wiseguard' ),
                    'condition' => [
                        'layout' => ['2','3']
                    ]
                ]
            );
        $widget->end_controls_section();
        // Style
        $widget->start_controls_section(
            'section_style_title',
            [
                'label' => esc_html__('Style Settings', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE
            ]
        );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'small_title_color',
                'label'     => esc_html__( 'Small Title Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-small-title' => 'color: {{VALUE}};',
                ]
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'title_color',
                'label'     => esc_html__( 'Title Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-title' => 'color: {{VALUE}};',
                ]
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'desc_color',
                'label'     => esc_html__( 'Description Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-desc' => 'color: {{VALUE}};',
                ]
            ]);
        $widget->end_controls_section();
        // Background
        $widget->start_controls_section(
            'section_background',
            [
                'label' => esc_html__('Background','wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE,
                'condition' => [
                    'layout' => ['2','4']
                ]
            ]
        );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'bg_color',
                'label'     => esc_html__( 'Background Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-newsletter' => 'background-color: {{VALUE}};',
                ]
            ]);
            $widget->add_control(
                'bg_image',
                [
                    'label'   => esc_html__( 'Background Image', 'wiseguard' ),
                    'type'    => Controls_Manager::MEDIA,
                    'default' => [],
                    'selectors' => [
                        '{{WRAPPER}} .cms-newsletter' => 'background-image:url("{{URL}}");'
                    ]
                ]
            );
        $widget->end_controls_section();
	}
}
?>