<?php

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Utils;

if (!function_exists('wiseguard_widget_cms_page_title_register_controls')) {
    add_action('etc_widget_cms_page_title_register_controls', 'wiseguard_widget_cms_page_title_register_controls', 10, 1);
    function wiseguard_widget_cms_page_title_register_controls($widget)
    {
        // Layout Tab Start

        // Layout Section Start
        $widget->start_controls_section(
            'layout_section',
            [
                'label' => esc_html__('Layout', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_LAYOUT,
            ]
        );
            $widget->add_control('header_transparent', [
                'label'              => esc_html__('Header Transparent', 'wiseguard'),
                'type'               => Controls_Manager::SWITCHER,
                'default'            => '',
                'prefix_class'       => 'cms-eptitle-header-transparent-',
                'description'        => esc_html__('Add more top space when have Header Transparent','wiseguard')   
            ]);
            $widget->add_control(
                'layout',
                [
                    'label'   => esc_html__('Templates', 'wiseguard'),
                    'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                    'default' => '1',
                    'options' => [
                        '1' => [
                            'label' => esc_html__('Layout 1', 'wiseguard'),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_page_title/layout/1.jpg'
                        ],
                        '2' => [
                            'label' => esc_html__('Layout 2', 'wiseguard'),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_page_title/layout/2.jpg'
                        ],
                        '3' => [
                            'label' => esc_html__('Layout 3', 'wiseguard'),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_page_title/layout/3.jpg'
                        ],
                        '4' => [
                            'label' => esc_html__('Layout 4', 'wiseguard'),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_page_title/layout/4.jpg'
                        ],
                        '5' => [
                            'label' => esc_html__('Layout 5', 'wiseguard'),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_page_title/layout/5.jpg'
                        ],
                        '6' => [
                            'label' => esc_html__('Layout 6', 'wiseguard'),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_page_title/layout/6.jpg'
                        ],
                        '7' => [
                            'label' => esc_html__('Layout 7', 'wiseguard'),
                            'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_page_title/layout/7.jpg'
                        ]
                    ]
                ]
            );
        $widget->end_controls_section();
        // Layout Section End

        // Layout Tab End

        // Content Tab Start

        // Icon Section Start
        $widget->start_controls_section(
            'page_title_section',
            [
                'label' => esc_html__('Content Setting', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );
        $widget->add_control(
            'small_title',
            [
                'label'       => esc_html__('Small Title', 'wiseguard'),
                'type'        => Controls_Manager::TEXTAREA,
                'default'     => '',
                'placeholder' => esc_html__('Enter your small title', 'wiseguard'),
                'label_block' => true,
                [
                    'condition' => [
                        'layout' => ['1']
                    ]
                ]
            ]
        );
        $widget->add_control(
            'title',
            [
                'label'       => esc_html__('Title', 'wiseguard'),
                'type'        => Controls_Manager::TEXTAREA,
                'default'     => '',
                'placeholder' => esc_html__('Enter your title', 'wiseguard'),
                'label_block' => true,
            ]
        );
        $widget->add_control(
            'description',
            [
                'label'       => esc_html__('Description', 'wiseguard'),
                'type'        => Controls_Manager::TEXTAREA,
                'default'     => esc_html__('This is the page description.', 'wiseguard'),
                'placeholder' => esc_html__('Enter your description', 'wiseguard'),
                'rows'        => 10,
                'show_label'  => true,
                'condition'   => [
                    'layout' => ['1','2','3','4','5','6','7']
                ]
            ]
        );
        $widget->end_controls_section();
        // Button
        $widget->start_controls_section(
            'section_btn',
            [
                'label' => esc_html__('Button Settings','wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
                'condition'   => [
                    'layout' => ['1','2','4','5','7']
                ]
            ]
        );
            $widget->add_control(
                'link_text',
                [
                    'label'       => esc_html__('Button #1', 'wiseguard'),
                    'description' => esc_html__('Button Text', 'wiseguard'),
                    'type'        => Controls_Manager::TEXT,
                    'label_block' => true
                ]
            );
            $widget->add_control(
                'link_type',
                [
                    'label'   => esc_html__('Button Link Type', 'wiseguard'),
                    'type'    => Controls_Manager::SELECT,
                    'options' => [
                        'custom' => esc_html__('Custom', 'wiseguard'),
                        'page'   => esc_html__('Page', 'wiseguard'),
                    ],
                    'default' => 'custom',
                    'condition' => [
                        'link_text!' => ''
                    ]
                ]
            );
            $widget->add_control(
                'page_link',
                [
                    'label'   => esc_html__('Select Page', 'wiseguard'),
                    'type'    => Elementor_Theme_Core::POSTS_CONTROL,
                    'post_type' => [
                        'page'
                    ],
                    'multiple' => false,
                    'condition' => [
                        'link_text!'     => '',
                        'link_type' => 'page'
                    ],
                ]
            );
            $widget->add_control(
                'custom_link',
                [
                    'label'   => esc_html__('Button Link', 'wiseguard'),
                    'type'    => Controls_Manager::URL,
                    'condition' => [
                        'link_text!'     => '',
                        'link_type' => 'custom'
                    ]
                ]
            );
            // Button #2
            $widget->add_control(
                'link2_text',
                [
                    'label'       => esc_html__('Button #2', 'wiseguard'),
                    'description' => esc_html__('Button Text', 'wiseguard'),
                    'type'        => Controls_Manager::TEXT,
                    'label_block' => true
                ]
            );
            $widget->add_control(
                'link2_type',
                [
                    'label'   => esc_html__('Button Link Type', 'wiseguard'),
                    'type'    => Controls_Manager::SELECT,
                    'options' => [
                        'custom' => esc_html__('Custom', 'wiseguard'),
                        'page'   => esc_html__('Page', 'wiseguard'),
                    ],
                    'default' => 'custom',
                    'condition' => [
                        'link2_text!' => ''
                    ]
                ]
            );
            $widget->add_control(
                'page2_link',
                [
                    'label'   => esc_html__('Select Page', 'wiseguard'),
                    'type'    => Elementor_Theme_Core::POSTS_CONTROL,
                    'post_type' => [
                        'page'
                    ],
                    'multiple' => false,
                    'condition' => [
                        'link2_text!'     => '',
                        'link2_type' => 'page'
                    ],
                ]
            );
            $widget->add_control(
                'custom2_link',
                [
                    'label'   => esc_html__('Button Link', 'wiseguard'),
                    'type'    => Controls_Manager::URL,
                    'condition' => [
                        'link2_text!'     => '',
                        'link2_type' => 'custom'
                    ]
                ]
            );
        $widget->end_controls_section();
        // Phone settings
        $widget->start_controls_section(
            'phone_section',
            [
                'label' => esc_html__('Phone Settings','wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
                'condition' => [
                    'layout' => ['7']
                ]
            ]
        );
            $widget->add_control(
                'avatar',
                [
                    'label'   => esc_html__( 'Avatar', 'wiseguard' ),
                    'type'    => \Elementor\Controls_Manager::MEDIA,
                    'default' => [
                        'url' => get_template_directory_uri().'/assets/images/placeholder-square.png'
                    ]
                ]
            );
            $widget->add_control(
                'phone_text',
                [
                    'label'       => esc_html__( 'Phone Text', 'wiseguard' ),
                    'type'        => \Elementor\Controls_Manager::TEXT,
                    'placeholder' => 'Call 24HR / 7Days',
                    
                ]
            );
            $widget->add_control(
                'phone',
                [
                    'label'       => esc_html__( 'Phone Number', 'wiseguard' ),
                    'type'        => \Elementor\Controls_Manager::TEXT,
                    'placeholder' => '010612445741'
                ]
            );
            wiseguard_elementor_colors_opts($widget,[
                'name'      => 'phone_color',
                'label'     => esc_html__( 'Phone Color', 'wiseguard' ),
                'custom'    => false,
                'separator' => 'before'
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'      => 'phone_color_hover',
                'label'     => esc_html__( 'Phone Hover Color', 'wiseguard' ),
                'custom'    => false
            ]);
        $widget->end_controls_section();
        // Video
        $widget->start_controls_section(
            'section_video',
            [
                'label' => esc_html__('Video Settings','wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
                'condition'   => [
                    'layout' => ['1','2','4','5','7']
                ]
            ]
        );
            $widget->add_control(
                'video_link',
                [
                    'label'       => esc_html__( 'Video URL', 'wiseguard' ),
                    'subtitle'    => esc_html__('Video url from  YouTube/Vimeo/Dailymotion','wiseguard'),
                    'description' => 'https://www.youtube.com/watch?v=iYf3OgEdGmo',
                    'type'        => \Elementor\Controls_Manager::TEXT,
                    'default'     => '',
                    'label_block' => true
                ]
            );
            $widget->add_control(
                'video_icon',
                [
                    'label'   => esc_html__( 'Video Icon', 'wiseguard' ),
                    'type'    => \Elementor\Controls_Manager::ICONS,
                    'skin'    => 'inline',
                    'default' => [
                        'library' => 'cmsi',
                        'value'   => 'cmsi-play'
                    ],
                    'condition' => [
                        'video_link!' => ''
                    ],
                    'label_block' => false
                ]
            );
            $widget->add_control(
                'video_text',
                [
                    'label'    => esc_html__( 'Video Text', 'wiseguard' ),
                    'type'     => \Elementor\Controls_Manager::TEXTAREA,
                    'default'  => '',
                    'condition' => [
                        'video_link!' => ''
                    ],
                    'label_block' => false
                ]
            );
        $widget->end_controls_section();
        // Background 
        $widget->start_controls_section(
            'section_background',
            [
                'label' => esc_html__('Background Settings','wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT
            ]
        );
            $widget->add_control(
                'bg_image',
                [
                    'label'       => esc_html__('Background Image', 'wiseguard'),
                    'type'        => Controls_Manager::MEDIA,
                    'description' => esc_html__('Select image icon.', 'wiseguard'),
                    'default'     => [
                        'url' => Utils::get_placeholder_image_src()
                    ]
                ]
            );
            $widget->add_control(
            'bg_overlay',
                [
                    'label'   => esc_html__('Overlay', 'wiseguard'),
                    'type'    => Controls_Manager::SELECT,
                    'options' => [
                        ''  => esc_html__('None','wiseguard'),
                        '1' => esc_html__('Gradient #1','wiseguard'),
                    ],
                    'default'      => '1',
                    'prefix_class' => 'cms-eptitle-overlay-'
                ]
            );
        $widget->end_controls_section();
        // Style Section Start
        $widget->start_controls_section(
            'style_section',
            [
                'label' => esc_html__('Style Settings', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE,
            ]
        );
            $widget->add_responsive_control(
                'content_align',
                [
                    'label'        => esc_html__( 'Alignment', 'wiseguard' ),
                    'type'         => Controls_Manager::CHOOSE,
                    'options'      => [
                        'start'    => [
                            'title' => esc_html__( 'Left', 'wiseguard' ),
                            'icon'  => 'eicon-text-align-left',
                        ],
                        'center'  => [
                            'title' => esc_html__( 'Center', 'wiseguard' ),
                            'icon'  => 'eicon-text-align-center',
                        ],
                        'end'   => [
                            'title' => esc_html__( 'Right', 'wiseguard' ),
                            'icon'  => 'eicon-text-align-right',
                        ],
                        'justify' => [
                            'title' => esc_html__( 'Justified', 'wiseguard' ),
                            'icon'  => 'eicon-text-align-justify',
                        ],
                    ],
                    'condition' => [
                        'layout' => ['1']
                    ]
                ]
            );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'small_title_color',
                'label'    => esc_html__( 'Small Title Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-small-title' => 'color: {{VALUE}};'
                ]
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'title_color',
                'label'    => esc_html__( 'Title Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-title' => 'color: {{VALUE}};'
                ]
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'description_color',
                'label'    => esc_html__( 'Description Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-desc' => 'color: {{VALUE}};'
                ]
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'      => 'btn1_color',
                'label'     => esc_html__( 'Button #1 Color', 'wiseguard' ),
                'custom'    => false,
                'separator' => 'before'
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'      => 'btn1_color_hover',
                'label'     => esc_html__( 'Button #1 Hover Color', 'wiseguard' ),
                'custom'    => false
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'      => 'btn2_color',
                'label'     => esc_html__( 'Button #2 Color', 'wiseguard' ),
                'custom'    => false,
                'separator' => 'before'
            ]);
            wiseguard_elementor_colors_opts($widget,[
                'name'      => 'btn2_color_hover',
                'label'     => esc_html__( 'Button #2 Hover Color', 'wiseguard' ),
                'custom'    => false
            ]);
            // Breadcrum
            $widget->add_control(
                'breadcrumb_style',
                [
                    'label'   => esc_html__('Breadcrumbs Style','wiseguard'),
                    'type'    => Controls_Manager::SELECT,
                    'options' => [
                        ''                        => esc_html__('Default','wiseguard'),
                        'font-700 text-secondary' => esc_html__('Bold - Secondary','wiseguard')
                    ],
                    'condition' => [
                        'layout' => ['4','5']
                    ],
                    'separator' => 'before'
                ]
            );
        $widget->end_controls_section();
        // Style Section End
    }
}
