<?php
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Repeater;

if (!function_exists('wiseguard_widget_cms_text_scroll_register_controls')) {
    add_action('etc_widget_cms_text_scroll_register_controls', 'wiseguard_widget_cms_text_scroll_register_controls', 10, 1);
    function wiseguard_widget_cms_text_scroll_register_controls($widget)
    {
        // anchor Section Start
        $widget->start_controls_section(
            'section_anchor',
            [
                'label' => esc_html__('Text', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );
            $text = new Repeater();
            $text->add_control(
                'text',
                [
                    'label'       => esc_html__('Text', 'wiseguard'),
                    'type'        => Controls_Manager::TEXTAREA,
                    'default'     => 'Your Text'
                ]
            );
            // Start List
            $widget->add_control(
                'cms_texts',
                [
                    'label'   => esc_html__('Texts', 'wiseguard'),
                    'type'    => \Elementor\Controls_Manager::REPEATER,
                    'fields'  => $text->get_controls(),
                    'default' => [
                        [
                            'text' => 'Reliable And Trusted Services'
                        ],
                        [
                            'text' => 'For Your Home And Business!'
                        ]
                    ],
                    'title_field' => '{{{ text }}}',
                ]
            );
        $widget->end_controls_section();
        // style
        $widget->start_controls_section(
            'section_style',
            [
                'label' => esc_html__('Style', 'wiseguard'),
                'tab'   => Controls_Manager::TAB_STYLE
            ]
        );
            $widget->add_control(
                'text_style',
                [
                    'label'   => esc_html__('Text Style', 'wiseguard'),
                    'type'    => \Elementor\Controls_Manager::SELECT,
                    'options' => [
                        ''           => esc_html__('Default','wiseguard'),
                        'uppercase'  => esc_html__('Uppercase', 'wiseguard'),
                        'lowercase'  => esc_html__('Lowercase','wiseguard'),
                        'capitalize' => esc_html__('Capitalize','wiseguard')
                    ],
                    'default' => ''
                ]
            );
            wiseguard_elementor_colors_opts($widget,[
                'name'     => 'text_color',
                'label'    => esc_html__( 'Text Color', 'wiseguard' ),
                'selector' => [
                    '{{WRAPPER}} .cms-scroll-text' => 'color: {{VALUE}};',
                ]
            ]);
        $widget->end_controls_section();
    }
}