(function($) {
    "use strict";

    $( window ).on( 'elementor/frontend/init', function() {
    	var _elementor = typeof elementor != 'undefined' ? elementor : elementorFrontend;
    	// lazy load image
    	var GlobalLazyLoad = function( $scope, $ ) {
	        elementorFrontend.waypoint($scope.find('.cms-lazy'), function () {
                // remove css class/style
                //setTimeout(function () {
                	$(this).removeClass('lazy-loading').addClass('cms-lazy-loaded');
                //}, -100 );
	        });
	    };
		elementorFrontend.hooks.addAction( 'frontend/element_ready/global', GlobalLazyLoad);
		// Animate
		var GlobalWidgetAnimateHandler = function( $scope, $ ) {
	        elementorFrontend.waypoint($scope.find('.elementor-invisible'), function () {
	            var $heading = $(this),
	                data = $heading.data('settings');

	            if(typeof data['_animation'] != 'undefined'){
	                //$heading.addClass(data['_animation']+' animated').removeClass('elementor-invisible');
	                setTimeout(function () {
	                    $heading.removeClass('elementor-invisible').addClass('animated ' + data['_animation']);
	                }, data['animation_delay']);
	            }
	        });
	    };
	    elementorFrontend.hooks.addAction( 'frontend/element_ready/global', GlobalWidgetAnimateHandler);
	    // CMS Text Scroll
	    var CMSTextScrollHandler = function( $scope, $ ) {
	    	const Swiper = elementorFrontend.utils.swiper,
	        	  carousel = $scope.find(".cms-swiper-container"),
	        	carousel_settings = {
	                //direction: 'horizontal',
	                //effect: 'slide',
	                wrapperClass : 'cms-swiper-wrapper',
	                slideClass: 'cms-swiper-slide',
	                //slidesPerView: 1,
	                //slidesPerGroup: 1,
	                //slidesPerColumn: 1,
	                slidesPerView: 'auto',
        			centeredSlides: true,
	                spaceBetween: 10,
	                speed: 4000,
	                watchSlidesProgress: true,
	                watchSlidesVisibility: true,
	                autoplay: {
						delay: 0,
						pauseOnMouseEnter: true
					},
	                loop: true,
	                navigation: false,
	                pagination: false
	            };
	        carousel.each(function(index, element) {
	            var swiper = new Swiper(carousel, carousel_settings);
	        }); 
	    };
	    // Make sure you run this code under Elementor.
	    elementorFrontend.hooks.addAction( 'frontend/element_ready/cms_text_scroll.default', CMSTextScrollHandler );
	    // CMS Progress Bar
	    var WidgetCMSProgressBarHandler = function( $scope, $ ) {
	        elementorFrontend.waypoint($scope.find('.cms-progress-bar-wrap'), function () {
	            var $progressbar = $(this).find('.cms-progress-bar');
	            $progressbar.css('width', $progressbar.data('max') + '%');

	            var $number = $(this).find('.cms-progress-bar-number'),
	                data = $number.data(),
	                decimalDigits = data.toValue.toString().match(/\.(.*)/);
	                if (decimalDigits) {
	                    data.rounding = decimalDigits[1].length;
	                }
	            $number.numerator(data);
	        });
	    };
	    elementorFrontend.hooks.addAction( 'frontend/element_ready/global', WidgetCMSProgressBarHandler);
    } );
}(jQuery));