<?php 
//wrap
$widget->add_render_attribute('wrap',[
	'class' => [
		'cms-ebanner', 
		'cms-ebanner-'.$widget->get_setting('layout'),
		'd-flex gutter'
	]
]);
// Description
$widget->add_inline_editing_attributes('description_text');
$widget->add_render_attribute('description_text',[
	'class' => [
		'cms-desc text-17',
		'text-'.$widget->get_setting('description_color','body'),
		'mt-n7'
	]
]);
// Link 1
$link1_page = $widget->get_setting('link1_page','');
switch ($settings['link1_type']) {
	case 'page':
		$page = !empty($link1_page) ? get_page_by_path($link1_page, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('link1_custom', ['url' => '#'])['url'];
		break;
}
$widget->add_inline_editing_attributes( 'link1_text' );
$widget->add_render_attribute( 'link1_text', [
	'class' => [
		'btn btn-lg',
		'btn-secondary',
		'btn-hover-accent',
		'mt-30'
	],
	'href'	=> $url
]);
// Feature
$features = $widget->get_setting('cms_feature', []);
$widget->add_render_attribute('features',[
	'class' => [
		'cms-heading-features cms-lists',
		'text-15 font-700',
		'text-'.$widget->get_setting('feature_color','body'),
		'pt-30 pb-15'
	]
]);
$widget->add_render_attribute('features-item',[
	'class' => [
		'cms-list d-flex gap-10 no-wrap',
		'justify-content-'.$widget->get_setting('align','start')
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php
		wiseguard_elementor_image_render($settings,[
			'name'        => 'banner',
			'img_class'   => 'cms-sticky',
			'custom_size' => ['width' => 400, 'height' => 400],
			'max_height'  => true,	
			'before'      => '<div class="col-6 col-smobile-12">',
			'after'		  => '</div>'	
		]);
	?>
	<div class="col-6 col-smobile-12">
		<div <?php etc_print_html($widget->get_render_attribute_string('description_text')); ?>><?php echo nl2br($settings['description_text']) ?></div>
		<div <?php etc_print_html($widget->get_render_attribute_string('features')); ?>>
			<?php 
				foreach ( $features as $key => $cms_feature ):
					$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
					$widget->add_render_attribute($title_key, 'class', 'flex-basic');
					$widget->add_inline_editing_attributes( $title_key, 'none' );
				?>
			        <div <?php etc_print_html($widget->get_render_attribute_string('features-item')); ?>>
			            <span class="cms-icon cmsi-check-circle text-22 text-accent flex-auto"></span>
			            <span <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_feature['title'] ) ?></span>
			        </div>
				<?php endforeach;
			?>
		</div>
		<?php if(!empty($settings['link1_text'])) { ?>
			<a <?php etc_print_html( $widget->get_render_attribute_string( 'link1_text' ) ); ?>>
				<?php echo esc_html( $settings['link1_text'] ); ?>
				<i class="cms-btn-icon cmsi-arrow-right rtl-flip text-10"></i>
			</a>
		<?php } ?>
	</div>
</div>