<?php 
// banner title
$widget->add_render_attribute('banner-title',[
	'class' => [
		'banner-title relative p-tb-25 p-lr-30 p-lr-tablet-20',
		'bg-'.$widget->get_setting('heading_bg_color','primary'),
		'd-flex align-items-center gap-20'
	]
]);
// title
$widget->add_inline_editing_attributes('ctf7_title');
$widget->add_render_attribute('ctf7_title',[
	'class' => [
		'cms-title cms-heading text-22 font-600',
		'text-'.$widget->get_setting('title_color','white')
	]
]);
// description
$widget->add_inline_editing_attributes('ctf7_description');
$widget->add_render_attribute('ctf7_description',[
	'class' => [
		'cms-desc text-15 pt-5',
		'text-'.$widget->get_setting('desc_color','white'),
		'empty-none'
	]
]);
// note
$widget->add_inline_editing_attributes('ctf7_note');
$widget->add_render_attribute('ctf7_note',[
	'class' => [
		'cms-note text-14 pt-35 font-700',
		'text-'.$widget->get_setting('not_color','accent'),
		'empty-none'
	]
]);
// icon
$icon_class = 'text-48 flex-auto text-'.$widget->get_setting('icon_color', 'white');
?>
<div class="d-flex justify-content-end row-30">
	<?php if(!empty($settings['ctf7_title']) || !empty($settings['ctf7_title'])){ ?>
		<div class="col-6 col-mobile-extra-12">
			<div <?php etc_print_html($widget->get_render_attribute_string('banner-title'));?>><?php
				// icon
				wiseguard_elementor_icon_render($settings['ctf7_title_icon'], ['library' => 'wiseguard-icon', 'value' => 'wiseguard-icon-default'], [ 'aria-hidden' => 'true', 'class' => $icon_class ] ); 
				?>
				<div class="flex-basic">
					<h3 <?php etc_print_html($widget->get_render_attribute_string('ctf7_title'));?>><?php echo nl2br($settings['ctf7_title']); ?></h3>
					<div <?php etc_print_html($widget->get_render_attribute_string('ctf7_description'));?>><?php echo nl2br($settings['ctf7_description']); ?></div>
				</div>
			</div>
		</div>
	<?php } ?>
	<div class="col-12">
		<div class="bg-white p-70 p-lr-smobile-20">
			<?php echo do_shortcode('[contact-form-7 id="' . esc_attr($settings['ctf7_slug']) . '"]');
			// Form Note
			if(!empty($settings['ctf7_note'])){
			?>
				<div class="cms-note text-14 pt-35 font-700"><?php echo nl2br($settings['ctf7_note']); ?></div>
			<?php } ?>
		</div>
	</div>
</div>