<?php 
// title
$widget->add_inline_editing_attributes('ctf7_title');
$widget->add_render_attribute('ctf7_title',[
	'class' => [
		'cms-title cms-heading font-700 mt-n8',
		'text-'.$widget->get_setting('title_color','heading')
	]
]);
// description
$widget->add_inline_editing_attributes('ctf7_description');
$widget->add_render_attribute('ctf7_description',[
	'class' => [
		'cms-desc text-15 pt-15 pb-35',
		'text-'.$widget->get_setting('desc_color','body')
	]
]);
// note
$widget->add_inline_editing_attributes('ctf7_note');
$widget->add_render_attribute('ctf7_note',[
	'class' => [
		'cms-note text-14 pt-35 font-700',
		'text-'.$widget->get_setting('not_color','accent')
	]
]);
// icon
$icon_class = 'text-64 flex-auto text-'.$widget->get_setting('icon_color', 'white');
?>
<div class="bg-white cms-shadow-1 overflow-hidden p-50 p-lr-smobile-20">
	<?php if(!empty($settings['ctf7_title']) || !empty($settings['ctf7_description'])){ ?>
		<h3 <?php etc_print_html($widget->get_render_attribute_string('ctf7_title'));?>><?php echo nl2br($settings['ctf7_title']); ?></h3>
		<div <?php etc_print_html($widget->get_render_attribute_string('ctf7_description'));?>><?php echo nl2br($settings['ctf7_description']); ?></div>
	<?php } ?>
	<?php echo do_shortcode('[contact-form-7 id="' . esc_attr($settings['ctf7_slug']) . '"]');
	// Form Note
	if(!empty($settings['ctf7_note'])){
	?>
		<div class="cms-note text-14 pt-25"><?php echo nl2br($settings['ctf7_note']); ?></div>
	<?php } ?>
</div>