<?php
$counters = $widget->get_setting('counters', []);
if(empty($counters)) return;

use Elementor\Icons_Manager;
// Items
$widget->add_render_attribute( 'counter-item',[
	'class' => [
		'counter-item',
		'relative',
		($settings['layout_mode'] === 'carousel') ? 'swiper-slide' : 'counter-item-grid',
		'hover-icon-bounce'
	]
]);
// Number
$widget->add_render_attribute('counter--number',[
	'class' => [
		'cms-counter-numbers cms-heading text-54 font-300 pb-15 d-flex lh-1',
		'text-'.$widget->get_setting('number_color','white'),
		'mt-n15'
	]
]);
$widget->add_render_attribute('icon', [
	'class' => [
		'cms-icon cms-counter-icon empty-none text-64',
		'text-'.$widget->get_setting('icon_color','white'),
		'mb-40'
	]
]);
// Title
$widget->add_inline_editing_attributes( 'title');
$widget->add_render_attribute('title', [
	'class' => [
		'cms-counter-title cms-heading text-18 font-700',
		'text-'.$widget->get_setting('title_color','white'),
		'mb-n10'
	]
]);
// Description
$widget->add_inline_editing_attributes( 'description');
$widget->add_render_attribute('description', [
	'class' => [
		'cms-counter-desc text-15 font-700 pt-15',
		'text-'.$widget->get_setting('desc_color','white'),
		'pt-10 mb-n8'
	]
]);
// Layout mode setting
// Carousel Settings
$widget->add_render_attribute('carousel-settings',[
    'class' => [
    	'cms-counter',
    	'cms-counter-'.$widget->get_setting('layout', '3'),
        'cms-carousel swiper',
    ]
]);
// Grid Settings
$widget->add_render_attribute('grid-settings',[
    'class' => [
    	'cms-counter',
    	'cms-counter-'.$widget->get_setting('layout', '3'),
        'cms-counter-grid',
        'd-flex gutter',
        wiseguard_elementor_get_grid_columns($widget, $settings),
        'flex-col-smobile-1'
    ]
]);
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => [
		'bg-'.$widget->get_setting('bg_color', 'primary'),
        'cms-radius-16',
        'p-tb-90 p-lr-90 p-lr-tablet-extra-40 p-lr-smobile-20'
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
<?php
	// Start layout 
	switch ($settings['layout_mode']) {
		case 'carousel':
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('carousel-settings')); ?>>
		<div class="swiper-wrapper">
	<?php
		break;
		default:
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('grid-settings')); ?>>
	<?php
		break;
	}
	// Start Item
	foreach ($counters as $key => $counter) {
		$counter['icon_image_size'] = $settings['icon_image_size']; // fix image size
		$counter['icon_image_custom_dimension'] = $settings['icon_image_custom_dimension']; // fix image size
		$data_counter     = $widget->get_repeater_setting_key( 'counter-number', 'cms_counter', $key );
	    $widget->add_render_attribute( $data_counter, [
	        'class'          => [
	        	'cms-counter-number elementor-counter-number'
	        ],
	        'data-duration'  => $counter['duration'],
	        'data-to-value'  => $counter['ending_number'],
	        'data-delimiter' => !empty($counter['thousand_separator_char']) ? $counter['thousand_separator_char'] : '',
	    ] );
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('counter-item')); ?>><?php
	    if($counter['show_icon'] === 'yes'){
	    ?>
		    <div <?php etc_print_html($widget->get_render_attribute_string('icon')); ?>><?php
			    // Counter Icon
				switch ($counter['icon_type']) {
					case 'image':
						wiseguard_elementor_image_render($counter, [
							'name'           => 'icon_image',
							'image_size_key' => 'icon_image',
							'custom_size' => ['width' => 64, 'height' => 64]
						]);
						break;
					
					default:
						\Elementor\Icons_Manager::render_icon( $counter['counter_icon']);
						break;
				}
			?></div>
		<?php } ?>
		<div class="cms-counter-content relative z-top">
			<div <?php etc_print_html($widget->get_render_attribute_string('counter--number')) ?>>
			    <span class="prefix"><?php echo esc_html( $counter['prefix'] ); ?></span>
			    <span <?php etc_print_html( $widget->get_render_attribute_string( $data_counter ) ); ?>><?php echo esc_html( $counter['starting_number'] ); ?></span>
			    <span class="suffix"><?php echo esc_html( $counter['suffix'] ); ?></span>
			</div>
			<?php if ( $counter['title'] ) : ?>
			    <div <?php etc_print_html($widget->get_render_attribute_string( 'title')); ?>><?php echo nl2br( $counter['title'] ); ?></div>
			<?php endif;
			// Description
			if ( $counter['description'] ) : ?>
			    <div <?php etc_print_html($widget->get_render_attribute_string( 'description')); ?>><?php echo nl2br( $counter['description'] ); ?></div>
			<?php endif; ?>
		</div>
	</div>
	<?php
	} // end foreach

	switch ($settings['layout_mode']) {
		case 'carousel':
	?>
		</div>
		<?php if ($settings['arrows'] == 'yes') : ?>
            <div class="cms-carousel-button-in-vert prev cms-carousel-button-prev">
                <?php
                $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                if (empty($icon_settings['value'])) {
                    $icon_settings = [
						'library' => 'eicons',
						'value'   => 'eicon-chevron-left',
                    ];
                }
                Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                ?>
            </div>
            <div class="cms-carousel-button-in-vert next cms-carousel-button-next">
                <?php
                $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                if (empty($icon_settings['value'])) {
                    $icon_settings = [
						'library' => 'eicons',
						'value'   => 'eicon-chevron-right',
                    ];
                }
                Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                ?>
            </div>
        <?php endif ?>
        <?php if ($settings['dots'] == 'yes') : ?>
            <div class="cms-carousel-dots cms-carousel-dots-out"></div>
        <?php endif ?>
	</div>
	<?php
		break;
		default:
	?>
	</div>
	<?php
		break;
	}
?>
</div>