<?php
$counters = $widget->get_setting('counters', []);
if(empty($counters)) return;

use Elementor\Icons_Manager;
// Items
$widget->add_render_attribute( 'counter-item',[
	'class' => [
		'counter-item',
		'relative',
		($settings['layout_mode'] === 'carousel') ? 'swiper-slide' : '',
		'hover-icon-bounce'
	]
]);
// Number
$widget->add_render_attribute('counter--number',[
	'class' => [
		'cms-counter-numbers cms-heading text-60 pb-15 d-flex lh-1',
		'text-'.$widget->get_setting('number_color','primary')
	]
]);
$widget->add_render_attribute('icon', [
	'class' => [
		'cms-icon cms-counter-icon empty-none text-64',
		'text-'.$widget->get_setting('icon_color','secondary'),
		'pb-20'
	]
]);
// Title
$widget->add_inline_editing_attributes( 'title');
$widget->add_render_attribute('title', [
	'class' => [
		'cms-counter-title text-18 font-700',
		'text-'.$widget->get_setting('title_color','body')
	]
]);
// Description
$widget->add_inline_editing_attributes( 'description');
$widget->add_render_attribute('description', [
	'class' => [
		'cms-counter-desc text-15 pt-25',
		'text-'.$widget->get_setting('desc_color','body')
	]
]);
// Layout mode setting
// Carousel Settings
$widget->add_render_attribute('carousel-settings',[
    'class' => [
    	'cms-counter',
    	'cms-counter-'.$widget->get_setting('layout', '1'),
        'cms-carousel swiper',
    ]
]);
// Grid Settings
$widget->add_render_attribute('grid-settings',[
    'class' => [
    	'cms-counter',
    	'cms-counter-'.$widget->get_setting('layout', '1'),
        'cms-counter-grid',
        'd-flex gutter',
        wiseguard_elementor_get_grid_columns($widget, $settings, ['prefix_class' => 'flex-col-','default' => 'auto'])
    ]
]);
// Large Heading
$widget->add_inline_editing_attributes( 'heading_text', 'none' );
$widget->add_render_attribute( 'heading_text', [
	'class' => [
		'cms-heading empty-none',
		'text-'.$widget->get_setting('heading_color'),
		'mt-n10'
	]
]);
// Description Bold
$widget->add_inline_editing_attributes( 'description_bold_text' );
$widget->add_render_attribute( 'description_bold_text', [
	'class' => array_filter([
		'cms-desc-bold text-15 font-700 pt-105 empty-none',
		'text-'.$widget->get_setting('description_bold_color','heading')
	])
]);
// Description
$widget->add_inline_editing_attributes( 'description_text' );
$widget->add_render_attribute( 'description_text', [
	'class' => array_filter([
		'cms-desc text-16 font-700 empty-none pt-20 mb-n8',
		'text-'.$widget->get_setting('description_color','body'),
		'empty-none'
	])
]);
// Link 1
$link1_page = $widget->get_setting('link1_page','');
switch ($settings['link1_type']) {
	case 'page':
		$page = !empty($link1_page) ? get_page_by_path($link1_page, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('link1_custom', ['url' => '#'])['url'];
		break;
}
$widget->add_inline_editing_attributes( 'link1_text' );
$widget->add_render_attribute( 'link1_text', [
	'class' => [
		'btn1 btn btn-lg',
		'btn-'.$widget->get_setting('link1_color','secondary'), 
		'btn-hover-'.$widget->get_setting('link1_hover_color', 'accent'),
		'flex-smobile-full'
	],
	'href'	=> $url
]);
// Buttons
$widget->add_render_attribute('buttons',[
	'class' => [
		'cms-heading-buttons d-flex gap-30 pt-40 justify-content-smobile-center'
	]
]);
// Icons
$icons = $widget->get_setting('heading_icon', []);
$widget->add_render_attribute('icons',[
	'class' => [
		'cms-heading-icons',
		'text-68 lh-0',
		'text-'.$widget->get_setting('heading_icon_color','accent')
	]
]);
// divider
$widget->add_render_attribute('divider',[
	'class' => [
		'bg-'.$widget->get_setting('description_bold_color','heading'),
		'm-tb-35'
	],
	'style' => 'height:1px; opacity:0.5;'
]);
?>
<h2 <?php etc_print_html( $widget->get_render_attribute_string( 'heading_text' ) ); ?>><?php echo nl2br( $settings['heading_text'] ); ?></h2>
<div <?php etc_print_html( $widget->get_render_attribute_string( 'description_text' ) ); ?>><?php echo nl2br( $settings['description_text'] ); ?></div>
<div <?php etc_print_html($widget->get_render_attribute_string('buttons')); ?>>
	<?php if(!empty($settings['link1_text'])) { ?>
		<a <?php etc_print_html( $widget->get_render_attribute_string( 'link1_text' ) ); ?>>
			<?php echo esc_html( $settings['link1_text'] ); ?>
			<i class="cms-btn-icon cmsi-arrow-right rtl-flip text-10"></i>
		</a>
	<?php } 
		foreach ( $icons as $key => $icon ):
	?>
        <div <?php etc_print_html($widget->get_render_attribute_string('icons')); ?>>
            <?php Icons_Manager::render_icon($icon['_icon'], ['class' => '']); ?>
        </div>
	<?php endforeach; ?>
</div>
<div <?php etc_print_html( $widget->get_render_attribute_string( 'description_bold_text' ) ); ?>><?php echo nl2br( $settings['description_bold_text'] ); ?></div>
<div <?php etc_print_html( $widget->get_render_attribute_string( 'divider' ) ); ?>></div>
<?php
// Start layout 
	switch ($settings['layout_mode']) {
		case 'carousel':
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('carousel-settings')); ?>>
		<div class="swiper-wrapper">
	<?php
		break;
		default:
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('grid-settings')); ?>>
	<?php
		break;
	}
	// Start Item
	foreach ($counters as $key => $counter) {
		$counter['icon_image_size'] = $settings['icon_image_size']; // fix image size
		$counter['icon_image_custom_dimension'] = $settings['icon_image_custom_dimension']; // fix image size
		$data_counter     = $widget->get_repeater_setting_key( 'counter-number', 'cms_counter', $key );
	    $widget->add_render_attribute( $data_counter, [
	        'class'          => [
	        	'cms-counter-number elementor-counter-number',
	        	'text-'.$widget->get_setting('number_color','primary')
	        ],
	        'data-duration'  => $counter['duration'],
	        'data-to-value'  => $counter['ending_number'],
	        'data-delimiter' => !empty($counter['thousand_separator_char']) ? $counter['thousand_separator_char'] : ',',
	    ] );
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('counter-item')); ?>><?php
	    if($counter['show_icon'] === 'yes'){
	    ?>
		    <div <?php etc_print_html($widget->get_render_attribute_string('icon')); ?>><?php
			    // Counter Icon
				switch ($counter['icon_type']) {
					case 'image':
						wiseguard_elementor_image_render($counter, [
							'name'           => 'icon_image',
							'image_size_key' => 'icon_image',
							'custom_size' => ['width' => 64, 'height' => 64]
						]);
						break;
					
					default:
						\Elementor\Icons_Manager::render_icon( $counter['counter_icon']);
						break;
				}
			?></div>
		<?php } ?>
		<div class="cms-counter-content">
			<div <?php etc_print_html($widget->get_render_attribute_string('counter--number')) ?>>
			    <span class="prefix"><?php echo esc_html( $counter['prefix'] ); ?></span>
			    <span <?php etc_print_html( $widget->get_render_attribute_string( $data_counter ) ); ?>><?php echo esc_html( $counter['starting_number'] ); ?></span>
			    <span class="suffix"><?php echo esc_html( $counter['suffix'] ); ?></span>
			</div>
			<?php if ( $counter['title'] ) : ?>
			    <div <?php etc_print_html($widget->get_render_attribute_string( 'title')); ?>><?php echo nl2br( $counter['title'] ); ?></div>
			<?php endif;
			// Description
			if ( $counter['description'] ) : ?>
			    <div <?php etc_print_html($widget->get_render_attribute_string( 'description')); ?>><?php echo nl2br( $counter['description'] ); ?></div>
			<?php endif; ?>
		</div>
	</div>
	<?php
	} // end foreach

	switch ($settings['layout_mode']) {
		case 'carousel':
	?>
		</div>
		<?php if ($settings['arrows'] == 'yes') : ?>
            <div class="cms-carousel-button-in-vert prev cms-carousel-button-prev">
                <?php
                $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                if (empty($icon_settings['value'])) {
                    $icon_settings = [
						'library' => 'eicons',
						'value'   => 'eicon-chevron-left',
                    ];
                }
                Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                ?>
            </div>
            <div class="cms-carousel-button-in-vert next cms-carousel-button-next">
                <?php
                $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                if (empty($icon_settings['value'])) {
                    $icon_settings = [
						'library' => 'eicons',
						'value'   => 'eicon-chevron-right',
                    ];
                }
                Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true']);
                ?>
            </div>
        <?php endif ?>
        <?php if ($settings['dots'] == 'yes') : ?>
            <div class="cms-carousel-dots cms-carousel-dots-out"></div>
        <?php endif ?>
	</div>
	<?php
		break;
		default:
	?>
	</div>
	<?php
		break;
	}
?>

