<?php
$widget->add_inline_editing_attributes( 'text' );
$widget->add_inline_editing_attributes( 'link_text' );
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => array_filter([
		'cms-cta',
		'cms-cta-'.$widget->get_setting('layout', '11'),
		'bg-accent',
		wiseguard_elementor_get_alignment_class($widget, $settings, ['name' => 'align'])
	])
]);
// Text
$widget->add_render_attribute('text', [
	'class' => [
		'cms-desc heading',
		'text-'.$widget->get_setting('text_color','white'),
		'text-20 font-700 text-italic lh-145',
		'p-tb-33 p-lr-40 p-lr-smobile-20'
	]
]);

// Link
$page_link = $widget->get_setting('page_link','');
switch ($settings['link_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('custom_link', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link_text', [
	'class' => [
		'btn btn-xxl',
		'btn-'.$widget->get_setting('link_color','accent-darken'),
		'btn-hover-'.$widget->get_setting('link_color_hover','secondary'),
		'w-100 justify-content-between'
	],
	'href'	=> $url
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div <?php etc_print_html($widget->get_render_attribute_string('text')) ?>><?php printf('%s', $settings['text']);?></div>
	<?php if(!empty($settings['link_text'])): ?>
		<a <?php etc_print_html( $widget->get_render_attribute_string( 'link_text' ) ); ?>>
			<?php 
				// text
				echo esc_html( $settings['link_text'] );
			?><i class="cmsi-arrow-right rtl-flip text-10"></i>
		</a>
	<?php endif; ?>
</div>