<?php
$widget->add_inline_editing_attributes( 'text' );
$widget->add_inline_editing_attributes( 'link_text' );
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => array_filter([
		'cms-cta',
		'cms-cta-'.$widget->get_setting('layout', '1'),
		'text-15 font-700',
		'cms-shadow-1 bg-white cms-radius-4 pb-30 p-lr-50 p-lr-smobile-20',
		wiseguard_elementor_get_alignment_class($widget, $settings, ['name' => 'align'])
	])
]);
// Avatar / Phone
$widget->add_render_attribute('phone', [
	'class' => ['cms-avatar-phone cms-cta--phone'],
	'href'  => 'tel:'.str_replace(' ', '', $widget->get_setting('phone')),
	'target' => '_blank',
]);
// Text
$widget->add_render_attribute('text', [
	'class' => [
		'cms-desc',
		'text-'.$widget->get_setting('text_color','body')
	]
]);

// Link
$page_link = $widget->get_setting('page_link','');
switch ($settings['link_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('custom_link', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link_text', [
	'class' => [
		'cms-link',
		'cms-link-1',
		'text-'.$widget->get_setting('link_color','secondary-lighten'),
		'text-hover-'.$widget->get_setting('link_color_hover','primary'),
		'pt-20'
	],
	'href'	=> $url
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php // Avatar
		wiseguard_elementor_image_render($settings,[
			'name'        => 'avatar',
			'img_class'   => 'circle relative z-top',
			'custom_size' => ['width' => 50, 'height' => 50],
			'before' 	  => '<a '.$widget->get_render_attribute_string('phone').'>',
			'after'		  => '<i class="cms-phone-icon cms-cta-phone-icon circle cmsi-phone-alt"></i></a>'		
		]);
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('text')) ?>><?php etc_print_html($settings['text']) ?></div>
	<a <?php etc_print_html( $widget->get_render_attribute_string( 'link_text' ) ); ?>>
		<?php 
			// text
			echo esc_html( $settings['link_text'] );
		?><i class="cmsi-edge-right-up rtl-flip text-10"></i>
	</a>
</div>