<?php
$widget->add_inline_editing_attributes( 'text' );
$widget->add_inline_editing_attributes( 'link_text' );
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => array_filter([
		'cms-cta',
		'cms-cta-'.$widget->get_setting('layout', '1'),
		'text-16',
		'd-flex gap-30 no-wrap align-items-center smobile-wrap',
		wiseguard_elementor_get_alignment_class($widget, $settings, ['name' => 'align'])
	])
]);
// Avatar / Phone
$widget->add_render_attribute('phone', [
	'class' => ['cms-avatar-phone-2 cms-cta--phone flex-auto'],
	'href'  => 'tel:'.str_replace(' ', '', $widget->get_setting('phone')),
	'target' => '_blank',
]);
// Text
$widget->add_render_attribute('text', [
	'class' => [
		'cms-desc',
		'text-'.$widget->get_setting('text_color','body')
	]
]);

// Link
$page_link = $widget->get_setting('page_link','');
switch ($settings['link_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('custom_link', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link_text', [
	'class' => [
		'cms-link',
		'text-'.$widget->get_setting('link_color','secondary-regular'),
		'text-hover-'.$widget->get_setting('link_color_hover','secondary-regular'),
		'pt-10'
	],
	'href'	=> $url
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php // Avatar
		wiseguard_elementor_image_render($settings,[
			'name'        => 'avatar',
			'img_class'   => 'circle relative z-top',
			'custom_size' => ['width' => 68, 'height' => 68],
			'before' 	  => '<a '.$widget->get_render_attribute_string('phone').'>',
			'after'		  => '<i class="cms-phone-icon cms-cta-phone-icon circle cmsi-phone-alt"></i></a>'		
		]);
	?>
	<div class="flex-basic flex-smobile-full">
		<div <?php etc_print_html($widget->get_render_attribute_string('text')) ?>><?php etc_print_html($settings['text']) ?></div>
		<a <?php etc_print_html( $widget->get_render_attribute_string( 'link_text' ) ); ?>>
			<?php 
				// text
				echo esc_html( $settings['link_text'] );
			?><i class="cmsi-arrow-right rtl-flip text-10"></i>
		</a>
	</div>
</div>