<?php
$widget->add_inline_editing_attributes( 'text' );
$widget->add_inline_editing_attributes( 'link_text' );
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => array_filter([
		'cms-cta',
		'cms-cta-'.$widget->get_setting('layout', '6'),
		'text-15 font-700',
		wiseguard_elementor_get_alignment_class($widget, $settings, ['name' => 'align'])
	])
]);
// Text
$widget->add_render_attribute('text', [
	'class' => [
		'cms-desc',
		'text-'.$widget->get_setting('text_color','body')
	]
]);

// Link
$page_link = $widget->get_setting('page_link','');
switch ($settings['link_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('custom_link', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link_text', [
	'class' => [
		'btn btn-lg',
		'btn-'.$widget->get_setting('link_color','secondary'),
		'btn-hover-'.$widget->get_setting('link_color_hover','accent')
	],
	'href'	=> $url
]);
// Button
$btn_page_link = $widget->get_setting('btn_page_link','');
switch ($settings['btn_link_type']) {
	case 'page':
		$btn_page = !empty($btn_page_link) ? get_page_by_path($btn_page_link, OBJECT) : [];
		$btn_url  = !empty($btn_page) ? get_permalink($btn_page->ID) : '#';
		break;
	
	default:
		$btn_url = $widget->get_setting('btn_link', ['url' => '#'])['url'];
		break;
}
$widget->add_inline_editing_attributes('btn_text');
$widget->add_render_attribute( 'btn_text', [
	'class' => [
		'btn btn-lg',
		'btn-outline-'.$widget->get_setting('btn_color','accent'),
		'btn-outline-hover-'.$widget->get_setting('btn_color_hover','accent')
	],
	'href'	=> $btn_url
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div <?php etc_print_html($widget->get_render_attribute_string('text')) ?>><?php etc_print_html($settings['text']) ?></div>
	<div class="d-flex gap-30 pt-35 justify-content-<?php echo esc_attr($widget->get_setting('align','start')); ?>">
		<?php if(!empty($settings['link_text'])): ?>
			<a <?php etc_print_html( $widget->get_render_attribute_string( 'link_text' ) ); ?>>
				<?php 
					// text
					echo esc_html( $settings['link_text'] );
				?><i class="cmsi-arrow-right rtl-flip text-10"></i>
			</a>
		<?php endif; ?>
		<a <?php etc_print_html( $widget->get_render_attribute_string( 'btn_text' ) ); ?>>
			<?php 
				// text
				echo esc_html( $settings['btn_text'] );
			?>
		</a>
	</div>
</div>