<?php
$widget->add_inline_editing_attributes( 'text' );
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => array_filter([
		'cms-cta',
		'cms-cta-'.$widget->get_setting('layout', '1'),
		'd-flex',
		wiseguard_elementor_get_alignment_class($widget, $settings, ['name' => 'align'])
	])
]);
// Text
$widget->add_render_attribute('text', [
	'class' => [
		'cms-heading',
		'font-700',
		'text-'.$widget->get_setting('text_color','heading'),
		'col-9 col-mobile-12',
		'pt-50 pr-80 pr-tablet-20 pr-mobile-0'
	]
]);

// Link
$page_link = $widget->get_setting('page_link','');
switch ($settings['link_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('custom_link', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link_text', [
	'class' => [
		'col-3 col-mobile-12',
		'd-flex justify-content-end justify-content-mobile-center',
		'order-mobile-first'
	],
	'href'	=> $url
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<h2 <?php etc_print_html($widget->get_render_attribute_string('text')) ?>><?php etc_print_html($settings['text']) ?></h2>
	<a <?php etc_print_html( $widget->get_render_attribute_string( 'link_text' ) ); ?>>
		<?php 
			wiseguard_circle_text([
				'class'		  => '',
				'text'        => $settings['link_text'],
				'color'       => $widget->get_setting('link_color','secondary-lighten'),
				'hover-color' => $widget->get_setting('link_color_hover','primary'),
				'after'       => '<i class="cms-circle-text-icon cmsi-arrow-right rtl-flip text-10 absolute center circle"></i>',
				'svg_class'	  => 'cms-text-spin'
			]);
		?>
	</a>
</div>