<?php
$widget->add_inline_editing_attributes( 'text' );
$widget->add_inline_editing_attributes( 'link_text' );
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => array_filter([
		'cms-cta',
		'cms-cta-'.$widget->get_setting('layout', '9'),
		'd-flex gutter',
		wiseguard_elementor_get_alignment_class($widget, $settings, ['name' => 'align'])
	])
]);
// Text
$widget->add_render_attribute('title', [
	'class' => [
		'cms-title cms-heading',
		'text-'.$widget->get_setting('title_color','heading'),
		'mt-n10',
		'cms-sticky'
	]
]);
// Text
$widget->add_render_attribute('text', [
	'class' => [
		'cms-desc text-16',
		'text-'.$widget->get_setting('text_color','body'),
		'pb-40 mt-n7'
	]
]);

// Button
$btn_page_link = $widget->get_setting('btn_page_link','');
switch ($settings['btn_link_type']) {
	case 'page':
		$btn_page = !empty($btn_page_link) ? get_page_by_path($btn_page_link, OBJECT) : [];
		$btn_url  = !empty($btn_page) ? get_permalink($btn_page->ID) : '#';
		break;
	
	default:
		$btn_url = $widget->get_setting('btn_link', ['url' => '#'])['url'];
		break;
}
$widget->add_inline_editing_attributes('btn_text');
$widget->add_render_attribute( 'btn_text', [
	'class' => [
		'btn btn-lg',
		'btn-'.$widget->get_setting('link_color','secondary'),
		'btn-hover-'.$widget->get_setting('link_color_hover','accent')
	],
	'href'	=> $btn_url
]);
// Phone
$widget->add_render_attribute('cta-phone', [
	'class' => [
		'cms-cta-phone cms-phone-3', 
		'd-flex align-items-center',
		'text-'.$widget->get_setting('text_color','body'),
		'text-hover-'.$widget->get_setting('text_color','body')
	],
	'href'  => 'tel:'.str_replace(' ', '', $widget->get_setting('phone')),
	'target' => '_blank',
]);
$widget->add_inline_editing_attributes('phone');
$widget->add_render_attribute('phone', [
	'class' => ['cms-phone-number cms-heading font-500'],
]);
$widget->add_inline_editing_attributes('phone_text');
$widget->add_render_attribute('phone_text', [
	'class' => ['cms-phone--text text-14'],
]);
// Avatar / Phone
$widget->add_render_attribute('phone', [
	'class' => ['cms-avatar-phone cms-cta--phone cms-heading text-19 font-500'],
	'href'  => 'tel:'.str_replace(' ', '', $widget->get_setting('phone')),
	'target' => '_blank',
]);

?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div class="col-6 col-mobile-extra-12">
		<h2 <?php etc_print_html($widget->get_render_attribute_string('title')) ?>><?php etc_print_html($settings['title']) ?></h2>
	</div>
	<div class="col-6 col-mobile-extra-12">
		<div <?php etc_print_html($widget->get_render_attribute_string('text')) ?>><?php etc_print_html($settings['text']) ?></div>
		<div class="d-flex gap align-items-center">
			<a <?php etc_print_html( $widget->get_render_attribute_string( 'btn_text' ) ); ?>>
				<?php 
					// text
					echo esc_html( $settings['btn_text'] );
				?><i class="cmsi-arrow-right rtl-flip text-10"></i>
			</a>
			<a <?php etc_print_html( $widget->get_render_attribute_string( 'cta-phone' ) ); ?>>
				<?php // Avatar
					wiseguard_elementor_image_render($settings,[
						'name'        => 'avatar',
						'img_class'   => 'circle relative z-top',
						'custom_size' => ['width' => 68, 'height' => 68],
						'before' 	  => '<div class="cms-phone--3 d-flex align-items-center mr-30">',
						'after'		  => '<i class="cms-phone-icon cms-cta-phone-icon circle cmsi-phone-alt"></i></div>'		
					]); 
				?>
				<div class="cms-phone-text">
					<div <?php etc_print_html( $widget->get_render_attribute_string( 'phone' ) ); ?>><?php 
						// text
						echo esc_html( $settings['phone'] );
					?></div>
					<div <?php etc_print_html( $widget->get_render_attribute_string( 'phone_text' ) ); ?>><?php echo esc_html($settings['phone_text']); ?></div>
				</div>
			</a>
		</div>
	</div>
</div>