<?php
use Elementor\Icons_Manager;
$fancy_boxs = $widget->get_setting('fancy_box', []);
// Wrap
$widget->add_render_attribute('wrap',[
	'class' => [
		'd-flex gutter',
		wiseguard_elementor_get_grid_columns($widget, $settings, ['default' => '1'])
	]
]);
// Item
$widget->add_render_attribute('item',[
	'class' => array_filter([
		'cms-fancybox',
		'cms-fancybox-'.$widget->get_setting('layout','1'),
		'hover-icon-bounce',
		'cms-transition',
		'bg-'.$widget->get_setting('bg_color', 'transparent'),
		'bg-hover-'.$widget->get_setting('bg_hover_color', 'transparent'),
		'd-flex gap-40'
	])
]);
// Icons
$icon_classes = wiseguard_nice_class([
	'cms-icon text-64',
	'text-'.$widget->get_setting('icon_color', 'accent'),
	'flex-auto'
]);
//Title
//$widget->add_inline_editing_attributes('title');
$widget->add_render_attribute( 'title', [
	'class' => [
		'cms-title cms-heading text-20',
		'text-'.$widget->get_setting('title_color','heading'),
		'lh-15'
	]
]);
// Description
//$widget->add_inline_editing_attributes( 'description' );
$widget->add_render_attribute( 'description', [
	'class' => [
		'cms-desc',
		'text-15',
		'pt-15',
		'text-'.$widget->get_setting('description_color','body'),
		'empty-none'
	]
]);
// Output HTMl
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php foreach ($fancy_boxs as $key => $fancy_box) { ?>
	<div class="fancy-box-item">
		<div <?php etc_print_html($widget->get_render_attribute_string('item')); ?>>
			<?php
				// Icon
				switch ($fancy_box['icon_type']) {
					case 'image':
						wiseguard_elementor_image_render($fancy_box, [
							'name'           => 'icon_image',
							'image_size_key' => 'icon_image',
							'img_class'      => $icon_classes, 
							'custom_size'    => ['width' => 64, 'height' => 64]
						]);
						break;
					
					case 'icon':
						\Elementor\Icons_Manager::render_icon( $fancy_box['selected_icon'], [ 'aria-hidden' => 'true', 'class' => $icon_classes ], 'div' );
						break;
				}
				// Button
				//$widget->add_inline_editing_attributes( 'btn_text' );
				$page_link = $fancy_box['btn_page_link'];
				switch ($fancy_box['btn_link_type']) {
					case 'page':
						$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
						$url  = !empty($page) ? get_permalink($page->ID) : '#';
						break;
					
					default:
						$url = $fancy_box['btn_link']['url'];
						break;
				}
				$btn_key = $widget->get_repeater_setting_key( 'btn_page_link', 'cms_fancy_box', $key );
				$widget->add_render_attribute( $btn_key, [
					'class' => array_filter([
						'cms-fancy-btn',
						'cms-link',
						'pt-15',
						'text-'.$widget->get_setting('btn_color','white'),
						'text-hover-'.$widget->get_setting('btn_hover_color','primary')
					]),
					'href'	=> $url
				]);
			?>
			<div class="flex-basic">
				<h4 <?php etc_print_html( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo nl2br( $fancy_box['title'] ); ?></h4>
			    <div <?php etc_print_html( $widget->get_render_attribute_string( 'description' ) ); ?>><?php echo wpautop( $fancy_box['description'] ); ?></div>
				<?php if ( ! empty( $fancy_box['btn_text'] ) ) : ?>
			        <a <?php etc_print_html( $widget->get_render_attribute_string( $btn_key ) ); ?>><?php echo esc_attr( $fancy_box['btn_text'] ); ?></a>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php } ?>
</div>
