<?php
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => array_filter([
		'cms-eheading',
		'cms-eheading-'.$widget->get_setting('layout'),
		'text-'.$widget->get_setting('align','start')
	])
]);
// Small Heading
$widget->add_inline_editing_attributes( 'smallheading_text' );
$widget->add_render_attribute( 'smallheading_text', [
	'class' => [
		'cms-smallheading empty-none font-700 text-16 pb-10',
		'text-'.$widget->get_setting('smallheading_color', 'accent') 
	]
]);
// Large Heading
$widget->add_inline_editing_attributes( 'heading_text');
$widget->add_render_attribute( 'heading_text', [
	'class' => [
		'cms-heading empty-none',
		'text-'.$widget->get_setting('heading_color','heading'),
		'pb-55'
	]
]);

// Rating
$rated = $widget->get_setting('star_rated', 100);
$widget->add_render_attribute('star_color', [
	'class' => [
		'cms-star-rate relative',
		'text-'.$widget->get_setting('star_color','secondary')
	]
]);
$widget->add_render_attribute('star_rated_color', [
	'class' => [
		'cms-star-rated absolute',
		'text-'.$widget->get_setting('star_rated_color','accent'),
	],
	'data-width' => $rated,
	'style' 	 => 'width:'.$rated.'%;'
]);
$widget->add_render_attribute('rate_text_color', [
	'class' => [
		'flex-basic text-15 cms-text',
		'text-'.$widget->get_setting('rate_text_color','body')
	]
]);

$widget->add_render_attribute('percent_text', [
	'class' => [
		'text-underline font-700',
		'text-'.$widget->get_setting('star_rated_color','accent')
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div <?php etc_print_html( $widget->get_render_attribute_string( 'smallheading_text' ) ); ?>><?php echo nl2br( $settings['smallheading_text'] ); ?></div>
	<h2 <?php etc_print_html( $widget->get_render_attribute_string( 'heading_text' ) ); ?>><?php echo nl2br( $settings['heading_text'] ); ?></h2>
	<?php
		// Banner title
		ob_start();
	?>
		<div class="cms-heading-banner-title2 absolute bottom-right d-flex gap-30 text-18 text-white bg-accent cms-radius-trb-10 cms-heading font-500 p-40 p-lr-smobile-20">
			<?php
				\Elementor\Icons_Manager::render_icon( $settings['banner_icon'], ['class' => 'cms-icon flex-auto text-64']);
			?>
			<span class="flex-basic mt-n8 mb-n8 flex-smobile-100"><?php
				echo nl2br($settings['banner_title']); 
			?></span>
		</div>
	<?php
		$banner_title = ob_get_clean();
		// Banner
		wiseguard_elementor_image_render($settings,[
			'name'        => 'banner',
			'img_class'   => 'cms-radius-16',
			'custom_size' => ['width' => 660, 'height' => 440],
			'default'	  => true,
			'before'	  => '<div class="cms-heading-banner relative pr-40 d-inline-block hover-icon-bounce">',
			'after'		  => $banner_title.'</div>'					
		]);
	// rate 
	if($rated != 0){
	?>
		<div class="cms-heading-rate d-flex gap pt-35" style="--cms-gap:40px;--cms-gap-tablet:40px;--cms-gap-mobile:10px;">
			<div class="flex-auto flex-smobile-full">
				<div <?php etc_print_html($widget->get_render_attribute_string('star_color')); ?>>
				    <div <?php etc_print_html($widget->get_render_attribute_string('star_rated_color')); ?>></div>
				</div>
			</div>
			<div <?php etc_print_html($widget->get_render_attribute_string('rate_text_color')); ?>>
				<span <?php etc_print_html($widget->get_render_attribute_string('percent_text')); ?>><?php 
					etc_print_html($widget->get_setting('percent','99.9%').' '.$widget->get_setting('percent_text','Customer Satisfaction'));
				?></span>
				<?php
					etc_print_html($widget->get_setting('percent_text2','based on 750+ reviews of 6,154 Completed Projects, and 2,194 Happy Customers trust us.'));
				?>
			</div>
		</div>
	<?php } ?>
</div>