<?php
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => array_filter([
		'cms-eheading',
		'cms-eheading-'.$widget->get_setting('layout'),
		'relative',
		'text-'.$widget->get_setting('align','start'),
		'bg-'.$widget->get_setting('bg_color','white'),
		'pl-160 pl-laptop-60 pl-tablet-20'
	])
]);
// Small Heading
$widget->add_inline_editing_attributes( 'smallheading_text' );
$widget->add_render_attribute( 'smallheading_text', [
	'class' => [
		'cms-smallheading empty-none font-700 text-16',
		'mt-n7 pb-20',
		'text-'.$widget->get_setting('smallheading_color','secondary'),
	]
]);
// Large Heading
$widget->add_inline_editing_attributes( 'heading_text');
$widget->add_render_attribute( 'heading_text', [
	'class' => [
		'cms-heading empty-none',
		'text-36 text-tablet-30 text-mobile-24',
		'text-'.$widget->get_setting('heading_color','heading'),
		'mt-n10 pb-40'
	]
]);
// Description
$widget->add_inline_editing_attributes( 'description_text' );
$widget->add_render_attribute( 'description_text', [
	'class' => array_filter([
		'cms-desc text-17 empty-none',
		'text-'.$widget->get_setting('description_color','body'),
		'mt-n7'
	])
]);

// Link 1
$link1_page = $widget->get_setting('link1_page','');
switch ($settings['link1_type']) {
	case 'page':
		$page = !empty($link1_page) ? get_page_by_path($link1_page, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('link1_custom', ['url' => '#'])['url'];
		break;
}
$widget->add_inline_editing_attributes( 'link1_text' );
$widget->add_render_attribute( 'link1_text', [
	'class' => [
		'btn btn-lg',
		'btn-'.$widget->get_setting('link1_color','secondary'),
		'btn-hover-'.$widget->get_setting('link1_color_hover','accent'),
		'mt-30',
	],
	'href'	=> $url
]);
// Feature
$features = $widget->get_setting('cms_feature', []);
$widget->add_render_attribute('features',[
	'class' => [
		'cms-heading-features cms-lists',
		'text-15 font-700',
		'text-'.$widget->get_setting('feature_color','body'),
		'pt-40',
		'd-flex flex-col-2 flex-col-smobile-1'
	]
]);
$widget->add_render_attribute('features-item',[
	'class' => [
		'cms-list d-flex gap-10 no-wrap',
		'justify-content-'.$widget->get_setting('align','start')
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php 
	//icon
	wiseguard_elementor_icon_render($settings['heading_icon'],[],['class' => 'cms-heading-icon']);
	?>
	<div <?php etc_print_html( $widget->get_render_attribute_string( 'smallheading_text' ) ); ?>><?php echo nl2br( $settings['smallheading_text'] ); ?></div>
	<h2 <?php etc_print_html( $widget->get_render_attribute_string( 'heading_text' ) ); ?>><?php echo nl2br( $settings['heading_text'] ); ?></h2>
	<div <?php etc_print_html( $widget->get_render_attribute_string( 'description_text' ) ); ?>><?php echo nl2br( $settings['description_text'] ); ?></div>
	<div <?php etc_print_html($widget->get_render_attribute_string('features')); ?>><?php 
		foreach ( $features as $key => $cms_feature ):
			$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
			$widget->add_render_attribute($title_key, 'class', 'flex-basic');
			$widget->add_inline_editing_attributes( $title_key, 'none' );
		?>
	        <div <?php etc_print_html($widget->get_render_attribute_string('features-item')); ?>>
	            <span class="cms-icon cmsi-check-circle text-22 text-accent flex-auto"></span>
	            <span <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_feature['title'] ) ?></span>
	        </div>
		<?php endforeach;
	?></div>
	<?php if(!empty($settings['link1_text'])) { ?>
		<a <?php etc_print_html( $widget->get_render_attribute_string( 'link1_text' ) ); ?>>
			<?php echo esc_html( $settings['link1_text'] ); ?>
			<i class="cms-btn-icon cmsi-arrow-right rtl-flip text-10"></i>
		</a>
	<?php } ?>
</div>