<?php
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => array_filter([
		'cms-eheading',
		'cms-eheading-'.$widget->get_setting('layout'),
		'text-'.$widget->get_setting('align','start')
	])
]);
// Small Heading
$widget->add_inline_editing_attributes( 'smallheading_text' );
$widget->add_render_attribute( 'smallheading_text', [
	'class' => [
		'cms-smallheading empty-none font-700 text-16 pb-10',
		'text-'.$widget->get_setting('smallheading_color', 'accent') 
	]
]);
// Large Heading
$widget->add_inline_editing_attributes( 'heading_text');
$widget->add_render_attribute( 'heading_text', [
	'class' => [
		'cms-heading empty-none',
		'text-'.$widget->get_setting('heading_color','heading'),
		'pb-20'
	]
]);
// Description Bold
$widget->add_inline_editing_attributes( 'description_bold_text' );
$widget->add_render_attribute( 'description_bold_text', [
	'class' => array_filter([
		'cms-desc text-17 pb-25 font-700 empty-none',
		'text-'.$widget->get_setting('description_bold_color','primary')
	])
]);
// Description
$widget->add_inline_editing_attributes( 'description_text' );
$widget->add_render_attribute( 'description_text', [
	'class' => array_filter([
		'cms-desc text-17 empty-none',
		'text-'.$widget->get_setting('description_color','body')
	])
]);
// Feature
$features = $widget->get_setting('cms_feature8', []);
$widget->add_render_attribute('features-wrap', [
	'class' => [
		'cms-heading-features cms-lists-3 pt-50 d-flex',
		wiseguard_elementor_get_grid_columns($widget, $settings, ['prefix_class' => 'flex-col-']),
		($settings['col'] != '1') ? 'gutter' : ''
	]
]);
$widget->add_render_attribute('features-item',[
	'class' => [
		'cms-list d-flex gap-30 no-wrap',
		'text-16',
		'text-'.$widget->get_setting('feature_color','body'),
		'hover-icon-bounce'
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div <?php etc_print_html( $widget->get_render_attribute_string( 'smallheading_text' ) ); ?>><?php echo nl2br( $settings['smallheading_text'] ); ?></div>
	<h2 <?php etc_print_html( $widget->get_render_attribute_string( 'heading_text' ) ); ?>><?php echo nl2br( $settings['heading_text'] ); ?></h2>
	<div <?php etc_print_html( $widget->get_render_attribute_string( 'description_bold_text' ) ); ?>><?php echo nl2br( $settings['description_bold_text'] ); ?></div>
	<div <?php etc_print_html( $widget->get_render_attribute_string( 'description_text' ) ); ?>><?php echo nl2br( $settings['description_text'] ); ?></div>
	<div <?php etc_print_html($widget->get_render_attribute_string('features-wrap')); ?>>
		<?php 
			foreach ( $features as $key => $cms_feature ):
				$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
				$widget->add_render_attribute($title_key, [
					'class' => [
						'feature-title',
						'cms-heading text-19',
						'text-'.$widget->get_setting('feature_color','heading'),
						'pb-10'
					]
				]);
				$widget->add_inline_editing_attributes( $title_key, 'none' );
			?>
		        <div <?php etc_print_html($widget->get_render_attribute_string('features-item')); ?>>
		            <?php 
		            	\Elementor\Icons_Manager::render_icon( $cms_feature['icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon text-64 flex-auto text-'.$widget->get_setting('feature_color','accent')] ); 
		            ?>
		            <div class="flex-basic">
		            	<div <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_feature['title'] ) ?></div>
		            	<div class="desc"><?php
		            		echo nl2br($cms_feature['description']);
		            	?></div>
		            </div>
		        </div>
			<?php endforeach;
		?>
	</div>
</div>