<?php
$hiw_lists = $widget->get_setting('hiw_lists', []);
if(empty($hiw_lists)) return;
//
use Elementor\Icons_Manager;
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-hiw',
		'cms-hiw-'.$settings['layout'],
		'd-flex gutter'
	]
]);
// Heading Wrap
$widget->add_render_attribute('heading-wrap', [
	'class' => array_filter([
		'hiw-items',
		'cms-hiw-eheading',
		'pl-90 pl-tablet-extra-0',
		'w-100',
		'd-flex align-items-center'
	])
]);
// Small Heading
$widget->add_inline_editing_attributes( 'smallheading_text' );
$widget->add_render_attribute( 'smallheading_text', 'class', 'cms-smallheading empty-none font-700 text-16 text-primary pb-15 mt-n7' );
// Large Heading
$widget->add_inline_editing_attributes( 'heading_text');
$widget->add_render_attribute( 'heading_text', [
	'class' => [
		'cms-heading empty-none',
		'font-700',
		'pb-25'
	]
]);
// Description
$widget->add_inline_editing_attributes( 'description_text' );
$widget->add_render_attribute( 'description_text', [
	'class' => array_filter([
		'cms-desc text-17 empty-none',
	])
]);
//Button
$heading_page_link = $settings['heading_page_link'];
switch ($settings['heading_link_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	default:
		$url = $hiw['heading_link']['url'];
		break;
}
$widget->add_render_attribute( 'heading_link_text', [
	'class' => [
		'btn btn-lg',
		'text-secondary-lighten',
		'btn-hover-primary',
		'mt-30'
	],
	'href'	=> $url
]);

// Item Title
$widget->add_inline_editing_attributes( 'title');
$widget->add_render_attribute('title', [
	'class' => [
		'cms-hiw-title cms-heading' 
	]
]);
// Item Description
$widget->add_inline_editing_attributes( 'description');
$widget->add_render_attribute('description', 'class', 'cms-hiw-desc text-15 pt-15' );
?>

<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div class="cms-hiw-items-banner col-6 col-tablet-12 cms-hidden-tablet">
		<div class="cms-hiw-items--banner cms-sticky relative">
		<?php
			// Start Item
			$count = 0;
			foreach ($hiw_lists as $key => $hiw) {
				$count ++;
				// banner
				$hiw['hiw_banner_size'] = $settings['hiw_banner_size']; // fix image size
				$hiw['hiw_banner_custom_dimension'] = $settings['hiw_banner_custom_dimension']; // fix image size
				$hiw_item_banner     = $widget->get_repeater_setting_key( 'hiw-item-banner', 'cms_howitwork', $key );
				$widget->add_render_attribute( $hiw_item_banner, [
					'class' => [
						'hiw-item-banner absolute',
						$count == 1 ? 'active' : '',
						'w-100'
					],
					'id' => 'cms-'.$hiw['_id'],
				]);
			?>
			<div <?php etc_print_html($widget->get_render_attribute_string($hiw_item_banner)); ?>>
				    <?php
						// Banner
					    // Banner Content
						ob_start();
					?>
						<div class="cms-contents bg-white cms-triangle-bt absolute top-left z-top mt-20 ml-20 ml-smobile-0 p-40 p-lr-smobile-20 cms-radius-tbr-4 hover-icon-bounce">
							<?php 
								\Elementor\Icons_Manager::render_icon( $hiw['hiw_banner_icon'], [ 'aria-hidden' => 'true','class' => 'cms-banner-icon text-64 text-secondary-lighten' ] );
							?>
							<div class="cms-banner-title cms-heading empty-none text-heading text-18 pt-25 mb-n7 lh-1-5"><?php etc_print_html($hiw['hiw_banner_title']); ?></div>
						</div>
					<?php
						$banner_content = ob_get_clean();
						wiseguard_elementor_image_render($hiw,[
							'name'        => 'hiw_banner',
							'img_class'   => 'cms-radius-4 img-cover',
							'custom_size' => ['width' => 620, 'height' => 800],
							'before'	  => '',
							'after'		  => $banner_content	
						]);
					?>
			</div>
			<?php
			} // end foreach
		?>
		</div>
	</div>
	<div class="cms-hiw-items col-6 col-tablet-12">
		<div <?php etc_print_html($widget->get_render_attribute_string('heading-wrap')); ?>>
			<div class="cms-hiw--eheading">
				<div <?php etc_print_html( $widget->get_render_attribute_string( 'smallheading_text' ) ); ?>><?php echo nl2br( $settings['smallheading_text'] ); ?></div>
				<h2 <?php etc_print_html( $widget->get_render_attribute_string( 'heading_text' ) ); ?>><?php echo nl2br( $settings['heading_text'] ); ?></h2>
				<div <?php etc_print_html( $widget->get_render_attribute_string( 'description_text' ) ); ?>><?php echo nl2br( $settings['description_text'] ); ?></div>
				<a <?php etc_print_html($widget->get_render_attribute_string('heading_link_text')) ?>>
			    	<?php echo esc_html($settings['heading_link_text']); ?>
			    	<i class="cmsi-edge-right-up text-10 rtl-flip"></i>
			    </a>
			</div>
		</div>
		<?php
			// Start Item
			$count = 0;
			foreach ($hiw_lists as $key => $hiw) {
				$count ++;
				if($count < 10) $count = '0'.$count;
				// banner
				$hiw['hiw_banner_size'] = $settings['hiw_banner_size']; // fix image size
				$hiw['hiw_banner_custom_dimension'] = $settings['hiw_banner_custom_dimension']; // fix image size
				// Item
				$hiw_item     = $widget->get_repeater_setting_key( 'hiw-item', 'cms_howitwork', $key );
				$widget->add_render_attribute( $hiw_item, [
					'data-target'	=> '#cms-'.$hiw['_id'],
					'class' => [
						'hiw-item relative',
						'd-flex gap no-wrap align-items-center',
						'hover-icon-bounce',
						'pr-110 pr-tablet-extra-0',
					]
				]);
				//Button
				$page_link = $hiw['page_link'];
				switch ($hiw['link_type']) {
					case 'page':
						$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
						$url  = !empty($page) ? get_permalink($page->ID) : '#';
						break;
					default:
						$url = $hiw['link']['url'];
						break;
				}
				$hiw_link     = $widget->get_repeater_setting_key( 'cms-hiw', 'cms_howitwork', $key );
				$widget->add_render_attribute( $hiw_link, [
					
					'class' => array_filter([
						'cms-link',
						'cms-link-1',
						'text-secondary-lighten',
						'text-hover-primary',
						'pt-15'
					]),
					'href'	=> $url
				]);
			?>
			<div class="hiw-items d-flex align-items-center">
				<div <?php etc_print_html($widget->get_render_attribute_string($hiw_item)); ?>>
				    <?php
						// Banner
					    // Banner Content
						ob_start();
						?>
							<div class="cms-contents bg-white cms-triangle-bt absolute top-left z-top mt-20 ml-20 ml-smobile-0 p-40 p-lr-smobile-20 cms-radius-tbr-4 hover-icon-bounce">
								<?php 
									\Elementor\Icons_Manager::render_icon( $hiw['hiw_banner_icon'], [ 'aria-hidden' => 'true','class' => 'cms-banner-icon text-64 text-secondary-lighten' ] );
								?>
								<div class="cms-banner-title cms-heading empty-none text-heading text-18 pt-25 mb-n7 lh-1-5"><?php etc_print_html($hiw['hiw_banner_title']); ?></div>
							</div>
						<?php
							$banner_content = ob_get_clean();
						wiseguard_elementor_image_render($hiw,[
							'name'        => 'hiw_banner',
							'img_class'   => 'cms-radius-4',
							'custom_size' => ['width' => 620, 'height' => 800],
							'before'	  => '<div class="flex-auto d-none">',
							'after'		  => $banner_content.'</div>'	
						]);
					?>
					<div class="flex-basic d-flex gap">
						<div class="flex-auto cms-hiw-count"><?php echo esc_html($count); ?></div>
						<div class="cms-hiw-content flex-basic relative">
							<?php // Icon
								\Elementor\Icons_Manager::render_icon( $hiw['hiw_icon'], ['class' => 'cms-icon cms-hiw-icon absolute text-145']);
							?>
						    <h4 <?php etc_print_html($widget->get_render_attribute_string( 'title')); ?>><?php echo nl2br( $hiw['title'] ); ?></h4>
						    <div <?php etc_print_html($widget->get_render_attribute_string( 'description')); ?>><?php echo nl2br( $hiw['description'] ); ?></div>
						    <a <?php etc_print_html($widget->get_render_attribute_string($hiw_link)) ?>>
						    	<?php echo esc_html($hiw['link_text']); ?>
						    	<i class="cmsi-edge-right-up text-10 rtl-flip"></i>
						    </a>
						</div>
					</div>
				</div>
			</div>
			<?php
			} // end foreach
		?>
	</div>
</div>

