<?php
$hiw_lists = $widget->get_setting('hiw_lists2', []);
if(empty($hiw_lists)) return;
//
use Elementor\Icons_Manager;
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-hiw',
		'cms-hiw-'.$settings['layout'],
		'd-flex flex-col-4 flex-col-tablet-extra-2 flex-col-smobile-1'
	]
]);
// Item Title
$widget->add_inline_editing_attributes( 'title');
$widget->add_render_attribute('title', [
	'class' => [
		'cms-hiw-title cms-heading' 
	]
]);
// Item Description
$widget->add_inline_editing_attributes( 'description');
$widget->add_render_attribute('description', 'class', 'cms-hiw-desc text-15 pt-15' );
?>

<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php
		// Start Item
		foreach ($hiw_lists as $key => $hiw) {
			// Item
			$hiw_item     = $widget->get_repeater_setting_key( 'hiw-item', 'cms_howitwork', $key );
			$widget->add_render_attribute( $hiw_item, [
				'id'	=> 'cms-'.$hiw['_id'],
				'class' => [
					'hiw-item relative'
				]
			]);			
			//Button
			$page_link = $hiw['page_link'];
			switch ($hiw['link_type']) {
				case 'page':
					$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
					$url  = !empty($page) ? get_permalink($page->ID) : '#';
					break;
				default:
					$url = $hiw['link']['url'];
					break;
			}
			$hiw_link     = $widget->get_repeater_setting_key( 'cms-hiw', 'cms_howitwork', $key );
			$widget->add_render_attribute( $hiw_link, [
				
				'class' => array_filter([
					'btn btn-sm',
					'btn-secondary btn-hover-primary'
				]),
				'href'	=> $url
			]);
		?>
		<div <?php etc_print_html($widget->get_render_attribute_string($hiw_item)); ?>>
			<div class="cms-hiw-content cms-transition">
				<?php // Icon
					\Elementor\Icons_Manager::render_icon( $hiw['hiw_icon'], ['class' => 'cms-icon cms-hiw-icon text-48']);
				?>
			    <h4 <?php etc_print_html($widget->get_render_attribute_string( 'title')); ?>><?php echo nl2br( $hiw['title'] ); ?></h4>
			    <div <?php etc_print_html($widget->get_render_attribute_string( 'description')); ?>><?php echo nl2br( $hiw['description'] ); ?></div>
			    <a <?php etc_print_html($widget->get_render_attribute_string($hiw_link)) ?>>
			    	<i class="cmsi-edge-right-up text-10 rtl-flip"></i>
			    	<?php echo esc_html($hiw['link_text']); ?>
			    </a>
			</div>
		</div>
		<?php
		} // end foreach
	?>
</div>

