<?php
use Elementor\Icons_Manager;

$settings['num_words'] = !empty($settings['num_words']) ? $settings['num_words'] : 25;
$settings['readmore_text'] = !empty($settings['readmore_text']) ? $settings['readmore_text'] : esc_html__('Explore More', 'wiseguard');

$html_id  = etc_get_element_id($settings);
$source   = $widget->get_setting('source', '');
$orderby  = $widget->get_setting('orderby', 'date');
$order    = $widget->get_setting('order', 'desc');
$limit    = $widget->get_setting('limit', 6);
extract(etc_get_posts_of_grid( 'cms-industry', [
    'source'   => $source,
    'orderby'  => $orderby,
    'order'    => $order,
    'limit'    => $limit
]));

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');

$title_tag = $widget->get_setting('title_tag', 'h3');

$thumbnail_size             = $widget->get_setting('thumbnail_size', 'custom');
$thumbnail_custom_dimension = [
    'width'  => !empty($settings['thumbnail_custom_dimension']['width']) ? $settings['thumbnail_custom_dimension']['width'] : 400,
    'height' => !empty($settings['thumbnail_custom_dimension']['height']) ? $settings['thumbnail_custom_dimension']['height'] : 500
];
$num_words                  = $widget->get_setting('num_words', '');
$readmore_text              = $settings['readmore_text'];

$posts_data = array(
    'taxonomy'                   => 'industry-category',
    //
    'layout'                     => $widget->get_setting('layout', '3'),
    'source'                     => $source,
    'orderby'                    => $orderby,
    'order'                      => $order,
    'limit'                      => $limit,
    'thumbnail_size'             => $thumbnail_size,
    'thumbnail_custom_dimension' => $thumbnail_custom_dimension,
    'num_words'                  => $num_words,
    'readmore_text'              => $readmore_text
);
// Wrap
$widget->add_render_attribute('wrap',[
    'id'              => $html_id,
    'class'           => [
        'cms-post-carousel',
        'cms-grid', 
        'cms-industry-grid', 
        'cms-grid-'.$widget->get_setting('layout','3')
    ]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <div class="cms-carousel swiper">
        <div class="swiper-wrapper">
            <?php
                wiseguard_get_post_grid($settings, $posts, $posts_data,[
                    'item_class' => 'cms-swiper-item swiper-slide'
                ]);
            ?>
        </div>
    </div>
    <?php if ($arrows == 'yes') : ?>
        <div class="cms-carousel-buttons d-flex justify-content-end gap-30 mt-50">
            <div class="cms-carousel-button prev cms-carousel-button-prev pr-10 text-<?php echo esc_attr($widget->get_setting('arrows_color','primary'));?> text-hover-<?php echo esc_attr($widget->get_setting('arrows_color_hover', 'accent')); ?>">
                <?php
                    $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                    if (empty($icon_settings['value'])) {
                        $icon_settings = [
                            'library' => 'cmsi',
                            'value'   => 'cmsi-arrow-prev',
                        ];
                    }
                    Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true','class' => 'rtl-flip text-45']);
                ?>
            </div>
            <div class="cms-carousel-button next cms-carousel-button-next pl-10 text-<?php echo esc_attr($widget->get_setting('arrows_color','primary'));?> text-hover-<?php echo esc_attr($widget->get_setting('arrows_color_hover', 'accent')); ?>">
                <?php
                    $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                    if (empty($icon_settings['value'])) {
                        $icon_settings = [
                            'library' => 'cmsi',
                            'value'   => 'cmsi-arrow-next',
                        ];
                    }
                    Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true', 'class' => 'rtl-flip text-45']);
                ?>
            </div>
        </div>
    <?php endif ?>
    <?php if ($dots == 'yes') : 
        $dots_classes = [
            'cms-carousel-dots',
            'cms-carousel-dots-out',
            wiseguard_elementor_get_alignment_class($widget, $settings, [
                'name'         => 'dots-align',
                'default'      => 'center',
                'prefix_class' => 'justify-content-'
            ])
        ]
    ?>
        <div class="<?php echo wiseguard_nice_class($dots_classes); ?>"></div>
    <?php endif ?>
</div>