<?php
use Elementor\Icons_Manager;

$settings['num_words'] = !empty($settings['num_words']) ? $settings['num_words'] : 25;
$settings['readmore_text'] = !empty($settings['readmore_text']) ? $settings['readmore_text'] : esc_html__('Explore More', 'wiseguard');

$html_id  = etc_get_element_id($settings);
$source   = $widget->get_setting('source', '');
$orderby  = $widget->get_setting('orderby', 'date');
$order    = $widget->get_setting('order', 'desc');
$limit    = $widget->get_setting('limit', 6);
extract(etc_get_posts_of_grid( 'cms-industry', [
    'source'   => $source,
    'orderby'  => $orderby,
    'order'    => $order,
    'limit'    => $limit
]));

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');

$title_tag = $widget->get_setting('title_tag', 'h3');

$thumbnail_size             = $widget->get_setting('thumbnail_size', 'custom');
$thumbnail_custom_dimension = [
    'width'  => !empty($settings['thumbnail_custom_dimension']['width']) ? $settings['thumbnail_custom_dimension']['width'] : 400,
    'height' => !empty($settings['thumbnail_custom_dimension']['height']) ? $settings['thumbnail_custom_dimension']['height'] : 281
];
$num_words                  = $widget->get_setting('num_words', '');
$readmore_text              = $settings['readmore_text'];

$posts_data = array(
    'taxonomy'                   => 'industry-category',
    //
    'layout'                     => $widget->get_setting('layout', '3'),
    'source'                     => $source,
    'orderby'                    => $orderby,
    'order'                      => $order,
    'limit'                      => $limit,
    'thumbnail_size'             => $thumbnail_size,
    'thumbnail_custom_dimension' => $thumbnail_custom_dimension,
    'num_words'                  => $num_words,
    'readmore_text'              => $readmore_text
);
// Wrap
$widget->add_render_attribute('wrap',[
    'id'              => $html_id,
    'class'           => [
        'cms-post-carousel',
        'cms-grid', 
        'cms-industry-grid', 
        'cms-grid-'.$widget->get_setting('layout','3')
    ]
]);
// Large Heading
$widget->add_inline_editing_attributes( 'heading_text', 'none' );
$widget->add_render_attribute( 'heading_text', [
    'class' => [
        'cms-heading font-700',
        'text-'.$widget->get_setting('heading_color'),
        'flex-basic'
    ]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <div class="d-flex gap-40 align-items-center justify-content-between mb-45">
        <h2 <?php etc_print_html( $widget->get_render_attribute_string( 'heading_text' ) ); ?>><?php echo nl2br( $settings['heading_text'] ); ?></h2>
        <?php if ($arrows == 'yes') : ?>
            <div class="cms-carousel-buttons-1 white d-flex justify-content-end gap-30 flex-auto flex-smobile-full">
                <div class="cms-carousel-button prev cms-carousel-button-prev">
                    <i class="cms-button-arrow-hover cmsi-long-arrow-left-2"></i>
                    <span class="cms-button-arrow-text">
                        <?php
                            $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                            if (empty($icon_settings['value'])) {
                                $icon_settings = [
                                    'library' => 'cmsi',
                                    'value'   => 'cmsi-arrow-left',
                                ];
                            }
                            Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true','class' => 'rtl-flip text-10']);
                        ?>
                        <?php esc_html_e('Prev','wiseguard') ?>
                    </span>
                </div>
                <div class="cms-carousel-button next cms-carousel-button-next">
                    <i class="cms-button-arrow-hover cmsi-long-arrow-right-2"></i>
                    <span class="cms-button-arrow-text">
                        <?php esc_html_e('Next','wiseguard') ?>
                        <?php
                            $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                            if (empty($icon_settings['value'])) {
                                $icon_settings = [
                                    'library' => 'cmsi',
                                    'value'   => 'cmsi-arrow-right',
                                ];
                            }
                            Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true', 'class' => 'rtl-flip text-10']);
                        ?>
                    </span>
                </div>
            </div>
        <?php endif ?>
    </div>
    <div class="cms-carousel swiper">
        <div class="swiper-wrapper">
            <?php
                wiseguard_get_post_grid($settings, $posts, $posts_data,[
                    'item_class' => 'cms-swiper-item swiper-slide'
                ]);
            ?>
        </div>
    </div>
    <?php if ($dots == 'yes') : 
        $dots_classes = [
            'cms-carousel-dots primary',
            'cms-carousel-dots-out',
            wiseguard_elementor_get_alignment_class($widget, $settings, [
                'name'         => 'dots-align',
                'default'      => 'center',
                'prefix_class' => 'justify-content-'
            ])
        ]
    ?>
        <div class="<?php echo wiseguard_nice_class($dots_classes); ?>"></div>
    <?php endif ?>
</div>