<?php
$cms_lists = $widget->get_setting('cms_list', []);
// Wrap
$widget->add_render_attribute('wrap',[
    'class' => array_filter([
        'cms-lists',
        'cms-lists-'.$widget->get_setting('layout','1'),
        'cms-lists-icon-check',
    ])
]);
// Link 1
$link1_page = $widget->get_setting('link1_page','');
switch ($settings['link1_type']) {
    case 'page':
        $page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
        $url  = !empty($page) ? get_permalink($page->ID) : '#';
        break;
    
    default:
        $url = $widget->get_setting('link1_custom', ['url' => '#'])['url'];
        break;
}
$widget->add_render_attribute( 'link1-attrs', [
    'class' => [
        'btn btn-lg btn-secondary btn-hover-primary',
        'icon-last'
    ],
    'href'  => $url
]);
// Link 2
$link2_page = $widget->get_setting('link2_page','');
switch ($settings['link2_type']) {
    case 'page':
        $page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
        $url  = !empty($page) ? get_permalink($page->ID) : '#';
        break;
    
    default:
        $url = $widget->get_setting('link2_custom', ['url' => '#'])['url'];
        break;
}
$widget->add_render_attribute( 'link2-attrs', [
    'class' => [
        'btn btn-lg',
        'btn-outline btn-2',
        'icon-last'
    ],
    'href'  => $url
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <?php
    // HTML
    foreach ( $cms_lists as $key => $cms_list ):
    	$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
    	$widget->add_render_attribute( $title_key, [
            'class' => ['flex-basic']
        ]);
    	$widget->add_inline_editing_attributes( $title_key, 'none' );
    ?>
        <div class="cms-list d-flex gap-10 font-700 text-secondary text-16">
            <span class="cms-icon cmsi-check text-26 text-secondary flex-auto cms-transition circle"></span>
            <span <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_list['title'] ) ?></span>
        </div>
    <?php endforeach; ?>
</div>
<div class="cms-list-buttons d-flex gap pt-30 empty-none" style="--cms-gap:30px;"><?php 
    if(!empty($settings['link1_text'])) { ?>
    <a <?php etc_print_html( $widget->get_render_attribute_string( 'link1-attrs' ) ); ?>>
        <i class="cms-btn-icon cmsi-edge-right-up rtl-flip text-10"></i>
        <?php echo esc_html( $settings['link1_text'] ); ?>
    </a>
    <?php }
    if(!empty($settings['link2_text'])){ 
        ?>
        <a <?php etc_print_html( $widget->get_render_attribute_string( 'link2-attrs' ) ); ?>>
        <?php echo esc_html( $settings['link2_text'] ); ?>
    </a>
    <?php } 
?></div>