<?php
$cms_lists = $widget->get_setting('cms_list2', []);
// Wrap
$widget->add_render_attribute('wrap',[
    'class' => array_filter([
        'cms-lists',
        'cms-lists-'.$widget->get_setting('layout','2')
    ])
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <?php
    // HTML
    foreach ( $cms_lists as $key => $cms_list ):
        $icon_key = $widget->get_repeater_setting_key( 'icon', 'cms_list', $key );
        $widget->add_render_attribute( $icon_key, [
            'class' => [
                'mt-n10',
                'flex-auto',
                'text-64',
                'text-'.$widget->get_setting('icon_color','accent')
            ]
        ]);

        $content_key = $widget->get_repeater_setting_key( 'content', 'cms_list', $key );
        $widget->add_render_attribute( $content_key, [
            'class' => [
                'flex-basic'
            ]
        ]);

    	$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
    	$widget->add_render_attribute( $title_key, [
            'class' => [
                'cms-title text-19 font-500 pb-15',
                'text-'.$widget->get_setting('title_color','heading')
            ]
        ]);
    	$widget->add_inline_editing_attributes( $title_key );

        $desc_key = $widget->get_repeater_setting_key( 'desc', 'cms_list', $key );
        $widget->add_render_attribute( $desc_key, [
            'class' => [
                'cms-desc text-15',
                'text-'.$widget->get_setting('desc_color','body')
            ]
        ]);
    ?>
        <div class="cms-list d-flex gap-40 gap-smobile-20 hover-icon-bounce">
            <div <?php etc_print_html($widget->get_render_attribute_string($icon_key)) ?>>
                <?php wiseguard_elementor_icon_render($cms_list['icon'],[],['class' => 'cms-icon']); ?>
            </div>
            <div <?php etc_print_html($widget->get_render_attribute_string($content_key)) ?>>
                <h4 <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_list['title'] ) ?></h4>
                <div <?php etc_print_html( $widget->get_render_attribute_string( $desc_key ) ); ?>><?php echo esc_html( $cms_list['desc'] ) ?></div>
            </div>
        </div>
    <?php endforeach; ?>
</div>