<?php
$cms_lists = $widget->get_setting('cms_list', []);
// Wrap
$widget->add_render_attribute('wrap',[
    'class' => array_filter([
        'cms-elists',
        'cms-elists-'.$widget->get_setting('layout','3')
    ])
]);
// List Wrap
$widget->add_render_attribute('lists-wrap',[
    'class' => array_filter([
        'cms-lists',
        'cms-lists-'.$widget->get_setting('layout','3'),
        'font-700 text-15'
    ])
]);
// Small Heading
$widget->add_inline_editing_attributes( 'smallheading_text');
$widget->add_render_attribute( 'smallheading_text', [
    'class' => [
        'cms-smallheading text-16 font-700 empty-none',
        'text-'.$widget->get_setting('smallheading_color','accent'),
        wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'heading_align',
            'prefix_class' => 'text-'
        ]),
        'pb-15'
    ]
]);
// Large Heading
$widget->add_inline_editing_attributes( 'heading_text');
$widget->add_render_attribute( 'heading_text', [
    'class' => [
        'cms-heading font-700 empty-none',
        'text-'.$widget->get_setting('heading_color','heading'),
        wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'heading_align',
            'prefix_class' => 'text-'
        ]),
        'pb-25'
    ]
]);
// Description
$widget->add_inline_editing_attributes( 'description_text');
$widget->add_render_attribute( 'description_text', [
    'class' => [
        'cms-desc text-16 empty-none mt-n7',
        'text-'.$widget->get_setting('description_color','body'),
        wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'heading_align',
            'prefix_class' => 'text-'
        ]),
        'empty-none',
        'pb-35'
    ]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <div <?php etc_print_html( $widget->get_render_attribute_string( 'smallheading_text' ) ); ?>><?php echo nl2br( $settings['smallheading_text'] ); ?></div>
    <h3 <?php etc_print_html( $widget->get_render_attribute_string( 'heading_text' ) ); ?>><?php echo nl2br( $settings['heading_text'] ); ?></h3>
    <div <?php etc_print_html($widget->get_render_attribute_string('description_text')); ?>><?php echo etc_print_html($settings['description_text']); ?></div>
    <div <?php etc_print_html($widget->get_render_attribute_string('lists-wrap')); ?>>
        <?php
        // HTML
        foreach ( $cms_lists as $key => $cms_list ):
        	$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
        	$widget->add_render_attribute( $title_key, [
                'class' => ['flex-basic']
            ]);
        	$widget->add_inline_editing_attributes( $title_key, 'none' );
        ?>
            <div class="cms-list d-flex gap-20">
                <span class="cms-icon cmsi-check text-10 text-accent flex-auto pt-7"></span>
                <span <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_list['title'] ) ?></span>
            </div>
        <?php endforeach; ?>
    </div>
</div>