<?php
$cms_lists = $widget->get_setting('cms_list', []);
// Wrap
$widget->add_render_attribute('wrap',[
    'class' => array_filter([
        'cms-lists',
        'cms-lists-'.$widget->get_setting('layout','5'),
        'cms-lists-icon-check',
        'd-flex', //flex-col-4 flex-col-tablet-extra-3 flex-col-tablet-2
        wiseguard_elementor_get_grid_columns($widget, $settings, [
            'default'      => '4',
            'tablet_extra' => '3',
            'tablet'       => '2' 
        ]),
        'flex-col-smobile-1',
        'bg-'.$widget->get_setting('bg_color', 'grey')
    ])
]);
// Link 1
$link1_page = $widget->get_setting('link1_page','');
switch ($settings['link1_type']) {
    case 'page':
        $page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
        $url  = !empty($page) ? get_permalink($page->ID) : '#';
        break;
    
    default:
        $url = $widget->get_setting('link1_custom', ['url' => '#'])['url'];
        break;
}
$widget->add_render_attribute( 'link1-attrs', [
    'class' => [
        'btn btn-lg btn-secondary btn-hover-primary',
        'icon-last'
    ],
    'href'  => $url
]);
// Link 2
$link2_page = $widget->get_setting('link2_page','');
switch ($settings['link2_type']) {
    case 'page':
        $page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
        $url  = !empty($page) ? get_permalink($page->ID) : '#';
        break;
    
    default:
        $url = $widget->get_setting('link2_custom', ['url' => '#'])['url'];
        break;
}
$widget->add_render_attribute( 'link2-attrs', [
    'class' => [
        'btn btn-lg',
        'btn-outline btn-2',
        'icon-last'
    ],
    'href'  => $url
]);
// Small Heading
$widget->add_inline_editing_attributes( 'smallheading_text');
$widget->add_render_attribute( 'smallheading_text', [
    'class' => [
        'cms-desc text-16 font-700 empty-none',
        'text-'.$widget->get_setting('smallheading_color','accent'),
        wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'heading_align',
            'prefix_class' => 'text-'
        ])
    ]
]);
// Large Heading
$widget->add_inline_editing_attributes( 'heading_text');
$widget->add_render_attribute( 'heading_text', [
    'class' => [
        'cms-heading font-700 empty-none',
        'text-'.$widget->get_setting('heading_color','heading'),
        'pb-30',
        wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'heading_align',
            'prefix_class' => 'text-'
        ])
    ]
]);
// Description
$widget->add_inline_editing_attributes( 'description_text');
$widget->add_render_attribute( 'description_text', [
    'class' => [
        'cms-desc text-17',
        'text-'.$widget->get_setting('description_color','body'),
        wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'heading_align',
            'prefix_class' => 'text-'
        ]),
        'empty-none',
        'pb-35 mt-n7'
    ]
]);
?>
<div <?php etc_print_html( $widget->get_render_attribute_string( 'smallheading_text' ) ); ?>><?php echo nl2br( $settings['smallheading_text'] ); ?></div>
<h3 <?php etc_print_html( $widget->get_render_attribute_string( 'heading_text' ) ); ?>><?php echo nl2br( $settings['heading_text'] ); ?></h3>
<div <?php etc_print_html($widget->get_render_attribute_string('description_text')); ?>><?php echo etc_print_html($settings['description_text']); ?></div>

<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <?php
    // HTML
    foreach ( $cms_lists as $key => $cms_list ):
    	$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
    	$widget->add_render_attribute( $title_key, [
            'class' => ['flex-basic']
        ]);
    	$widget->add_inline_editing_attributes( $title_key, 'none' );
    ?>
        <div class="cms-list d-flex gap-20 font-700 text-primary text-16 cms-transition">
            <span class="flex-auto"><span class="cms-icon cmsi-check bg-<?php echo esc_attr($widget->get_setting('icon_color','secondary'));?> bg-hover-<?php echo esc_attr($widget->get_setting('icon_color_hover','accent'));?> cms-transition circle text-10"></span></span>
            <span <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_list['title'] ) ?></span>
        </div>
    <?php endforeach; ?>
</div>
<div class="cms-list-buttons d-flex gap pt-30 empty-none" style="--cms-gap:30px;"><?php 
    if(!empty($settings['link1_text'])) { ?>
    <a <?php etc_print_html( $widget->get_render_attribute_string( 'link1-attrs' ) ); ?>>
        <i class="cms-btn-icon cmsi-edge-right-up rtl-flip text-10"></i>
        <?php echo esc_html( $settings['link1_text'] ); ?>
    </a>
    <?php }
    if(!empty($settings['link2_text'])){ 
        ?>
        <a <?php etc_print_html( $widget->get_render_attribute_string( 'link2-attrs' ) ); ?>>
        <?php echo esc_html( $settings['link2_text'] ); ?>
    </a>
    <?php } 
?></div>