<?php
$cms_lists = $widget->get_setting('cms_list', []);
$cms_list7 = $widget->get_setting('cms_list7', []);
// Wrap
$widget->add_render_attribute('wrap',[
    'class' => array_filter([
        'cms-lists',
        'cms-lists-'.$widget->get_setting('layout','7'),
        'font-700 text-white text-16'
    ])
]);
$widget->add_render_attribute('wrap2',[
    'class' => array_filter([
        'cms-lists',
        'cms-lists-'.$widget->get_setting('layout','7'),
        'font-700 text-white text-16',
        'mt-smobile-n30'
    ])
]);
// Small Heading
$widget->add_inline_editing_attributes( 'smallheading_text');
$widget->add_render_attribute( 'smallheading_text', [
    'class' => [
        'cms-desc text-16 font-700 empty-none',
        'text-'.$widget->get_setting('smallheading_color','white'),
        wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'heading_align',
            'prefix_class' => 'text-'
        ])
    ]
]);
// Large Heading
$widget->add_inline_editing_attributes( 'heading_text');
$widget->add_render_attribute( 'heading_text', [
    'class' => [
        'cms-heading font-700 empty-none',
        'text-'.$widget->get_setting('heading_color','white'),
        wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'heading_align',
            'prefix_class' => 'text-'
        ])
    ]
]);
?>
<div class="p-110 p-lr-laptop-50 p-tb-mobile-40 p-lr-mobile-20 bg-secondary cms-radius-16">
    <div class="d-flex gutter">
        <div class="col-5 col-tablet-12 pr-70 pr-laptop-20">
            <div <?php etc_print_html( $widget->get_render_attribute_string( 'smallheading_text' ) ); ?>><?php echo nl2br( $settings['smallheading_text'] ); ?></div>
            <h2 <?php etc_print_html( $widget->get_render_attribute_string( 'heading_text' ) ); ?>><?php echo nl2br( $settings['heading_text'] ); ?></h2>
        </div>
        <div class="col-7 col-tablet-12">
            <div class="d-flex gutter flex-col-2 flex-col-smobile-1">
                <div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
                    <?php
                    // HTML
                    foreach ( $cms_lists as $key => $cms_list ):
                    	$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
                    	$widget->add_render_attribute( $title_key, [
                            'class' => ['flex-basic']
                        ]);
                    ?>
                        <div class="cms-list d-flex gap-20 cms-transition">
                            <span class="flex-auto"><span class="cms-icon cmsi-check-circle text-26"></span></span>
                            <span <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_list['title'] ) ?></span>
                        </div>
                    <?php endforeach; ?>
                </div>
                <div <?php etc_print_html($widget->get_render_attribute_string('wrap2')); ?>>
                    <?php
                    // HTML
                    foreach ( $cms_list7 as $key => $cms_list ):
                        $title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
                        $widget->add_render_attribute( $title_key, [
                            'class' => ['flex-basic']
                        ]);
                    ?>
                        <div class="cms-list d-flex gap-20 cms-transition">
                            <span class="flex-auto"><span class="cms-icon cmsi-check-circle text-26"></span></span>
                            <span <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_list['title'] ) ?></span>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
        </div>
    </div>
</div>