<?php 
// Wrap
$widget->add_render_attribute('wrap',[
    'class' => [
        'cms-maps-pointer',
        'cms-maps-pointer-'.$settings['layout'],
        'relative',
    ]
]);
// Items
$active_pointer = $settings['active_pointer'];
$cms_pointers = $widget->get_setting('cms_pointers', []);
$banner_custom_dimension = [
    'width'  => !empty($settings['banner_custom_dimension']['width']) ? $settings['banner_custom_dimension']['width'] : 130,
    'height' => !empty($settings['banner_custom_dimension']['height']) ? $settings['banner_custom_dimension']['height'] : 164
];

?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <?php 
        wiseguard_elementor_image_render($settings,[
            'name'        => 'maps_img',
            'img_class'   => 'img-cover',
            'size'        => 'full',
            'custom_size' => ['width' => '', 'height' => '']
        ]);
    ?> 
    <?php
        foreach ($cms_pointers as $key => $cms_pointer):
        $is_active = ( $key + 1 ) === $active_pointer ? true : false;
        $address     = $cms_pointer['address'];
        $map_zoom    = 14;
        $map_api_key = wiseguard_get_opt('gm_api_key');
        $map_params  = [
            rawurlencode( $address ),
            absint( $map_zoom )
        ];
        $map_url = 'https://maps.google.com/maps?q=%1$s&amp;t=m&amp;z=%2$d&amp;iwloc=near';
        //elementor-repeater-item-
        $item_key = $widget->get_repeater_setting_key( 'item', 'cms_maps_pointers', $key );
        $widget->add_render_attribute( $item_key, [
            'id'    => 'cms-pointer-item-'.$cms_pointer['_id'],
            'class' => array_filter([ 
                'cms-pointer-item absolute cms-touchedside',
                'elementor-repeater-item-'.$cms_pointer['_id'],
                'cms-hover-active',
                $is_active ? 'active' : ''
            ]),
            'data-active' => $is_active,
        ] );
    ?>
        <div <?php etc_print_html($widget->get_render_attribute_string($item_key)); ?>>
            <div class="cms-pointer cms-ripple">
                <div class="cms--pointer cms-circle"></div>
            </div>
            <div class="cms-pointer-content d-flex no-wrap cms-radius-4 cms-shadow-1 cms--touchedside">
                <?php 
                    $cms_pointer['banner_size'] = $settings['banner_size'];
                    $cms_pointer['banner_custom_dimension'] = $banner_custom_dimension;
                    wiseguard_elementor_image_render($cms_pointer,[
                        'name'           => 'banner',
                        'image_size_key' => 'banner',
                        'img_class'      => 'cms-radius-tlbl-4',
                        'size'           => 'custom',
                        'custom_size'    => $banner_custom_dimension,
                        'before'         => '<div class="flex-auto">',
                        'after'          => '</div>'    
                    ]);
                ?>
                <div class="cms-pointer--content flex-basic">
                    <h4 class="text-19 text-line-1"><?php echo esc_html($cms_pointer['title']); ?></h4>
                    <div class="address text-14 pt-10 pb-10"><?php echo esc_html($cms_pointer['address']); ?></div>
                    <a class="cms-link text-secondary-lighten text-hover-primary" target="_blank" href="<?php echo vsprintf( $map_url, $map_params ); ?>"><i class="cmsi-map-marker text-16"></i><?php echo esc_html__('Get Directions','wiseguard'); ?></a>
                </div>
            </div>
        </div>
    <?php  endforeach; ?>
</div>