<?php
    // wrap
    $widget->add_render_attribute('wrap', [
        'class' => [
            'cms-newsletter',
            'cms-newsletter-'.$widget->get_setting('layout','2'),
            'bg-'.$widget->get_setting('bg_color','light-grey5'),
            'p-tb-60 p-lr-110 p-lr-tablet-20'
        ]
    ]);
    // title 
    $widget->add_inline_editing_attributes('title');
    $widget->add_render_attribute('title', [
        'class' => [
            'cms-title cms-heading',
            'empty-none',
            'text-'.$settings['title_color']
        ]
    ]);
    // Desccription
    $widget->add_inline_editing_attributes('description');
    $widget->add_render_attribute('description', [
        'class' => [
            'cms-desc empty-none',
            'text-17',
            'text-'.$settings['desc_color'],
            'pt-15'
        ]
    ]);
    // Form Fields
    $show_name = $widget->get_setting('show_name','no');
    // Shortcode
    $fields = '[newsletter_form button_label="'.$widget->get_setting('button_text',esc_html__('Subscribe','wiseguard')).'" form="1"]';
    if($show_name == 'yes'){
        $fields .= '[newsletter_field name="first_name" label="" placeholder="'.$widget->get_setting('name_text',esc_html__('Your Name','wiseguard')).'"]';
    }
    $fields .= '[newsletter_field name="email" label="" placeholder="'.$widget->get_setting('email_text',esc_html__('Your Email Address','wiseguard')).'"]';
    $fields .= '[/newsletter_form]';
    
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <div class="d-flex gutter align-items-center">
        <div class="col-5 col-mobile-12">
            <h2 <?php etc_print_html($widget->get_render_attribute_string('title')); ?>><?php 
                echo nl2br($settings['title']); 
            ?></h2>
            <div <?php etc_print_html($widget->get_render_attribute_string('description')); ?>><?php 
                echo wpautop($settings['description']); 
            ?></div>
        </div>
        <div class="col-7 col-mobile-12 d-flex justify-content-end justify-content-mobile-start"><?php echo do_shortcode($fields); ?></div>
    </div>
</div>