<?php
// Wrap
$widget->add_render_attribute('wrap',[
	'class' => [
		'cms-eptitle',
		'cms-eptitle-'.$widget->get_setting('layout','3'),
		'text-center',
		'relative'
	]
]);
// Title
$widget->add_inline_editing_attributes( 'title', 'none' );
$widget->add_render_attribute( 'title', [
	'class' => [
		'cms-title',
		'text-42 text-mobile-30 font-600 lh-11428',
		'text-white',
		'w-100',
		'empty-none'
	]
]);
// Description
$widget->add_render_attribute( 'description', [
	'class' => [
		'cms-desc',
		'pt-20 w-100',
		'text-17 font-700',
		'text-'.$widget->get_setting('description_color', 'white'),
		'empty-none'
	]
]);

// Render Image
$settings['bg_image']['id'] = !empty($settings['bg_image']['id']) ? $settings['bg_image']['id'] : get_post_thumbnail_id();
$settings['bg_image']['url'] = !empty(get_post_thumbnail_id()) ? get_the_post_thumbnail_url() : $settings['bg_image']['url'];
wiseguard_elementor_image_render($settings,[
	'name'        => 'bg_image',
	'img_class'   => 'img-cover cms-overlay',
	'custom_size' => ['width' => '', 'height' => ''],
	'after'		  => '<div class="cms-eptitle-overlay cms-overlay"></div>'	
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div class="cms-content relative z-top container-full">
		<div class="cms--content d-flex justify-content-center m-lr-auto">
			<?php 
				the_terms(get_the_ID(), wiseguard_post_taxonomy_category(), '<div class="cms-post-meta-2 mb-30">', ', ', '</div>');
			?>
			<h1 <?php etc_print_html( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo etc_print_html( $widget->get_setting('title', get_the_title()) ); ?></h1>
			<div <?php etc_print_html( $widget->get_render_attribute_string( 'description' ) ); ?>><?php echo etc_print_html( $widget->get_setting('description', get_the_excerpt()) ); ?></div>
		</div>
	</div>
	<?php wiseguard_breadcrumb([
		'icon_home' => '',
		'class'     => 'justify-content-center',
		'before'    => '<div class="cms-breadcrumbs-wrap absolute bottom-center p-20 bg-white z-top">',
		'after'		=> '</div>'
	]); ?>
</div>