<?php
$default_align = 'start';
// Wrap
$widget->add_render_attribute('wrap',[
	'class' => [
		'cms-eptitle',
		'cms-eptitle-'.$widget->get_setting('layout','4'),
		'relative z-top',
		wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'content_align',
            'prefix_class' => 'text-',
            'default'	   => $default_align	
        ])
	]
]);
// Container
$widget->add_render_attribute('container',[
	'class' => [
		'cms-content container',
		wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'content_align',
            'prefix_class' => 'text-',
            'default'	   => $default_align	
        ]),
		'd-flex',
        wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'content_align',
            'prefix_class' => 'justify-content-',
            'default'	   => $default_align	
        ])
	]
]);
// Small Title 
$widget->add_render_attribute('small_title', [
	'class' => [
		'cms-small-title',
		'pb-10 w-100',
		'text-17 font-700',
		'pt-5',
		'text-'.$widget->get_setting('small_title_color', 'white'),
		'empty-none'
	]
]);
// Title
$widget->add_render_attribute( 'title', [
	'class' => [
		'cms-title',
		'w-100',
		'text-75 text-tablet-50 text-mobile-40 font-700 lh-1',
		'text-'.$widget->get_setting('title_color','white'),
		'w-100',
		'empty-none'
	]
]);
// Description
$widget->add_render_attribute( 'description', [
	'class' => [
		'cms-desc',
		'pt-20 w-100',
		'text-17 font-700',
		'text-'.$widget->get_setting('description_color', 'white'),
		'empty-none'
	]
]);
// Button
$page_link = $widget->get_setting('page_link','');
switch ($settings['link_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('custom_link', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link_text', [
	'class' => [
		'btn btn-lg',
		'btn-'.$widget->get_setting('btn1_color', 'accent'),
		'btn-hover-'.$widget->get_setting('btn1_color_hover','white')
	],
	'href'	=> $url
]);

// Button #2
$page2_link = $widget->get_setting('page2_link','');
switch ($settings['link2_type']) {
	case 'page':
		$page2 = !empty($page2_link) ? get_page_by_path($page2_link, OBJECT) : [];
		$url2  = !empty($page2) ? get_permalink($page2->ID) : '#';
		break;
	
	default:
		$url2 = $widget->get_setting('custom2_link', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link2_text', [
	'class' => [
		'btn btn-lg',
		'btn-outline-'.$widget->get_setting('btn2_color', 'white'),
		'btn-outline-hover-'.$widget->get_setting('btn2_color_hover','accent')
	],
	'href'	=> $url2
]);

// Inline Edit
$widget->add_inline_editing_attributes( 'title', 'none' );
$widget->add_inline_editing_attributes( 'description' );
$widget->add_inline_editing_attributes( 'link_text' );
// CMS Content
$widget->add_render_attribute('cms--content',[
	'class' => [
		'cms--content d-flex',
		wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'content_align',
            'prefix_class' => 'justify-content-',
            'default'	   => $default_align
        ])
	]
]);
// Buttons 
$widget->add_render_attribute('buttons',[
	'class' => [
		'd-flex gap empty-none pt-30 w-100 pb-15',
		wiseguard_elementor_get_alignment_class($widget, $settings, [
            'name'         => 'content_align',
            'prefix_class' => 'justify-content-',
            'default'	   => $default_align	
        ])
	],
	'style' => '--cms-gap:30px;--cms-gap-tablet:30px;--cms-gap-mobile:20px;'
]);

// Render Image
$settings['bg_image']['id'] = !empty($settings['bg_image']['id']) ? $settings['bg_image']['id'] : get_post_thumbnail_id();
$settings['bg_image']['url'] = !empty(get_post_thumbnail_id()) ? get_the_post_thumbnail_url() : $settings['bg_image']['url'];
wiseguard_elementor_image_render($settings,[
	'name'        => 'bg_image',
	'img_class'   => 'img-cover cms-overlay',
	'custom_size' => ['width' => '', 'height' => ''],
	'after'		  => '<div class="cms-eptitle-overlay cms-overlay"></div>'	
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div <?php etc_print_html($widget->get_render_attribute_string('container')); ?>>
		<div <?php etc_print_html($widget->get_render_attribute_string('cms--content')); ?>>
			<div <?php etc_print_html($widget->get_render_attribute_string('small_title')); ?>><?php echo etc_print_html( $settings['small_title'] ); ?></div>
			<h1 <?php etc_print_html( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo nl2br( $widget->get_setting('title', get_the_title()) ); ?></h1>
			<div <?php etc_print_html( $widget->get_render_attribute_string( 'description' ) ); ?>><?php echo etc_print_html( $settings['description'] ); ?></div>
			<div <?php etc_print_html( $widget->get_render_attribute_string( 'buttons' ) ); ?>><?php
				// Button #1
				if ( ! empty( $settings['link_text'] ) ) : ?>
				<a <?php etc_print_html( $widget->get_render_attribute_string( 'link_text' ) ); ?>>
					<?php  // text
						echo esc_html( $settings['link_text'] );
					?>
					<i class="cmsi-arrow-right rtl-flip text-10"></i>
				</a>
				<?php endif; 
				if ( ! empty( $settings['link2_text'] ) ) : ?>
				<a <?php etc_print_html( $widget->get_render_attribute_string( 'link2_text' ) ); ?>>
					<?php  // text
						echo esc_html( $settings['link2_text'] );
					?>
				</a>
				<?php endif;
				// Video
				wiseguard_elementor_button_video_render($widget, $settings, [
					'name'   => 'video_link',
					'icon'   => $widget->get_setting('video_icon')['value'],
					'text'   => $widget->get_setting('video_text','How it works'),
					'layout' => '1',
					'class'  => 'size-68 gap-30 text-white',
					'echo'	 => true
			    ])
			?></div>
		</div>
	</div>
	<?php wiseguard_breadcrumb([
		'icon_home' => '',
		'class'     => 'justify-content-start '.$widget->get_setting('breadcrumb_style'),
		'before'    => '<div class="cms-breadcrumbs-wrap absolute bottom-left p-20 bg-white ml-container">',
		'after'		=> '</div>'
	]); ?>
</div>