<?php 
// Feature
$features = $widget->get_setting('cms_feature', []);
// wrap
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-epricing',
		'cms-epricing-'.$settings['layout'],
		'p-50 p-lr-tablet-30 p-lr-smobile-20 cms-shadow-2 cms-hover-shadow-1 relative z-top'
	]
]);
// Link 1
$link1_page = $widget->get_setting('link1_page','');
switch ($settings['link1_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('link1_custom', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link1_text', [
	'class' => [
		'btn btn-lg',
		'btn-'.$widget->get_setting('link1_color','secondary'),
		'btn-hover-'.$widget->get_setting('link1_hover','accent'),
		'w-100',
		'justify-content-between'
	],
	'href'	=> $url
]);
// Link 2
$link2_page = $widget->get_setting('link2_page','');
switch ($settings['link2_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('link2_custom', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link2-attrs', [
	'class' => [
		'btn btn-lg',
		'btn-outline-'.$widget->get_setting('link2_color','secondary'),
		'btn-outline-hover-'.$widget->get_setting('link2_hover','accent'),
		'w-100',
		'justify-content-between'
	],
	'href'	=> $url
]);

?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php 
		// Icon
		\Elementor\Icons_Manager::render_icon( $settings['cms_icon'], ['class' => 'cms-pricing-icon']);
	?>
	<div class="cms-smallheading font-700 pb-30 mt-n7 pl-smobile-20 empty-none"><?php etc_print_html($settings['subheading_text']) ?></div>
	<div class="cms-heading text-23 font-600 mt-n7 pl-smobile-20 empty-none"><?php etc_print_html($settings['heading_text']) ?></div>
	<div class="cms-desc text-15 pt-15 empty-none font-700"><?php etc_print_html($settings['description_text_bold']) ?></div>
	<div class="cms-desc text-15 pt-15 empty-none"><?php etc_print_html($settings['description_text']) ?></div>
	<div class="cms-pricing-features pt-30 empty-none font-700 text-15 text-<?php echo esc_attr($widget->get_setting('feature_text_color', 'body')) ?>">
		<?php 
			foreach ( $features as $key => $cms_feature ):
				$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
				$widget->add_render_attribute($title_key, 'class', 'flex-basic');
				$widget->add_inline_editing_attributes( $title_key, 'none' );
			?>
		        <div class="cms-list d-flex align-items-center gap-10">
		            <?php 
		            	\Elementor\Icons_Manager::render_icon( $cms_feature['icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon flex-auto text-20 text-'.$widget->get_setting('feature_icon_color', 'accent') ] ); 
		            ?>
		            <span <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_feature['title'] ) ?></span>
		        </div>
			<?php endforeach;
		?>
	</div>
	<div class="cms-pricing-buttons d-flex gap-30 mt-40 empty-none"><?php 
		if(!empty($settings['link1_text'])) { ?>
		<a <?php etc_print_html( $widget->get_render_attribute_string( 'link1_text' ) ); ?>>
			<?php echo esc_html( $settings['link1_text'] ); ?>
			<i class="cms-btn-icon cmsi-arrow-circle-right rtl-flip text-26"></i>
		</a>
		<?php }
		if(!empty($settings['link2_text'])){ 
			?>
			<a <?php etc_print_html( $widget->get_render_attribute_string( 'link2-attrs' ) ); ?>>
			<?php echo esc_html( $settings['link2_text'] ); ?>
		</a>
		<?php }
	 ?></div>
	<?php if(!empty($settings['price'])) { ?>
		<div class="cms-heading font-600 lh-1 pt-40 mb-n5 d-flex align-items-end empty-none">
			<span class="text-30"><?php etc_print_html($settings['price']); ?></span>
			<span class="text-14"><?php etc_print_html($settings['price_pack']); ?></span>
		</div>
	<?php } ?>
</div>