<?php 
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-pricing',
		'cms-pricing-'.$widget->get_setting('layout', '2'),
		'p-50 p-lr-tablet-30 p-lr-smobile-20 cms-shadow-2 cms-hover-shadow-1 relative z-top',
		'text-white'
	]
]);
// Feature
$features = $widget->get_setting('cms_feature', []);
// Link 1
$link1_page = $widget->get_setting('link1_page','');
switch ($settings['link1_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('link1_custom', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link1-attrs', [
	'class' => [
		'btn btn-lg',
		'btn-'.$widget->get_setting('link1_color','white'),
		'btn-hover-'.$widget->get_setting('link1_hover','accent'),
		'w-100 justify-content-between'
	],
	'href'	=> $url
]);
// Link 2
$link2_page = $widget->get_setting('link2_page','');
switch ($settings['link2_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('link2_custom', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link2-attrs', [
	'class' => [
		'btn btn-lg',
		'btn-outline-'.$widget->get_setting('link2_color','white'),
		'btn-outline-hover-'.$widget->get_setting('link2_hover','white'),
		'w-100 justify-content-between'
	],
	'href'	=> $url
]);
// Background Image
$banner_gradient = $widget->get_setting('banner_gradient', 'secondary-bt3');
wiseguard_elementor_image_render($settings,[
	'name'        => 'banner',
	'img_class'   => 'img-cover',
	'custom_size' => ['width' => 400, 'height' => 570],
	'before'	  => '<div class="cms-gradient cms-gradient-'.$banner_gradient.' cms-overlay">',
	'after'		  => '<div class="cms-gradient-render"></div></div>'		
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div class="cms-smallheading font-700 pb-30 mt-n7 pl-smobile-20 empty-none"><?php etc_print_html($settings['subheading_text']) ?></div>
	<div class="cms-heading text-23 font-600 text-white mt-n7 pl-smobile-20 empty-none"><?php etc_print_html($settings['heading_text']) ?></div>
	<div class="cms-desc text-15 pt-15 empty-none font-700"><?php etc_print_html($settings['description_text_bold']) ?></div>
	<div class="cms-desc text-15 pt-15 empty-none"><?php etc_print_html($settings['description_text']) ?></div>
	<div class="cms-pricing-features pt-30 empty-none text-15 font-700 text-<?php echo esc_attr($widget->get_setting('feature_text_color', 'white')) ?>">
		<?php 
			foreach ( $features as $key => $cms_feature ):
				$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
				$widget->add_render_attribute($title_key, 'class', 'flex-basic');
				$widget->add_inline_editing_attributes( $title_key, 'none' );
			?>
		        <div class="cms-list d-flex align-items-center gap-10">
		            <?php 
		            	\Elementor\Icons_Manager::render_icon( $cms_feature['icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon flex-auto text-20 text-'.$widget->get_setting('feature_icon_color', 'white') ] ); 
		            ?>
		            <span <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_feature['title'] ) ?></span>
		        </div>
			<?php endforeach;
		?>
	</div>
	<div class="cms-pricing-buttons d-flex gap-30 mt-40 empty-none">
		<?php if(!empty($settings['link1_text'])) { ?>
		<a <?php etc_print_html( $widget->get_render_attribute_string( 'link1-attrs' ) ); ?>>
			<?php echo esc_html( $settings['link1_text'] ); ?>
			<i class="cms-btn-icon cmsi-arrow-circle-right rtl-flip text-26"></i>
		</a>
		<?php }
		if(!empty($settings['link2_text'])){ 
		?>
		<a <?php etc_print_html( $widget->get_render_attribute_string( 'link2-attrs' ) ); ?>>
			<?php echo esc_html( $settings['link2_text'] ); ?>
		</a>
		<?php } ?>
	</div>
	<div class="cms-heading font-600 lh-1 pt-40 mb-n5 d-flex align-items-end empty-none text-white">
		<span class="text-30"><?php etc_print_html($settings['price']); ?></span>
		<span class="text-14"><?php etc_print_html($settings['price_pack']); ?></span>
	</div>
	<?php // Ribbon ?>
	<div class="cms-ribbon accent absolute top left empty-none"><span class="main"><?php etc_print_html($settings['badge_text']); ?></span></div>
</div>