<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;
use Elementor\Icons_Manager;

$process = $widget->get_setting('process', []);
$total = count($process);
if($total<10) $total = '0'.$total;
if(empty($process)) return;

$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');
//
$thumbnail_custom_dimension = [
    'width'  => !empty($settings['image_custom_dimension']['width']) ? $settings['image_custom_dimension']['width'] : 690,
    'height' => !empty($settings['image_custom_dimension']['height']) ? $settings['image_custom_dimension']['height'] : 726
];
// Layout mode setting
// Carousel Settings
$widget->add_render_attribute('carousel-settings',[
    'class' => [
        'cms-process',
        'cms-process-'.$widget->get_setting('layout', '1'),
        'cms-carousel swiper',
    ]
]);
// Grid Settings
$widget->add_render_attribute('grid-settings',[
    'class' => [
        'cms-process',
        'cms-process-'.$widget->get_setting('layout', '1'),
        'cms-process-grid',
        'd-flex gutter',
        wiseguard_elementor_get_grid_columns($widget, $settings, ['default' => '1'])
    ]
]);
// Items
$widget->add_render_attribute( 'process-item',[
    'class' => [
        'process-item',
        'd-flex gap-0',
        ($settings['layout_mode'] === 'carousel') ? 'swiper-slide' : 'process-item-grid',
        'hover-icon-bounce'
    ]
]);

// Start layout 
    switch ($settings['layout_mode']) {
        case 'carousel':
    ?>
    <div <?php etc_print_html($widget->get_render_attribute_string('carousel-settings')); ?>>
        <div class="swiper-wrapper">
    <?php
        break;
        default:
    ?>
    <div <?php etc_print_html($widget->get_render_attribute_string('grid-settings')); ?>>
    <?php
        break;
    }
        $count = 0;
        foreach ($process as $key => $_process) {
            $count ++;
            if($count < 10) $count = '0'.$count;

            $_process['image_size'] = $settings['image_size'];
            $_process['image_custom_dimension'] = $thumbnail_custom_dimension;

            $item_key = $widget->get_repeater_setting_key( 'item', 'cms_process_item', $key );
            $widget->add_render_attribute( $item_key,[
                'class' => 'swiper-slide'
            ]);
            // Button
            //$widget->add_inline_editing_attributes( 'btn_text' );
            $page_link = $_process['btn_page_link'];
            switch ($_process['btn_link_type']) {
                case 'page':
                    $page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
                    $url  = !empty($page) ? get_permalink($page->ID) : '#';
                    break;
                
                default:
                    $url = $_process['btn_link']['url'];
                    break;
            }
            $btn_key = $widget->get_repeater_setting_key( 'btn_page_link', 'cms_process_item', $key );
            $widget->add_render_attribute( $btn_key, [
                'class' => array_filter([
                    'cms-process-btn',
                    'btn btn-lg',
                    'mt-30'
                ]),
                'href'  => $url
            ]);
            ?>
            <div <?php etc_print_html($widget->get_render_attribute_string('process-item')); ?>>
                <?php
                // Image
                    wiseguard_elementor_image_render($_process,[
                        'name'           => 'image',
                        'image_size_key' => 'image',
                        'img_class'      => 'process-img img-cover',
                        'max-height'     => true,
                        'custom_size'    => $thumbnail_custom_dimension,
                        'before'         => '<div class="cms-process-banner col-6 col-mobile-extra-4 col-mobile-12"><div class="cms-process--banner h-100 mr-n50 mr-mobile-extra-0">',
                        'after'          => '</div></div>'
                    ]);
                // Title
                ?>
                <div class="cms-process-content col-6 col-mobile-extra-8 col-mobile-12">
                    <div class="cms-process--content mr-50 bg-white cms-shadow-1 h-100 pb-40">
                        <div class="step-title bg-secondary text-white p-tb-70 p-tb-mobile-40 p-lr-100 p-lr-tablet-40 p-lr-smobile-20 mr-100 mr-tablet-20 mb-90 mb-tablet-40 mt-mobile-n100">
                            <div class="step-count text-15 font-700 pb-5"><?php echo esc_html($count); ?>/<?php echo esc_html($total); ?></div>
                            <h4 class="cms-heading text-22 font-600 text-white"><?php etc_print_html($_process['step_title']); ?></h4>
                        </div>
                        <div class="cms-process---content p-lr-mobile-20 pr-150 pr-tablet-extra-70 pr-tablet-40">
                            <?php Icons_Manager::render_icon($_process['icon'], ['aria-hidden' => 'true', 'class' => 'text-64 text-accent pb-30'], 'div'); ?>
                            <div class="cms-heading text-heading text-24 lh-1625 empty-none"><?php etc_print_html($_process['title']); ?></div>
                            <div class="cms-desc text-17 pt-20 empty-none"><?php etc_print_html($_process['desc']); ?></div>
                            <a <?php etc_print_html( $widget->get_render_attribute_string( $btn_key ) ); ?>><?php echo esc_attr( $_process['btn_text'] ); ?><i class="btn-icon cmsi-arrow-right text-10 rtl-flip"></i></a>
                        </div>
                    </div>
                </div>
            </div>
        <?php } 
    switch ($settings['layout_mode']) {
        case 'carousel':
    ?>
            </div>
        <?php if ($arrows == 'yes') : ?>
            <div class="cms-carousel-buttons d-flex gap-30 justify-content-end mt-50">
                <div class="cms-carousel-button prev cms-carousel-button-prev pr-10 text-<?php echo esc_attr($widget->get_setting('arrows_color','primary'));?> text-hover-<?php echo esc_attr($widget->get_setting('arrows_color_hover', 'accent')); ?>">
                    <?php
                    $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                    if (empty($icon_settings['value'])) {
                        $icon_settings = [
                            'library' => 'cmsi',
                            'value'   => 'cmsi-arrow-prev',
                        ];
                    }
                    Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true', 'class' => 'rtl-flip text-45']);
                    ?>
                </div>
                <div class="cms-carousel-button next cms-carousel-button-next pl-10 text-<?php echo esc_attr($widget->get_setting('arrows_color','primary'));?> text-hover-<?php echo esc_attr($widget->get_setting('arrows_color_hover', 'accent')); ?>">
                    <?php
                    $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                    if (empty($icon_settings['value'])) {
                        $icon_settings = [
                            'library' => 'cmsi',
                            'value'   => 'cmsi-arrow-next',
                        ];
                    }
                    Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true', 'class' => 'rtl-flip text-45']);
                    ?>
                </div>
            </div>
        <?php endif ?>
        <?php if ($dots == 'yes') : ?>
            <div class="cms-carousel-dots cms-carousel-dots-out empty-none"></div>
        <?php endif ?>
    </div>
    <?php
        break;
        default:
    ?>
    </div>
    <?php
        break;
    }
?>
