<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;
use Elementor\Icons_Manager;

$process = $widget->get_setting('process', []);
if(empty($process)) return;

$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');
//
$thumbnail_custom_dimension = [
    'width'  => !empty($settings['image_custom_dimension']['width']) ? $settings['image_custom_dimension']['width'] : '470',
    'height' => !empty($settings['image_custom_dimension']['height']) ? $settings['image_custom_dimension']['height'] : '300'
];
// Layout mode setting
// Carousel Settings
$widget->add_render_attribute('carousel-settings',[
    'class' => [
        'cms-process',
        'cms-process-'.$widget->get_setting('layout', '1'),
        'cms-carousel swiper',
    ]
]);
// Grid Settings
$widget->add_render_attribute('grid-settings',[
    'class' => [
        'cms-process',
        'cms-process-'.$widget->get_setting('layout', '1'),
        'cms-process-grid'
    ]
]);
// Items
$widget->add_render_attribute( 'process-item',[
    'class' => [
        'process-item',
        'relative',
        ($settings['layout_mode'] === 'carousel') ? 'swiper-slide' : 'process-item-grid',
        'hover-icon-bounce'
    ]
]);
//
$widget->add_render_attribute('count', [
    'class' => [
        'flex-auto heading text-54 font-300',
        'text-'.$widget->get_setting('count_color','secondary')
    ]
]);
$widget->add_render_attribute('title', [
    'class' => [
        'cms-heading text-21 font-500 empty-none',
        'text-'.$widget->get_setting('title_color','heading')
    ]
]);
$widget->add_render_attribute('description', [
    'class' => [
        'cms-desc text-15 pt-15 empty-none',
        'text-'.$widget->get_setting('desc_color','body')
    ]
]);
// Start layout 
    switch ($settings['layout_mode']) {
        case 'carousel':
    ?>
    <div <?php etc_print_html($widget->get_render_attribute_string('carousel-settings')); ?>>
        <div class="swiper-wrapper">
    <?php
        break;
        default:
    ?>
    <div <?php etc_print_html($widget->get_render_attribute_string('grid-settings')); ?>>
    <?php
        break;
    }
        $count = 0;
        foreach ($process as $key => $_process) {
            $count ++;
            if($count < 10) $count = '0'.$count;

            $_process['image_size'] = $settings['image_size'];
            $_process['image_custom_dimension'] = $thumbnail_custom_dimension;

            $item_key = $widget->get_repeater_setting_key( 'item', 'cms_process_item', $key );
            $widget->add_render_attribute( $item_key,[
                'class' => 'swiper-slide'
            ]);
            ?>
            <div <?php etc_print_html($widget->get_render_attribute_string('process-item')); ?>>
                <?php
                // Image
                    wiseguard_elementor_image_render($_process,[
                        'name'           => 'image',
                        'image_size_key' => 'image',
                        'img_class'      => 'swiper-nav-vert img-cover mb-40',
                        'custom_size'    => $thumbnail_custom_dimension,
                        'before'         => '',
                        'after'          => ''
                    ]);
                // Title
                ?>
                <div class="cms-process-content d-flex gap-50 gap-tablet-extra-30 align-items-center">
                    <div class="flex-basic">
                        <div <?php etc_print_html($widget->get_render_attribute_string('title')); ?>><?php etc_print_html($_process['title']); ?></div>
                        <div <?php etc_print_html($widget->get_render_attribute_string('description')); ?>><?php etc_print_html($_process['desc']); ?></div>
                    </div>
                    <div <?php etc_print_html($widget->get_render_attribute_string('count')); ?>><?php echo esc_html($count); ?></div>
                </div>
            </div>
        <?php } 
    switch ($settings['layout_mode']) {
        case 'carousel':
    ?>
            </div>
        <?php if ($dots == 'yes') : ?>
            <div class="cms-carousel-dots cms-carousel-dots-out empty-none"></div>
        <?php endif ?>
        <?php if ($arrows == 'yes') : ?>
            <div class="cms-carousel-button-in-vert in-vert-2 prev cms-carousel-button-prev cms-carousel-button-circle-2 secondary hover-primary">
                <?php
                $icon_settings = $widget->get_settings_for_display('arrow_prev_icon');
                if (empty($icon_settings['value'])) {
                    $icon_settings = [
                        'library' => 'cmsi',
                        'value'   => 'cmsi-arrow-left',
                    ];
                }
                Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true', 'class' => 'rtl-flip']);
                ?>
            </div>
            <div class="cms-carousel-button-in-vert in-vert-2 next cms-carousel-button-next cms-carousel-button-circle-2 secondary hover-primary">
                <?php
                $icon_settings = $widget->get_settings_for_display('arrow_next_icon');
                if (empty($icon_settings['value'])) {
                    $icon_settings = [
                        'library' => 'cmsi',
                        'value'   => 'cmsi-arrow-right',
                    ];
                }
                Icons_Manager::render_icon($icon_settings, ['aria-hidden' => 'true', 'class' => 'rtl-flip']);
                ?>
            </div>
        <?php endif ?>
    </div>
    <?php
        break;
        default:
    ?>
    </div>
    <?php
        break;
    }
?>
