<?php 
$cms_product_tabs = $widget->get_setting('cms_product_tabs', []);
$active_tab = $settings['active_tab'];

// Wrap
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-tabs',
		'cms-product-tabs',
		'cms-product-tabs-'.$settings['layout']
	]
]);
// Tab title 
$widget->add_render_attribute('tab-title',[
	'class' => [
		'cms-tabs-title',
		'cms-tabs-title-'.$settings['layout'],
		'cms-product-tabs-title d-flex justify-content-center gap-10'
	]
]);
// Tab Content
$widget->add_render_attribute('cms-tab-content', [
	'class' => [
		'cms-tab-content cms-product-tab-content d-flex gutter',
		wiseguard_elementor_get_grid_columns($widget, $settings, ['prefix_class' => 'flex-col-', 'default' => '2'])
	]
]);
// product title
$widget->add_render_attribute('p-title', [
	'class' => [
		'p-title pb-20',
		'text-'.$widget->get_setting('title_color', 'heading')
	]
]);
// product description
$widget->add_render_attribute('p-desc', [
	'class' => [
		'p-desc text-line-3',
		'text-'.$widget->get_setting('desc_color', 'heading')
	]
]);
// Feature
$widget->add_render_attribute('p-feature', [
	'class' => [
		'cms-lists cms-lists-2 cms-lists-icon-check cms-lists-icon-check-accent font-700 text-16',
		'text-'.$widget->get_setting('feature_color', 'primary'),
		'pt-30'
	]
]);
// Button
$widget->add_render_attribute('p-button', [
	'class' => [
		'btn btn-lg mt-50',
		'btn-'.$widget->get_setting('btn_color', 'secondary'),
		'btn-hover-'.$widget->get_setting('btn_hover_color', 'accent'),
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div <?php etc_print_html($widget->get_render_attribute_string('tab-title')); ?>>
		<?php 
		foreach ($cms_product_tabs as $key => $cms_product) {
			$is_active = ( $key + 1 ) === $active_tab ? true : false;
			$title = !empty($cms_product['tab_title']) ? $cms_product['tab_title'] : 'Product #'.($key+1);
			$title_key = $widget->get_repeater_setting_key( 'tab_title', 'cms_product_tabs', $key );
			$widget->add_render_attribute( $title_key, [
				'class' => array_filter([ 
					'cms-tab-title',
					'cms-product-tab-title',
					'text-'.$widget->get_setting('cms-tab-title-color','white'),
					'cms-transition',
					$is_active ? 'active' : ''
				]),
				'data-target' => '#cms-'.$cms_product['_id']
			] );
			$widget->add_inline_editing_attributes($title_key);
		?>
			<div <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo nl2br($title) ?></div>
		<?php } ?>
	</div>
	<?php 
		// Tabs Content
		foreach ($cms_product_tabs as $key => $cms_product) {
			$is_active = ( $key + 1 ) === $active_tab ? true : false;
			$content_key = $widget->get_repeater_setting_key( 'tab_content', 'cms_product_tabs', $key );
			$widget->add_render_attribute( $content_key, [
				'id'	=> 'cms-'.$cms_product['_id'],
				'class' => array_filter([
					'cms-tabs-content',
					'cms-tabs-content-'.$settings['layout'],
					'cms-product-tabs-content',
					$is_active ? 'active' : ''
				])
			] );
			if ( $is_active ) {
				$widget->add_render_attribute( $content_key, 'style', 'display:block;' );
			} else {
				$widget->add_render_attribute( $content_key, 'style', 'display:none;' );
			}
			// Product #1
			$product1 = !empty($cms_product['product1']) ? get_page_by_path($cms_product['product1'], OBJECT, 'product') : [];
			$product1_ID = !empty($product1) ? $product1->ID : '';
			$desc1 = !empty($cms_product['product1_desc']) ? $cms_product['product1_desc'] : get_the_excerpt($product1_ID);
			// Product #2
			$product2 = !empty($cms_product['product2']) ? get_page_by_path($cms_product['product2'], OBJECT, 'product') : [];
			$product2_ID = !empty($product2) ? $product2->ID : '';
			$desc2 = !empty($cms_product['product2_desc']) ? $cms_product['product2_desc'] : get_the_excerpt($product2_ID);
			// Product #3
			$product3 = !empty($cms_product['product3']) ? get_page_by_path($cms_product['product3'], OBJECT, 'product') : [];
			$product3_ID = !empty($product3) ? $product3->ID : '';
			$desc3 = !empty($cms_product['product3_desc']) ? $cms_product['product3_desc'] : get_the_excerpt($product3_ID);
		?>
		<div <?php etc_print_html( $widget->get_render_attribute_string( $content_key ) ); ?>>
			<div <?php etc_print_html($widget->get_render_attribute_string('cms-tab-content')); ?>>
				<?php if(!empty($cms_product['product1'])){ ?>
					<div class="p1 d-flex gap-40 relative">
						<div class="p-content flex-basic">
							<h3 <?php etc_print_html($widget->get_render_attribute_string('p-title')); ?>><a href="<?php the_permalink($product1->ID) ?>"><?php echo get_the_title($product1->ID); ?></a></h3>
							<div <?php etc_print_html($widget->get_render_attribute_string('p-desc')); ?>><?php echo nl2br($desc1); ?></div>
							<?php echo wiseguard_nl2html($cms_product['product1_feature'],[
								'item_before' => '<div class="d-flex gap-20 cms-list"><div class="flex-auto"><span class="cms-icon cmsi-check text-10 rtl-flip"></span></div><div class="flex-basic">',
								'item_after'  => '</div></div>',
								'before'      => '<div '.$widget->get_render_attribute_string('p-feature').'>',
								'after'       => '</div>'
							]); ?>
							<a href="<?php the_permalink($product1->ID) ?>" <?php etc_print_html($widget->get_render_attribute_string('p-button')); ?>><?php echo esc_html__('Purchase Now','wiseguard') ?><i class="cmsi-arrow-circle-right text-26"></i></a>
						</div>
						<?php 
							wiseguard_elementor_post_thumbnail_render($settings, [
		                        'post_id'     => $product1->ID,
		                        'size'		  => 'woocommerce_thumbnail',
		                        'custom_size' => ['width' => 140, 'height' => 180],
		                        'img_class'   => 'cms-sticky',
		                        'max_height'  => false,
		                        'before'      => '<div class="p-image flex-auto flex-smobile-full order-smobile-first">',
		                        'after'       => '</div>'    
		                    ]);
						?>
						<?php 
						// Icon
						\Elementor\Icons_Manager::render_icon( $cms_product['product1_icon'], ['class' => 'picon'], 'span' );
						?>
					</div>
				<?php } ?>
				<?php if(!empty($cms_product['product2'])){ ?>
					<div class="p2 d-flex gap-40 relative">
						<div class="p-content flex-basic">
							<h3 <?php etc_print_html($widget->get_render_attribute_string('p-title')); ?>><a href="<?php the_permalink($product2->ID) ?>"><?php echo get_the_title($product2->ID); ?></a></h3>
							<div <?php etc_print_html($widget->get_render_attribute_string('p-desc')); ?>><?php echo nl2br($desc2); ?></div>
							<?php echo wiseguard_nl2html($cms_product['product2_feature'],[
								'item_before' => '<div class="d-flex gap-20 cms-list"><div class="flex-auto"><span class="cms-icon cmsi-check text-10 rtl-flip"></span></div><div class="flex-basic">',
								'item_after'  => '</div></div>',
								'before'      => '<div '.$widget->get_render_attribute_string('p-feature').'>',
								'after'       => '</div>'
							]); ?>
							<a href="<?php the_permalink($product2->ID) ?>" <?php etc_print_html($widget->get_render_attribute_string('p-button')); ?>><?php echo esc_html__('Purchase Now','wiseguard') ?><i class="cmsi-arrow-circle-right text-26"></i></a>
						</div>
						<?php 
							wiseguard_elementor_post_thumbnail_render($settings, [
		                        'post_id'     => $product2->ID,
		                        'size'		  => 'woocommerce_thumbnail',
		                        'custom_size' => ['width' => 140, 'height' => 180],
		                        'img_class'   => 'cms-sticky',
		                        'max_height'  => false,
		                        'before'      => '<div class="p-image flex-auto flex-smobile-full order-smobile-first">',
		                        'after'       => '</div>'    
		                    ]);
						?>
						<?php 
						// Icon
						\Elementor\Icons_Manager::render_icon( $cms_product['product2_icon'], ['class' => 'picon'], 'span' );
						?>
					</div>
				<?php } ?>
				<?php if(!empty($cms_product['product3'])){ ?>
					<div class="p3 d-flex gap-40 relative">
						<div class="p-content flex-basic">
							<h3 <?php etc_print_html($widget->get_render_attribute_string('p-title')); ?>><a href="<?php the_permalink($product3->ID) ?>"><?php echo get_the_title($product3->ID); ?></a></h3>
							<div <?php etc_print_html($widget->get_render_attribute_string('p-desc')); ?>><?php echo nl2br($desc3); ?></div>
							<?php echo wiseguard_nl2html($cms_product['product3_feature'],[
								'item_before' => '<div class="d-flex gap-20 cms-list"><div class="flex-auto"><span class="cms-icon cmsi-check text-10 rtl-flip"></span></div><div class="flex-basic">',
								'item_after'  => '</div></div>',
								'before'      => '<div '.$widget->get_render_attribute_string('p-feature').'>',
								'after'       => '</div>'
							]); ?>
							<a href="<?php the_permalink($product3->ID) ?>" <?php etc_print_html($widget->get_render_attribute_string('p-button')); ?>><?php echo esc_html__('Purchase Now','wiseguard') ?><i class="cmsi-arrow-circle-right text-26"></i></a>
						</div>
						<?php 
							wiseguard_elementor_post_thumbnail_render($settings, [
		                        'post_id'     => $product3->ID,
		                        'size'		  => 'woocommerce_thumbnail',
		                        'custom_size' => ['width' => 140, 'height' => 180],
		                        'img_class'   => 'cms-sticky',
		                        'max_height'  => false,
		                        'before'      => '<div class="p-image flex-auto flex-smobile-full order-smobile-first">',
		                        'after'       => '</div>'    
		                    ]);
						?>
						<?php 
						// Icon
						\Elementor\Icons_Manager::render_icon( $cms_product['product3_icon'], ['class' => 'picon'], 'span' );
						?>
					</div>
				<?php } ?>
			</div>
		</div>
	<?php } ?>
</div>
