<?php
$progressbar_list = $widget->get_setting('progressbar_list',[]);
// wrap
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-eprogress-bar',
		'cms-eprogress-bar-'.$settings['layout'],
		'p-70 p-lr-tablet-40 p-lr-smobile-20 p-tb-mobile-40',
		'bg-grey'
	]
]);
// Small Heading
$widget->add_inline_editing_attributes( 'smallheading_text' );
$widget->add_render_attribute( 'smallheading_text', [
	'class' => [
		'cms-smallheading empty-none font-700 text-16 pb-10 mt-n7',
		'text-'.$widget->get_setting('smallheading_color', 'secondary')
	]
]);
// Large Heading
$widget->add_inline_editing_attributes( 'heading_text');
$widget->add_render_attribute( 'heading_text', [
	'class' => [
		'cms-heading empty-none',
		'text-'.$widget->get_setting('heading_color','heading'),
		'text-35 text-tablet-30 text-mobile-24 lh-1428',
		'pb-25'
	]
]);
// Description
$widget->add_inline_editing_attributes( 'description_text' );
$widget->add_render_attribute( 'description_text', [
	'class' => array_filter([
		'cms-desc text-17 empty-none',
		'text-'.$widget->get_setting('description_color','body'),
		'pb-30'
	])
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div <?php etc_print_html( $widget->get_render_attribute_string( 'smallheading_text' ) ); ?>><?php echo nl2br( $settings['smallheading_text'] ); ?></div>
	<h2 <?php etc_print_html( $widget->get_render_attribute_string( 'heading_text' ) ); ?>><?php echo nl2br( $settings['heading_text'] ); ?></h2>
	<div <?php etc_print_html( $widget->get_render_attribute_string( 'description_text' ) ); ?>><?php echo nl2br( $settings['description_text'] ); ?></div>
	<?php foreach ( $progressbar_list as $key => $progressbar ):
		$title_key = $widget->get_repeater_setting_key( 'title', 'progressbar_list', $key );
		$wrapper_key = $widget->get_repeater_setting_key( 'wrapper', 'progressbar_list', $key );
		$progress_bar_key = $widget->get_repeater_setting_key( 'progress_bar', 'progressbar_list', $key );
		
		$widget->add_inline_editing_attributes( $title_key );
		$widget->add_render_attribute( $title_key, [
			'class'=>[
				'cms-progress-bar-title',
				'text-15 font-700 text-body',
				'pb-2',
				'd-flex justify-content-between no-wrap'
			],
			'style' => 'width:'.$progressbar['percent']['size'].'%'
		]);

		$widget->add_render_attribute( $wrapper_key, [
			'class'         => 'cms-progress-wrap bg-'.$widget->get_setting('progress_color','grey'),
			'role'          => 'progressbar',
			'aria-valuemin' => '0',
			'aria-valuemax' => '100',
			'aria-valuenow' => $progressbar['percent']['size'],
		] );

		if ( ! empty( $progressbar['progress_type'] ) ) {
			$widget->add_render_attribute( $wrapper_key, 'class', 'progress-' . $progressbar['progress_type'] );
		}

		$widget->add_render_attribute( $progress_bar_key, [
			'class'    => 'cms-progress-bar bg-'.$widget->get_setting('progressbar_color','accent'),
			'data-max' => $progressbar['percent']['size'],
		] );
		?>
		<div class="cms-progress-bar-wrap">
			<?php if ( ! empty( $progressbar['title'] ) ) { ?>
	            <div <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>>
	            	<?php echo esc_html( $progressbar['title'] ); ?>
	            	<span class="text-14 text-secondary"><span class="cms-progress-bar-number" data-duration="2000" data-delimiter="" data-to-value="<?php echo esc_attr($progressbar['percent']['size']); ?>"></span>%</span>	
	            </div>
			<?php } ?>
	        <div <?php etc_print_html( $widget->get_render_attribute_string( $wrapper_key ) ); ?>>
	            <div <?php etc_print_html( $widget->get_render_attribute_string( $progress_bar_key ) ); ?>>
	            	<span class="cms-progress-bar-number" data-duration="2000" data-delimiter="" data-to-value="<?php echo esc_attr($progressbar['percent']['size']); ?>"></span>%
	            </div>
	        </div>
        </div>
	<?php endforeach; ?>
</div>