<?php
	// Wrap 
	$widget->add_render_attribute('wrap',[
		'class' => [
			'cms-eqc',
			'cms-eqc-'.$settings['layout']
		]
	]);
	// Title
	$widget->add_inline_editing_attributes( 'title', 'Quick Contact' );
	$widget->add_render_attribute( 'title', [
		'class' => [
			'cms-title',
			'text-'.$widget->get_setting('title_color','heading'),
			'text-17',
			'mb-30',
			'empty-none'
		]
	]);
	// Description
	$widget->add_inline_editing_attributes( 'desc', 'none' );
	$widget->add_render_attribute( 'desc', [
		'class' => [
			'cms-desc',
			'text-14',
			'pt-25',
			'text-'.$widget->get_setting('desc_color','body')
		]
	]);
	$desc = $settings['desc'];
	// Adress
	//$widget->add_inline_editing_attributes( 'address' );
	$address = $settings['address'];
	$map_zoom    = 14;
	$map_api_key = wiseguard_get_opt('gm_api_key');
	$map_params  = [
	    rawurlencode( $address ),
	    absint( $map_zoom )
	];
	$map_url = 'https://maps.google.com/maps?q=%1$s&amp;t=m&amp;z=%2$d&amp;iwloc=near';
	$widget->add_render_attribute( 'address', [
		'class' => [
			'cms-eqc-item pt-25',
			'cms-address',
			'cms-link',
			'text-14',
			'text-'.$settings['address_color'],
			'text-hover-'.$settings['address_color_hover'],
			'empty-none'
		],
		'href' => $map_url
	]);

	// Email
	$widget->add_inline_editing_attributes( 'email', 'none' );
	$email = $widget->get_setting('email', 'WiseGuard@farost.net');
	$widget->add_render_attribute( 'email', [
		'class' => [
			'cms-eqc-item',
			'cms-email',
			'text-17 font-600 heading',
			'text-'.$widget->get_setting('email_color','accent'),
			'text-hover-'.$widget->get_setting('email_color_hover','secondary'),
			'd-flex gap-20 align-items-center no-wrap text-ellipsis',
			'empty-none'
		],
		'href' => 'mailto:'.$email
	]);
	// Phone
	$widget->add_inline_editing_attributes( 'phone', 'none' );
	$phone = $settings['phone'];
	$phone_link = str_replace(' ', '', $phone);
	$widget->add_render_attribute( 'phone',[ 
		'class' => [
			'cms-eqc-item',
			'cms-phone',
			'text-17 font-600 heading',
			'pt-15',
			'text-'.$widget->get_setting('phone_color','accent'),
			'text-hover-'.$widget->get_setting('phone_color_hover','secondary'),
			'd-flex gap-20 align-items-center no-wrap text-ellipsis',
			'empty-none'
		],
		'href' => 'tel:'.$phone_link
	]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php if (!empty($widget->get_setting('title'))) { ?>
		<h2 <?php etc_print_html( $widget->get_render_attribute_string( 'title' ) ); ?>><?php 
			echo etc_print_html( $widget->get_setting('title') ); 
		?></h2>
	<?php } ?>
	<a <?php etc_print_html( $widget->get_render_attribute_string( 'email' ) ); ?>><span class="cms-icon cmsi-email text-16"></span><?php 
		echo etc_print_html( $email ); 
	?></a>
	<a <?php etc_print_html( $widget->get_render_attribute_string( 'phone' ) ); ?>><span class="cms-icon cmsi-phone-alt text-16"></span><?php 
		echo etc_print_html( $phone ); 
	?></a>
	<div <?php etc_print_html( $widget->get_render_attribute_string( 'desc' ) ); ?>><?php 
		echo nl2br( $desc ); 
	?></div>
	<?php if(!empty($address )) { ?>
		<a <?php etc_print_html( $widget->get_render_attribute_string( 'address' ) ); ?>><?php 
		?><i class="cmsi-map-marker"></i><?php esc_html_e('Get Directions','wiseguard'); ?></a>
	<?php } ?>
</div>