<?php
// Wrap 
$widget->add_render_attribute('wrap',[
	'class' => [
		'cms-eqc',
		'cms-eqc-'.$settings['layout'],
		'text-16 font-700'
	]
]);

// Adress
$icon_address_color = $widget->get_setting('icon_address_color', 'primary');
$address_title = '<span class="cms-icon text-'.$icon_address_color.'"><span class="cmsi-map-marker"></span> '.$settings['address_title'].':</span>';
$widget->add_inline_editing_attributes( 'address' );
$address = $settings['address'];
$map_zoom    = 14;
$map_api_key = wiseguard_get_opt('gm_api_key');
$map_params  = [
    rawurlencode( $address ),
    absint( $map_zoom )
];
$map_url = 'https://maps.google.com/maps?q=%1$s&amp;t=m&amp;z=%2$d&amp;iwloc=near';
$widget->add_render_attribute( 'address', [
	'class' => [
		'cms-eqc-item',
		'cms-address',
		'text-'.$settings['address_color']
	],
	'href' => $map_url
]);

// Phone
$icon_phone_color = $widget->get_setting('icon_phone_color', 'primary');
$phone_title = '<span class="cms-icon text-'.$icon_phone_color.'"><span class="cmsi-phone-alt"></span> '.$settings['phone_title'].':</span>';
$widget->add_inline_editing_attributes( 'phone' );
$phone = $settings['phone'];
$phone_link = str_replace(' ', '', $phone);
$widget->add_render_attribute( 'phone',[ 
	'class' => [
		'cms-eqc-item',
		'cms-phone',
		'text-'.$settings['phone_color']
	],
	'href' => 'tel:'.$phone_link
]);
// Time
$icon_time_color = $widget->get_setting('icon_time_color', 'primary');
$time_title = '<span class="cms-icon text-'.$icon_time_color.'"><span class="cmsi-clock"></span> '.$settings['time_title'].':</span>';
$widget->add_inline_editing_attributes( 'time' );
$time = $settings['time'];
$widget->add_render_attribute( 'time',[ 
	'class' => [
		'cms-eqc-item',
		'cms-time',
		'text-'.$widget->get_setting('time_color','secondary-regular')
	]
]);
// Buttons
$page_link = $widget->get_setting('page_link','');
switch ($settings['link_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('link', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'btn_text', [
	'class' => array_filter([
		'btn btn-lg',
		'btn-white',
		'btn-hover-primary',
		'mt-30'
	]),
	'href'	=> $url
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<a <?php etc_print_html( $widget->get_render_attribute_string( 'phone' ) ); ?>><?php
		echo etc_print_html( $phone_title.' '.$phone ); 
	?></a>
	<a <?php etc_print_html( $widget->get_render_attribute_string( 'address' ) ); ?>><?php 
		echo etc_print_html( $address_title.' '.$address ); 
	?></a>
	<div <?php etc_print_html( $widget->get_render_attribute_string( 'time' ) ); ?>><?php 
		echo etc_print_html( $time_title.' '.$time ); 
	?></div>
</div>
<?php if(!empty($settings['btn_text'])) { ?>
	<a <?php etc_print_html( $widget->get_render_attribute_string( 'btn_text' ) ); ?>><?php 
		// text
		echo esc_html( $settings['btn_text'] );
		?>
		<i class="cms-btn-icon cmsi-edge-right-up text-10 rtl-flip"></i>
	</a>
<?php } ?>