<?php 
	$reviews = $widget->get_setting('reviews', []);
	if(empty($reviews)) return;
	$review_custom_dimension = ['width' => 64, 'height' => 64];
// rated
$rated = 100;
$widget->add_render_attribute('review-rate',[
    'class' => [
        'cms-star-rate relative',
        'text-'.$widget->get_setting('star_color', 'rate')
    ]
]);
$widget->add_render_attribute('review--rate',[
    'class' => [
        'cms-star-rated absolute',
        'text-'.$widget->get_setting('star_color', 'rate')
    ]
]);
?>
<div class="cms-reviews d-flex flex-col-3 flex-col-smobile-1 row-70 row-tablet-40">
	<?php
		foreach ($reviews as $key => $review) {
			$link_key = $widget->get_repeater_setting_key( 'link', 'cms_reviews', $key );
	        $widget->add_render_attribute( $link_key,[
	        	'class' => [
	        		'review-link text-14 font-700'
	        	],
	        	'target' => '_blank'
	        ]);
	        $widget->add_link_attributes( $link_key, $review['link'] );
			$review['image_size'] = $widget->get_setting('banner_size');
	        $review['image_custom_dimension'] = $review_custom_dimension;
	?>
	    <div class="cms-review-item d-flex gap-10">
	    	<?php
	            wiseguard_elementor_image_render($review,[
	                'name'           => 'banner',
	                'image_size_key' => 'banner',
	                'img_class'      => '',
	                'custom_size'    => $review_custom_dimension,
	                'max_height'     => false,
	                'before'         => '<div class="flex-auto"><a '.$widget->get_render_attribute_string( $link_key ).'>',
	                'after'          => '</a></div>'
	            ]);
	       ?>
	        <div class="flex-basic">
                <a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
                    <div class="review-title"><?php echo esc_html($review['title']); ?></div>
                    <div <?php etc_print_html($widget->get_render_attribute_string('review-rate')); ?>>
                        <div <?php etc_print_html($widget->get_render_attribute_string('review--rate')); ?> data-width="<?php echo esc_attr($rated);?>" style="width:<?php echo esc_attr($rated.'%');?>"></div>
                    </div>
                </a>
	        </div>
		</div>
	<?php } ?>
</div>