<?php
use Elementor\Icons_Manager;

$cms_slides = $widget->get_setting('cms_slides', []);
$arrows     = $widget->get_setting('arrows','');
$dots       = $widget->get_setting('dots','');

// Wrapper
$widget->add_render_attribute('wrap', [
    'class' => [
        'cms-eslider',
        'cms-eslider-'.$settings['layout'],
        'cms-carousel', 'swiper'
    ]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')) ?>>
    <div class="swiper-wrapper">
        <?php foreach ($cms_slides as $key => $cms_slide) { ?>
            <div class="cms-slider-item swiper-slide relative ">
                <?php 
                    $cms_slide['lazy'] = false;
                    // image
                    \Elementor\Group_Control_Image_Size::print_attachment_image_html($cms_slide);
                ?>
                <div class="cms-slider-content cms-overlay d-flex align-items-center">
                    <div class="container">
                        <div class="cms-slider--content m-lr-auto text-center">
                            <div class="cms-slider-subtitle text-line-3 empty-none <?php echo wiseguard_add_hidden_device_controls_render($settings, 'subtitle_'); ?>" data-cms-animation="subtitle_animation" data-cms-animation-delay="subtitle_animation_delay"><?php echo nl2br($cms_slide['subtitle']); ?></div>
                            <h1 class="cms-slider-title heading text-white font-700 text-line-3 mt-n10 empty-none <?php echo wiseguard_add_hidden_device_controls_render($settings, 'title_'); ?>" data-cms-animation="title_animation" data-cms-animation-delay="title_animation_delay"><?php echo nl2br($cms_slide['title']); ?></h1>
                            <div class="cms-slider-desc text-line-3 empty-none <?php echo wiseguard_add_hidden_device_controls_render($settings, 'desc_'); ?> m-lr-auto" data-cms-animation="description_animation" data-cms-animation-delay="description_animation_delay"><?php echo nl2br($cms_slide['description']); ?></div>
                            <div class="cms-slider-buttons d-flex gap empty-none justify-content-center" style="--cms-gap:30px;--cms-gap-tablet:30px;--cms-gap-mobile:30px;"><?php
                                if ( ! empty( $cms_slide['button_primary'] ) ) :
                                    switch ($cms_slide['button_primary_type']) {
                                        case 'page':
                                            $button_primary_page = !empty($cms_slide['button_primary_page_link']) ? get_page_by_path($cms_slide['button_primary_page_link'], OBJECT) : [];
                                            $button_primary_url  = !empty($button_primary_page) ? get_permalink($button_primary_page->ID) : '#';
                                            break;
                                        default:
                                            $button_primary_url = $cms_slide['button_primary_link']['url'];
                                            break;
                                    }
                            ?>
                                <a href="<?php echo esc_attr($button_primary_url); ?>" class="cms-slider-btn btn btn-lg btn-accent btn-hover-white <?php echo wiseguard_add_hidden_device_controls_render($settings, 'btn1_'); ?>" data-cms-animation="button_primary_animation" data-cms-animation-delay="button_primary_animation_delay">
                                    <?php echo esc_attr( $cms_slide['button_primary'] ); ?>
                                    <i class="cmsi-arrow-right rtl-flip text-10"></i>
                                </a>
                            <?php endif; ?>
                            <?php
                                if ( ! empty( $cms_slide['button_secondary'] ) ) :
                                    switch ($cms_slide['button_secondary_type']) {
                                        case 'page':
                                            $button_secondary_page = !empty($cms_slide['button_secondary_page_link']) ? get_page_by_path($cms_slide['button_secondary_page_link'], OBJECT) : [];
                                            $button_secondary_url  = !empty($button_secondary_page) ? get_permalink($button_secondary_page->ID) : '#';
                                            break;
                                        default:
                                            $button_secondary_url = $cms_slide['button_secondary_link']['url'];
                                            break;
                                    }
                            ?>
                                <a href="<?php echo esc_url($button_secondary_url); ?>" class="cms-slider-btn btn btn-lg btn-white btn-hover-accent <?php echo wiseguard_add_hidden_device_controls_render($settings, 'btn2_'); ?>" data-cms-animation="button_secondary_animation" data-cms-animation-delay="button_secondary_animation_delay">
                                    <?php echo esc_attr( $cms_slide['button_secondary'] ); ?>
                                </a>
                            <?php endif; 
                                // Video button
                                wiseguard_elementor_button_video_render($widget, $cms_slide, [
                                    'name'     => 'video_link',
                                    'icon'     => 'cmsi-play cms-transition',
                                    'text'     => $cms_slide['video_text'],
                                    'layout'   => '1 size-68 gap-30 text-hover-accent',
                                    'class'    => wiseguard_add_hidden_device_controls_render($settings, 'btn_video_'),
                                    'echo'     => true,
                                    'loop'     => true,
                                    'loop_key' => $key, 
                                    'attrs'    => [
                                        'data-cms-animation'       => 'button_video_animation',
                                        'data-cms-animation-delay' => 'button_video_animation_delay'
                                    ]
                                ]);
                            ?></div>
                        </div>
                    </div>
                </div>
            </div>
            <?php
        }
        ?>
    </div>
    <?php if ($arrows == 'yes') : ?>
        <div class="cms-slider-button-arrow cms-carousel-button-prev">
            <i class="cmsi-arrow-prev rtl-flip"></i>
        </div>
        <div class="cms-slider-button-arrow cms-carousel-button-next">
            <i class="cmsi-arrow-next rtl-flip"></i>
        </div>
    <?php endif ?>
    <?php if ($dots == 'yes') : ?>
        <div class="cms-carousel-dots cms-carousel-dots-in justify-content-center accent-white"></div>
    <?php endif ?>
</div>