<?php
$rated = $widget->get_setting('star_rated', 100);
//
$widget->add_inline_editing_attributes( 'text' );
$widget->add_inline_editing_attributes( 'link_text' );
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => array_filter([
		'cms-erate',
		'cms-erate-'.$widget->get_setting('layout', '2'),
		'd-flex cms-radius-4 overflow-hidden'
	])
]);
// Avatar / Phone
$widget->add_render_attribute('phone', [
	'class' => ['cms-avatar-phone cms-rate--phone'],
	'href'  => 'tel:'.str_replace(' ', '', $widget->get_setting('phone')),
	'target' => '_blank',
]);
// Text
$widget->add_render_attribute('text', [
	'class' => [
		'cms-desc',
		'text-'.$widget->get_setting('text_color','body'),
		'text-15 font-700'
	]
]);
// Link
$page_link = $widget->get_setting('page_link','');
switch ($settings['link_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('custom_link', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'link_text', [
	'class' => [
		'cms-link',
		'cms-link-1',
		'text-'.$widget->get_setting('link_color','secondary-lighten'),
		'text-hover-'.$widget->get_setting('link_color_hover','primary'),
		'pt-15'
	],
	'href'	=> $url
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php 
		wiseguard_elementor_image_render($settings,[
			'name'        => 'banner',
			'img_class'   => 'img-cover',	
			'custom_size' => ['width' => 770, 'height' => 417],
			'before'	  => '<div class="cms-rare-banner col-6 col-tablet-extra-4 col-tablet-3 col-mobile-extra-12 z-top"><div class="cms-rare--banner mr-n130 mr-mobile-n0 h-100">',
			'after'	 	  => '</div></div>'				
		]);
	?>
	<div class="cms-rare-content col-6 col-tablet-extra-8 col-tablet-9 col-mobile-extra-12">
		<div class="ml-n20 ml-mobile-extra-n0 relative z-top">
			<div class="cms-rare--content d-flex">
				<div class="cms-rate-star flex-auto flex-smobile-full bg-primary">
					<div class="cms-star-rate white relative">
					    <div class="cms-star-rated absolute" data-width="<?php echo esc_attr($rated);?>" style="width:<?php echo esc_attr($rated.'%');?>"></div>
					</div>
				</div>
				<div class="cms-rate---content flex-basic text-15 text-white">
					<span class="text-underline font-700"><?php 
						etc_print_html($widget->get_setting('percent','99.9%').' '.$widget->get_setting('percent_text','Customer Satisfaction'));
					?></span>
					<?php
						etc_print_html($widget->get_setting('percent_text2','based on 750+ reviews of 6,154 Completed Projects, and 2,194 Happy Customers trust us.'));
					?>
				</div>
			</div>
			<div class="cms-rate-phone">
				<div class="cms-shadow-1 bg-white cms-radius-4 pb-40 p-lr-40 p-lr-smobile-20">
					<?php // Avatar
						wiseguard_elementor_image_render($settings,[
							'name'        => 'avatar',
							'img_class'   => 'circle relative z-top',
							'custom_size' => ['width' => 50, 'height' => 50],
							'before' 	  => '<a '.$widget->get_render_attribute_string('phone').'>',
							'after'		  => '<i class="cms-phone-icon cms-rate-phone-icon circle cmsi-phone-alt"></i></a>'		
						]);
					?>
					<div <?php etc_print_html($widget->get_render_attribute_string('text')) ?>><?php etc_print_html($settings['text']) ?></div>
					<a <?php etc_print_html( $widget->get_render_attribute_string( 'link_text' ) ); ?>>
						<?php 
							// text
							echo esc_html( $settings['link_text'] );
						?><i class="cmsi-edge-right-up rtl-flip text-10"></i>
					</a>
				</div>
			</div>
		</div>
	</div>
</div>