<?php 
$cms_tabs = $widget->get_setting('cms_tabs', []);
$active_tab = $settings['active_tab'];
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-tabs',
		'cms-tabs-'.$settings['layout'],
		'd-flex gap-20',
		'bg-secondary-lighten',
		'pt-80 pb-80 p-lr-70 p-lr-mobile-20',
		'cms-radius-tlbl-4'
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div class="cms-tabs-title">
		<?php 
		$count = 0;
		foreach ($cms_tabs as $key => $cms_tab) {
			$count ++;
			$is_active = ( $key + 1 ) === $active_tab ? true : false;
			$title = !empty($cms_tab['tab_title']) ? $cms_tab['tab_title'] : 'Tab #'.($key+1);
			$title_key = $widget->get_repeater_setting_key( 'tab_title', 'cms_tabs', $key );
			$widget->add_render_attribute( $title_key, [
				'class' => array_filter([ 
					'cms-tab-title',
					$is_active ? 'active' : '',
					'd-flex gap-20 no-wrap align-items-center',
					'text-15 font-700'
				]),
				'data-target' => '#cms-'.$cms_tab['_id']
			] );
			$widget->add_inline_editing_attributes($title_key);
		?>
			<div <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><span class="cms-tab-count"><?php echo esc_html($count); ?></span><?php echo nl2br($title) ?></div>
		<?php } ?>
	</div>
	<?php 
		// Tabs Content
		foreach ($cms_tabs as $key => $cms_tab) {
			$is_active = ( $key + 1 ) === $active_tab ? true : false;
			$content_key = $widget->get_repeater_setting_key( 'tab_content', 'cms_tabs', $key );
			$widget->add_render_attribute( $content_key, [
				'id'	=> 'cms-'.$cms_tab['_id'],
				'class' => array_filter([
					'cms-tabs-content',
					$is_active ? 'active' : '',
					'flex-basic',
					'p-lr-90 p-lr-laptop-20',
					'd-flex align-items-center'
				])
			] );
			if ( $is_active ) {
				$widget->add_render_attribute( $content_key, 'style', 'display:flex;' );
			} else {
				$widget->add_render_attribute( $content_key, 'style', 'display:none;' );
			}
			//Link
			$tab_content_link = !empty($cms_tab['tab_content_link']) ? get_page_by_path($cms_tab['tab_content_link'], OBJECT) : [];
			$tab_content_link_ID = !empty($tab_content_link) ? $tab_content_link->ID : '';
		?>
		<div <?php etc_print_html( $widget->get_render_attribute_string( $content_key ) ); ?>>
			<div class="cms-tab-content relative z-top">
				<h4 class="text-white"><?php echo nl2br($cms_tab['tab_content_title']); ?></h4>
				<div class="text-15 p-tb-20"><?php echo nl2br($cms_tab['tab_content_desc']); ?></div>
				<a href="<?php the_permalink($tab_content_link_ID) ?>" class="cms-link cms-link-1 text-white text-hover-primary"><?php echo esc_html($cms_tab['tab_content_link_text']); ?><i class="cmsi-edge-right-up text-10 rtl-flip"></i></a>
			</div>
			<?php 
			// Icon
			\Elementor\Icons_Manager::render_icon( $cms_tab['tab_content_icon'], ['class' => 'tab-icon absolute bottom-right'], 'span' );
			?>
		</div>
	<?php } ?>
</div>
