<?php 
$cms_tabs = $widget->get_setting('cms_tabs2', []);
$active_tab = $settings['active_tab'];
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-tabs',
		'cms-tabs-'.$settings['layout'],
		'd-flex gutter gutter-grid'
	]
]);
// Heading Wrap
$widget->add_render_attribute('heading-wrap', [
	'class' => array_filter([
		'cms-tab-heading',
		'col-6 col-tablet-7 col-mobile-extra-12 pr-70 pr-tablet-extra-20'
	])
]);
// Small Heading
$widget->add_inline_editing_attributes( 'smallheading_text' );
$widget->add_render_attribute( 'smallheading_text', [
	'class' => [
		'cms-smallheading empty-none font-700 text-16 pb-15 mt-n7',
		'text-'.$widget->get_setting('smallheading_color', 'primary')
	]
]);
// Large Heading
$widget->add_inline_editing_attributes( 'heading_text');
$widget->add_render_attribute( 'heading_text', [
	'class' => [
		'cms-heading empty-none',
		'text-'.$widget->get_setting('heading_color','heading'),
		//'text-37',
		'pb-30'
	]
]);
// Description
$widget->add_inline_editing_attributes( 'description_text' );
$widget->add_render_attribute( 'description_text', [
	'class' => array_filter([
		'cms-desc text-17 empty-none',
		'text-'.$widget->get_setting('description_color','body')
	])
]);
// Content wrap
$widget->add_render_attribute('content-wrap', [
	'class' => [
		'cms-tabs-content-wrap',
		'col-6 col-tablet-5 col-mobile-extra-12'
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')) ?>>
	<div <?php etc_print_html($widget->get_render_attribute_string('heading-wrap')); ?>>
		<div <?php etc_print_html( $widget->get_render_attribute_string( 'smallheading_text' ) ); ?>><?php echo nl2br( $settings['smallheading_text'] ); ?></div>
		<h2 <?php etc_print_html( $widget->get_render_attribute_string( 'heading_text' ) ); ?>><?php echo nl2br( $settings['heading_text'] ); ?></h2>
		<div <?php etc_print_html( $widget->get_render_attribute_string( 'description_text' ) ); ?>><?php echo nl2br( $settings['description_text'] ); ?></div>

		<div class="cms-tabs-title">
			<?php 
			foreach ($cms_tabs as $key => $cms_tab) {
				$is_active = ( $key + 1 ) === $active_tab ? true : false;
				$title = !empty($cms_tab['tab_title']) ? $cms_tab['tab_title'] : 'Tab #'.($key+1);
				$title_key = $widget->get_repeater_setting_key( 'tab_title', 'cms_tabs', $key );
				$widget->add_render_attribute( $title_key, [
					'class' => array_filter([ 
						'cms-tab-title',
						$is_active ? 'active' : '',
						'd-flex gap-30 no-wrap',
						'heading text-23 font-500 text-secondary'
					]),
					'data-target' => '#cms-'.$cms_tab['_id'],
					'data-target-2' => '#cms2-'.$cms_tab['_id']
				] );
				//$widget->add_inline_editing_attributes($title_key);
				// Content
				$tab_content_desc = $widget->get_repeater_setting_key( 'tab_content_desc', 'cms_tabs', $key );
				$widget->add_render_attribute( $tab_content_desc, [
					'id'	=> 'cms-'.$cms_tab['_id'],
					'class' => array_filter([
						'cms-tabs-content text-15',
						$is_active ? 'active' : ''
					])
				] );
				if ( $is_active ) {
					$widget->add_render_attribute( $tab_content_desc, 'style', 'display:block;' );
				} else {
					$widget->add_render_attribute( $tab_content_desc, 'style', 'display:none;' );
				}
				//$widget->add_inline_editing_attributes($tab_content_desc);
			?>
			<div class="cms-tab-title-item">
				<div <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>>
					<?php echo nl2br($title) ?>
				</div>
				<div <?php etc_print_html( $widget->get_render_attribute_string( $tab_content_desc ) ); ?>><?php echo nl2br($cms_tab['tab_content_desc']); ?>
				</div>
			</div>
			<?php } ?>
		</div>
	</div>
	<div <?php etc_print_html($widget->get_render_attribute_string('content-wrap')); ?>>
		<?php 
			// Tabs Content
			foreach ($cms_tabs as $key => $cms_tab) {
				$is_active = ( $key + 1 ) === $active_tab ? true : false;
				$content_key = $widget->get_repeater_setting_key( 'tab_content', 'cms_tabs', $key );
				$widget->add_render_attribute( $content_key, [
					'id'	=> 'cms2-'.$cms_tab['_id'],
					'class' => array_filter([
						'cms-tabs-content',
						$is_active ? 'active' : '',
						'cms-sticky'
					])
				] );
				if ( $is_active ) {
					$widget->add_render_attribute( $content_key, 'style', 'display:block;' );
				} else {
					$widget->add_render_attribute( $content_key, 'style', 'display:none;' );
				}
			?>
			<div <?php etc_print_html( $widget->get_render_attribute_string( $content_key ) ); ?>>
				<div class="cms-tab-content cms-ebanner-2 relative">
					<?php 
						$cms_tab['tab_content_banner_size'] = 'custom';
						$cms_tab['tab_content_bannere_custom_dimension'] = ['width' => 620, 'height' => 676];
						wiseguard_elementor_image_render($cms_tab,[
							'name'        => 'tab_content_banner',
							'img_class'   => 'cms-radius-4 relative z-top',
							'custom_size' => ['width' => 620, 'height' => 676],
							'before'      => '<div class="cms-overlay banner-bg m-n40 rtl-flip"></div>'
						]);
					?>
					<div class="cms-contents bg-white cms-triangle-bt absolute top-left z-top mt-20 ml-20 ml-smobile-0 p-40 p-lr-smobile-20 cms-radius-tbr-4 hover-icon-bounce">
						<?php 
							// Icon
							\Elementor\Icons_Manager::render_icon( $cms_tab['tab_content_icon'], ['class' => 'cms-icon text-64 text-secondary-lighten pb-25'] );
						?>
						<div class="cms-banner-title cms-heading empty-none text-heading text-18 mb-n7 lh-1-5"><?php etc_print_html($cms_tab['tab_content_title']); ?></div>
					</div>
				</div>
			</div>
		<?php } ?>
	</div>
</div>

