<?php 
$cms_tabs = $widget->get_setting('cms_tabs2', []);
$active_tab = $settings['active_tab'];
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-tabs',
		'cms-tabs-'.$settings['layout'],
		'd-flex gutter gutter-grid'
	]
]);

// Heading Wrap
$widget->add_render_attribute('heading-wrap', [
	'class' => array_filter([
		'cms-tab-content',
		'col-5 col-mobile-extra-12'
	])
]);
// Content wrap
$widget->add_render_attribute('content-wrap', [
	'class' => [
		'cms-tabs-content-wrap',
		'col-7 col-mobile-extra-12 cms-hidden-mobile-extra'
	]
]);
// Rating
$rated = $widget->get_setting('star_rated', 100);
$widget->add_render_attribute('star_color', [
	'class' => [
		'cms-star-rate relative',
		'text-'.$widget->get_setting('star_color','secondary')
	]
]);
$widget->add_render_attribute('star_rated_color', [
	'class' => [
		'cms-star-rated absolute',
		'text-'.$widget->get_setting('star_rated_color','accent'),
	],
	'data-width' => $rated,
	'style' 	 => 'width:'.$rated.'%;'
]);
$widget->add_render_attribute('rate_text_color', [
	'class' => [
		'flex-basic text-15 cms-text',
		'text-'.$widget->get_setting('rate_text_color','body')
	]
]);

$widget->add_render_attribute('percent_text', [
	'class' => [
		'text-underline font-700',
		'text-'.$widget->get_setting('star_rated_color','accent')
	]
]);
// Button
$widget->add_inline_editing_attributes( 'text', 'none' );
$page_link = $widget->get_setting('page_link','');
//Button
switch ($settings['link_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('link', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'button', [
	'class' => array_filter([
		'btn btn-lg',
		'btn-'.$widget->get_setting('btn_color','secondary'),
		'btn-hover-'.$widget->get_setting('btn_hover_color','accent'),
		'mt-40'
	]),
	'href'	=> $url
]);
// Icon
$icon_class = 'cms-btn-icon text-26 rtl-flip';
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')) ?>>
	<div <?php etc_print_html($widget->get_render_attribute_string('content-wrap')); ?>>
		<div class="cms-tabs-content-inner pr-30 pr-laptop-0 cms-sticky">
			<?php 
				// Tabs Content
				foreach ($cms_tabs as $key => $cms_tab) {
					$is_active = ( $key + 1 ) === $active_tab ? true : false;
					$content_key = $widget->get_repeater_setting_key( 'tab_content', 'cms_tabs', $key );
					$widget->add_render_attribute( $content_key, [
						'id'	=> 'cms2-'.$cms_tab['_id'],
						'class' => array_filter([
							'cms-tabs-content',
							$is_active ? 'active' : ''
						])
					] );
					if ( $is_active ) {
						$widget->add_render_attribute( $content_key, 'style', 'display:block;' );
					} else {
						$widget->add_render_attribute( $content_key, 'style', 'display:none;' );
					}
					// Banner title
					ob_start();
				?>
					<div class="cms-tabs-banner-content absolute bottom-right d-flex gap-30 align-items-center text-18 text-white bg-accent cms-radius-trb-10 cms-heading font-500 p-40 p-lr-smobile-20">
						<?php
							\Elementor\Icons_Manager::render_icon( $cms_tab['tab_content_icon'], ['class' => 'cms-icon flex-auto text-64']);
						?>
						<span class="flex-basic mt-n8 mb-n8 flex-smobile-100"><?php
							echo nl2br($cms_tab['tab_content_title']); 
						?></span>
					</div>
				<?php
					$banner_title = ob_get_clean();
				?>
				<div <?php etc_print_html( $widget->get_render_attribute_string( $content_key ) ); ?>>
					<?php 
						$cms_tab['tab_content_banner_size'] = 'custom';
						$cms_tab['tab_content_bannere_custom_dimension'] = ['width' => 660, 'height' => 440];
						wiseguard_elementor_image_render($cms_tab,[
							'name'        => 'tab_content_banner',
							'img_class'   => 'cms-radius-16',
							'custom_size' => ['width' => 660, 'height' => 440],
							'before'	  => '<div class="cms-tab-content relative relative pr-40 d-inline-block hover-icon-bounce">',
							'after'		  => $banner_title.'</div>'
						]);
					?>
				</div>
			<?php } ?>
			<?php
			// rate 
			if($rated != 0){
			?>
				<div class="cms-heading-rate d-flex gap pt-35" style="--cms-gap:40px;--cms-gap-tablet:40px;--cms-gap-mobile:10px;">
					<div class="flex-auto flex-smobile-full">
						<div <?php etc_print_html($widget->get_render_attribute_string('star_color')); ?>>
						    <div <?php etc_print_html($widget->get_render_attribute_string('star_rated_color')); ?>></div>
						</div>
					</div>
					<div <?php etc_print_html($widget->get_render_attribute_string('rate_text_color')); ?>>
						<span <?php etc_print_html($widget->get_render_attribute_string('percent_text')); ?>><?php 
							etc_print_html($widget->get_setting('percent','99.9%').' '.$widget->get_setting('percent_text','Customer Satisfaction'));
						?></span>
						<?php
							etc_print_html($widget->get_setting('percent_text2','based on 750+ reviews of 6,154 Completed Projects, and 2,194 Happy Customers trust us.'));
						?>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
	<div <?php etc_print_html($widget->get_render_attribute_string('heading-wrap')); ?>>
		<div class="cms-tabs-title">
			<?php 
			$count = 0;
			foreach ($cms_tabs as $key => $cms_tab) {
				$count ++;
				if($count < 10) $count = '0'.$count;

				$is_active = ( $key + 1 ) === $active_tab ? true : false;
				$item_key = $widget->get_repeater_setting_key( 'item_key', 'cms_tabs', $key );
				$widget->add_render_attribute( $item_key, [
					'class' => array_filter([ 
						'cms-tab-title',
						'cms-tab-title-item',
						'd-flex gap-50 gap-tablet-extra-30 align-items-center',
						$is_active ? 'active' : '',
					]),
					'data-target-2' => '#cms2-'.$cms_tab['_id']
				] );

				$title = !empty($cms_tab['tab_title']) ? $cms_tab['tab_title'] : 'Tab #'.($key+1);
				$title_key = $widget->get_repeater_setting_key( 'tab_title', 'cms_tabs', $key );
				$widget->add_render_attribute( $title_key, [
					'class' => array_filter([
						'cms-heading text-21 font-500',
						'text-'.$widget->get_setting('title_color','heading')
					]),
					//'data-target' => '#cms-'.$cms_tab['_id'],
					//'data-target-2' => '#cms2-'.$cms_tab['_id']
				] );
				//$widget->add_inline_editing_attributes($title_key);
				// Content
				$tab_content_desc = $widget->get_repeater_setting_key( 'tab_content_desc', 'cms_tabs', $key );
				$widget->add_render_attribute( $tab_content_desc, [
					'id'	=> 'cms-'.$cms_tab['_id'],
					'class' => array_filter([
						'cms-tabs--content cms-desc text-15 pt-15 empty-none',
						$is_active ? 'active' : '',
						'text-'.$widget->get_setting('desc_color','body'),
						'text-line-3'
					])
				] );
				// Count
				$tab_content_count = $widget->get_repeater_setting_key( 'tab_content_count', 'cms_tabs', $key );
				$widget->add_render_attribute( $tab_content_count, [
					'class' => array_filter([
						'cms-tabs-count flex-auto heading text-54 font-300',
						$is_active ? 'active' : '',
						'text-'.$widget->get_setting('count_color','secondary')
					])
				] );
				if ( $is_active ) {
					//$widget->add_render_attribute( $tab_content_desc, 'style', 'display:block;' );
				} else {
					//$widget->add_render_attribute( $tab_content_desc, 'style', 'display:none;' );
				}
				//$widget->add_inline_editing_attributes($tab_content_desc);
			?>
			<div <?php etc_print_html( $widget->get_render_attribute_string( $item_key ) ); ?>>
                <div class="flex-basic">
					<div <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>>
						<?php echo nl2br($title) ?>
					</div>
					<div <?php etc_print_html( $widget->get_render_attribute_string( $tab_content_desc ) ); ?>><?php echo nl2br($cms_tab['tab_content_desc']); ?>
					</div>
				</div>
				<div <?php etc_print_html($widget->get_render_attribute_string($tab_content_count)); ?>><?php echo esc_html($count); ?></div>
				<div class="cms-hidden-min-mobile-extra w-100">
					<?php
						// Banner title
						ob_start();
					?>
						<div class="cms-tabs-banner-content d-flex gap-30 align-items-center text-18 text-white bg-accent cms-radius-trb-10 cms-heading font-500 p-40 p-lr-smobile-20 mr-n40">
							<?php
								\Elementor\Icons_Manager::render_icon( $cms_tab['tab_content_icon'], ['class' => 'cms-icon flex-auto text-64']);
							?>
							<span class="flex-basic mt-n8 mb-n8 flex-smobile-100"><?php
								echo nl2br($cms_tab['tab_content_title']); 
							?></span>
						</div>
					<?php
						$banner_title = ob_get_clean();
					?>
					<?php 
						$cms_tab['tab_content_banner_size'] = 'custom';
						$cms_tab['tab_content_bannere_custom_dimension'] = ['width' => 660, 'height' => 440];
						wiseguard_elementor_image_render($cms_tab,[
							'name'          => 'tab_content_banner',
							'img_class'     => 'cms-radius-16 hover-icon-bounce pt-100 pl-40 mr-40 d-flex justify-content-end',
							'custom_size'   => ['width' => 660, 'height' => 440],
							'as_background' => true,
							'content'       => $banner_title
						]);
					?>
				</div>
			</div>
			<?php } ?>
		</div>
		<?php // rate 
		if($rated != 0){
		?>
			<div class="cms-heading-rate d-flex gap pt-35 cms-hidden-min-mobile-extra" style="--cms-gap:40px;--cms-gap-tablet:40px;--cms-gap-mobile:10px;">
				<div class="flex-auto flex-smobile-full">
					<div <?php etc_print_html($widget->get_render_attribute_string('star_color')); ?>>
					    <div <?php etc_print_html($widget->get_render_attribute_string('star_rated_color')); ?>></div>
					</div>
				</div>
				<div <?php etc_print_html($widget->get_render_attribute_string('rate_text_color')); ?>>
					<span <?php etc_print_html($widget->get_render_attribute_string('percent_text')); ?>><?php 
						etc_print_html($widget->get_setting('percent','99.9%').' '.$widget->get_setting('percent_text','Customer Satisfaction'));
					?></span>
					<?php
						etc_print_html($widget->get_setting('percent_text2','based on 750+ reviews of 6,154 Completed Projects, and 2,194 Happy Customers trust us.'));
					?>
				</div>
			</div>
		<?php }
		// Button ?>
		<a <?php etc_print_html( $widget->get_render_attribute_string( 'button' ) ); ?>>
			<?php 
				// text
				echo esc_html( $settings['text'] );
				// icon
				\Elementor\Icons_Manager::render_icon( $widget->get_setting('btn_icon',['library' => 'cmsi', 'value' => 'cmsi-arrow-circle-right']), [ 'aria-hidden' => 'true', 'class' => $icon_class ] ); 
			?>
		</a>
	</div>
</div>

