<?php 
$cms_tabs = $widget->get_setting('cms_tabs4', []);
$active_tab = $settings['active_tab'];
// Wrap
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-tabs',
		'cms-tabs-'.$settings['layout'],
	]
]);
$widget->add_render_attribute('content-wrap', [
	'class' => [
		'cms-tabs-content-wrap'
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')) ?>>
	<div class="cms-tabs-title d-flex gap-6 cms-hidden-max-tablet">
		<?php 
		$count = 0;
		foreach ($cms_tabs as $key => $cms_tab) {
			$count ++;
			$is_active = ( $key + 1 ) === $active_tab ? true : false;
			$title = !empty($cms_tab['tab_title']) ? $cms_tab['tab_title'] : 'Tab #'.($key+1);
			$title_key = $widget->get_repeater_setting_key( 'tab_title', 'cms_tabs', $key );
			$widget->add_render_attribute( $title_key, [
				'class' => array_filter([ 
					'cms-tab-title',
					$is_active ? 'active' : '',
					'd-flex gap-20'
				]),
				'data-target' => '#cms-'.$cms_tab['_id']
			] );
		?>
		<div <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>>
			<span class="cms-tab-count"><?php echo esc_html($count); ?></span>
			<?php echo nl2br($title) ?>
		</div>
		<?php } ?>
	</div>
	<div <?php etc_print_html($widget->get_render_attribute_string('content-wrap')); ?>>
		<?php 
			// Tabs Content
			$count=0;
			foreach ($cms_tabs as $key => $cms_tab) {
				$count ++;
				$is_active = ( $key + 1 ) === $active_tab ? true : false;
				$content_key = $widget->get_repeater_setting_key( 'tab_content', 'cms_tabs', $key );
				$widget->add_render_attribute( $content_key, [
					'id'	=> 'cms-'.$cms_tab['_id'],
					'class' => array_filter([
						'cms-tabs-content',
						$is_active ? 'active' : '',
						'p-90 p-tablet-extra-50 p-lr-smobile-20 bg-white cms-shadow-1'
					])
				] );
				if ( $is_active ) {
					$widget->add_render_attribute( $content_key, 'style', 'display:block;' );
				} else {
					$widget->add_render_attribute( $content_key, 'style', 'display:none;' );
				}
				// Button
				$page_link = $cms_tab['btn_page_link'];
				switch ($cms_tab['btn_link_type']) {
					case 'page':
						$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
						$url  = !empty($page) ? get_permalink($page->ID) : '#';
						break;
					
					default:
						$url = $cms_tab['btn_link']['url'];
						break;
				}
				$btn_key = $widget->get_repeater_setting_key( 'btn_page_link', 'cms_fancy_box', $key );
				$widget->add_render_attribute( $btn_key, [
					'class' => array_filter([
						'btn btn-lg',
						'mt-30',
						'btn-'.$widget->get_setting('btn_color','grey3'),
						'btn-hover-'.$widget->get_setting('btn_hover_color','secondary')
					]),
					'href'	=> $url
				]);
				// Title for Mobile
				$title = !empty($cms_tab['tab_title']) ? $cms_tab['tab_title'] : 'Tab #'.($key+1);
				$title_key = $widget->get_repeater_setting_key( 'tab_title', 'cms_tabs', $key );
				$widget->add_render_attribute( $title_key, [
					'class' => array_filter([ 
						'cms-tab-title cms-hidden-tablet-extra',
						$is_active ? 'active' : '',
						'd-flex gap-20'
					]),
					'data-target' => '#cms-'.$cms_tab['_id']
				] );

			?>
			<div <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>>
				<span class="cms-tab-count"><?php echo esc_html($count); ?></span>
				<?php echo nl2br($title) ?>
			</div>
			<div <?php etc_print_html( $widget->get_render_attribute_string( $content_key ) ); ?>>
				<div class="d-flex gutter">
					<div class="col-6 col-mobile-extra-12 pr-50 pr-tablet-20">
						<h3 class="cms-heading lh-1625 mt-n10"><?php etc_print_html($cms_tab['tab_content_title']); ?></h3>
						<div class="cms-desc pt-30"><?php echo nl2br($cms_tab['tab_content_desc']); ?></div>
						<?php if ( ! empty( $cms_tab['btn_text'] ) ) : ?>
				        	<a <?php etc_print_html( $widget->get_render_attribute_string( $btn_key ) ); ?>><?php echo esc_attr( $cms_tab['btn_text'] ); ?><span class="cms-btn-icon cmsi-arrow-right text-10 rtl-flip"></span></a>
						<?php endif; ?>
					</div>
					<div class="col-6 col-mobile-extra-12 cms-tab-content relative hover-icon-bounce order-mobile-extra-first pl-50 pl-tablet-20">
						<?php 
							// Icon
							ob_start();
								\Elementor\Icons_Manager::render_icon( $cms_tab['tab_content_icon'], ['class' => 'cms-contents bg-white cms-triangle-bt absolute top-left z-top mt-40 ml-40 p-40 p-lr-smobile-20 cms-icon text-64 text-secondary-lighten']);
							$tab_content_icon = ob_get_clean();
							$cms_tab['tab_content_banner_size'] = 'custom';
							$cms_tab['tab_content_bannere_custom_dimension'] = ['width' => 620, 'height' => 676];
							wiseguard_elementor_image_render($cms_tab,[
								'name'        => 'tab_content_banner',
								'img_class'   => 'img-cover',
								'custom_size' => ['width' => 500, 'height' => 375],
								'max_height'  => true,
								'before'	  => '<div class="relative cms-sticky">',
								'after'		  => $tab_content_icon.'</div>'	
							]);
							
						?>
					</div>
				</div>
			</div>
		<?php } ?>
	</div>
</div>

