<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;

$testimonials = $widget->get_setting('testimonials', []);
$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');

$thumbnail_custom_dimension = [
    'width'  => !empty($settings['image_custom_dimension']['width']) ? $settings['image_custom_dimension']['width'] : 56,
    'height' => !empty($settings['image_custom_dimension']['height']) ? $settings['image_custom_dimension']['height'] : 56
];

// Background
$bg_gradient = $widget->get_setting('bg_gradient');
// Wrap
$widget->add_render_attribute('wrap', [
    'class' => [
        'cms-ettmn',
        'cms-ettmn-'.$settings['layout'],
        'd-flex justify-content-end'
    ]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <?php 
        // Background 
        wiseguard_elementor_image_render($settings, [
            'name'           => 'bg_image',
            'image_size_key' => 'bg_image',
            'custom_size'    => ['width' => 800, 'height'=> 706],
            'img_class'      => 'img-cover',
            'before'         => '<div class="cms-gradient-'.$bg_gradient.' cms-overlay">',
            'after'          => '<div class="cms-gradient-render"></div></div>'
        ]);
    ?>
    <div class="cms-ttmn-content relative z-top p-80 p-lr-tablet-extra-40 p-lr-tablet-20 bg-secondary-lighten text-white cms-triangle-bl secondary-lighten">
        <span class="ttmn-icon cmsi-quote absolute"></span>
        <div class="cms-carousel swiper">
            <div class="swiper-wrapper">
                <?php
                foreach ($testimonials as $key => $testimonial) {
                    $testimonial['image_size'] = $settings['image_size'];
                    $testimonial['image_custom_dimension'] = $thumbnail_custom_dimension;
                    ?>
                    <div class="cms-carousel-item swiper-slide text-white">
                        <div class="cms-ttmn-desc heading font-500 text-22 text-italic empty-none text-line-6 mt-n10 lh-1637"><?php 
                            etc_print_html($testimonial['description']); 
                        ?></div>
                        <?php if($dots!=='yes'){ ?>
                        <div class="d-flex gap align-items-center" style="--cms-gap:10px;--cms-gap-tablet:10px;--cms-gap-mobile:10px;">
                            <?php
                                wiseguard_elementor_image_render($testimonial,[
                                    'name'           => 'image',
                                    'image_size_key' => 'image',
                                    'img_class'      => 'cms-ttmn--img circle ',
                                    'custom_size'    => $thumbnail_custom_dimension,
                                    'before'         => '<div class="cms-ttmn-img">',
                                    'after'          => '</div>'
                                ]);
                            
                            ?>
                            <div class="cms-ttmn-name">
                                <div class="cms-ttmn--name text-18 font-700 empty-none"><?php echo esc_html($testimonial['name']); ?></div>
                                <div class="cms-ttmn--pos text-14 empty-none"><?php echo esc_html($testimonial['position']); ?></div>
                            </div>
                        </div>
                        <?php } ?>
                    </div>
                    <?php
                }
                ?>
            </div>
        </div>
        <?php if ($dots == 'yes') : ?>
        <div class="d-flex no-wrap smobile-wrap gap pt-30 align-items-center" style="--cms-gap:30px;--cms-gap-tablet:30px;--cms-gap-mobile:30px;">
            <div class="cms-carousel-dots cms-carousel-dots-html cms-carousel-dots-html-1 flex-auto flex-smobile-full">
                <?php foreach ($testimonials as $key => $testimonial) { 
                    $testimonial['image_size'] = $settings['image_size'];
                    $testimonial['image_custom_dimension'] = $thumbnail_custom_dimension;
                    ?>
                    <?php
                        wiseguard_elementor_image_render($testimonial,[
                            'name'           => 'image',
                            'image_size_key' => 'image',
                            'img_class'      => 'cms-dots-img circle',
                            'custom_size'    => $thumbnail_custom_dimension,
                            'before'         => '',
                            'after'          => ''
                        ]);
                    ?>
                <?php } ?>
            </div>
            <div class="thumbs-slider swiper flex-basic flex-smobile-full">
                <div class="swiper-wrapper cms-carousel-dots-sync-<?php echo esc_attr($settings['element_id']); ?>">
                    <?php foreach ($testimonials as $key => $testimonial) { ?>
                        <div class="swiper-slide">
                            <div class="cms-ttmn-name">
                                <div class="cms-ttmn--name text-18 font-700 empty-none"><?php echo esc_html($testimonial['name']); ?></div>
                                <div class="cms-ttmn--pos text-15 empty-none mt-n5"><?php echo esc_html($testimonial['position']); ?></div>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
        <?php endif ;?>
        <?php // Arrows
            if ($arrows == 'yes') : ?>
            <div class="cms-carousel-button-prev cms-carousel-button-in-vert prev">
                <i aria-hidden="true" class="eicon-chevron-left rtl-flip"></i>
            </div>
            <div class="cms-carousel-button-next cms-carousel-button-in-vert next">
                <i aria-hidden="true" class="eicon-chevron-right rtl-flip"></i>
            </div>
        <?php endif ?>
    </div>
</div>
