<?php
$testimonials = $widget->get_setting('testimonials', []);
$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');

$thumbnail_custom_dimension = [
    'width'  => !empty($settings['image_custom_dimension']['width']) ? $settings['image_custom_dimension']['width'] : 70,
    'height' => !empty($settings['image_custom_dimension']['height']) ? $settings['image_custom_dimension']['height'] : 70
];
// Wrap
$widget->add_render_attribute('wrap', [
    'class' => [
        'cms-ettmn',
        'cms-ettmn-'.$settings['layout_mode'],
        'cms-ettmn-'.$settings['layout']
    ]
]);
// Description 
$widget->add_render_attribute('description',[
    'class' => [
       'cms-ttmn-desc heading font-600 text-25 text-italic empty-none lh-172 mt-n10',
       'text-'.$widget->get_setting('desc_color','heading')
    ]
]);
// Author Name
$widget->add_render_attribute('ttmn-author',[
    'class' => [
        'cms-ttmn--name text-16 font-700',
        'text-'.$widget->get_setting('author_color', 'heading')
    ]
]);
// Author Position
$widget->add_render_attribute('ttmn-author-pos',[
    'class' => [
        'cms-ttmn--pos text-13 font-700',
        'text-'.$widget->get_setting('author_pos_color', 'body')
    ]
]);
// rated
$widget->add_render_attribute('ttmn-rate',[
    'class' => [
        'cms-star-rate relative',
        'text-'.$widget->get_setting('rate_color', 'accent')
    ]
]);
$widget->add_render_attribute('ttmn--rate',[
    'class' => [
        'cms-star-rated absolute',
        'text-'.$widget->get_setting('rate_color', 'accent')
    ]
]);
// Items
$widget->add_render_attribute('ttmn-item',[
    'class' => [
        'cms-ttmn-item d-flex gap-40'
    ]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <?php switch ($settings['layout_mode']) {
        case 'grid':
            $widget->add_render_attribute('ttmn-item', [
                'class' => 'cms-ttmn-grid-item'
            ]);
            break;
        
        default:
            $widget->add_render_attribute('ttmn-item', [
                'class' => 'cms-carousel-item swiper-slide'
            ]);
    ?>
        <div class="cms-carousel swiper">
            <div class="swiper-wrapper">
    <?php
            break;
    } ?>
    
            <?php foreach ($testimonials as $key => $testimonial) {
                $testimonial['image_size'] = $settings['image_size'];
                $testimonial['image_custom_dimension'] = $thumbnail_custom_dimension;
                $rated = $testimonial['star_rated'];
            ?>
                <div <?php etc_print_html($widget->get_render_attribute_string('ttmn-item')); ?>>
                    <?php
                        wiseguard_elementor_image_render($testimonial,[
                            'name'           => 'image',
                            'image_size_key' => 'image',
                            'img_class'      => 'cms-ttmn--img',
                            'custom_size'    => $thumbnail_custom_dimension,
                            'before'         => '<div class="cms-ttmn-img relative pr-110 pr-mobile-extra-0 flex-auto flex-smobile-full">',
                            'after'          => '<span class="ttmn-icon cmsi-quote text-primary-darken text-32 lh-0 absolute top-right"></span></div>'
                        ]);
                    ?>
                    <div class="cms-ttmn-content flex-basic">
                        <div <?php etc_print_html($widget->get_render_attribute_string('description')); ?>><?php 
                            etc_print_html($testimonial['description']); 
                        ?></div>
                        <?php if($dots!=='yes' || $settings['layout_mode'] == 'grid'){ ?>
                            <div class="cms-ttmn-info">
                                <?php if($rated != 0){ ?>
                                    <div <?php etc_print_html($widget->get_render_attribute_string('ttmn-rate')); ?>>
                                        <div <?php etc_print_html($widget->get_render_attribute_string('ttmn--rate')); ?> data-width="<?php echo esc_attr($rated);?>" style="width:<?php echo esc_attr($rated.'%');?>"></div>
                                    </div>
                                <?php } ?>
                                <div class="cms-ttmn-name">
                                    <span <?php etc_print_html($widget->get_render_attribute_string('ttmn-author')); ?>><?php echo esc_html($testimonial['name']); ?>,</span>
                                    <span <?php etc_print_html($widget->get_render_attribute_string('ttmn-author-pos')); ?>><?php echo esc_html($testimonial['position']); ?></span>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            <?php } ?>
    <?php switch ($settings['layout_mode']) {
        case 'grid':
            // code...
            break;
        default:
            // code...
    ?>
        </div>
    </div>
    <div class="d-flex align-items-center gap pl-220 pl-mobile-0 pt-20">
        <?php // Arrows
            if ($arrows == 'yes') : ?>
        <div class="cms-carousel-arrows d-flex gap-30 lh-0">
            <div class="cms-carousel-button-prev prev cms-carousel-button text-45 pr-10 text-<?php echo esc_attr($widget->get_setting('arrows_color','primary'));?> text-hover-<?php echo esc_attr($widget->get_setting('arrows_color_hover', 'accent')); ?>">
                <i class="cmsi-arrow-prev rtl-flip"></i>
            </div>
            <div class="cms-carousel-button-next next cms-carousel-button text-45 pl-10 text-<?php echo esc_attr($widget->get_setting('arrows_color','primary'));?> text-hover-<?php echo esc_attr($widget->get_setting('arrows_color_hover', 'accent')); ?>">
                <i class="cmsi-arrow-next rtl-flip"></i>
            </div>
        </div>
        <?php endif;
        if ($dots == 'yes') : ?>
            <div class="thumbs-slider swiper flex-basic flex-smobile-full">
                <div class="swiper-wrapper cms-carousel-dots-sync-<?php echo esc_attr($settings['element_id']); ?>">
                    <?php foreach ($testimonials as $key => $testimonial) { 
                        $rated = $testimonial['star_rated'];
                        ?>
                        <div class="swiper-slide">
                            <?php if($rated != 0){ ?>
                                <div <?php etc_print_html($widget->get_render_attribute_string('ttmn-rate')); ?>>
                                    <div <?php etc_print_html($widget->get_render_attribute_string('ttmn--rate')); ?> data-width="<?php echo esc_attr($rated);?>" style="width:<?php echo esc_attr($rated.'%');?>"></div>
                                </div>
                            <?php } ?>
                            <div class="cms-ttmn-name">
                                <span <?php etc_print_html($widget->get_render_attribute_string('ttmn-author')); ?>><?php echo esc_html($testimonial['name']); ?>,</span>
                                <span <?php etc_print_html($widget->get_render_attribute_string('ttmn-author-pos')); ?>><?php echo esc_html($testimonial['position']); ?></span>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            </div>
        <?php endif ;?>
    </div>
    <?php
            break;
    } ?>
</div>
