<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;

$testimonials = $widget->get_setting('testimonials', []);
$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');

$thumbnail_custom_dimension = [
    'width'  => !empty($settings['image_custom_dimension']['width']) ? $settings['image_custom_dimension']['width'] : 76,
    'height' => !empty($settings['image_custom_dimension']['height']) ? $settings['image_custom_dimension']['height'] : 76
];

// Background
$bg_gradient = $widget->get_setting('bg_gradient', 4);
// Wrap
$widget->add_render_attribute('wrap', [
    'class' => [
        'cms-ettmn',
        'cms-ettmn-'.$settings['layout'],
        'd-flex gutter gutter-grid'
    ]
]);
$count = 0;
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <?php if ($dots == 'yes') : ?>
        <div class="col-4 col-tablet-12 relative z-top">
            <div class="cms-carousel-dots cms-carousel-dots-html cms-carousel-dots-html-2 flex-auto flex-smobile-full">
                <?php foreach ($testimonials as $key => $testimonial) { 
                    $testimonial['image_size'] = $settings['image_size'];
                    $testimonial['image_custom_dimension'] = $thumbnail_custom_dimension;
                ?>
                    <?php
                        wiseguard_elementor_image_render($testimonial,[
                            'name'           => 'image',
                            'image_size_key' => 'image',
                            'img_class'      => 'cms-dots-img circle',
                            'custom_size'    => $thumbnail_custom_dimension,
                            'before'         => '',
                            'after'          => ''
                        ]);
                    ?>
                <?php } ?>
            </div>
        </div>
    <?php endif ;?>
    <div class="cms-ttmn-content col-8 col-tablet-12 relative">
        <span class="ttmn-icon cmsi-quote"></span>
        <div class="cms-carousel swiper">
            <div class="swiper-wrapper">
                <?php foreach ($testimonials as $key => $testimonial) {
                    $testimonial['image_size'] = $settings['image_size'];
                    $testimonial['image_custom_dimension'] = $thumbnail_custom_dimension;
                ?>
                    <div class="cms-carousel-item swiper-slide heading font-500 text-26 text-heading lh-1692 text-italic empty-none text-line-6 mt-n10"><?php 
                        etc_print_html($testimonial['description']); 
                    ?></div>
                <?php } ?>
            </div>
        </div>
        <div class="d-flex no-wrap gap empty-none pt-35 align-items-center" style="--cms-gap:30px;--cms-gap-tablet:30px;--cms-gap-mobile:30px;"><?php 
            if ($arrows == 'yes') : ?>
                <div class="cms-carousel-buttons cms-carousel-buttons-1 d-flex gap flex-auto" style="--cms-gap:10px;--cms-gap-tablet:10px;--cms-gap-mobile:10px">
                    <div class="cms-carousel-button cms-carousel-button-prev cmsi-arrow-left text-10 rtl-flip"></div>
                    <div class="cms-carousel-button cms-carousel-button-next cmsi-arrow-right text-10 rtl-flip"></div>
                </div>
            <?php endif ?>
            <div class="flex-basic d-flex gap align-items-center" style="--cms-gap:10px;--cms-gap-tablet:10px;--cms-gap-mobile:10px;">
                <div class="thumbs-slider swiper cms-carousel-dots-info">
                    <div class="swiper-wrapper cms-carousel-dots-sync-<?php echo esc_attr($settings['element_id']); ?>">
                        <?php  foreach ($testimonials as $key => $testimonial) { 
                            $testimonial['image_size'] = $settings['image_size'];
                            $testimonial['image_custom_dimension'] = $thumbnail_custom_dimension;
                            $rated = $testimonial['star_rated'];
                        ?>
                            <div class="swiper-slide d-flex no-wrap gap align-items-center">
                                <?php if($dots!=='yes') {
                                    wiseguard_elementor_image_render($testimonial,[
                                        'name'           => 'image',
                                        'image_size_key' => 'image',
                                        'img_class'      => 'cms-ttmn--img circle ',
                                        'custom_size'    => $thumbnail_custom_dimension,
                                        'before'         => '<div class="cms-ttmn-img">',
                                        'after'          => '</div>'
                                    ]);
                                } ?>
                                <div class="cms-ttmn-name">
                                    <div class="cms-star-rate secondary-lighten relative">
                                        <div class="cms-star-rated absolute" data-width="<?php echo esc_attr($rated);?>" style="width:<?php echo esc_attr($rated.'%');?>"></div>
                                    </div>
                                    <div class="clearfix"></div>
                                    <span class="cms-ttmn--name cms-heading text-18"><?php echo esc_html($testimonial['name']).', '; ?></span>
                                    <span class="cms-ttmn--pos text-15"><?php echo esc_html($testimonial['position']); ?></span>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>