<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;

$testimonials = $widget->get_setting('testimonials', []);
$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');

$thumbnail_custom_dimension = [
    'width'  => !empty($settings['image_custom_dimension']['width']) ? $settings['image_custom_dimension']['width'] : 40,
    'height' => !empty($settings['image_custom_dimension']['height']) ? $settings['image_custom_dimension']['height'] : 40
];

// Background
$bg_gradient = $widget->get_setting('bg_gradient', 4);
// Wrap
$widget->add_render_attribute('wrap', [
    'class' => [
        'cms-ettmn',
        'cms-ettmn-'.$settings['layout'],
        'cms-carousel swiper'
    ]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <div class="swiper-wrapper">
        <?php foreach ($testimonials as $key => $testimonial) {
            $testimonial['image_size'] = $settings['image_size'];
            $testimonial['image_custom_dimension'] = $thumbnail_custom_dimension;
        ?>
            <div class="cms-carousel-item swiper-slide relative p-40 cms-triangle-bl cms-radius-trb-4 bg-white cms-shadow-1">
                <div class="cms-star-rate primary relative mt-n7 mb-20">
                    <div class="cms-star-rated absolute" data-width="<?php echo esc_attr($rated);?>" style="width:<?php echo esc_attr($rated.'%');?>"></div>
                </div>
                <div class="heading font-500 text-19 text-heading lh-1692 text-italic empty-none text-line-6 mt-n10"><?php 
                    etc_print_html($testimonial['description']); 
                ?></div>
                <div class="d-flex no-wrap gap-20 align-items-center pt-20">
                    <?php 
                        wiseguard_elementor_image_render($testimonial,[
                            'name'           => 'image',
                            'image_size_key' => 'image',
                            'img_class'      => 'cms-ttmn--img circle ',
                            'custom_size'    => $thumbnail_custom_dimension,
                            'before'         => '<div class="cms-ttmn-img">',
                            'after'          => '</div>'
                        ]);
                    ?>
                    <div class="cms-ttmn-name">
                        <div class="cms-ttmn--name text-14 font-700 text-secondary-lighten"><?php echo esc_html($testimonial['name']); ?></div>
                        <div class="cms-ttmn--pos text-13"><?php echo esc_html($testimonial['position']); ?></div>
                    </div>
                </div>
                <span class="ttmn-icon cmsi-quote"></span>
            </div>
        <?php } ?>
    </div>
    <?php if ($dots == 'yes') : ?>
        <div class="cms-carousel-dots cms-carousel-dots-out pt-10 d-flex justify-content-center"></div>
    <?php endif ;?>
    <?php // Arrows
        if ($arrows == 'yes') : ?>
        <div class="cms-carousel-button-prev cms-carousel-button-in-vert prev">
            <i aria-hidden="true" class="eicon-chevron-left rtl-flip"></i>
        </div>
        <div class="cms-carousel-button-next cms-carousel-button-in-vert next">
            <i aria-hidden="true" class="eicon-chevron-right rtl-flip"></i>
        </div>
    <?php endif ?>
</div>
