<?php
use Elementor\Group_Control_Image_Size;
use Elementor\Control_Media;

$testimonials = $widget->get_setting('testimonials', []);
$arrows = $widget->get_setting('arrows', '');
$dots = $widget->get_setting('dots', '');

$thumbnail_custom_dimension = [
    'width'  => !empty($settings['image_custom_dimension']['width']) ? $settings['image_custom_dimension']['width'] : 60,
    'height' => !empty($settings['image_custom_dimension']['height']) ? $settings['image_custom_dimension']['height'] : 60
];

// Background
$bg_gradient = $widget->get_setting('bg_gradient', 4);
// Wrap
$widget->add_render_attribute('wrap', [
    'class' => [
        'cms-ettmn',
        'cms-ettmn-'.$settings['layout'],
        'cms-carousel swiper'
    ]
]);
// Description 
$widget->add_render_attribute('ttmn-desc',[
    'class' => [
        'cms-ttmn--text cms-heading font-400i text-22 lh-1637 empty-none text-line-6',
        'text-'.$widget->get_setting('desc_color', 'heading')
    ]
]);
$widget->add_render_attribute('ttmn-author',[
    'class' => [
        'cms-ttmn--name text-17 font-700',
        'text-'.$widget->get_setting('author_color', 'heading')
    ]
]);
$widget->add_render_attribute('ttmn-author-pos',[
    'class' => [
        'cms-ttmn--pos text-14',
        'text-'.$widget->get_setting('author_pos_color', 'body')
    ]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
    <div class="swiper-wrapper">
        <?php foreach ($testimonials as $key => $testimonial) {
            $testimonial['image_size'] = $settings['image_size'];
            $testimonial['image_custom_dimension'] = $thumbnail_custom_dimension;
            $rated = $testimonial['star_rated'];
        ?>
            <div class="cms-carousel-item swiper-slide">
                <span class="ttmn-icon wiseguard-icon-double-quotes absolute top-left text-68 flip"></span>
                <?php if($rated != 0){ ?>
                    <div class="cms-star-rate primary relative mb-20">
                        <div class="cms-star-rated absolute" data-width="<?php echo esc_attr($rated);?>" style="width:<?php echo esc_attr($rated.'%');?>"></div>
                    </div>
                <?php } ?>
                <div <?php etc_print_html($widget->get_render_attribute_string('ttmn-desc')) ?>><?php 
                    etc_print_html($testimonial['description']); 
                ?></div>
                <div class="d-flex no-wrap gap-20 align-items-center pt-20">
                    <?php 
                        wiseguard_elementor_image_render($testimonial,[
                            'name'           => 'image',
                            'image_size_key' => 'image',
                            'img_class'      => 'cms-ttmn--img circle ',
                            'custom_size'    => $thumbnail_custom_dimension,
                            'before'         => '<div class="cms-ttmn-img">',
                            'after'          => '<div class="cms-ava-quote wiseguard-icon-double-quotes"></div></div>'
                        ]);
                    ?>
                    <div class="cms-ttmn-name">
                        <div <?php etc_print_html($widget->get_render_attribute_string('ttmn-author')) ?>><?php echo esc_html($testimonial['name']); ?></div>
                        <div <?php etc_print_html($widget->get_render_attribute_string('ttmn-author-pos')) ?>><?php echo esc_html($testimonial['position']); ?></div>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>
    <?php if ($dots == 'yes') : ?>
        <div class="cms-carousel-dots cms-carousel-dots-out pt-10 d-flex justify-content-center"></div>
    <?php endif ;?>
    <?php // Arrows
        if ($arrows == 'yes') : ?>
        <div class="cms-carousel-button-prev cms-carousel-button-in-vert prev">
            <i aria-hidden="true" class="eicon-chevron-left rtl-flip"></i>
        </div>
        <div class="cms-carousel-button-next cms-carousel-button-in-vert next">
            <i aria-hidden="true" class="eicon-chevron-right rtl-flip"></i>
        </div>
    <?php endif ?>
</div>
