<?php
use Elementor\Plugin;
use Elementor\Control_Media;
use Elementor\Group_Control_Image_Size;
use Elementor\Embed;
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-evideo',
		'cms-evideo-'.$widget->get_setting('layout', '2')
	]
]);
// Features
$features = $widget->get_setting('features', []);
ob_start();
?>
<div class="cms-video-features d-flex flex-col-3 flex-col-smobile-1 flex-basic">
	<?php 
	foreach ($features as $key => $feature) {
		$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
		$widget->add_render_attribute( $title_key, [
	        'class' => ['title','cms-heading','font-500','text-primary']
	    ]);
	?>
		<div class="cms-feature text-center p-tb-40 p-lr-30 p-lr-latop-20 cms-anim-icon">
	        <?php \Elementor\Icons_Manager::render_icon( $feature['icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon text-64 text-secondary-lighten mb-20' ] ); ?>
	        <div <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo nl2br( $feature['title'] ) ?></div>
	    </div>
	<?php } ?>
</div>
<?php
	$features_list = ob_get_clean();
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
<?php 
    // Video Banner
    wiseguard_elementor_image_render($settings, [
		'custom_size'   => ['width' => 730,'height' => 554],
		'img_class'     => 'cms-video-banner relative z-top cms-radius-16 ml-laptop-40',
		'as_background' => true,
		'max_height'	=> true,	
		'before'        => '<div class="cms-overlay banner-bg m-n40 rtl-flip"></div>',		
		'content'       => '<div class="cms-video-content d-flex bg-white cms-radius-10 overflow-hidden ml-n100 ml-laptop-n40 mr-40">'.wiseguard_elementor_button_video_render($widget, $settings, [
			'name'   => 'video_link',
			'icon'   => $widget->get_setting('video_icon')['value'],
			'text'   => $widget->get_setting('video_text'),
			'layout' => $widget->get_setting('btn-layout','2'),
			'class'  => 'flex-auto',
			'echo'	 => false
	    ]).$features_list.'</div>'
    ]);
?>
</div>
