<?php
//use Elementor\Plugin;
//use Elementor\Control_Media;
//use Elementor\Group_Control_Image_Size;
//use Elementor\Embed;
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-evideo',
		'cms-evideo-'.$widget->get_setting('layout', '1'),
		'relative',
		'd-flex gutter align-items-center'
	]
]);
// Small Heading
$widget->add_inline_editing_attributes('smallheading_text');
$widget->add_render_attribute('smallheading_text', [
	'class' => [
		'cms-smallheading',
		'text-'.$widget->get_setting('smallheading_color', 'accent'),
		'text-17',
		'font-700',
		'empty-none',
		'pb-10'
	]
]);
// Heading
$widget->add_inline_editing_attributes('heading_text');
$widget->add_render_attribute('heading_text', [
	'class' => [
		'cms-heading text-60 text-tablet-40 text-mobile-30 lh-115',
		'text-'.$widget->get_setting('heading_color','heading'),
		'font-700',
		'empty-none',
		'pb-15'
	]
]);
// Link 1
$link1_page = $widget->get_setting('link1_page','');
switch ($settings['link1_type']) {
	case 'page':
		$page = !empty($link1_page) ? get_page_by_path($link1_page, OBJECT) : [];
		$link1_url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$link1_url = $widget->get_setting('link1_custom', ['url' => '#'])['url'];
		break;
}
$widget->add_inline_editing_attributes( 'link1_text' );
$widget->add_render_attribute( 'link1_text', [
	'class' => [
		'btn btn-lg',
		'btn-white btn-hover-accent'
	],
	'href'	=> $link1_url
]);
// Link 2
$link2_page = $widget->get_setting('link2_page','');
switch ($settings['link2_type']) {
	case 'page':
		$page = !empty($link2_page) ? get_page_by_path($link2_page, OBJECT) : [];
		$link2_url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$link2_url = $widget->get_setting('link2_custom', ['url' => '#'])['url'];
		break;
}
$widget->add_inline_editing_attributes( 'link2_text' );
$widget->add_render_attribute( 'link2_text', [
	'class' => [
		'btn btn-lg btn-outline-white btn-outline-hover-accent'
	],
	'href'	=> $link2_url
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<div class="col-8 col-mobile-12">
		<div <?php etc_print_html($widget->get_render_attribute_string('smallheading_text')); ?>><?php 
			echo wpautop($settings['smallheading_text']); 
		?></div>
		<h2 <?php etc_print_html($widget->get_render_attribute_string('heading_text')); ?>><?php 
			echo nl2br($settings['heading_text']); 
		?></h2>
		<div class="cms-evideos-buttons d-flex gap-30 pt-20"><?php 
			if(!empty($settings['link1_text'])) { ?>
				<a <?php etc_print_html( $widget->get_render_attribute_string( 'link1_text' ) ); ?>>
					<?php echo esc_html( $settings['link1_text'] ); ?>
					<i class="cms-btn-icon cmsi-arrow-circle-right rtl-flip text-26"></i>
				</a>
			<?php } 
			if(!empty($settings['link2_text'])){ 
				?>
				<a <?php etc_print_html( $widget->get_render_attribute_string( 'link2_text' ) ); ?>>
					<?php echo esc_html( $settings['link2_text'] ); ?>
				</a>
			<?php }
			?>
		</div>
	</div>
	<div class="col-4 col-mobile-12 order-mobile-first d-flex justify-content-end justify-content-mobile-start"><?php 
	    wiseguard_elementor_button_video_render($widget, $settings, [
			'name'   => 'video_link',
			'icon'   => $widget->get_setting('video_icon')['value'],
			'text'   => $widget->get_setting('video_text'),
			'layout' => $widget->get_setting('btn-layout','3'),
			'class'  => '',
			'before' => '',
			'after'  => ''
	    ]);
	?></div>
</div>
