<?php
use Elementor\Plugin;
use Elementor\Control_Media;
use Elementor\Group_Control_Image_Size;
use Elementor\Embed;
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-evideo',
		'cms-evideo-'.$widget->get_setting('layout', '1'),
		'relative mr-110 mr-smobile-40',
		'hover-icon-bounce'
	]
]);
// icon
$icon_class = 'banner-icon cms-icon text-64 text-'.$widget->get_setting('heading_color','white');
// heading
$widget->add_inline_editing_attributes('heading_text');
$widget->add_render_attribute('heading_text',[
	'class' => [
		'cms-heading font-500 text-19 pt-20 ',
		'text-'.$widget->get_setting('heading_color','white')
	]
]);
// small banner content
ob_start();
?>
<div class="cms-small-banner-content relative z-top pt-100 p-lr-40 pb-30">
	<?php
		\Elementor\Icons_Manager::render_icon( $settings['icon'],['class' => $icon_class]);
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('heading_text')); ?>><?php echo nl2br($settings['heading_text']) ?></div>
</div>
<?php
$small_banner_content = ob_get_clean();
// Small Banner
ob_start();
	wiseguard_elementor_image_render($settings,[
		'name'          => 'small_banner',
		'img_class'		=> '',
		'custom_size'   => ['width' => 200, 'height' => 133],
		'before'		=> '<div class="cms-small-banner mr-n110 mr-smobile-n40 cms-radius-10 overflow-hidden relative bg-secondary"><div class="cms-gradient-secondary-bt absolute top-left"><div class="cms-gradient-render"></div>',
		'after'			=> '</div>'.$small_banner_content.'</div>'
	]);
$content = ob_get_clean();
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
<?php 
    // Video Banner
    wiseguard_elementor_image_render($settings, [
    	'custom_size' => ['width' => 550,'height' => 742],
    	'img_class'   => 'cms-radius-10 d-flex justify-content-end pt-210 pb-200',
    	'before'	  => '',		
    	'after' 	  => wiseguard_elementor_button_video_render($widget, $settings, [
			'name'   => 'video_link',
			'icon'   => $widget->get_setting('video_icon')['value'],
			'text'   => $widget->get_setting('video_text'),
			'layout' => $widget->get_setting('btn-layout','4'),
			'class'  => 'absolute top-left',
			'echo'	 => false
	    ]),
	    'as_background' => true,
	    'content' => $content
    ]);
?>
</div>
