<?php
use Elementor\Plugin;
use Elementor\Control_Media;
use Elementor\Group_Control_Image_Size;
use Elementor\Embed;
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-evideo',
		'cms-evideo-'.$widget->get_setting('layout', '1'),
		'd-inline-block',
		'relative'
	]
]);
// Heading
$widget->add_inline_editing_attributes('heading_text');
$widget->add_render_attribute('heading_text', [
	'class' => [
		'cms-heading',
		'font-700',
		'empty-none',
		'pb-15'
	]
]);
// Description #1
$widget->add_inline_editing_attributes('description_text1');
$widget->add_render_attribute('description_text1', [
	'class' => [
		'cms-desc',
		'empty-none',
		'pb-35'
	]
]);
// Description #2
$widget->add_inline_editing_attributes('description_text2');
$widget->add_render_attribute('description_text2', [
	'class' => [
		'cms-desc',
		'empty-none',
		'pt-35'
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<h3 <?php etc_print_html($widget->get_render_attribute_string('heading_text')); ?>><?php 
		echo nl2br($settings['heading_text']); 
	?></h3>
	<div <?php etc_print_html($widget->get_render_attribute_string('description_text1')); ?>><?php 
		echo wpautop($settings['description_text1']); 
	?></div>
	<?php
	    // Video Banner
		$settings['image']['id'] = !empty($settings['image']['id']) ? $settings['image']['id'] : get_post_thumbnail_id();
	    wiseguard_elementor_image_render($settings, [
	    	'custom_size' => ['width' => 840,'height' => 560],
	    	'img_class'   => '',
	    	'before'	  => '<div class="cms--video relative">',		
	    	'after' 	  => wiseguard_elementor_button_video_render($widget, $settings, [
				'name'   => 'video_link',
				'icon'   => $widget->get_setting('video_icon')['value'],
				'text'   => $widget->get_setting('video_text'),
				'layout' => '7',
				'class'  => 'absolute center circle',
				'echo'	 => false
		    ]).'</div>'
	    ]);
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('description_text2')); ?>><?php 
		echo wpautop($settings['description_text2']); 
	?></div>
</div>
