<?php
use Elementor\Plugin;
use Elementor\Control_Media;
use Elementor\Group_Control_Image_Size;
use Elementor\Embed;
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-evideo',
		'cms-evideo-'.$widget->get_setting('layout', '2')
	]
]);
// Link 1
$link1_page = $widget->get_setting('link1_page','');
switch ($settings['link1_type']) {
	case 'page':
		$page = !empty($link1_page) ? get_page_by_path($link1_page, OBJECT) : [];
		$link1_url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$link1_url = $widget->get_setting('link1_custom', ['url' => '#'])['url'];
		break;
}
$widget->add_inline_editing_attributes( 'link1_text' );
$widget->add_render_attribute( 'link1_text', [
	'class' => [
		'cms-link',
		'text-secondary text-hover-secondary',
		'pt-15'
	],
	'href'	=> $link1_url
]);
// Features
$features = $widget->get_setting('features', []);
ob_start();
?>
<div class="cms-video-features flex-basic p-tb-33 p-lr-40 p-lr-smobile-20">
	<div class="text-17 font-700 text-primary-darken">
		<?php  echo nl2br($settings['heading_text']); ?>
	</div>
	<?php
		if(!empty($settings['link1_text'])) { ?>
			<a <?php etc_print_html( $widget->get_render_attribute_string( 'link1_text' ) ); ?>>
				<?php echo esc_html( $settings['link1_text'] ); ?>
				<i class="cms-btn-icon cmsi-arrow-circle-right-large rtl-flip text-32"></i>
			</a>
		<?php }
	?>
</div>
<?php
	$features_list = ob_get_clean();
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
<?php 
    // Video Banner
    wiseguard_elementor_image_render($settings, [
		'custom_size'   => ['width' => 660,'height' => 495],
		'img_class'     => 'cms-video-banner relative z-top cms-radius-16 d-flex justify-content-end mr-laptop-100',
		'as_background' => true,
		'max_height'	=> true,	
		'before'        => '<div class="cms-overlay banner-bg m-n40 rtl-flip"></div>',		
		'content'       => '<div class="cms-video-content d-flex bg-white cms-radius-10 ml-40 mr-n100 overflow-hidden">'.$features_list.wiseguard_elementor_button_video_render($widget, $settings, [
			'name'   => 'video_link',
			'icon'   => $widget->get_setting('video_icon')['value'],
			'text'   => $widget->get_setting('video_text'),
			'layout' => $widget->get_setting('btn-layout','2'),
			'class'  => 'flex-auto',
			'echo'	 => false
	    ]).'</div>'
    ]);
?>
</div>
