<?php
// Silence is golden.
$args = [
    'title' => esc_html__('Header', 'wiseguard'),
    'fields' => array_merge(
        [
            'header_custom' => wiseguard_theme_on_off_opts([
                'title'         => esc_html__('Custom Header','wiseguard'),
                'default'       => false,
                'default_value' => 'off'
            ]),
            'header_layout' => wiseguard_theme_header_layout_opts([
                'default'       => $default,
                'default_value' => $default_value,
                'required'      => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ]),
            'header_height' => [
                'type'     => 'dimensions',
                'title'    => esc_html__('Header Height', 'wiseguard'),
                'subtitle' => esc_html__('Set height for your Header', 'wiseguard'),
                'width'    => false,
                'required'      => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ],
            'header_width' => wiseguard_theme_content_width_opts([
                'title'         => esc_html__('Header Width', 'wiseguard'),
                'default'       => $default,
                'default_value' => $default_width,
                'required'      => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ]),
            'header_sticky' => wiseguard_theme_on_off_opts([
                'title'         => esc_html__('Header Sticky', 'wiseguard'),
                'subtitle'      => esc_html__('Header will be sticked when applicable.', 'wiseguard'),
                'default'       => $default,
                'default_value' => $default_value,
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ]),
            'header_transparent' => wiseguard_theme_on_off_opts([
                'title'         => esc_html__('Header Transparent', 'wiseguard'),
                'subtitle'      => esc_html__('Header transparent use with background.', 'wiseguard'),
                'default'       => $default,
                'default_value' => $default_value,
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ]),
            'custom_logo' => [
                'type'  => Theme_Core_Options::HEADING_FIELD,
                'title' => esc_html__('Logo Settings', 'wiseguard'),
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ],
            'logo' => [
                'type'  => Theme_Core_Options::MEDIA_FIELD,
                'title' => esc_html__('Logo', 'wiseguard'),
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ],
            'logo_maxh' => [
                'type'     => 'dimensions',
                'title'    => esc_html__('Logo Dimensions', 'wiseguard'),
                'subtitle' => esc_html__('Enter number.', 'wiseguard'),
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ],
            'logo_mobile' => [
                'type'  => Theme_Core_Options::MEDIA_FIELD,
                'title' => esc_html__('Logo Tablet & Mobile', 'wiseguard'),
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ],
            'logo_maxh_sm' => [
                'type'     => 'dimensions',
                'title'    => esc_html__('Logo Tablet & Mobile Dimensions', 'wiseguard'),
                'subtitle' => esc_html__('Enter number.', 'wiseguard'),
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ],

            'logo_light' => [
                'type' => Theme_Core_Options::MEDIA_FIELD,
                'title' => esc_html__('Logo - Header Transparent', 'wiseguard'),
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ],
            'logo_light_mobile' => [
                'type'  => Theme_Core_Options::MEDIA_FIELD,
                'title' => esc_html__('Logo Tablet & Mobile - Header Transparent', 'wiseguard'),
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ],

            'custom_attribute' => [
                'type'  => Theme_Core_Options::HEADING_FIELD,
                'title' => esc_html__('Attributes Settings', 'wiseguard'),
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ],
            'search_icon' => wiseguard_theme_on_off_opts([
                'title'         => esc_html__('Search Icon', 'wiseguard'),
                'default'       => $default,
                'default_value' => $default_value,
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ]),
            'cart_icon' => wiseguard_theme_on_off_opts([
                'title'         => esc_html__('Cart Icon', 'wiseguard'),
                'default'       => $default,
                'default_value' => $default_value,
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ]),
            'h_mail_on' => wiseguard_theme_on_off_opts([
                'title'         => esc_html__('Show/Hide Email', 'wiseguard'),
                'default'       => $default,
                'default_value' => $default_value,
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ]),
            'h_phone_on' => wiseguard_theme_on_off_opts([
                'title'         => esc_html__('Show/Hide Phone', 'wiseguard'),
                'default'       => $default,
                'default_value' => $default_value,
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ]),
            'h_btn_on' => wiseguard_theme_on_off_opts([
                'title'         => esc_html__('Show/Hide Button', 'wiseguard'),
                'default'       => $default,
                'default_value' => $default_value,
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ]),
            'h_btn2_on' => wiseguard_theme_on_off_opts([
                'title'         => esc_html__('Show/Hide Button #2', 'wiseguard'),
                'default'       => $default,
                'default_value' => $default_value,
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ]),
            'hide_sidebar_icon' => wiseguard_theme_on_off_opts([
                'title'         => esc_html__('Hidden Sidebar', 'wiseguard'),
                'default'       => $default,
                'default_value' => $default_off,
                'required' => [
                    'header_custom',
                    '=',
                    'on'
                ]
            ])
        ],
        wiseguard_header_side_nav_opts([
            'default'       => true,
            'default_value' => '-1', 
            'required'      => 'hide_sidebar_icon'
        ])
    )
];
return $args;