<?php 
use Elementor\Controls_Manager;
use Elementor\Utils;

function wiseguard_nice_class($classes = []){
    $classes = (array) $classes;
    return implode(' ', array_filter($classes));
}
/**
 * Create the rating interface.
 * 
 * 
*/
if(!function_exists('wiseguard_comment_rating_fields')){
    //add_action( 'comment_form_logged_in_after', 'wiseguard_comment_rating_fields' );
    //add_action( 'comment_form_after_fields', 'wiseguard_comment_rating_fields' );
    function wiseguard_comment_rating_fields ($args =[]) {
        $args = wp_parse_args($args, [
            'echo'  => true,
            'class' => ''
        ]);
        $show_rating = wiseguard_get_opt('post_comments_rating_on','0');
        $rating = '';
        if('1' === $show_rating && is_singular('post')){
            $rating .= '<div class="cms-comment-form-rating cms-comment-form-fields-wrap d-flex gap '.esc_attr($args['class']).'">';
                $rating .= '<div  class="comment-form-field flex-auto">'. esc_html__('Your Rating','wiseguard').'<span class="required">*</span></div>';
                $rating .= '<div class="comment-form-field comments-rating flex-basic">';
                    $rating .= '<span class="rating-container stars">';
                        for ( $i = 5; $i >= 1; $i-- ) :
                            $rating .= '<input type="radio" id="rating-'.$i.'" class="star-'.$i.'" name="rating" value="'.$i.'" />
                                        <label for="rating-'.$i.'"><span class="d-none">'.$i.'</span></label>';
                        endfor;
                        $rating .= '<input type="radio" id="rating-0" class="star-cb-clear star-0" name="rating" value="0" /><label for="rating-0"><span class="d-none">0</span></label>';
                    $rating .= '</span>
                </div>
            </div>';
        }
        if($args['echo']){
            printf('%s', $rating);
        } else {
            return $rating;
        }
    }
}
if(!function_exists('wiseguard_woocommerce_comment_rating_fields')){
    function wiseguard_woocommerce_comment_rating_fields($args =[]){
        $args = wp_parse_args($args, [
            'echo' => true,
            'class' => ''
        ]);
        $rating = '';
        if(!function_exists('wc_review_ratings_enabled')) return;
        if (wc_review_ratings_enabled() && is_singular('product') ) {
            $rating .= '<div class="cms-comment-form-rating cms-comment-form-fields-wrap d-flex gap align-items-center '.esc_attr($args['class']).'">';
                $rating .= '<div class="comment-form-field flex-auto cms-heading font-700">' . esc_html__( 'Your rating', 'wiseguard' ) . ( wc_review_ratings_required() ? '&nbsp;<span class="required">*</span>' : '' ) . '</div>';
                $rating .= '<div class="comment-form-field comments-rating flex-basic">';
                    $rating .= '<select name="rating" id="rating" required>
                        <option value="">' . esc_html__( 'Rate&hellip;', 'wiseguard' ) . '</option>
                        <option value="5">' . esc_html__( 'Perfect', 'wiseguard' ) . '</option>
                        <option value="4">' . esc_html__( 'Good', 'wiseguard' ) . '</option>
                        <option value="3">' . esc_html__( 'Average', 'wiseguard' ) . '</option>
                        <option value="2">' . esc_html__( 'Not that bad', 'wiseguard' ) . '</option>
                        <option value="1">' . esc_html__( 'Very poor', 'wiseguard' ) . '</option>
                    </select>';
                $rating .= '</div>';
            $rating .= '</div>';
        }
        if($args['echo']){
            printf('%s', $rating);
        } else {
            return $rating;
        }
    }
}
// add rating to after comment form fields
if(!function_exists('wiseguard_comment_rating_default_fields')){
    //add_filter('comment_form_default_fields', 'wiseguard_comment_rating_default_fields' );
    function wiseguard_comment_rating_default_fields ($fields) {
        $fields_rating = [];
        ob_start();
            wiseguard_comment_rating_fields();
            wiseguard_woocommerce_comment_rating_fields();
        $fields_rating['rating'] = ob_get_clean();
        $fields = array_merge($fields_rating, $fields);
        return $fields;
    }
}

//Save the new meta added by theme  submitted by the user.
if(!function_exists('wiseguard_comment_rating_save_comment_meta')){
    add_action( 'comment_post', 'wiseguard_comment_rating_save_comment_meta' );
    function wiseguard_comment_rating_save_comment_meta( $comment_id ) {
        $rating = $address = '';
        // rating
        if ( ( isset( $_POST['rating'] ) ) && ( '' !== $_POST['rating'] ) )
        $rating = intval( $_POST['rating'] );
        // address
        if ( ( isset( $_POST['address'] ) ) && ( '' !== $_POST['address'] ) )
        $address = $_POST['address'];
        add_comment_meta( $comment_id, 'rating', $rating );
        add_comment_meta( $comment_id, 'address', $address );
    }
}
// Make the rating required.
if(!function_exists('wiseguard_comment_rating_require_rating')){
    add_filter( 'preprocess_comment', 'wiseguard_comment_rating_require_rating' );
    function wiseguard_comment_rating_require_rating( $commentdata ) {
        $show_rating = wiseguard_get_opt('post_comments_rating_on','0');
        if('1' !== $show_rating) return $commentdata;

        if ( ! is_admin() && ( ! isset( $_POST['rating'] ) || 0 === intval( $_POST['rating'] ) ) )
        wp_die( esc_html__( 'Error: You did not add a rating. Hit the Back button on your Web browser and resubmit your comment with a rating.','wiseguard' ) );
        return $commentdata;
    }
}

//Display the rating on a submitted comment.
if(!function_exists('wiseguard_comment_rating_display_rating')){
    //add_filter( 'comment_text', 'wiseguard_comment_rating_display_rating');
    function wiseguard_comment_rating_display_rating( $comment_text ){
        if ( $rating = get_comment_meta( get_comment_ID(), 'rating', true ) ) {
            $stars = '<div class="stars">';
            for ( $i = 1; $i <= $rating; $i++ ) {
                $stars .= '<span class="rating-icon cms-rating-icon-filled"></span>';
            }
            $stars .= '</div>';
            $comment_text = $comment_text . $stars;
            return $comment_text;
        } else {
            return $comment_text;
        }
    }
}

//Get the average rating of a post.
if(!function_exists('wiseguard_comment_rating_get_average_ratings')){
    function wiseguard_comment_rating_get_average_ratings( $id ) {
        $comments = get_approved_comments( $id );
        if ( $comments ) {
            $i = 0;
            $total = 0;
            foreach( $comments as $comment ){
                $rate = get_comment_meta( $comment->comment_ID, 'rating', true );
                if( isset( $rate ) && '' !== $rate ) {
                    $i++;
                    $total += $rate;
                }
            }

            if ( 0 === $i ) {
                return false;
            } else {
                return round( $total / $i, 1 );
            }
        } else {
            return false;
        }
    }
}
// Display the star average rating only
if(!function_exists('wiseguard_comment_rating_display_average')){
    function wiseguard_comment_rating_display_average($args = []) {

        global $post;

        if ( false === wiseguard_comment_rating_get_average_ratings( $post->ID ) ) {
            return false;
        }
        $args = wp_parse_args($args, [
            'width' => 20,
            'class' => ''
        ]);
        $stars   = '';
        $average = wiseguard_comment_rating_get_average_ratings( $post->ID );

        for ( $i = 1; $i <= $average + 1; $i++ ) {
            
            $width = intval( $i - $average > 0 ? $args['width'] - ( ( $i - $average ) * $args['width'] ) : $args['width'] );

            if ( 0 === $width ) {
                continue;
            }
            $stars .= '<span style="overflow:hidden; width:' . $width . 'px" class="rating-icon cms-rating-icon-filled"></span>';

            if ( $i - $average > 0 ) {
                $stars .= '<span style="overflow:hidden; position:relative; left:-' . ($width - 1) .'px;" class="cms-rating-icon cms-rating-icon-empty"></span>';
            }
        }
        $classes = ['cms-average-rating cms-average-rating-star', $args['class']];
        $custom_content  = '<div class="'.implode(' ', $classes).'">' . $stars .'</div>';
        return $custom_content;
    }
}

//Display the average rating above the content.
if(!function_exists('wiseguard_comment_rating_display_average_rating')){
    //add_filter( 'the_content', 'wiseguard_comment_rating_display_average_rating' );
    function wiseguard_comment_rating_display_average_rating( $content ) {

        global $post;

        if ( false === wiseguard_comment_rating_get_average_ratings( $post->ID ) ) {
            return $content;
        }
        
        $stars   = '';
        $average = wiseguard_comment_rating_get_average_ratings( $post->ID );

        for ( $i = 1; $i <= $average + 1; $i++ ) {
            
            $width = intval( $i - $average > 0 ? 20 - ( ( $i - $average ) * 20 ) : 20 );

            if ( 0 === $width ) {
                continue;
            }

            $stars .= '<span style="overflow:hidden; width:' . $width . 'px" class="rating-icon cms-rating-icon-filled"></span>';

            if ( $i - $average > 0 ) {
                $stars .= '<span style="overflow:hidden; position:relative; left:-' . $width .'px;" class="rating-icon cms-rating-icon-empty"></span>';
            }
        }
        
        $custom_content  = '<div class="average-rating">This post\'s average rating is: ' . $average .' ' . $stars .'</div>';
        $custom_content .= $content;
        return $custom_content;
    }
}
if(!function_exists('wiseguard_comment_rating_display_feedback')){
    function wiseguard_comment_rating_display_feedback($args=[]){
        $args = wp_parse_args($args,[
            'id'        => get_the_ID(),
            'mode'      => 'good', //bad
            'good_text' => esc_html__('positive feedback', 'wiseguard'),
            'bad_text'  => esc_html__('negative feedback', 'wiseguard'),
            'good_icon' => 'icofont-simple-smile',
            'bad_icon'  => 'icofont-sad'
        ]);
        $comments = get_approved_comments( $args['id'] );
        if ( $comments ) {
            $i = 0;
            $total = 0;
            $good_rate = $bad_rate = 0;
            foreach( $comments as $comment ){
                $rate = get_comment_meta( $comment->comment_ID, 'rating', true );
                if( isset( $rate ) && '' !== $rate ) {
                    $i++;
                    $total += $rate;
                }
                if(isset($rate) && $rate > 3){
                    $good_rate ++;
                }
                if(isset($rate) && $rate <= 3){
                    $bad_rate ++;
                }
            }

            if ( 0 === $i ) {
                return false;
            } else {
                //return  $total .' good:'.$good_rate.' bad:'.$bad_rate ;
                if($args['mode'] == 'good'){
                    return '<span class="cms-rating-good text-accent text-17 '.$args['good_icon'].'"></span> <span class="cms-rating-percent text-accent font-700">'.number_format_i18n( $good_rate*100 / $i, 2 ).'%</span> '.$args['good_text'];
                } else {
                    return '<span class="cms-rating-bad text-accent text-17 '.$args['bad_icon'].'"></span> <span class="cms-rating-percent text-accent font-700">'.number_format_i18n( $bad_rate*100 / $i, 2 ).'%</span> '.$args['bad_text'];
                }
            }
        } else {
            return false;
        }
    }
}
// Display the address on a submitted comment.
if(!function_exists('wiseguard_comment_display_address')){
    //add_filter( 'comment_text', 'wiseguard_comment_rating_display_rating');
    function wiseguard_comment_display_address(){
        $address =  get_comment_meta( get_comment_ID(), 'address', true ) ;
        if(empty($address)) return;
        ?>
            <div class="cms-comment-address"><?php echo esc_html($address); ?></div>
        <?php
    }
}


/**
 * Update Wordpress Configs
 * Change thumbnail size
 * 
 * */
add_action('after_switch_theme', 'wiseguard_thumbnail_size');
if(!function_exists('wiseguard_thumbnail_size')){
    function wiseguard_thumbnail_size(){
        /* Change default image thumbnail sizes in wordpress */
        $thumbnail_size = array(
            'large_size_w'        => '840',
            'large_size_h'        => '562',
            'large_crop'          => 1, 
            'medium_large_size_w' => '570',
            'medium_large_size_h' => '570',
            'medium_large_crop'   => 1, 
            'medium_size_w'       => '570',
            'medium_size_h'       => '380',
            'medium_crop'         => 1, 
            'thumbnail_size_w'    => '80',
            'thumbnail_size_h'    => '80',
            'thumbnail_crop'      => 1
        );
        foreach ($thumbnail_size as $option => $value) {
            if (get_option($option, '') != $value)
                update_option($option, $value);
        }
    }
}
add_filter( 'image_size_names_choose', 'wiseguard_thumbnail_size_custom' );
function wiseguard_thumbnail_size_custom( $sizes ) {
    return array_merge( $sizes, array(
        'medium_large' => esc_html__('Medium Large','wiseguard'),
    ) );
}
/**
 * Elementor Gradient Options
 * */
if(!function_exists('wiseguard_elementor_gradient_opts')){
    function wiseguard_elementor_gradient_opts(){
        return array(
            ''                   => esc_html__( 'Default', 'wiseguard' ),
            'accent-tb'          => esc_html__('Accent - Top to Bottom','wiseguard'),
            'accent-tb2'         => esc_html__('Accent #2 - Top to Bottom','wiseguard'),
            'accent-tb3'         => esc_html__('Accent #3 - Top to Bottom','wiseguard'),
            'accent-bt'          => esc_html__('Accent - Botom to Top','wiseguard'),
            'accent-bt2'         => esc_html__('Accent - Botom to Top #2','wiseguard'),
            'secondary-tb'       => esc_html__('Secondary - Top to Bottom ','wiseguard'),
            'secondary-bt'       => esc_html__('Secondary - Bottom to Top','wiseguard'),
            'secondary-bt2'      => esc_html__('Secondary - Bottom to Top #2','wiseguard'),
            'secondary-bt3'      => esc_html__('Secondary - Bottom to Top #3','wiseguard'),
            'primary-darken-tb'  => esc_html__('Primary Darken - Top to Bottom','wiseguard'),
            'primary-darken-tb2' => esc_html__('Primary Darken #2 - Top to Bottom','wiseguard'),
            'primary-darken-tb3' => esc_html__('Primary Darken #3 - Top to Bottom','wiseguard'),
            'primary-lighten-bt' => esc_html__('Primary Lighten - Bottom to Top','wiseguard'),
            'primary-darken-bt'  => esc_html__('Primary Darken - Bottom to Top','wiseguard'),
            'primary-darken-bt2' => esc_html__('Primary Darken #2 - Bottom to Top','wiseguard'),
            'grey-tb'            => esc_html__('Grey - Top to Bottom','wiseguard'),
            'grey-bt'            => esc_html__('Grey - Bottom to Top','wiseguard'),
            'none'               => esc_html__('None','wiseguard')
        );
    }
}
/**
 * Custom Elementor Row
 * Columns Presets
 * 
 * **/
if(!function_exists('wiseguard_custom_section_presets')){
    add_filter('etc-custom-section/custom-presets', 'wiseguard_custom_section_presets');
    function wiseguard_custom_section_presets(){
        return [
            2 => [
                [
                    'preset' => ['100', '100']
                ],
                [
                    'preset' => ['auto', 'basic']
                ],
                [
                    'preset' => ['basic', 'auto']
                ]
            ],
            3 => [
                [
                    'preset' => ['50', '50', '100']
                ],
                [
                    'preset' => ['100', '50', '50']
                ],
                [
                    'preset' => ['50', '100', '50']
                ],
                [
                    'preset' => ['100', '33', '66']
                ],
                [
                    'preset' => ['100', '66', '33']
                ],
                [
                    'preset' => ['100', '58', '42']
                ]
            ],
            4 => [
                [
                    'preset' => ['100', '33', '33', '33']
                ],
                [
                    'preset' => ['66', '100', '33', '66']
                ],
                [
                    'preset' => ['50', '100', '33', '66']
                ],
                [
                    'preset' => ['100', '50', '50', '100']
                ]
            ],
            5 => [
                [
                    'preset' => ['25', '25', '25', '25', '100']
                ],
                [
                    'preset' => ['66', '100', '33', '33', '33']
                ],
                [
                    'preset' => ['50', '100', '33', '33', '33']
                ],
                [
                    'preset' => ['100', '25', '25', '25', '25']
                ],
                [
                    'preset' => ['100', '33', '33', '33', '100']
                ]
            ],
            6 => [
                [
                    'preset' => ['50', '100', '33', '33', '33', '50']
                ],
                [
                    'preset' => ['100', '25', '25', '25', '25', '100']
                ],
                [
                    'preset' => ['100', '20', '20', '20', '20', '20']
                ],
                [
                    'preset' => ['100', '25', '16', '16', '16', '25']
                ]
            ]
        ];
    }
}
// Add custom field to section
if(!function_exists('wiseguard_custom_section_params')){
    add_filter('etc-custom-section/custom-params', 'wiseguard_custom_section_params'); 
    function wiseguard_custom_section_params(){
        return array(
            'sections' => array(
                // add more
                array(
                    'name'     => 'cms_custom_layout',
                    'label'    => esc_html__( 'WiseGuard Custom Settings', 'wiseguard' ),
                    'tab'      => Controls_Manager::TAB_LAYOUT,
                    'controls' => array_merge(
                        array(
                            // make section full content with a space on start / end
                            array(
                                'name'         => 'full_content_with_space',
                                'label'        => esc_html__( 'Full Content with space from?', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'prefix_class' => 'cms-full-content-with-space-',
                                'options'      => array(
                                    'none'       => esc_html__( 'None', 'wiseguard' ),
                                    'start'      => esc_html__( 'Start', 'wiseguard' ),
                                    'end'        => esc_html__( 'End', 'wiseguard' ),
                                    'start-wide' => esc_html__( 'Start (Container Wide)', 'wiseguard' ),
                                    'end-wide'   => esc_html__( 'End (Container Wide)', 'wiseguard' ),
                                    'both-30'    => esc_html__( 'Container Fluid', 'wiseguard' ),
                                    'both-45'    => esc_html__( 'Container Fluid #2', 'wiseguard' ),
                                ),
                                'default'      => 'none',
                                'condition' => [
                                    'layout' => 'full_width'
                                ]
                            ),
                            array(
                                'name'         => 'horiz_align',
                                'label'        => esc_html__( 'Horizontal Align', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'prefix_class' => 'cms-esection-horiz-align-',
                                'options'      => array(
                                    ''        => esc_html__('Default', 'wiseguard' ),
                                    'start'   => esc_html__('Start','wiseguard'),
                                    'end'     => esc_html__('End','wiseguard'),
                                    'center'  => esc_html__('Center', 'wiseguard' ),
                                    'between' => esc_html__('Between', 'wiseguard' )
                                ),
                                'default' => '',
                                'separator' => 'before'
                            ),
                            array(
                                'name'         => 'boxed_bg',
                                'label'        => esc_html__( 'Boxed Background?', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'prefix_class' => 'cms-boxed-bg-',
                                'options'      => array(
                                    ''           => esc_html__( 'None', 'wiseguard' ),
                                    'both'       => esc_html__('Both','wiseguard'),
                                    'both-large' => esc_html__('Both Large','wiseguard'),
                                    'both-wide'  => esc_html__('Both Wide','wiseguard'),
                                    'both-wide2' => esc_html__('Both Wide #2','wiseguard'),
                                    'start'      => esc_html__( 'Start', 'wiseguard' ),
                                    'end'        => esc_html__( 'End', 'wiseguard' ),
                                    'start-wide' => esc_html__( 'Start Wide', 'wiseguard' ),
                                    'end-wide'   => esc_html__( 'End Wide', 'wiseguard' ),
                                ),
                                'default' => '',
                                'separator' => 'before'
                            ),
                            array(
                                'name'         => 'show_edge',
                                'label'        => esc_html__( 'Show Edge on?', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'options'      => array(
                                    'no'         => esc_html__( 'No', 'wiseguard' ),
                                    'top-left'   => esc_html__( 'Top Left', 'wiseguard' ),
                                    'top-right'  => esc_html__( 'Top Right', 'wiseguard' ),
                                    'bot-left'   => esc_html__( 'Bottom Left', 'wiseguard' ),
                                    'bot-right'  => esc_html__( 'Bottom Right', 'wiseguard' ),
                                    'bot-left2'  => esc_html__( 'Bottom Left #2', 'wiseguard' ),
                                    'bot-right2' => esc_html__( 'Bottom Right #2', 'wiseguard' ),
                                ),
                                'default'   => 'no',
                                'separator' => 'before'
                            ),
                            array(
                                'name'         => 'edge_ontop',
                                'label'        => esc_html__( 'On Front?', 'wiseguard' ),
                                'type'         => Controls_Manager::SWITCHER,
                                'prefix_class' => 'cms-edge-front-',
                                'condition' => [
                                    'show_edge!' => 'no'
                                ]
                            ),
                            array(
                                'name'         => 'edge_size',
                                'label'        => esc_html__( 'Edge size?', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'prefix_class' => 'cms-edge-size-',
                                'options'      => array(
                                    'small'  => esc_html__( 'Small', 'wiseguard' ),
                                    'medium' => esc_html__( 'Medium', 'wiseguard' ),
                                    'large'  => esc_html__( 'Large', 'wiseguard' )
                                ),
                                'default'   => 'medium',
                                'condition' => [
                                    'show_edge!' => 'no'
                                ]
                            ),
                            array(
                                'name'         => 'edge_color',
                                'label'        => esc_html__( 'Edge color?', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                //'prefix_class' => 'cms-edge-',
                                'options'      => array(
                                    'accent'    => esc_html__( 'Accent', 'wiseguard' ),
                                    'primary'   => esc_html__( 'Primary', 'wiseguard' ),
                                    'secondary' => esc_html__( 'Secondary', 'wiseguard' ),
                                    'white'     => esc_html__( 'White', 'wiseguard' ),
                                    'grey'      => esc_html__( 'Grey', 'wiseguard' ).' (#f3f5fa)',
                                    'grey2'     => esc_html__( 'Grey #2', 'wiseguard' ).' (#fbfcfd)',
                                    'grey3'     => esc_html__( 'Grey #3', 'wiseguard' ).' (#edf0f8)'
                                ),
                                'default' => 'white',
                                'condition' => [
                                    'show_edge!' => 'no'
                                ]
                            ),
                            array(
                                'name'         => 'edge2_color',
                                'label'        => esc_html__( 'Edge #2 color?', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'options'      => array(
                                    'accent'    => esc_html__( 'Accent', 'wiseguard' ),
                                    'primary'   => esc_html__( 'Primary', 'wiseguard' ),
                                    'secondary' => esc_html__( 'Secondary', 'wiseguard' ),
                                    'white'     => esc_html__( 'White', 'wiseguard' ),
                                    'grey'      => esc_html__( 'Grey', 'wiseguard' ).' (#f3f5fa)',
                                    'grey2'     => esc_html__( 'Grey #2', 'wiseguard' ).' (#fbfcfd)',
                                    'grey3'     => esc_html__( 'Grey #3', 'wiseguard' ).' (#edf0f8)'
                                ),
                                'default' => 'secondary',
                                'condition' => [
                                    'show_edge!' => 'no'
                                ]
                            ),
                            array(
                                'name'         => 'edge3_color',
                                'label'        => esc_html__( 'Edge #3 color?', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'options'      => array(
                                    'accent'    => esc_html__( 'Accent', 'wiseguard' ),
                                    'primary'   => esc_html__( 'Primary', 'wiseguard' ),
                                    'secondary' => esc_html__( 'Secondary', 'wiseguard' ),
                                    'white'     => esc_html__( 'White', 'wiseguard' ),
                                    'grey'      => esc_html__( 'Grey', 'wiseguard' ).' (#f3f5fa)',
                                    'grey2'     => esc_html__( 'Grey #2', 'wiseguard' ).' (#fbfcfd)',
                                    'grey3'     => esc_html__( 'Grey #3', 'wiseguard' ).' (#edf0f8)'
                                ),
                                'default' => 'accent',
                                'condition' => [
                                    'show_edge!' => 'no'
                                ]
                            ),
                            array(
                                'name'         => 'show_gradient',
                                'label'        => esc_html__( 'Gradient Style', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'prefix_class' => 'cms-gradient-',
                                'options'      => wiseguard_elementor_gradient_opts(),
                                'default'      => '',
                                'separator'    => 'before'
                            ),
                            array(
                                'name'         => 'show_banner',
                                'label'        => esc_html__( 'Show Banner?', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'prefix_class' => 'cms-section-banner-',
                                'options'      => array(
                                    'no'  => esc_html__( 'No', 'wiseguard' ),
                                    'yes' => esc_html__( 'Yes', 'wiseguard' )
                                ),
                                'default'   => 'no',
                                'separator' => 'before',
                                'dynamic' => [
                                    'active' => true
                                ]
                            ),
                            array(
                                'name'         => 'banner',
                                'label'        => esc_html__( 'Banner', 'wiseguard' ),
                                'type'         => Controls_Manager::MEDIA,
                                'condition'    => [
                                    'show_banner' => 'yes'
                                ],
                                'default' => [
                                    'id' => '',
                                    'url' => Utils::get_placeholder_image_src()
                                ],
                                'selectors' => [
                                    '{{WRAPPER}}.cms-section-banner-yes > .cms-section-banner' => 'background-image:url({{URL}});',
                                    '{{WRAPPER}} .cms-section-banner-yes' => 'background-image:url({{URL}});' 
                                ]
                            ),
                            array(
                                'name'         => 'banner_style',
                                'label'        => esc_html__( 'Banner Style', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'options'      => [
                                    '' => esc_html__('Default','wiseguard'),
                                    '1' => esc_html__('Style 01','wiseguard')
                                ],
                                'condition'    => [
                                    'show_banner' => 'yes'
                                ],
                                'default' => ''
                            ),
                            array(
                                'name'         => 'banner_gradient',
                                'label'        => esc_html__( 'Banner Overlay Gradient', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'options'      => wiseguard_elementor_gradient_opts(),
                                'default'      => '2',
                                'condition'    => [
                                    'show_banner' => 'yes'
                                ],
                                'dynamic' => [
                                    'active' => true
                                ]
                            ),
                            array(
                                'name'         => 'show_corner',
                                'label'        => esc_html__( 'Show Corner?', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'options'      => array(
                                    'no'         => esc_html__( 'No', 'wiseguard' ),
                                    'top-left'   => esc_html__( 'Top Left', 'wiseguard' ),
                                    'top-right'  => esc_html__( 'Top Right', 'wiseguard' ),
                                    'bot-left'   => esc_html__( 'Bottom Left', 'wiseguard' ),
                                    'bot-right'  => esc_html__( 'Bottom Right', 'wiseguard' )
                                ),
                                'default'   => 'no',
                                'separator' => 'before'
                            ),
                            array(
                                'name'         => 'corner_color',
                                'label'        => esc_html__( 'Corner color?', 'wiseguard' ),
                                'type'         => Controls_Manager::SELECT,
                                'options'      => array(
                                    'accent'    => esc_html__( 'Accent', 'wiseguard' ),
                                    'primary'   => esc_html__( 'Primary', 'wiseguard' ),
                                    'secondary' => esc_html__( 'Secondary', 'wiseguard' )
                                ),
                                'default'   => 'accent',
                                'condition' => [
                                    'show_corner!' => 'no'
                                ]
                            )
                        )
                    )
                )
            )
        );
    }
}
// add html to before row settings
if(!function_exists('wiseguard_before_row_custom_html_setting')){
    add_filter('etc-custom-section/before-elementor-row-settings-html', 'wiseguard_before_row_custom_html_setting', 10 , 2);
    function wiseguard_before_row_custom_html_setting( $html, $settings){
        $html .= '<div class="cms-gradient-render"></div>';
        // Section Banner
        $html .= '<div class="cms-section-banner cms-section-banner-{{ settings.show_banner }} cms-gradient-{{ settings.banner_gradient }} cms-section-banner-style-{{settings.banner_style}} relative"><div class="cms-gradient-render"></div></div>';
        // Section Edge
        ob_start();
        ?>
            <#  if ( settings.show_corner != 'no' ) { #>
                <div class="cms-section-corner cms-section-corner-{{settings.show_corner}} cms-section-corner-{{settings.corner_color}} bg-{{settings.corner_color}} absolute {{settings.show_corner}}"></div>
            <# } #>
            <#  if ( settings.show_edge != 'no' ) { #>
            <div class="cms-section-edge cms-section-edge-{{ settings.show_edge }} cms-section-edge-{{ settings.edge_size }} absolute {{ settings.show_edge }}">
                <#  if ( settings.show_edge == 'top-left' ) { #>
                    <svg class="cms-edge-tl cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-{{settings.edge_color}}" d="M180,0.456H0V151"/>
                      <path data-name="secondary" class="fill-{{settings.edge2_color}} cms_floating_image_image" data-speed="1.0" d="M180,0L0,151V316L180,164V0Z"/>
                      <path data-name="accent" class="fill-{{settings.edge3_color}} cms_floating_image_image" data-speed="2.0" d="M90,34L0.142,109.378v82.37L90,115.868V34Z"/>
                    </svg>
                <# } #>
                <#  if ( settings.show_edge == 'top-right' ) { #>
                    <svg class="cms-edge-tr cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-{{settings.edge_color}}" d="M0,0.458H180V151"/>
                      <path data-name="secondary" class="fill-{{settings.edge2_color}} cms_floating_image_image" data-speed="1.0" d="M0,0L180,151V316L0,164V0Z"/>
                      <path data-name="accent" class="fill-{{settings.edge3_color}} cms_floating_image_image" data-speed="2.0" d="M90,34l89.858,75.381v82.369L90,115.87V34Z"/>
                    </svg>
                <# } #>
                <#  if ( settings.show_edge == 'bot-left' ) { #>
                    <svg class="cms-edge-bl cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-{{settings.edge_color}}" d="M180,315.539H0V165"/>
                      <path data-name="secondary" class="fill-{{settings.edge2_color}} cms_floating_image_image" data-speed="1.0" d="M180,316L0,165V0L180,152V316Z"/>
                      <path data-name="accent" class="fill-{{settings.edge3_color}} cms_floating_image_image" data-speed="2.0" d="M90,282L0.142,206.617V124.248L90,200.128V282Z"/>
                    </svg>
                <# } #>
                <#  if ( settings.show_edge == 'bot-right' ) { #>
                    <svg class="cms-edge-br cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-{{settings.edge_color}}" d="M0,315.538H180V165"/>
                      <path data-name="secondary" class="fill-{{settings.edge2_color}} cms_floating_image_image" data-speed="1.0" d="M0,316L180,165V0L0,152V316Z"/>
                      <path data-name="accent" class="fill-{{settings.edge3_color}} cms_floating_image_image" data-speed="2.0" d="M90,282l89.858-75.38V124.246L90,200.127V282Z"/>
                    </svg>
                <# } #>
                <#  if ( settings.show_edge == 'bot-left2' ) { #>
                    <svg class="cms-edge-bl2 cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 191.281">
                      <path data-name="white" class="fill-{{settings.edge_color}}" d="M180,315.539H0V165" transform="translate(0 -124.25)"/>
                      <path data-name="secondary" class="fill-{{settings.edge3_color}} cms_floating_image_image" data-speed="-2" d="M90,282L0.142,206.617v-82.37L90,200.127V282Z" transform="translate(0 -124.25)"/>
                    </svg>
                <# } #>
                <#  if ( settings.show_edge == 'bot-right2' ) { #>
                    <svg class="cms-edge-br2 cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 191.281">
                      <path data-name="white" class="fill-{{settings.edge_color}}" d="M0,315.54H180V165" transform="translate(0 -124.25)"/>
                      <path data-name="accent" class="fill-{{settings.edge3_color}} cms_floating_image_image" data-speed="-2" d="M90,282l89.858-75.382V124.249L90,200.128V282Z" transform="translate(0 -124.25)"/>
                    </svg>
                <# } #>
            </div>
            <# } #>
        <?php
        $html .= ob_get_clean();
        // Return
        return $html;
    }
}
// Custom HTML Elementor ROW (Frontend)
if(!function_exists('wiseguard_before_row_custom_html_render')){
    add_filter('etc-custom-section/before-elementor-row-render', 'wiseguard_before_row_custom_html_render', 11 , 2);
    function wiseguard_before_row_custom_html_render( $html, $settings){
        // Overlay Gradient
        if(isset($settings['show_gradient']) && $settings['show_gradient'] != ''){
            $html .= '<div class="cms-gradient-render"></div>';
        }
        // Section Banner
        if(isset($settings['show_banner']) && $settings['show_banner'] != 'no'){
            $html .= '<div class="cms-section-banner cms-section-banner-'.$settings['show_banner'].' cms-gradient-'.$settings['banner_gradient'].' cms-section-banner-style-'.$settings['banner_style'].' relative"><div class="cms-gradient-render"></div></div>';
        }
        // Section Edge
        ob_start ();
        if(isset($settings['show_corner']) && $settings['show_corner'] != 'no') { ?>
            <div class="cms-section-corner cms-section-corner-<?php echo esc_attr($settings['show_corner']);?> cms-section-corner-<?php echo esc_attr($settings['corner_color']);?> bg-<?php echo esc_attr($settings['corner_color']);?> absolute <?php echo esc_attr($settings['show_corner']);?>"></div>
        <?php }
        if(isset($settings['show_edge']) && $settings['show_edge'] != 'no') { ?>
            <div class="cms-section-edge cms-section-edge-<?php echo esc_attr($settings['show_edge']);?> cms-section-edge-<?php echo esc_attr($settings['edge_size']);?> absolute <?php echo esc_attr($settings['show_edge']); ?> rtl-flip">
                <?php if($settings['show_edge'] == 'top-left'){ ?>
                    <svg class="cms-edge-tl cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-<?php echo esc_attr($settings['edge_color']); ?>" d="M180,0.456H0V151"/>
                      <path data-name="secondary" class="fill-<?php echo esc_attr($settings['edge2_color']); ?> cms_floating_image_image" data-speed="0.8" d="M180,0L0,151V316L180,164V0Z"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($settings['edge3_color']); ?> cms_floating_image_image" data-speed="1.2" d="M90,34L0.142,109.378v82.37L90,115.868V34Z"/>
                    </svg>
                <?php } elseif ($settings['show_edge'] == 'top-right') { ?>
                    <svg class="cms-edge-tr cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-<?php echo esc_attr($settings['edge_color']); ?>" d="M0,0.458H180V151"/>
                      <path data-name="secondary" class="fill-<?php echo esc_attr($settings['edge2_color']); ?> cms_floating_image_image" data-speed="0.8" d="M0,0L180,151V316L0,164V0Z"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($settings['edge3_color']); ?> cms_floating_image_image" data-speed="1.2" d="M90,34l89.858,75.381v82.369L90,115.87V34Z"/>
                    </svg>
                <?php } elseif ($settings['show_edge'] == 'bot-left') { ?>
                    <svg class="cms-edge-bl cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-<?php echo esc_attr($settings['edge_color']); ?>" d="M180,315.539H0V165"/>
                      <path data-name="secondary" class="fill-<?php echo esc_attr($settings['edge2_color']); ?> cms_floating_image_image" data-speed="0.8" d="M180,316L0,165V0L180,152V316Z"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($settings['edge3_color']); ?> cms_floating_image_image" data-speed="1.2" d="M90,282L0.142,206.617V124.248L90,200.128V282Z"/>
                    </svg>
                <?php } elseif ($settings['show_edge'] == 'bot-right') { ?>
                    <svg class="cms-edge-br cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-<?php echo esc_attr($settings['edge_color']); ?>" d="M0,315.538H180V165"/>
                      <path data-name="secondary" class="fill-<?php echo esc_attr($settings['edge2_color']); ?> cms_floating_image_image" data-speed="0.8" d="M0,316L180,165V0L0,152V316Z"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($settings['edge3_color']); ?> cms_floating_image_image" data-speed="1.2" d="M90,282l89.858-75.38V124.246L90,200.127V282Z"/>
                    </svg>
                <?php } elseif ($settings['show_edge'] == 'bot-left2') { ?>
                    <svg class="cms-edge-bl2 cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 191.281">
                      <path data-name="white" class="fill-<?php echo esc_attr($settings['edge_color']); ?>" d="M180,315.539H0V165" transform="translate(0 -124.25)"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($settings['edge3_color']); ?> cms_floating_image_image" data-speed="-2" d="M90,282L0.142,206.617v-82.37L90,200.127V282Z" transform="translate(0 -124.25)"/>
                    </svg>
                <?php } elseif ($settings['show_edge'] == 'bot-right2') { ?>
                    <svg class="cms-edge-br2 cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 191.281">
                      <path data-name="white" class="fill-<?php echo esc_attr($settings['edge_color']); ?>" d="M0,315.54H180V165" transform="translate(0 -124.25)"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($settings['edge3_color']); ?> cms_floating_image_image" data-speed="-2" d="M90,282l89.858-75.382V124.249L90,200.128V282Z" transform="translate(0 -124.25)"/>
                    </svg>
                <?php } ?>
            </div>
        <?php }
        $html .= ob_get_clean();
        
        // Return
        return $html;
    }
}
/**
 * Custom Elementor Column
 * Add options horizontal element
 * 
 * **/
if(!function_exists('wiseguard_custom_column_params')){
    add_filter('etc-custom-column/custom-params', 'wiseguard_custom_column_params');
    function wiseguard_custom_column_params(){
        return array(
            'sections' => array(
                array(
                    'name'     => 'custom_section',
                    'label'    => esc_html__( 'Custom Settings', 'wiseguard' ),
                    'tab'      => Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'element_display',
                            'label'   => esc_html__( 'Element Display Settings', 'wiseguard' ),
                            'type'    => Controls_Manager::SELECT,
                            'options' => array(
                                ''           => __( 'Default', 'wiseguard' ),
                                'vert'   => __( 'Vertical', 'wiseguard' ),
                                'horiz' => __( 'Horizontal', 'wiseguard' ),
                            ),
                            //'control_type' => 'responsive',
                            'label_block'  => true, 
                            'default'      => '',
                            'prefix_class' => 'cms-column-'
                        ),
                        array(
                            'name' => 'element_display_gap',
                            'label'   => esc_html__( 'Element Gap', 'wiseguard' ),
                            'type'    => Controls_Manager::SELECT,
                            'options' => array(
                                '10' => '10',
                                '20' => '20',
                                '30' => '30',
                                '40' => '40'
                            ),
                            'label_block'  => true, 
                            'default'      => '40',
                            'prefix_class' => 'gap-',
                            'condition'    => [
                                'element_display' => ['horiz']
                            ]
                        ),
                        array(
                            'name'         => 'show_gradient',
                            'label'        => esc_html__( 'Gradient Style', 'wiseguard' ),
                            'type'         => Controls_Manager::SELECT,
                            'prefix_class' => 'cms-gradient-',
                            'options'      => wiseguard_elementor_gradient_opts(),
                            'default' => '',
                            'separator' => 'before'
                        )
                    )
                )
            )
        );
    }
}
// Change html tag for Elementor image render
if(!function_exists('wiseguard_elementor_image_size_get_attachment_image_html')){
    add_filter('elementor/image_size/get_attachment_image_html','wiseguard_elementor_image_size_get_attachment_image_html', 10, 4);
    function wiseguard_elementor_image_size_get_attachment_image_html($html, $settings, $image_size_key, $image_key){
        if ( ! $image_key ) {
            $image_key = $image_size_key;
        }
        $image = $settings[ $image_key ];
        // Old version of image settings.
        if ( ! isset( $settings[ $image_size_key . '_size' ] ) ) {
            $settings[ $image_size_key . '_size' ] = $settings['size'];
        }

        $settings['as_background'] = isset($settings['as_background']) ? $settings['as_background'] : false;
        if($settings['as_background'] === true) $settings['as_background'] = 'yes';
        $settings['min_height']    = isset($settings['min_height']) ? $settings['min_height'] : false;
        $settings['max_height']    = isset($settings['max_height']) ? $settings['max_height'] : false;
        $settings['size']          = isset($settings['size']) ? $settings['size'] : 'medium';
        $settings['lazy']          = isset($settings['lazy']) ? $settings['lazy'] : true;
        // Lazy attribute
        $lazy_attr = '';
        if($settings['lazy']) $lazy_attr = ' loading="lazy"';

        $size = $settings[ $image_size_key . '_size' ];

        $lazy_src = 'src';

        $image_class = ['cms-lazy lazy-loading'];
        if($settings['as_background'] === 'yes') $image_class[] = 'cms-bg-cover';
        $image_class[] = isset($settings['img_class']) ? $settings['img_class'] : '';
        $image_class[] = ! empty( $settings['hover_animation'] ) ? 'elementor-animation-' . $settings['hover_animation'] : '';
        $image_class = implode(' ', array_filter($image_class));

        $html = '';

        // If is the new version - with image size.
        $image_sizes = get_intermediate_image_sizes();
        $image_sizes[] = 'full';

        if ( ! empty( $image['id'] ) && ! wp_attachment_is_image( $image['id'] ) ) {
            $image['id'] = '';
        }
        $is_static_render_mode = \Elementor\Plugin::$instance->frontend->is_static_render_mode();
        // On static mode don't use WP responsive images.
        $image_bg = wp_get_attachment_image_src( $image['id'], 'full');
        if ( ! empty( $image['id'] ) && in_array( $size, $image_sizes ) && ! $is_static_render_mode ) {
            $image_class .= " attachment-$size size-$size wp-image-{$image['id']}";
            $image_attr = wp_get_attachment_image_src( $image['id'], $size);
            $image_attr['style'] = '';
            
            // if have max-height style
            if($settings['max_height']){
                $image_attr['style'] .= 'max-height:'.$image_attr[2].'px;';
            }
            if($settings['min_height']){
                $image_attr['style'] .= 'min-height:'.$image_attr[2].'px;';
            }

            $alt  = trim( strip_tags( get_post_meta( $image['id'], '_wp_attachment_image_alt', true ) ) );
            if($settings['as_background']){
                //$image_attr['style'] .= '--cms-bg-lazyload:url('.$image_bg[0].');background-image:var(--cms-bg-lazyload);';
                $html = sprintf(
                    '<div data-background-image="%s" class="%s" style="%s">%s</div>',
                    $image_bg[0],
                    $image_class,
                    $image_attr['style'],
                    $settings['content']
                );
            } else {
                $html = '<img class="'.$image_class.'" '.$lazy_src.'="'.$image_attr[0].'" width="'.$image_attr[1].'" height="'.$image_attr[2].'" alt="'.$alt.'" style="'.$image_attr['style'].'" />';
            }
        } else {
            $custom_dimension = isset($settings[ $image_key . '_custom_dimension' ]) ? $settings[ $image_key . '_custom_dimension' ] : ['width' => get_option('large_size_w'), 'height' => get_option('large_size_h')];
            $settings[$image_key . '_custom_dimension'] = isset($settings[ $image_key . '_custom_dimension' ]) ? $settings[ $image_key . '_custom_dimension' ] : $custom_dimension;
            $image_src = \Elementor\Group_Control_Image_Size::get_attachment_image_src( $image['id'], $image_size_key, $settings );
            if ( ! $image_src && isset( $image['url'] ) ) {
                $image_src = $image['url'];
            }

            if ( ! empty( $image_src ) ) {
                $image_class_html = ! empty( $image_class ) ? ' class="' . $image_class . '"' : '';
                $image_style = $image_overlay_style = $data_bg = '';
                
                if($settings['as_background']){
                    $data_bg = ''; //'data-background-image="'.$image_bg[0].'"';
                    $image_style .= '--cms-bg-lazyload:url('.$image_bg[0].');background-image:var(--cms-bg-lazyload-loaded);';
                }
                
                // if have max-height style
                $max_height = $min_height = '';
                if($settings['max_height']){
                    $max_height = 'max-height:'.$settings[$image_key . '_custom_dimension']['height'].'px;';
                    $image_style .= $max_height;
                    $image_overlay_style .= $max_height;
                }
                if($settings['min_height']){
                    $min_height = 'min-height:'.$settings[$image_key . '_custom_dimension']['height'].'px;';
                    $image_style .= $min_height;
                    $image_overlay_style .= $min_height;
                }

                if(!empty($image_style)) $image_style = ' style="'.$image_style.'"';
                if(!empty($image_overlay_style)) $image_overlay_style = ' style="'.$image_overlay_style.'"';
                switch ($settings['as_background']) {
                    case 'overlay':
                        $image = sprintf( '<img class="cms-overlay img-cover" width="%s" height="%s" src="%s" title="%s" alt="%s" loading="lazy" />', 
                            $custom_dimension['width'],
                            $custom_dimension['height'],
                            esc_attr( $image_src ), 
                            \Elementor\Control_Media::get_image_title( $image ), 
                            \Elementor\Control_Media::get_image_alt( $image ), 
                            //$image_class_html,
                            //$image_style
                        );
                        $html = sprintf(
                            '<div %1$s %2$s %3$s data-as-background="overlay">%4$s%5$s</div>',
                            $data_bg,
                            $image_class_html,
                            $image_overlay_style,
                            $image,
                            $settings['content']
                        );
                        break;
                    case 'yes' :
                        $html = sprintf(
                            '<div %s%s%s data-as-background="%s">%s</div>',
                            $data_bg,
                            $image_class_html,
                            $image_style,
                            $settings['as_background'],
                            $settings['content']
                        );
                        break;
                    default:
                        $html = sprintf( '<img width="%s" height="%s" '.$lazy_src.'="%s" title="%s" alt="%s"%s%s %s/>', 
                            $custom_dimension['width'],
                            $custom_dimension['height'],
                            esc_attr( $image_src ), 
                            \Elementor\Control_Media::get_image_title( $image ), 
                            \Elementor\Control_Media::get_image_alt( $image ), 
                            $image_class_html,
                            $image_style,
                            $lazy_attr
                        );
                        break;
                }
            }
        }

        return $html;
    }
}
// Elementor Image Render
if(!function_exists('wiseguard_elementor_image_render')){
    function wiseguard_elementor_image_render( $settings = [], $args = []){
        if(!class_exists('\Elementor\Plugin') || !class_exists('Elementor_Theme_Core')) return;
        $args = wp_parse_args($args, [
            'name'           => 'image',
            'size'           => 'medium',
            'image_size_key' => '',
            'img_class'      => '',
            'custom_size'    => ['width' => get_option('medium_size_w'), 'height' => get_option('medium_size_h')],
            'max_height'     => false,
            'min_height'     => false,
            'as_background'  => false,
            'lazy'           => '',
            'content'        => '',   
            'before'         => '',
            'after'          => '',
            'edge'           => []
        ]);
        $args['edge'] = wp_parse_args($args['edge'], [
            'show_edge'      => 'no', // top-left/top-right/bot-left/bot-right/bot-left2/bot-right2
            'edge_color'     => 'white',
            'edge2_color'    => 'secondary',
            'edge3_color'    => 'accent',
            'edge_speed'     => '0',
            'edge2_speed'    => '0',
            'edge3_speed'    => '1.0',
            'class'          => ''
        ]);

        if(empty($args['image_size_key'])) $args['image_size_key'] = $args['name'];

        $settings['img_class'] = $args['img_class'];
        
        if(!isset($settings[$args['name'].'_custom_dimension'])){
            $settings[$args['name'].'_custom_dimension'] = $args['custom_size'];
        } else {
            $settings[$args['name'].'_custom_dimension']['width'] = !empty($settings[$args['name'].'_custom_dimension']['width']) ? $settings[$args['name'].'_custom_dimension']['width'] : $args['custom_size']['width'];
            
            $settings[$args['name'].'_custom_dimension']['height'] = !empty($settings[$args['name'].'_custom_dimension']['height']) ? $settings[$args['name'].'_custom_dimension']['height'] : $args['custom_size']['height'];
        }
        // as Background
        $settings['as_background'] = $args['as_background'];
        $settings['content'] = $args['content'];
        // set min/max height
        $settings['min_height'] = $args['min_height'];
        $settings['max_height'] = $args['max_height'];
        // classes
        $edge_classes = [
            'cms-edge',
            'cms-edge-'.$args['edge']['show_edge'],
            'absolute',
            $args['edge']['show_edge'],
            'rtl-flip',
            $args['edge']['class']
        ];
        // Edge
        ob_start ();
        if($args['edge']['show_edge'] != 'no') { ?>
            <div class="<?php echo wiseguard_nice_class($edge_classes); ?>">
                <?php if($args['edge']['show_edge'] == 'top-left'){ ?>
                    <svg class="cms-edge-tl cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-<?php echo esc_attr($args['edge']['edge_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge_speed']);?>" d="M180,0.456H0V151"/>
                      <path data-name="secondary" class="fill-<?php echo esc_attr($args['edge']['edge2_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge2_speed']);?>" d="M180,0L0,151V316L180,164V0Z"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($args['edge']['edge3_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge3_speed']);?>" d="M90,34L0.142,109.378v82.37L90,115.868V34Z"/>
                    </svg>
                <?php } elseif ($args['edge']['show_edge'] == 'top-right') { ?>
                    <svg class="cms-edge-tr cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-<?php echo esc_attr($args['edge']['edge_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge_speed']);?>" d="M0,0.458H180V151"/>
                      <path data-name="secondary" class="fill-<?php echo esc_attr($args['edge']['edge2_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge2_speed']);?>" d="M0,0L180,151V316L0,164V0Z"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($args['edge']['edge3_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge3_speed']);?>" d="M90,34l89.858,75.381v82.369L90,115.87V34Z"/>
                    </svg>
                <?php } elseif ($args['edge']['show_edge'] == 'bot-left') { ?>
                    <svg class="cms-edge-bl cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-<?php echo esc_attr($args['edge']['edge_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge_speed']);?>"  d="M180,315.539H0V165"/>
                      <path data-name="secondary" class="fill-<?php echo esc_attr($args['edge']['edge2_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge2_speed']);?>" d="M180,316L0,165V0L180,152V316Z"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($args['edge']['edge3_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge3_speed']);?>" d="M90,282L0.142,206.617V124.248L90,200.128V282Z"/>
                    </svg>
                <?php } elseif ($args['edge']['show_edge'] == 'bot-right') { ?>
                    <svg class="cms-edge-br cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 316">
                      <path data-name="white" class="fill-<?php echo esc_attr($args['edge']['edge_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge_speed']);?>"  d="M0,315.538H180V165"/>
                      <path data-name="secondary" class="fill-<?php echo esc_attr($args['edge']['edge2_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge2_speed']);?>" d="M0,316L180,165V0L0,152V316Z"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($args['edge']['edge3_color']); ?> cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge3_speed']);?>" d="M90,282l89.858-75.38V124.246L90,200.127V282Z"/>
                    </svg>
                <?php } elseif ($args['edge']['show_edge'] == 'bot-left2') { ?>
                    <svg class="cms-edge-bl2 cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 191.281">
                      <path data-name="white" class="fill-<?php echo esc_attr($args['edge']['edge_color']); ?>cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge_speed']);?>" d="M180,315.539H0V165" transform="translate(0 -124.25)"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($args['edge']['edge3_color']); ?>" data-speed="<?php echo esc_attr($args['edge']['edge3_speed']);?>" d="M90,282L0.142,206.617v-82.37L90,200.127V282Z" transform="translate(0 -124.25)"/>
                    </svg>
                <?php } elseif ($args['edge']['show_edge'] == 'bot-right2') { ?>
                    <svg class="cms-edge-br2 cms_floating_image" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 180 191.281">
                      <path data-name="white" class="fill-<?php echo esc_attr($args['edge']['edge_color']); ?>cms_floating_image_image" data-speed="<?php echo esc_attr($args['edge']['edge_speed']);?>" d="M0,315.54H180V165" transform="translate(0 -124.25)"/>
                      <path data-name="accent" class="fill-<?php echo esc_attr($args['edge']['edge3_color']); ?>" data-speed="<?php echo esc_attr($args['edge']['edge3_speed']);?>" d="M90,282l89.858-75.382V124.249L90,200.128V282Z" transform="translate(0 -124.25)"/>
                    </svg>
                <?php } ?>
            </div>
        <?php }
        $edge = ob_get_clean();
        if(empty($settings[$args['name']]['url'])) return;

        printf('%s', $args['before']);
            // Print image
            \Elementor\Group_Control_Image_Size::print_attachment_image_html( $settings, $args['image_size_key'], $args['name'] );
            // Print Edge
            printf('%s', $edge);
        printf('%s', $args['after']);
    }
}
// Elementor Button Video Render
if(!function_exists('wiseguard_elementor_button_video_render')){
    function wiseguard_elementor_button_video_render($widget = [], $settings = [], $args = []){
        $args = wp_parse_args($args, [
            'name'     => 'video_link',
            'layout'   => '1',
            'text'     => '',
            'text_class' => '',
            'icon'     => 'cmsi-play',   
            'class'    => '',
            'echo'     => true,
            'attrs'    => [],
            'loop'     => false,
            'loop_key' => ''
        ]);
        if(empty($settings[$args['name']])) return;

        $lightbox_id = 'cms-lightbox-'.$widget->get_setting('element_id');
        $video_url = $settings['video_link'];
        $embed_params = [
            'loop'           => '0',
            'controls'       => '1',
            'mute'           => '0',
            'rel'            => '0',
            'modestbranding' => '0'
        ];
        $embed_options = [];
        $lightbox_options = [
            'type'         => 'video',
            'videoType'    => 'youtube',
            'url'          => \Elementor\Embed::get_embed_url( $video_url, $embed_params, $embed_options ),
            'modalOptions' => [
                'id'                       => $lightbox_id,
                'entranceAnimation'        => '',
                'entranceAnimation_tablet' => '',
                'entranceAnimation_mobile' => '',
                'videoAspectRatio'         => 169
            ]
        ];
        if(!$args['loop']){
            $video_key = 'video-attrs';
            $widget->add_render_attribute($video_key, [
                'class'                        => implode(' ', array_filter(['cms-btn-video', 'layout-'.$args['layout'], $args['class'], 'cms-transition'])),
                'data-elementor-open-lightbox' => 'yes',
                'data-elementor-lightbox'      => wp_json_encode( $lightbox_options )
            ]);
            $widget->add_render_attribute($video_key, $args['attrs']);
        } else {
            $video_key = $widget->get_repeater_setting_key( 'video_key', 'cms_video', $args['loop_key'] );
            $widget->add_render_attribute($video_key, [
                'class'                        => implode(' ', array_filter(['cms-btn-video', 'layout-'.$args['layout'], $args['class'], 'cms-transition'])),
                'data-elementor-open-lightbox' => 'yes',
                'data-elementor-lightbox'      => wp_json_encode( $lightbox_options )
            ]);
            $widget->add_render_attribute($video_key, $args['attrs']);
        }
        ob_start();
        ?>
            <div <?php etc_print_html($widget->get_render_attribute_string($video_key)); ?>>
                <i class="<?php echo implode(' ', array_filter(['cms-icon','cms-transition', $args['icon']])) ?>"></i>
                <span class="cms-text empty-none <?php echo esc_attr($args['text_class']); ?>"><?php etc_print_html($args['text']) ?></span>
            </div>
        <?php
        if($args['echo']){
            echo ob_get_clean();
        } else {
            return ob_get_clean();
        }
    }
}

// Elementor Post Image Render
if(!function_exists('wiseguard_elementor_post_thumbnail_render')){
    function wiseguard_elementor_post_thumbnail_render( $settings = [], $args = []){
        if(!class_exists('\Elementor\Plugin') || !class_exists('Elementor_Theme_Core')) return;
        $args = wp_parse_args($args, [
            'post_id'        => '',
            'image_size_key' => 'thumbnail',
            'content'        => '',
            'lazy'           => '',
            'as_background'  => false,
            'max_height'     => false,   
            'min_height'     => false,
            'img_class'      => '',
            'size'           => 'custom',
            'custom_size'    => ['width' => get_option('medium_size_w'), 'height' => get_option('medium_size_h')],
            'before'         => '',
            'after'          => ''
        ]);

        $settings['img_class'] = $args['img_class'];
        $settings['min_height'] = $args['min_height'];
        $settings['max_height'] = $args['max_height'];
        // as Background
        $settings['as_background'] = $args['as_background'];
        $settings['content'] = $args['content'];
        
        // post thumbnail or placeholder image
        $settings[$args['image_size_key']] = [
            'id'  => get_post_thumbnail_id($args['post_id']),
            'url' => !empty(get_the_post_thumbnail_url($args['post_id'])) ? get_the_post_thumbnail_url($args['post_id']) : \Elementor\Utils::get_placeholder_image_src()
        ];
        $settings[$args['image_size_key'].'_size'] = isset($settings[$args['image_size_key'].'_size']) ? $settings[$args['image_size_key'].'_size'] : $args['size'];

        if(!isset($settings[$args['image_size_key'].'_custom_dimension'])){
            $settings[$args['image_size_key'].'_custom_dimension'] = $args['custom_size'];
        } else {
            $settings[$args['image_size_key'].'_custom_dimension']['width'] = !empty($settings[$args['image_size_key'].'_custom_dimension']['width']) ? $settings[$args['image_size_key'].'_custom_dimension']['width'] : $args['custom_size']['width'];
            
            $settings[$args['image_size_key'].'_custom_dimension']['height'] = !empty($settings[$args['image_size_key'].'_custom_dimension']['height']) ? $settings[$args['image_size_key'].'_custom_dimension']['height'] : $args['custom_size']['height'];
        }
        printf('%s', $args['before']);

        // Print image
        \Elementor\Group_Control_Image_Size::print_attachment_image_html( $settings, $args['image_size_key'], $args['image_size_key'] );
        printf('%s', $args['after']);
    }
}
// Elementor Build Post Layout 
if(!function_exists('wiseguard_get_post_grid')){
    function wiseguard_get_post_grid($settings = [], $posts = [], $posts_data = [], $args = []){
        if(empty($posts) || !is_array($posts) || empty($posts_data) || !is_array($posts_data)){
            return false;
        }
        $posts_data['tax'] = isset($posts_data['tax']) ? $posts_data['tax'] : [];
        extract($posts_data);
        $args = wp_parse_args($args, [
            'item_class' => ''
        ]); 

        // Start build post item 
        $count = 0;
        foreach ($posts as $post):
            $count ++;
            $filter_class = etc_get_term_of_post_to_class($post->ID, array_unique($tax));
            ?>
            <div class="<?php echo implode(' ', array_filter(['cms-item',$args['item_class'], $filter_class, 'item-'.$count])); ?>">
                <?php switch ($settings['layout']) {
                    case '11':
                ?>
                    <div class="cms--item bg-white cms-hover-show-shadow cms-gradient-hover-accent-tb2">
                        <div class="cms-content p-50 p-lr-smobile-20 cms-shadow-2 cms-hover-shadow-1 cms-transition">
                            <?php wiseguard_post_icon_render([
                                'id'         => $post->ID,
                                'class'      => 'pb-30 lh-0',
                                'size'       => '80',
                                'icon_color' => 'secondary-regular'
                            ]); ?>
                            <h4 class="cms-heading text-23 pb-25 lh-1391"><a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="text-secondary-darken text-hover-accent"><?php echo get_the_title($post->ID); ?></a></h4>
                            <div class="cms-excerpt text-line-4 text-15 mb-n8"><?php 
                                echo wp_trim_words($post->post_excerpt, $settings['num_words'], '');
                            ?></div>
                        </div>
                        <?php 
                            // image content
                            ob_start();
                        ?>
                            <div class="cms-gradient-render"></div>
                            <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="readmore bg-white bg-hover-secondary text-accent text-hover-white absolute center d-flex justify-content-between z-top" title="<?php etc_print_html($settings['readmore_text']); ?>">
                                <?php etc_print_html($settings['readmore_text']); ?>
                                <i class="cmsi-arrow-circle-right rtl-flip text-26"></i>
                            </a>
                        <?php
                            $img_content = ob_get_clean();
                            // post image
                            wiseguard_elementor_post_thumbnail_render($settings, [
                                'post_id'       => $post->ID,
                                'custom_size'   => $posts_data['thumbnail_custom_dimension'],
                                'img_class'     => 'relative overflow-hidden img-cover',
                                'max_height'    => true,
                                'as_background' => false,
                                'content'       => '',
                                'before'        => '<div class="cms-post-thumb relative">',
                                'after'         => $img_content.'</div>'
                            ]);
                        ?>
                    </div>
                <?php
                        break;
                    case '10':
                    ?>
                    <div class="cms--item bg-white cms-shadow-1 cms-hover-shadow-2 overflow-hidden">
                        <?php 
                            // post image
                            wiseguard_elementor_post_thumbnail_render($settings, [
                                'post_id'     => $post->ID,
                                'custom_size' => $posts_data['thumbnail_custom_dimension'],
                                'img_class'   => 'img-cover swiper-nav-vert',
                                'max_height'  => true,
                                'before'      => '',
                                'after'       => '' 
                            ]);
                        ?>
                        <div class="cms-content pt-45 pb-50 p-lr-50 p-lr-smobile-20 relative">
                            <?php wiseguard_post_icon_render([
                                'id'         => $post->ID,
                                'class'      => 'lh-0 cms-opacity-10 absolute top-right mt-20 mr-20',
                                'size'       => '80',
                                'icon_color' => 'secondary'
                            ]); ?>
                            <h4 class="cms-heading text-23 lh-1391 mb-15 text-line-2"><a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="text-hover-accent"><?php echo get_the_title($post->ID); ?></a></h4>
                            <div class="cms-excerpt text-line-4 text-15"><?php 
                                echo wp_trim_words($post->post_excerpt, $settings['num_words'], '');
                            ?></div>
                            <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="btn btn-lg btn-secondary btn-hover-accent justify-content-between mt-30 w-100">
                                <?php etc_print_html($settings['readmore_text']); ?>
                                <i class="cmsi-arrow-circle-right text-26 rtl-flip"></i>
                            </a>
                        </div>
                    </div>
                <?php
                        break;
                    case '9':
                ?>
                    <div class="cms--item cms-gradient-primary-darken-bt cms-gradient-hover-secondary-bt">
                    <?php 
                        // post image
                        wiseguard_elementor_post_thumbnail_render($settings, [
                            'post_id'     => $post->ID,
                            'custom_size' => $posts_data['thumbnail_custom_dimension'],
                            'img_class'   => 'img-cover cms-radius-10 swiper-nav-vert',
                            'max_height'  => false,
                            'before'      => '<div class="relative cms-radius-10"><div class="cms-gradient-render always"></div>',
                            'after'       => wiseguard_post_icon_render([
                                'id'         => $post->ID,
                                'class'      => 'absolute bottom-left ml-40 ml-smobile-20 mb-95',
                                'icon_color' => 'white',
                                'echo'       => false   
                            ]).'</div>' 
                        ]);
                    ?>
                        <div class="cms-content relative z-top bg-white cms-shadow-1 cms-hover-shadow-2 cms-radius-10 p-tb-30 p-lr-40 p-lr-smobile-20 ml-40 ml-smobile-20 cms-transition mt-n54 overflow-hidden">
                            <h4 class="cms-heading text-21 font-500 mb-15 text-line-2"><a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="text-hover-secondary"><?php echo get_the_title($post->ID); ?></a></h4>
                            <div class="cms-excerpt text-line-3 text-15"><?php 
                                echo wp_trim_words($post->post_excerpt, $settings['num_words'], '');
                            ?></div>
                            <?php 
                                wiseguard_post_feature_render([
                                    'id' => $post->ID,
                                ]); 
                            ?>
                            <div class="divider"></div>
                            <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="cms-link cms-link-hover-2 text-primary-lighten text-hover-secondary">
                                <?php etc_print_html($settings['readmore_text']); ?>
                                <i class="cmsi-arrow-right text-10 rtl-flip"></i>
                            </a>
                        </div>
                    </div>
                <?php
                        break;
                    case '8':
                    ?>
                    <div class="cms--item bg-white cms-shadow-1 cms-hover-shadow-2 overflow-hidden">
                        <?php 
                            // post image
                            wiseguard_elementor_post_thumbnail_render($settings, [
                                'post_id'     => $post->ID,
                                'custom_size' => $posts_data['thumbnail_custom_dimension'],
                                'img_class'   => 'img-cover swiper-nav-vert',
                                'max_height'  => true,
                                'before'      => '',
                                'after'       => '' 
                            ]);
                        ?>
                        <div class="cms-content pt-45 p-lr-50 p-lr-smobile-20">
                            <h4 class="cms-heading text-23 lh-1391 mb-15 text-line-2"><a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="text-hover-accent"><?php echo get_the_title($post->ID); ?></a></h4>
                            <div class="cms-excerpt text-line-4 text-15"><?php 
                                echo wp_trim_words($post->post_excerpt, $settings['num_words'], '');
                            ?></div>
                            <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="btn btn-lg btn-secondary btn-hover-accent justify-content-between mt-30 w-100">
                                <?php etc_print_html($settings['readmore_text']); ?>
                                <i class="cmsi-arrow-circle-right text-26 rtl-flip"></i>
                            </a>
                        </div>
                    </div>
                <?php
                        break;
                    case '7':
                ?>
                    <div class="cms--item bg-white cms-hover-show-shadow cms-gradient-hover-accent-tb2">
                        <div class="cms-content p-50 p-lr-smobile-20 cms-shadow-2 cms-hover-shadow-1 cms-transition">
                            <?php wiseguard_post_icon_render([
                                'id'         => $post->ID,
                                'class'      => 'pb-30 lh-0',
                                'size'       => '80',
                                'icon_color' => 'secondary-regular'
                            ]); ?>
                            <h4 class="cms-heading text-23 pb-25 lh-1391"><a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="text-secondary-darken text-hover-accent"><?php echo get_the_title($post->ID); ?></a></h4>
                            <div class="cms-excerpt text-line-4 text-15 mb-n8"><?php 
                                echo wp_trim_words($post->post_excerpt, $settings['num_words'], '');
                            ?></div>
                        </div>
                        <?php 
                            // image content
                            ob_start();
                        ?>
                            <div class="cms-gradient-render"></div>
                            <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="readmore bg-white bg-hover-secondary text-accent text-hover-white absolute center z-top" title="<?php etc_print_html($settings['readmore_text']); ?>">
                                <i class="cmsi-arrow-right rtl-flip text-10"></i>
                            </a>
                        <?php
                            $img_content = ob_get_clean();
                            // post image
                            wiseguard_elementor_post_thumbnail_render($settings, [
                                'post_id'       => $post->ID,
                                'custom_size'   => $posts_data['thumbnail_custom_dimension'],
                                'img_class'     => 'relative overflow-hidden img-cover',
                                'max_height'    => true,
                                'as_background' => false,
                                'content'       => '',
                                'before'        => '<div class="cms-post-thumb relative">',
                                'after'         => $img_content.'</div>'
                            ]);
                        ?>
                    </div>
                <?php
                        break;
                    case '6':
                ?>
                    <div class="cms--item cms-shadow-2 cms-hover-shadow-1 bg-white bg-hover-accent text-hover-white cms-transition">
                        <?php 
                            // Icon
                            ob_start();
                                wiseguard_post_icon_render([
                                    'id'         => $post->ID,
                                    'class'      => 'cms-thumb-icon-1 text-48 rtl-flip bg-secondary cms-transition absolute top-left',
                                    'icon_color' => 'white'
                                ]);
                            $img_content = ob_get_clean();
                            // post image
                            wiseguard_elementor_post_thumbnail_render($settings, [
                                'post_id'       => $post->ID,
                                'custom_size'   => $posts_data['thumbnail_custom_dimension'],
                                'img_class'     => 'swiper-nav-vert',
                                'max_height'    => true,
                                'before'        => '<div class="relative">',
                                'after'         => $img_content.'</div>',
                                'as_background' => false,
                                'content'       => ''
                            ]);
                        ?>
                        <div class="cms-content p-40 p-lr-smobile-20">
                            <div class="text-14 text-accent mt-n8 pb-5"><?php wiseguard_the_terms($post->ID, 'case-category', ', ','text-accent text-hover-primary'); ?></div>
                            <h4 class="cms-heading text-22 font-600 text-hover-secondary text-line-2 mb-n8"><a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="text-hover-secondary"><?php echo get_the_title($post->ID); ?></a></h4>
                        </div>
                    </div>
                    <?php
                        break;
                    case '5':
                    ?>
                        <div class="cms--content bg-white p-40 p-lr-smobile-20 cms-shadow-1 cms-hover-shadow-2 cms-transition">
                            <?php
                                // Career 
                                wiseguard_post_career_render([
                                    'id'    => $post->ID,
                                    'class' => 'mb-20'
                                ]);
                            ?>
                            <h4 class="cms-heading text-22 pb-15"><a href="<?php echo esc_url(get_permalink( $post->ID )); ?>"><?php echo get_the_title($post->ID); ?></a></h4>
                            <div class="cms-excerpt text-line-4 text-15 empty-none"><?php 
                                echo wp_trim_words($post->post_excerpt, $settings['num_words'],'');
                            ?></div>
                            <?php // Read More ?>
                            <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="btn btn-smd btn-outline-secondary-darken btn-hover-secondary-darken mt-20" title="<?php etc_print_html($settings['readmore_text']); ?>">
                                <?php etc_print_html($settings['readmore_text']); ?>
                                <i class="cmsi-arrow-right rtl-flip text-10"></i>
                            </a>
                        </div>
                    <?php
                        break;
                    case '4':
                ?>
                    <div class="cms--item cms-shadow-2 cms-hover-shadow-1">
                        <?php
                            // post image
                            wiseguard_elementor_post_thumbnail_render($settings, [
                                'post_id'     => $post->ID,
                                'custom_size' => $posts_data['thumbnail_custom_dimension'],
                                'img_class'   => 'img-cover swiper-nav-vert',
                                'max_height'  => true,
                                'before'      => '',
                                'after'       => ''
                            ]);
                        ?>
                        <div class="cms-content pl-40 pl-smobile-20 pb-40 mr-40 mr-smobile-20 mt-n40 relative bg-white">
                            <div class="cmspost-meta absolute mt-n20 bg-accent p-tb-10 p-lr-15 text-13 text-white lh-20"><?php // post category
                                wiseguard_the_terms($post->ID, $posts_data['taxonomy'], ', ', 'text-white text-hover-primary');
                            ?></div>
                            <h4 class="cms-heading text-22 text-line-2 font-600 pt-50"><a href="<?php echo esc_url(get_permalink( $post->ID )); ?>"><?php echo get_the_title($post->ID); ?></a></h4>
                            <div class="cms-excerpt text-line-4 text-15 pt-20 mb-n8"><?php 
                                echo wp_trim_words($post->post_excerpt, $settings['num_words'], '');
                            ?></div>
                            <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="btn btn-outline-secondary-darken btn-hover-secondary-darken mt-30">
                                <?php etc_print_html($settings['readmore_text']); ?>
                                <i class="cmsi-arrow-right rtl-flip text-10"></i>
                            </a>
                        </div>
                    </div>
                    <?php
                        break;
                        case '3':
                    ?>
                    <div class="cms--item cms-gradient-blue-bt cms-gradient-hover-blue-bt2 relative">
                        <?php 
                            // Content
                            ob_start();
                        ?>
                        <div class="cms-gradient-render always"></div>
                        <div class="cms-content p-40 pl-smobile-20 pr-110 cms-transition relative z-top">
                            <h4 class="cms-heading text-line-2 text-22 mb-15 mt-n7 text-white"><a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="text-hover-accent"><?php echo get_the_title($post->ID); ?></a></h4>
                            <div class="cms-excerpt text-line-3 text-16 mb-n8 text-white"><?php 
                                echo wp_trim_words($post->post_excerpt, $settings['num_words'], '');
                            ?></div>
                            <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="readmore absolute bottom-right bg-accent bg-hover-white text-white" title="<?php etc_print_html($settings['readmore_text']); ?>">
                                <i class="cmsi-plus text-10"></i>
                            </a>
                        </div>
                        <?php
                            $content = ob_get_clean();
                            // post image
                            wiseguard_elementor_post_thumbnail_render($settings, [
                                'post_id'       => $post->ID,
                                'custom_size'   => $posts_data['thumbnail_custom_dimension'],
                                'img_class'     => 'd-flex align-items-end',
                                'max_height'    => false,
                                'min_height'    => true,
                                'as_background' => 'overlay',
                                'content'       => $content,
                                'before'        => '',
                                'after'         => '' 
                            ]);
                        ?>
                    </div>
                <?php
                        break;
                    
                    case '2':
                    ?>
                    <div class="cms--item cms-gradient-hover-primary-darken-tb3 pt-40">
                        <div class="cms-content bg-white cms-shadow-2 cms-hover-shadow-1 p-lr-40 p-lr-smobile-20 pb-40 cms-transition">
                            <?php wiseguard_post_icon_render([
                                'id'         => $post->ID,
                                'class'      => 'absolute mt-n40',
                                'size'       => '80',
                                'icon_color' => 'secondary-regular'
                            ]); ?>
                            <h4 class="cms-heading text-23 pt-75 pb-25 lh-1391"><a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="text-secondary-darken text-hover-accent"><?php echo get_the_title($post->ID); ?></a></h4>
                            <div class="cms-excerpt text-line-4 text-15 mb-n8"><?php 
                                echo wp_trim_words($post->post_excerpt, $settings['num_words'], '');
                            ?></div>
                        </div>
                        <?php 
                            // image content
                            ob_start();
                        ?>
                            <div class="cms-gradient-render"></div>
                            <?php 
                                wiseguard_post_feature_render([
                                    'id'         => $post->ID,
                                    'class'      => '',
                                    'icon'       => 'cmsi-check-circle text-22 text-accent',
                                    'icon_class' => '',
                                    'item_class' => 'cms-list',
                                    'before'     => '<div class="cms-post-feature cms-lists font-700 text-15 bg-white p-lr-40 p-lr-smobile-20 pb-40 cms-transition relative z-top">',
                                    'after'      => '</div>',
                                ]);
                            ?>
                            <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="btn btn-xxl btn-accent btn-hover-secondary z-top">
                                <?php etc_print_html($settings['readmore_text']); ?>
                                <i class="cmsi-arrow-circle-right text-26 rtl-flip"></i>
                            </a>
                        <?php
                                // small image
                                wiseguard_elementor_post_thumbnail_render($settings, [
                                    'post_id'       => $post->ID,
                                    'custom_size'   => ['width' => 400, 'height' => 138],
                                    'img_class'     => 'small-thumb absolute bottom-left'
                                ]);
                            $img_content = ob_get_clean();
                            // post image
                            wiseguard_elementor_post_thumbnail_render($settings, [
                                'post_id'       => $post->ID,
                                'custom_size'   => $posts_data['thumbnail_custom_dimension'],
                                'img_class'     => 'relative overflow-hidden',
                                'min_height'    => true,
                                'as_background' => 'overlay',
                                'content'       => $img_content,
                                'before'        => '',
                                'after'         => ''
                            ]);
                        ?>
                    </div>
                <?php
                        break;
                    default:
                    // Post Category
                    ob_start();
                ?>
                    <div class="cms-thumb-content absolute bottom-right lh-14375 bg-accent text-13 p-lr-10 p-tb-5 text-white"><?php wiseguard_the_terms($post->ID, 'category', ', ','text-white text-hover-primary'); ?></div>
                <?php
                    $post_category = ob_get_clean();
                ?>
                <div class="cms-shadow-1 cms-hover-shadow-2 cms-transition bg-white">
                    <?php 
                        // Post Image
                        wiseguard_elementor_post_thumbnail_render($settings, [
                            'post_id'     => $post->ID,
                            'custom_size' => $posts_data['thumbnail_custom_dimension'],
                            'img_class'   => 'swiper-nav-vert img-cover', 
                            'max_height'  => true,
                            'before'      => '<div class="cms-thumbnail relative">',
                            'after'       => $post_category.'</div>'
                        ]);
                    ?>
                    <div class="cms-content pt-35 p-lr-40 overflow-hidden">
                        <div class="cms-post-meta d-flex gap-20 pb-20">
                            <div class="date"><?php echo get_the_date('', $post->ID); ?></div>
                            <div class="separator"></div>
                            <div class="author"><?php wiseguard_the_author_posts_link([
                                'text'       => '',
                                'link_class' => '',
                                'object'     => $post   
                            ]); ?></div>
                        </div>
                        <h4 class="cms-heading text-20 text-line-3 lh-145"><a href="<?php echo esc_url(get_permalink( $post->ID )); ?>"><?php echo get_the_title($post->ID); ?></a></h4>
                        <div class="cms-excerpt text-15 pt-15 text-line-4"><?php 
                            echo wp_trim_words($post->post_excerpt, $settings['num_words'], '&hellip;');
                            // Read More
                        ?></div>
                        <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="btn btn-secondary-darken btn-hover-secondary mt-20">
                            <span class="btn-text"><?php etc_print_html($settings['readmore_text']); ?></span>
                            <i class="cmsi-arrow-right text-10 rtl-flip"></i>
                        </a>
                    </div>
                </div>
                <?php
                    break;
                } ?>
            </div>
        <?php
        endforeach;
    }
}
/**
 * Custom Post 
 * 
 * */
/**
 * Icon 
*/
if(!function_exists('wiseguard_post_icon_opts')){
    function wiseguard_post_icon_opts($args = []){
        return [
            'title'  => esc_html__('Icon', 'wiseguard'),
            'fields' => [
                'icon' => [
                    'type'        => Theme_Core_Options::ICON_PICKER_FIELD,
                    'title'       => __('Choose your icon', 'wiseguard')
                ]
            ]
        ];
    }
}
/**
 * Render Icon
*/
if(!function_exists('wiseguard_post_icon_render')){
    function wiseguard_post_icon_render($args = []){
        $args = wp_parse_args($args, [
            'id'          => get_the_ID(),
            'class'       => '',     
            'before'      => '',
            'after'       => '',
            'wrap_before' => '',
            'wrap_after'  => '',
            'icon_class'  => '',
            'icon_color'  => 'primary',
            'size'        => '64',
            'echo'        => true    
        ]);
        $icon = wiseguard_get_post_format_value($args['id'], 'icon', '');
        
        if(empty($icon)) return;
        
        $_icon = '<i class="'.implode(' ',array_filter([$icon,'cms-post--icon','cms-transition','d-block', $args['icon_class'], 'text-'.$args['icon_color'],'text-'.$args['size']])).'"></i>';

        ob_start();
        printf('%s', $args['wrap_before']);
        ?>
            <div class="<?php echo implode(' ',array_filter(['cms-post-icon', $args['class']]));?>"><?php 
                printf('%1$s %2$s %3$s', $args['before'], $_icon, $args['after'] ); 
            ?></div>
        <?php
        printf('%s', $args['wrap_after']);
        if($args['echo']){
            echo ob_get_clean();
        } else {
            return ob_get_clean();
        }
    }
}
/**
 * Post Features 
*/
if(!function_exists('wiseguard_post_feature_opts')){
    function wiseguard_post_feature_opts($args = []){
        return [
            'title'  => esc_html__('Features', 'wiseguard'),
            'fields' => [
                'features' => [
                    'type'        => Theme_Core_Options::REPEATER_FIELD,
                    'title'       => __('Add your feature', 'wiseguard'),
                    'fields' => [
                        'text' => [
                            'type' => Theme_Core_Options::TEXT_FIELD,
                            'title' => __('Your feature','wiseguard')
                        ]
                    ],
                    'title_field' => 'text'
                ]
            ]
        ];
    }
}
if(!function_exists('wiseguard_post_feature_render')){
    function wiseguard_post_feature_render($args = []){
        $args = wp_parse_args($args, [
            'id'         => get_the_ID(),
            'name'       => 'features',
            'before'     => '<div class="cms-post-feature text-secondary font-700 text-15">',
            'after'      => '</div>',
            'icon'       => 'cmsi-check text-10',
            'icon_class' => 'text-secondary-lighten',
            'item_class' => 'cms-list-item',
            'echo'       => true
        ]);
        $features = wiseguard_get_post_format_value($args['id'], $args['name']);
        if(empty( $features)) return;
        ob_start();
            printf('%s', $args['before']);
                foreach ($features as $feature) {
                    $_icon = (isset($feature['icon']) && !empty($feature['icon'])) ? $feature['icon'] : $args['icon'];
                    $icon = !empty($_icon) ? '<div class="'.wiseguard_nice_class(['flex-auto cms-list-icon', $args['icon_class'], $_icon]).'"></div>' : '';
                    printf('<div class="%s d-flex gap-15">%s<div class="flex-basic">%s</div></div>',$args['item_class'],$icon,$feature['text']);
                }
            printf('%s', $args['after']);
        if($args['echo']){
            echo ob_get_clean();
        } else  {
            return ob_get_clean();
        }
    }
}
/**
 * Career Opts 
*/
if(!function_exists('wiseguard_post_career_opts')){
    function wiseguard_post_career_opts($args = []){
        return [
            'title'  => esc_html__('General', 'wiseguard'),
            'fields' => [
                'job_type' => [
                    'type'        => Theme_Core_Options::TEXT_FIELD,
                    'title'       => __('Job Type', 'wiseguard')
                ],
                'job_address' => [
                    'type'        => Theme_Core_Options::TEXT_FIELD,
                    'title'       => __('Job Address', 'wiseguard')
                ],
                'job_salary' => [
                    'type'        => Theme_Core_Options::TEXT_FIELD,
                    'title'       => __('Job Salary', 'wiseguard')
                ]
            ]
        ];
    }
}
if(!function_exists('wiseguard_post_career_render')){
    function wiseguard_post_career_render($args = []){
        $args = wp_parse_args($args, [
            'id'    => null,
            'class' => ''
        ]);
        if(!$args['id']) return;
        $job_type   = wiseguard_get_post_format_value($args['id'], 'job_type', '');
        $job_add    = wiseguard_get_post_format_value($args['id'], 'job_address', '');
        $job_salary = wiseguard_get_post_format_value($args['id'], 'job_salary', '');

        $classes = ['cms-job-details d-flex gap-15', $args['class']];
    ?>
    <div class="<?php echo implode(' ', array_filter($classes)); ?>">
        <div class="job-type empty-none"><?php echo esc_html($job_type); ?></div>
        <div class="job-add empty-none"><?php echo esc_html($job_add); ?></div>
        <div class="job-sallary empty-none"><?php echo esc_html($job_salary); ?></div>
    </div>
    <?php
    }
}
if(!function_exists('wiseguard_chart_data_settings')){
    function wiseguard_chart_data_settings($widget, $settings, $args = []){
        $args = wp_parse_args($args, [
            'name'            => 'cms_chart',
            'chart_container' => 'cms-charts',
            'class'           => ''
        ]);
        $charts = $widget->get_settings($args['name']);
        $chart_title = $chart_main_title = $chart_value = $chart_color = [];
        foreach ($charts as $key => $value) {
            $chart_title[] = $value['chart_title'];
            $chart_main_title[] = $value['chart_main_title'];
            $chart_value[] = $value['chart_value'];
            $chart_color[] = $value['chart_color'];
        }
        /*$charts_data = [
            'labels' => $chart_title,
            'value'  => implode(',', $chart_value),
            'colors' => implode(',', $chart_color)
        ];*/
        $opts = [
            'type'            => $settings['cms_chart_type'],   
            'labels'          => $chart_title,
            'value'           => $chart_value,
            'colors'          => $chart_color,
            'legend_display'  => $settings['legend_display'],
            'legend_position' => $settings['legend_position'],
            'title_display'   => $settings['title_display'],
            'title_position'  => $settings['title_position'],
            'title_text'      => $settings['title_text']
        ];
        $widget->add_render_attribute( 'cms-chart-settings', [
            'id'            => etc_get_element_id($settings),
            'class'         => implode( ' ', array_filter([$args['chart_container'], $args['class']]) ),
            'data-settings' => wp_json_encode($opts)
        ]);
        etc_print_html($widget->get_render_attribute_string( 'cms-chart-settings' ));
    }
}
?>