<?php
// Silence is golden.
$args = [
    'title' => esc_html__('General','wiseguard'),
    'sections' => [
        'colors' => [
            'title' => esc_html__('Colors', 'wiseguard'),
            'fields' => [
                'accent_color' => [
                    'type'        => Theme_Core_Options::COLOR_SET_FIELD,
                    'title'       => esc_html__('Accent Color', 'wiseguard'),
                    'options'     => wiseguard_color_list_opts('accent_color')
                ],
                'primary_color' => [
                    'type'        => Theme_Core_Options::COLOR_SET_FIELD,
                    'title'       => esc_html__('Primary Color', 'wiseguard'),
                    'options'     => wiseguard_color_list_opts('primary_color')
                ],
                'secondary_color' => [
                    'type'        => Theme_Core_Options::COLOR_SET_FIELD,
                    'title'       => esc_html__('Secondary Color', 'wiseguard'),
                    'options' => wiseguard_color_list_opts('secondary_color')
                ],
                'heading_color' => array(
                    'type'    => Theme_Core_Options::COLOR_SET_FIELD,
                    'title'   => esc_html__('Heading Color', 'wiseguard'),
                    'options' => wiseguard_color_list_opts('heading_color')
                ),
                'body_color' => array(
                    'type'    => Theme_Core_Options::COLOR_SET_FIELD,
                    'title'   => esc_html__('Body Color', 'wiseguard'),
                    'options' => [
                        'regular' => sprintf('%s (%s)', esc_html__('Default','wiseguard'), wiseguard_configs('body')['color'])
                    ]
                ),
                'link_color' => [
                    'type' => Theme_Core_Options::LINK_COLOR_FIELD,
                    'title' => esc_html__('Link Color', 'wiseguard')
                ]
            ]
        ],
        'typos' => wiseguard_typography_opts(),
        'tools' => [
            'title'  => esc_html__('Tools', 'wiseguard'),
            'fields' => [
                'show_page_loading' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Enable Page Loading', 'wiseguard'),
                    'subtitle' => esc_html__('Enable page loading effect when you load site.', 'wiseguard'),
                ],
                'back_totop_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Back to Top Button', 'wiseguard'),
                    'subtitle' => esc_html__('Show back to top button when scrolled down.', 'wiseguard'),
                    'default'  => 1,
                ],
                'dev_mode' => [
                    'type'        => Theme_Core_Options::SWITCH_FIELD,
                    'title'       => esc_html__('Dev Mode (not recommended)', 'wiseguard'),
                    'description' => esc_html__('no minimize , generate css over time...', 'wiseguard'),
                ],
            ],
        ]
    ]
];
return $args;