<?php
// Silence is golden.
$args = [
    'title'    => esc_html__('Header', 'wiseguard'),
    'sections' => [
        'general' => [
            'title' => esc_html__('General', 'wiseguard'),
            'fields' => [
                'header_layout' => wiseguard_theme_header_layout_opts([
                    'default'       => $default,
                    'default_value' => $default_value
                ]),
                'main_menu_color' => [
                    'type'  => Theme_Core_Options::LINK_COLOR_FIELD,
                    'title' => esc_html__('Menu Color', 'wiseguard')
                ],
                'header_height' => [
                    'type'     => 'dimensions',
                    'title'    => esc_html__('Header Height', 'wiseguard'),
                    'subtitle' => esc_html__('Set height for your Header', 'wiseguard'),
                    'width'    => false
                ],
                'extra' => [
                    'type'  => Theme_Core_Options::HEADING_FIELD,
                    'title' => esc_html__('Extra Settings', 'wiseguard')
                ],
                'header_sticky' => wiseguard_theme_on_off_opts([
                    'title'         => esc_html__('Header Sticky', 'wiseguard'),
                    'subtitle'      => esc_html__('Header will be sticked when applicable.', 'wiseguard')
                ]),
                'header_width' => wiseguard_theme_content_width_opts([
                    'title'         => esc_html__('Header Content Width', 'wiseguard'),
                    'default'       => $default,
                    'default_value' => $default_width
                ])
            ]
        ],
        'logo' => [
            'title'  => esc_html__('Logo', 'wiseguard'),
            'fields' => [
                'logo' => [
                    'type'  => Theme_Core_Options::MEDIA_FIELD,
                    'title' => esc_html__('Logo', 'wiseguard')
                ],
                'logo_maxh' => [
                    'type'     => 'dimensions',
                    'title'    => esc_html__('Logo Dimensions', 'wiseguard'),
                    'subtitle' => esc_html__('Enter number.', 'wiseguard')
                ],
                'logo_mobile' => [
                    'type'  => Theme_Core_Options::MEDIA_FIELD,
                    'title' => esc_html__('Logo Tablet & Mobile', 'wiseguard')
                ],
                'logo_maxh_sm' => [
                    'type'     => 'dimensions',
                    'title'    => esc_html__('Logo Tablet & Mobile Dimensions', 'wiseguard'),
                    'subtitle' => esc_html__('Enter number.', 'wiseguard')
                ],
            ],
        ],
        'header_ontop' => [
            'title' => esc_html__('Header Transparent', 'wiseguard'),
            'fields' => [
                'header_transparent' => wiseguard_theme_on_off_opts([
                    'title'         => esc_html__('Header Transparent', 'wiseguard'),
                    'subtitle'      => esc_html__('Header transparent use with background.', 'wiseguard'),
                    'default_value' => $default_off
                ]),
                'logo_light' => [
                    'type' => Theme_Core_Options::MEDIA_FIELD,
                    'title' => esc_html__('Logo', 'wiseguard')
                ],
                'logo_light_mobile' => [
                    'type'  => Theme_Core_Options::MEDIA_FIELD,
                    'title' => esc_html__('Logo Tablet & Mobile', 'wiseguard')
                ],
                'transparent_menu_color' => [
                    'type' => Theme_Core_Options::LINK_COLOR_FIELD,
                    'title' => esc_html__('Menu Color', 'wiseguard')
                ]
            ]
        ],
        'attributes' => [
            'title' => esc_html__('Attributes','wiseguard'),
            'fields' => array_merge(
                [
                    'search_icon' => wiseguard_theme_on_off_opts([
                        'title'         => esc_html__('Search Icon', 'wiseguard'),
                        'default'       => $default,
                        'default_value' => $default_off
                    ]),
                    'cart_icon' => wiseguard_theme_on_off_opts([
                        'title'         => esc_html__('Cart Icon', 'wiseguard'),
                        'default'       => $default,
                        'default_value' => $default_off
                    ])
                ],
                wiseguard_theme_phone_settings([
                    'default'       => $default,
                    'default_value' => $default_off 
                ]),
                wiseguard_theme_mail_settings([
                    'default'       => $default,
                    'default_value' => $default_off 
                ]),
                wiseguard_theme_button_settings([
                    'default'       => $default,
                    'default_value' => $default_off 
                ]),
                wiseguard_theme_button_settings([
                    'heading'       => esc_html__('Button Settings #2', 'wiseguard'),
                    'name'          => 'h_btn2',
                    'default'       => $default,
                    'default_value' => $default_off 
                ]),
                [
                    'hide_sidebar_icon_heading' => [
                        'type' => Theme_Core_Options::HEADING_FIELD,
                        'title' => esc_html__('Hidden Sidebar Settings','wiseguard')
                    ],
                    'hide_sidebar_icon' => wiseguard_theme_on_off_opts([
                        'title'         => esc_html__('Hidden Sidebar', 'wiseguard'),
                        'default'       => $default,
                        'default_value' => $default_off
                    ])
                ],
                wiseguard_header_side_nav_opts()
            )
        ]
    ]
];
return $args;