<?php
/**
 * Template part for displaying posts in loop
 *
 * @package WiseGuard
 */
?>
<div class="cms-single cms-shadow-1 cms-hover-shadow-2 cms-transition">
	<?php 
		wiseguard_entry_thumbnail([
			'size'       => 'large',
			'img_class'  => '',
			'meta_class' => ''
		]);
	?>
	<div class="cms-post--content">
		<?php 
			wiseguard_post_meta([
				'opt_prefix' => 'post_',
				'gap'		 => '',
				'class'		 => 'gap-20 mb-30',
				'separator' => '<div class="separator"></div>'
			]);
			wiseguard_entry_single_title(['class' => 'lh-1225']);
		?>
		<div class="content clearfix pt-30"><?php 
			the_content(); 
			wiseguard_entry_link_pages();
		?></div>
		<div class="tags-share d-flex gap justify-content-between empty-none"><?php 
			wiseguard_entry_tagged_in(['class' => 'flex-basis']);
			wiseguard_socials_share_default([
				'class' => 'flex-auto',
				'show'	=> (bool)wiseguard_get_opt('post_social_share_on', false)
			]); 
		?></div>
	</div>
</div>
<?php
	wiseguard_post_nav_default();
if(!empty(get_the_author_meta( 'description' )) && wiseguard_get_opt('post_author_info_on', false)){
?>
<div class="cms-author-info d-flex gap text-mobile-center cms-shadow-1" style="--cms-gap:30px;--cms-gap-mobile:20px;">
    <div class="author-avatar flex-auto">
		<?php echo get_avatar( get_the_author_meta( 'ID' ), 120, '', '', ['class' => '']); ?>
    </div>
    <div class="author-desc flex-basic flex-mobile-auto">
    	<h4 class="author-name cms-heading text-20 font-600 mt-n5 pb-5"><?php the_author_meta( 'display_name' ); ?></h4>
		<div class="text-line-2"><?php  the_author_meta( 'description' ); ?></div>
		<?php
			// User Social
			wiseguard_get_user_social(); 
		?>
    </div>
</div>
<?php 
	}
?>