<?php
/**
 * Template part for displaying default header layout
 */
?>
<header id="cms-header-wrap" class="site-header">
    <div id="cms-header" class="<?php echo wiseguard_header_classes(); ?>">
        <?php wiseguard_header_top(); ?>
        <div class="<?php echo wiseguard_header_container_classes('d-flex justify-content-between'); ?>">
            <div class="sidenav-logo d-flex gap-40 gap-smobile-20">
                <div id="main-menu-mobile" class="main-menu-mobile">
                    <span class="btn-nav-mobile open-menu">
                        <span></span>
                    </span>
                </div>
                <?php
                // logo
                get_template_part('template-parts/header/header-branding', '', [
                    'before' => '<div class="site-branding">',
                    'after'  => '</div>'
                ]);
                ?>
            </div>
            <div class="site-tools gap-0 gap-laptop-20 pr-laptop-20">
                <?php
                    // Cart icon
                    wiseguard_header_cart();
                    // Search icon
                    wiseguard_header_search([
                        'class'      => 'h-btn btn-h-header text-white text-hover-white bg-primary-darken bg-hover-secondary cms-transition gap-10 d-flex align-items-center justify-content-center',
                        'text'       => '<span class="search-text font-700 text-15 cms-hidden-laptop-large">'.esc_html__('Search', 'wiseguard').'</span>',
                        'modal-mode'  => 'slide-1',
                        'modal-slide' => 'slide-right',
                        'modal-class' => '',
                        'placeholder' => esc_html__('Search...','wiseguard'),  
                        'before'      => '<div class="site-header-item site-header-button">',
                        'after'       => '</div>'  
                    ]);
                    // Button 01
                    wiseguard_header_button_render([
                        'wrap_class' => 'cms-hidden-smobile',
                        'class' => 'h-btn1 btn-h-header text-white text-hover-white bg-accent bg-hover-secondary',
                        'data'  => [
                            'default'     => 'bg-accent',
                            'transparent' => (wiseguard_get_opts('header_transparent', 'off', 'header_custom') === 'on') ? 'bg-accent' : 'bg-accent'
                        ],
                        'icon' => '<span class="cms-hidden-laptop-large cmsi-arrow-right rtl-flip text-10 pl-10"></span><span class="cms-hidden-wide cmsi-email"></span>'
                    ]);
                    // Button 02
                    wiseguard_header_button_render([
                        'name'  => 'h_btn2', 
                        'class' => 'h-btn2 btn-h-header text-white text-hover-white bg-secondary bg-hover-accent',
                        'data'  => [
                            'default'     => 'bg-secondary',
                            'transparent' => (wiseguard_get_opts('header_transparent', 'off', 'header_custom') === 'on') ? 'bg-secondary' : 'bg-secondary'
                        ],
                        'icon' => '<span class="cms-hidden-wide cmsi-arrow-right rtl-flip text-10"></span>'
                    ]);
                    // Side Nav
                    wiseguard_header_side_nav_render([
                        'slide' => 'right'
                    ]);
                ?>
            </div>
        </div>
        <?php 
            ob_start();
                $logo_light     = wiseguard_get_opts( 'logo_light', array(
                    'id' => '',
                    'url' => get_template_directory_uri() . '/assets/images/logo/logo-light.png',
                ), 'header_custom');
                $logo_light_url = $logo_light['url'];
                $logo_w = wiseguard_configs('logo')['width'];
                $logo_h = wiseguard_configs('logo')['height'];
                echo '<div class="sidenav-header d-flex justify-content-between pr-40 align-items-center">';
                    // humberger
                    printf('%s', '<div id="main-menu-mobile-close"  class="main-menu-mobile"><span class="cmsi-remove"></span></div>');
                    // logo
                    printf(
                        '<a class="sidenav-logo" href="%1$s" title="%4$s" rel="home"><img width="%2$s" height="%3$s" alt="%4$s" src="%5$s" /></a>',
                        esc_url( home_url( '/' ) ),
                        esc_attr($logo_w),
                        esc_attr($logo_h),
                        esc_attr( get_bloginfo( 'name' ) ),
                        esc_url( $logo_light_url )
                    );
                echo '</div>';
            $nav_content = ob_get_clean();
            ob_start();
                echo '<div class="sidenav-tools align-self-end pt-40">';
                    // mail
                    wiseguard_header_mail_render([
                        'class' => 'text-accent text-hover-white text-17 font-600 heading mb-20'
                    ]);
                    // Phone
                    wiseguard_header_phone_render3([
                        'class' => 'text-accent text-hover-white text-17 font-600 heading'
                    ]);
                echo '</div>';
            $nav_content2 = ob_get_clean();
            // Navigation 
            get_template_part('template-parts/header/header-menu', '',[
                'before'     => '<nav class="site-navigation site-navigation-side overflow-hidden">'.$nav_content.'<div class="cms-mousewheel pt-40"><div class="side-navigation-content p-lr-60 p-lr-xsmobile-20 h-100">', 
                'after'      => $nav_content2.'</div></nav>',
                'menu_class' => 'cms-primary-menu-sidenav'
            ]);
            // Attributes
        ?>
    </div>
</header>