<?php
/**
 * Template part for displaying default header layout
 */
?>
<header id="cms-header-wrap" class="site-header">
    <div id="cms-header" class="<?php echo wiseguard_header_classes(); ?>">
         <?php wiseguard_header_top(); ?>
        <div class="<?php echo wiseguard_header_container_classes('d-flex justify-content-between'); ?>">
            <?php 
            // logo
            get_template_part('template-parts/header/header-branding', '', [
                'before' => '<div class="site-branding flex-auto d-flex justify-content-start">',
                'after'  => '</div>',
            ]);
            // Navigation 
            get_template_part('template-parts/header/header-menu', '',[
                'before' => '<nav class="site-navigation site-navigation-dropdown justify-content-end flex-basic">', 
                'after'  => '</nav>' 
            ]);
            ?>
            <div class="<?php echo wiseguard_header_tools_classes(['class' => 'site-tools flex-auto d-flex justify-content-end align-items-center']); ?>">
                <?php 
                    // Search icon
                    wiseguard_header_search([
                        'class' => 'site-header-item menu-color d-inline-flex gap-10',
                        'text' => ''
                    ]);
                    // Cart icon
                    wiseguard_header_cart();
                    // Button 01
                    wiseguard_header_button_render([
                        'wrap_class' => 'cms-hidden-smobile',
                        'class'      => 'h-btn1 btn btn-md btn-secondary-regular btn-hover-accent',
                        'data'       => [
                            'default'     => 'btn-secondary-regular',
                            'transparent' => (wiseguard_get_opts('header_transparent', 'off', 'header_custom') === 'on') ? 'btn-white' : 'btn-secondary-regular'
                        ],
                        'icon'   => '<span class="cms-hidden-laptop order-last text-10 cmsi-arrow-right rtl-flip"></span><span class="cms-hidden-wide cmsi-email"></span>',
                        'before' => ''
                    ]);
                    // Button 02
                    wiseguard_header_button_render([
                        'name'  => 'h_btn2', 
                        'class' => 'h-btn2 btn btn-md btn-accent-regular btn-hover-secondary-regular',
                        'data'  => [
                            'default'     => 'btn-accent-regular btn-hover-secondary-regular',
                            'transparent' => (wiseguard_get_opts('header_transparent', 'off', 'header_custom') === 'on') ? '' : ''
                        ],
                        'icon' => '<span class="cms-hidden-wide cmsi-arrow-right rtl-flip text-10"></span>'
                    ]);
                    // Phone
                    wiseguard_header_phone_render2([
                        'class' => '',
                        'icon'  => 'wiseguard-icon-monitoring text-48 text-laptop-24 text-accent'
                    ]);
                    // Side Nav
                    wiseguard_header_side_nav_render([
                        'class' => 'site-header-item'
                    ]);
                ?>
                <div id="main-menu-mobile" class="main-menu-mobile site-header-item">
                    <span class="btn-nav-mobile open-menu">
                        <span></span>
                    </span>
                </div>
            </div>
        </div>
    </div>
</header>